#  MINLP written by GAMS Convert at 05/24/17 14:04:26
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#        174        1       94       79        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          5        1        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        673        9      664        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.i1 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i2 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i3 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i4 = Var(within=Integers,bounds=(0,100),initialize=0)

m.obj = Objective(expr=(-29.7*m.i1*m.i2) - 308*m.i1 + 1297*m.i2 + 32*m.i1*m.i3 - 37.5*m.i3 - 136*m.i1*m.i4 - 173*m.i4 - 
                       235*m.i2*m.i3 + 310*m.i2*m.i4 + 3.61*m.i3*m.i4 + 21.4*m.i1**2 - 139*m.i2**2 + 113*m.i3**2 + 138*
                       m.i4**2 + 467, sense=minimize)

m.c2 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c3 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c4 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c5 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c6 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c7 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c8 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c9 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -81)

m.c10 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c11 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c12 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c13 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c14 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c15 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c16 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 <= -81)

m.c17 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c18 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c19 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c20 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c21 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c22 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c23 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c24 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c25 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c26 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c27 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c28 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c29 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c30 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c31 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 <= -425)

m.c32 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c33 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c34 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c35 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c36 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c37 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c38 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c39 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c40 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c41 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c42 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c43 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c44 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c45 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c46 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 <= -371)

m.c47 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c48 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c49 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c50 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c51 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c52 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c53 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c54 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c55 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c56 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c57 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c58 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c59 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c60 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c61 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 <= 11.38)

m.c62 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c63 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c64 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c65 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c66 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c67 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c68 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c69 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c70 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c71 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c72 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c73 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c74 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c75 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c76 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 <= 79)

m.c77 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c78 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c79 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c80 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c81 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c82 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c83 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c84 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c85 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c86 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c87 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c88 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c89 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c90 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c91 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                        m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                        m.i3**2 - 28.1*m.i4**2 >= -181)

m.c92 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c93 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c94 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c95 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c96 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c97 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c98 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c99 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -625)

m.c100 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c101 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c102 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c103 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c104 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c105 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c106 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*
                         m.i4 - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3
                         **2 - 108*m.i4**2 >= -625)

m.c107 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c108 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c109 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c110 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c111 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c112 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c113 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c114 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c115 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c116 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c117 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c118 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c119 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c120 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c121 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4
                          - 121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 
                         52.8*m.i4**2 >= -1871)

m.c122 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c123 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c124 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c125 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c126 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c127 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c128 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c129 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c130 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c131 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c132 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c133 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c134 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c135 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c136 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                         m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                         m.i3**2 + 1.04*m.i4**2 >= 1.38)

m.c137 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c138 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c139 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c140 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c141 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c142 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c143 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c144 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c145 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c146 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c147 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c148 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c149 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c150 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c151 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                          - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2
                          + 193*m.i4**2 >= 74)

m.c152 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c153 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c154 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c155 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c156 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c157 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c158 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c159 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c160 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c161 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c162 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c163 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c164 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c165 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c166 = Constraint(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                         112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 
                         105*m.i4**2 >= 2246)

m.c167 = Constraint(expr=   m.i1 >= 3)

m.c168 = Constraint(expr=   m.i1 <= 16)

m.c169 = Constraint(expr=   m.i2 >= 1)

m.c170 = Constraint(expr=   m.i2 <= 5)

m.c171 = Constraint(expr=   m.i3 >= 1)

m.c172 = Constraint(expr=   m.i3 <= 5)

m.c173 = Constraint(expr=   m.i4 >= 1)

m.c174 = Constraint(expr=   m.i4 <= 5)
