#  NLP written by GAMS Convert at 05/24/17 14:05:32
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         31       21       10        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         41       41        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        841      601      240        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.39,2.92),initialize=0.39)
m.x2 = Var(within=Reals,bounds=(0.19,2.59),initialize=0.19)
m.x3 = Var(within=Reals,bounds=(0.15,2.52),initialize=0.15)
m.x4 = Var(within=Reals,bounds=(0.86,2.94),initialize=0.86)
m.x5 = Var(within=Reals,bounds=(0.55,2.13),initialize=0.55)
m.x6 = Var(within=Reals,bounds=(0.79,2.18),initialize=0.79)
m.x7 = Var(within=Reals,bounds=(0.67,2.28),initialize=0.67)
m.x8 = Var(within=Reals,bounds=(0.68,2.9),initialize=0.68)
m.x9 = Var(within=Reals,bounds=(0.28,2.51),initialize=0.28)
m.x10 = Var(within=Reals,bounds=(0.87,2.61),initialize=0.87)
m.x11 = Var(within=Reals,bounds=(0.65,2.06),initialize=0.65)
m.x12 = Var(within=Reals,bounds=(0.92,2.22),initialize=0.92)
m.x13 = Var(within=Reals,bounds=(0.72,2.53),initialize=0.72)
m.x14 = Var(within=Reals,bounds=(0.34,2.99),initialize=0.34)
m.x15 = Var(within=Reals,bounds=(0.91,2.55),initialize=0.91)
m.x16 = Var(within=Reals,bounds=(0,2.35),initialize=0)
m.x17 = Var(within=Reals,bounds=(0.33,2.3),initialize=0.33)
m.x18 = Var(within=Reals,bounds=(0.36,2.41),initialize=0.36)
m.x19 = Var(within=Reals,bounds=(0.67,2.92),initialize=0.67)
m.x20 = Var(within=Reals,bounds=(0.88,2.77),initialize=0.88)
m.x21 = Var(within=Reals,bounds=(0.63,2.41),initialize=0.63)
m.x22 = Var(within=Reals,bounds=(0.83,2.32),initialize=0.83)
m.x23 = Var(within=Reals,bounds=(0.03,2.32),initialize=0.03)
m.x24 = Var(within=Reals,bounds=(0.86,2.55),initialize=0.86)
m.x25 = Var(within=Reals,bounds=(0.54,2.83),initialize=0.54)
m.x26 = Var(within=Reals,bounds=(0.51,2.23),initialize=0.51)
m.x27 = Var(within=Reals,bounds=(0.16,2.3),initialize=0.16)
m.x28 = Var(within=Reals,bounds=(0.04,2.97),initialize=0.04)
m.x29 = Var(within=Reals,bounds=(0.36,2.06),initialize=0.36)
m.x30 = Var(within=Reals,bounds=(0.79,2.39),initialize=0.79)
m.x31 = Var(within=Reals,bounds=(0.07,2.52),initialize=0.07)
m.x32 = Var(within=Reals,bounds=(0.38,2.41),initialize=0.38)
m.x33 = Var(within=Reals,bounds=(0.35,2.3),initialize=0.35)
m.x34 = Var(within=Reals,bounds=(0.05,2.66),initialize=0.05)
m.x35 = Var(within=Reals,bounds=(0.02,2.5),initialize=0.02)
m.x36 = Var(within=Reals,bounds=(0.38,2.18),initialize=0.38)
m.x37 = Var(within=Reals,bounds=(0.98,2.8),initialize=0.98)
m.x38 = Var(within=Reals,bounds=(0.68,2.54),initialize=0.68)
m.x39 = Var(within=Reals,bounds=(0.58,2.51),initialize=0.58)
m.x40 = Var(within=Reals,bounds=(0.41,2.65),initialize=0.41)

m.obj = Objective(expr=6.38*m.x1*m.x5 + 3.53*m.x1 - 6.08*m.x5 + 0.83*m.x1*m.x10 + 9.21*m.x10 + 7*m.x1*m.x11 + 8.72*m.x11
                        + 8.54*m.x1*m.x12 + 4.62*m.x12 + 8.38*m.x1*m.x13 + 1.92*m.x13 + 5.06*m.x1*m.x16 + 4.12*m.x16 - 
                       7.71*m.x1*m.x17 + 0.33*m.x17 + 2.05*m.x1*m.x21 + 5.24*m.x21 + 3.25*m.x1*m.x25 + 5.23*m.x25 - 4.22
                       *m.x1*m.x28 + 0.48*m.x28 + 0.38*m.x1*m.x29 + 5.22*m.x29 - 6.16*m.x1*m.x33 - 7.38*m.x33 + 5.17*
                       m.x1*m.x34 + 4.68*m.x34 + 6.72*m.x1*m.x35 + 6.25*m.x35 + 6.96*m.x1*m.x36 + 1.22*m.x36 + 5.31*m.x1
                       *m.x37 + 3.09*m.x37 + 6.7*m.x2*m.x2 + 0.68*m.x2 + 8.79*m.x2*m.x3 + 9.84*m.x3 + 2.38*m.x2*m.x4 + 
                       4.02*m.x4 + 3.44*m.x2*m.x6 + 6.81*m.x6 + 8.34*m.x2*m.x7 + 0.15*m.x7 + 0.64*m.x2*m.x8 + 6.65*m.x8
                        + 9.79*m.x2*m.x9 + 8.26*m.x9 + 0.73*m.x2*m.x10 - 9.35*m.x2*m.x11 + 3.8*m.x2*m.x14 + 0.26*m.x14
                        + 6.95*m.x2*m.x17 + 1.63*m.x2*m.x19 + 1.24*m.x19 + 9.82*m.x2*m.x21 + 9.82*m.x2*m.x22 + 7.73*
                       m.x22 + 3.99*m.x2*m.x23 + 2.65*m.x23 + 4.11*m.x2*m.x24 + 0.06*m.x24 - 4*m.x2*m.x25 + 0.09*m.x2*
                       m.x27 - 3.91*m.x27 - 2.29*m.x2*m.x28 + 0.15*m.x2*m.x29 + 4.85*m.x2*m.x31 + 8.07*m.x31 + 7*m.x2*
                       m.x35 + 4.72*m.x2*m.x36 + 7.52*m.x2*m.x38 + 6.08*m.x38 + 9.88*m.x3*m.x4 + 6.32*m.x3*m.x5 + 7.08*
                       m.x3*m.x7 + 2.79*m.x3*m.x8 + 8.22*m.x3*m.x9 + 0.85*m.x3*m.x10 + 0.77*m.x3*m.x12 + 5.55*m.x3*m.x14
                        + 8.9*m.x3*m.x15 + 8.25*m.x15 + 5.27*m.x3*m.x19 + 6.75*m.x3*m.x21 + 3.97*m.x3*m.x22 + 0.5*m.x3*
                       m.x26 + 0.94*m.x26 + 2.28*m.x3*m.x27 + 0.75*m.x3*m.x30 + 7.44*m.x30 + 1.54*m.x3*m.x32 + 2.67*
                       m.x32 + 1.88*m.x3*m.x34 + 9.71*m.x4*m.x5 + 5.05*m.x4*m.x6 + 4.33*m.x4*m.x7 + 0.62*m.x4*m.x8 + 
                       9.44*m.x4*m.x10 + 3.88*m.x4*m.x14 + 4.83*m.x4*m.x16 + 0.21*m.x4*m.x17 + 3.61*m.x4*m.x20 + 2.01*
                       m.x20 + 0.49*m.x4*m.x21 + 0.65*m.x4*m.x22 + 9.93*m.x4*m.x23 + 3.93*m.x4*m.x24 + 2.21*m.x4*m.x26
                        + 5.17*m.x4*m.x28 + 8.37*m.x4*m.x32 - 1.58*m.x4*m.x35 + 4.18*m.x4*m.x37 + 4.95*m.x4*m.x40 + 5.17
                       *m.x40 + 5.22*m.x5*m.x7 + 9.95*m.x5*m.x9 + 3.69*m.x5*m.x10 + 8.03*m.x5*m.x11 + 6.09*m.x5*m.x13 + 
                       8.52*m.x5*m.x14 + 5.63*m.x5*m.x15 + 3.52*m.x5*m.x17 + 8.71*m.x5*m.x26 + 8.1*m.x5*m.x31 + 9.26*
                       m.x5*m.x32 - 2.42*m.x5*m.x33 + 0.27*m.x5*m.x34 + 7.27*m.x5*m.x36 + 6.25*m.x5*m.x37 + 9.68*m.x5*
                       m.x38 + 6.07*m.x6*m.x7 + 0.07*m.x6*m.x11 + 9.88*m.x6*m.x12 + 7.55*m.x6*m.x13 + 9.41*m.x6*m.x18 + 
                       7.6*m.x18 + 4.95*m.x6*m.x21 + 5.6*m.x6*m.x22 - 0.1*m.x6*m.x23 + 2.69*m.x6*m.x28 + 4.94*m.x6*m.x29
                        + 2.76*m.x6*m.x32 + 9.07*m.x6*m.x34 + 9.84*m.x6*m.x36 + 9.14*m.x6*m.x40 + 7.63*m.x7*m.x10 + 0.94
                       *m.x7*m.x12 + 9.91*m.x7*m.x18 + 5.38*m.x7*m.x19 + 7.65*m.x7*m.x20 + 5.27*m.x7*m.x23 + 1.98*m.x7*
                       m.x24 + 4.18*m.x7*m.x33 + 6.94*m.x7*m.x34 - 4.21*m.x7*m.x36 + 1.27*m.x7*m.x37 + 3.94*m.x7*m.x38
                        + 3.06*m.x7*m.x39 + 5.35*m.x39 - 3.4*m.x8*m.x8 + 6.56*m.x8*m.x9 + 7.39*m.x8*m.x10 + 5.02*m.x8*
                       m.x13 + 3.95*m.x8*m.x15 + 8.78*m.x8*m.x17 + 9.28*m.x8*m.x18 + 2.53*m.x8*m.x21 + 5.86*m.x8*m.x27
                        + 0.91*m.x8*m.x28 + 5.32*m.x8*m.x29 + 6.5*m.x8*m.x31 + 2.5*m.x8*m.x34 + 9.14*m.x8*m.x36 + 2.4*
                       m.x8*m.x37 + 0.84*m.x8*m.x39 + 6.5*m.x9*m.x10 + 5.2*m.x9*m.x13 + 0.01*m.x9*m.x17 + 5.42*m.x9*
                       m.x22 + 6.76*m.x9*m.x23 + 0.03*m.x9*m.x24 + 2.95*m.x9*m.x29 + 0.34*m.x9*m.x32 + 6.82*m.x9*m.x33
                        + 8.66*m.x9*m.x34 + 5.26*m.x9*m.x35 + 1.44*m.x9*m.x36 + 4.41*m.x9*m.x38 + 6.32*m.x9*m.x40 + 5.43
                       *m.x10*m.x11 + 7.09*m.x10*m.x14 + 2.26*m.x10*m.x16 + 5.85*m.x10*m.x20 + 2.83*m.x10*m.x21 + 6.15*
                       m.x10*m.x24 + 0.2*m.x10*m.x26 + 6.34*m.x10*m.x28 + 5.43*m.x10*m.x29 + 7.23*m.x10*m.x30 + 8.45*
                       m.x10*m.x34 + 2.95*m.x10*m.x39 + 8.73*m.x10*m.x40 + 9.24*m.x11*m.x11 + 2.19*m.x11*m.x16 + 8.12*
                       m.x11*m.x17 + 5.94*m.x11*m.x19 + 3.11*m.x11*m.x20 + 7.41*m.x11*m.x21 + 3.92*m.x11*m.x23 + 9.45*
                       m.x11*m.x24 + 4.83*m.x11*m.x25 + 7.96*m.x11*m.x26 + 5.68*m.x11*m.x28 + 3.53*m.x11*m.x29 + 9.66*
                       m.x11*m.x30 + 3.86*m.x11*m.x33 + 6.85*m.x11*m.x34 + 8.25*m.x11*m.x35 - 7.67*m.x11*m.x36 + 0.91*
                       m.x11*m.x37 + 5.2*m.x11*m.x38 + 4.67*m.x11*m.x40 + 0.52*m.x12*m.x13 + 1.45*m.x12*m.x14 + 0.13*
                       m.x12*m.x15 + 1.33*m.x12*m.x18 + 9.41*m.x12*m.x20 + 6.5*m.x12*m.x21 + 1.34*m.x12*m.x22 + 1.91*
                       m.x12*m.x23 + 4.39*m.x12*m.x24 + 9*m.x12*m.x25 + 8.73*m.x12*m.x26 + 4.17*m.x12*m.x28 + 4.84*m.x12
                       *m.x29 + 8.46*m.x12*m.x30 + 3.49*m.x12*m.x31 + 0.17*m.x12*m.x33 + 1.23*m.x12*m.x35 + 6.74*m.x12*
                       m.x38 + 0.49*m.x12*m.x40 + 7.71*m.x13*m.x13 + 8.15*m.x13*m.x20 + 5.11*m.x13*m.x23 + 1.95*m.x13*
                       m.x24 + 3*m.x13*m.x25 + 8.52*m.x13*m.x26 + 2.6*m.x13*m.x27 + 2.28*m.x13*m.x31 + 4.65*m.x13*m.x32
                        + 9.16*m.x13*m.x33 - 5.54*m.x13*m.x34 + 4.25*m.x13*m.x36 + 8.8*m.x13*m.x38 + 7.5*m.x13*m.x39 + 
                       8.42*m.x13*m.x40 + 6.35*m.x14*m.x14 + 5.65*m.x14*m.x15 - 9.6*m.x14*m.x17 + 5.91*m.x14*m.x19 + 1.4
                       *m.x14*m.x21 - 7.09*m.x14*m.x23 + 9.43*m.x14*m.x24 + 6.22*m.x14*m.x25 + 6.49*m.x14*m.x26 + 5.65*
                       m.x14*m.x27 + 9.35*m.x14*m.x28 + 5.65*m.x14*m.x29 + 4.08*m.x14*m.x31 - 4.74*m.x14*m.x32 + 1.86*
                       m.x14*m.x35 + 4.44*m.x14*m.x38 + 4.36*m.x14*m.x40 - 0.04*m.x15*m.x15 + 2.66*m.x15*m.x16 + 3.79*
                       m.x15*m.x19 - 8.94*m.x15*m.x20 + 2.24*m.x15*m.x21 + 4.84*m.x15*m.x23 + 4.22*m.x15*m.x26 - 5.67*
                       m.x15*m.x30 + 0.96*m.x15*m.x32 - 4.44*m.x15*m.x33 - 5.12*m.x15*m.x34 + 4.84*m.x15*m.x37 + 9.96*
                       m.x15*m.x40 + 7.19*m.x16*m.x16 + 5.59*m.x16*m.x17 + 6.49*m.x16*m.x20 + 3.55*m.x16*m.x21 + 6.51*
                       m.x16*m.x22 + 6.49*m.x16*m.x23 + 9.1*m.x16*m.x24 + 4.36*m.x16*m.x26 + 2.76*m.x16*m.x28 + 3.78*
                       m.x16*m.x29 + 9.45*m.x16*m.x31 + 2.18*m.x16*m.x33 - 3.79*m.x16*m.x35 + 3.07*m.x16*m.x38 + 3.74*
                       m.x16*m.x40 + 4.26*m.x17*m.x21 + 6.66*m.x17*m.x23 + 5.45*m.x17*m.x24 + 0.02*m.x17*m.x26 + 6.7*
                       m.x17*m.x27 + 0.65*m.x17*m.x28 + 4.55*m.x17*m.x30 + 1.75*m.x17*m.x31 + 7.13*m.x17*m.x32 - 1.53*
                       m.x17*m.x33 + 4.91*m.x18*m.x24 + 2.75*m.x18*m.x27 + 8.71*m.x18*m.x28 - 7.06*m.x18*m.x31 + 1.45*
                       m.x18*m.x32 + 3.3*m.x18*m.x33 + 5.26*m.x18*m.x34 + 3.76*m.x18*m.x36 + 0.41*m.x18*m.x39 + 7.53*
                       m.x18*m.x40 + 7.78*m.x19*m.x20 - 4.9*m.x19*m.x21 + 1.33*m.x19*m.x23 + 2.04*m.x19*m.x24 + 2.08*
                       m.x19*m.x26 + 9.78*m.x19*m.x27 + 0.39*m.x19*m.x28 + 5.82*m.x19*m.x29 - 7.76*m.x19*m.x33 - 4.21*
                       m.x19*m.x35 + 5.03*m.x19*m.x40 + 1.33*m.x20*m.x22 - 8.38*m.x20*m.x25 + 2.29*m.x20*m.x26 + 9.7*
                       m.x20*m.x32 - 6.93*m.x20*m.x34 + 2.94*m.x20*m.x35 + 9.4*m.x20*m.x38 + 2.97*m.x21*m.x21 + 0.47*
                       m.x21*m.x23 + 8.55*m.x21*m.x25 + 6.49*m.x21*m.x27 + 5.86*m.x21*m.x28 + 4.23*m.x21*m.x31 + 4.37*
                       m.x21*m.x33 + 5.54*m.x21*m.x36 + 1.37*m.x21*m.x38 + 0.98*m.x21*m.x39 + 6.85*m.x21*m.x40 + 6.36*
                       m.x22*m.x22 + 5.33*m.x22*m.x23 + 1.43*m.x22*m.x24 + 6.1*m.x22*m.x26 + 4.58*m.x22*m.x30 + 8.47*
                       m.x22*m.x33 + 2.83*m.x22*m.x35 + 3.65*m.x22*m.x36 + 0.91*m.x22*m.x37 + 9.74*m.x22*m.x38 + 8.84*
                       m.x22*m.x40 + 1.39*m.x23*m.x23 + 1.64*m.x23*m.x24 + 0.85*m.x23*m.x25 - 0.69*m.x23*m.x26 + 1.71*
                       m.x23*m.x27 + 0.41*m.x23*m.x33 + 2.14*m.x23*m.x37 - 9.57*m.x23*m.x39 + 9.01*m.x23*m.x40 - 1.21*
                       m.x24*m.x25 - 9.61*m.x24*m.x26 + 0.21*m.x24*m.x27 + 2.37*m.x24*m.x29 + 2.64*m.x24*m.x30 - 3.27*
                       m.x24*m.x32 + 5.83*m.x24*m.x33 + 9.47*m.x24*m.x36 + 3.42*m.x24*m.x37 + 6.67*m.x25*m.x25 + 4.23*
                       m.x25*m.x26 + 1.84*m.x25*m.x29 + 9.16*m.x25*m.x30 + 7.78*m.x25*m.x32 + 5.17*m.x25*m.x33 + 1.25*
                       m.x25*m.x34 + 0.33*m.x25*m.x35 + 0.99*m.x25*m.x37 + 9.05*m.x25*m.x40 + 7.45*m.x26*m.x29 + 1.56*
                       m.x26*m.x31 + 0.51*m.x26*m.x33 + 6.71*m.x26*m.x34 + 7.08*m.x26*m.x36 + 2.11*m.x26*m.x39 + 4.84*
                       m.x27*m.x27 + 0.67*m.x27*m.x29 + 3.89*m.x27*m.x31 + 7.68*m.x27*m.x34 + 2.71*m.x27*m.x35 + 7.41*
                       m.x27*m.x38 + 0.18*m.x27*m.x39 + 3.34*m.x27*m.x40 + 0.04*m.x28*m.x29 + 1.06*m.x28*m.x30 + 9.47*
                       m.x28*m.x33 + 7.88*m.x28*m.x34 + 8.32*m.x28*m.x39 + 8.29*m.x28*m.x40 + 0.5*m.x29*m.x32 + 9.24*
                       m.x29*m.x34 + 4.19*m.x29*m.x36 + 4.4*m.x29*m.x37 + 2.36*m.x29*m.x38 + 1.31*m.x29*m.x39 - 0.2*
                       m.x29*m.x40 + 0.73*m.x30*m.x32 + 0.99*m.x30*m.x33 + 1.93*m.x30*m.x37 + 6.96*m.x30*m.x39 + 3.3*
                       m.x31*m.x33 + 6.84*m.x31*m.x36 + 2.13*m.x31*m.x40 + 6.39*m.x32*m.x33 + 2.68*m.x32*m.x34 + 3.83*
                       m.x32*m.x35 + 6.66*m.x32*m.x36 + 6.33*m.x32*m.x38 + 5.11*m.x32*m.x39 + 9.54*m.x33*m.x36 + 5.75*
                       m.x33*m.x38 + 6.35*m.x33*m.x40 + 4.92*m.x34*m.x34 + 6.68*m.x34*m.x36 + 8.1*m.x34*m.x37 + 4.82*
                       m.x34*m.x38 + 8.12*m.x34*m.x39 + 5.74*m.x35*m.x36 + 5.13*m.x35*m.x37 + 7.21*m.x35*m.x38 + 7.32*
                       m.x35*m.x39 + 8.97*m.x36*m.x38 + 6.53*m.x37*m.x38 + 5.73*m.x37*m.x39 + 7.83*m.x38*m.x38 + 5.55*
                       m.x38*m.x39 + 6.98*m.x39*m.x39 + 0.05*m.x39*m.x40 + 5.07*m.x40*m.x40, sense=minimize)

m.c1 = Constraint(expr=   8.04*m.x1 + 3.34*m.x2 + 0.38*m.x4 + 8.05*m.x7 + 1.54*m.x8 + 2.3*m.x9 + 9.51*m.x12 + 9.33*m.x13
                        + 1.38*m.x15 + 9.44*m.x17 + 5.64*m.x20 + 9.75*m.x22 + 0.64*m.x23 + 9.12*m.x24 + 3.43*m.x25
                        + 1.55*m.x29 - 5.87*m.x33 + 1.3*m.x34 + 2.97*m.x38 + 2.87*m.x39 == 134.208)

m.c2 = Constraint(expr= - 6.82*m.x2 - 5.55*m.x3 + 9.94*m.x4 + 0.93*m.x6 + 7.6*m.x7 + 1.74*m.x8 - 6.28*m.x10 + 0.62*m.x12
                        + 6.76*m.x14 + 8.06*m.x18 + 6.26*m.x19 + 5.98*m.x20 + 6.52*m.x23 + 9.93*m.x24 + 7.19*m.x25
                        + 3*m.x27 + 4.05*m.x29 + 1.44*m.x31 - 1.56*m.x37 + 4.32*m.x39 == 103.206)

m.c3 = Constraint(expr=   3.92*m.x1 + 1.66*m.x3 + 8.1*m.x10 + 5.23*m.x11 + 3.83*m.x13 + 9.41*m.x15 + 2.11*m.x18
                        + 1.02*m.x20 + 5.8*m.x21 + 7.39*m.x22 + 5.94*m.x23 + 2.53*m.x24 + 9.04*m.x25 + 6.32*m.x27
                        + 4.87*m.x28 + 1.68*m.x30 + 4.12*m.x31 + 1.32*m.x34 + 6.45*m.x35 + 3.96*m.x37 == 144.662)

m.c4 = Constraint(expr=   7.63*m.x7 - 3.29*m.x9 + 8.83*m.x10 + 3.01*m.x11 + 3.79*m.x17 + 1.93*m.x18 + 7.4*m.x21
                        + 6.16*m.x22 + 1.69*m.x23 + 3.48*m.x25 + 0.7*m.x26 + 1.36*m.x27 + 9.94*m.x28 + 6.28*m.x29
                        + 4.73*m.x30 + 1.05*m.x34 + 6.87*m.x35 + 4.49*m.x38 + 5.29*m.x39 + 0.17*m.x40 == 121.016)

m.c5 = Constraint(expr=   1.47*m.x1 + 3.65*m.x4 + 8.64*m.x5 + 6.6*m.x8 + 0.07*m.x11 + 1.7*m.x13 + 4.9*m.x14 + 4.14*m.x15
                        + 4.98*m.x16 + 0.93*m.x21 + 2.94*m.x23 + 1.35*m.x24 + 6.04*m.x25 + 9.18*m.x27 + 2.24*m.x28
                        + 1.02*m.x31 + 5.14*m.x33 + 7.4*m.x36 + 0.43*m.x39 + 1.3*m.x40 == 109.056)

m.c6 = Constraint(expr=   9.15*m.x1 + 5.8*m.x4 + 2.45*m.x5 - 3.48*m.x7 + 7.77*m.x8 + 5.97*m.x11 - 6.9*m.x12 + 2.15*m.x15
                        - 3.81*m.x18 + 4.2*m.x23 + 9.06*m.x25 + 3.18*m.x26 - 6.34*m.x27 + 3.05*m.x28 + 6.29*m.x31
                        + 8.55*m.x32 - 0.71*m.x33 + 9.5*m.x35 + 0.82*m.x36 - 7.95*m.x38 == 74.622)

m.c7 = Constraint(expr=   1.56*m.x4 + 6.47*m.x8 + 7.09*m.x10 + 3.36*m.x11 + 5.73*m.x12 + 7.67*m.x14 + 3.5*m.x15
                        + 3.17*m.x17 - 1.71*m.x19 + 7.83*m.x21 + 4.43*m.x22 + 2.46*m.x23 + 5.72*m.x24 + 9.36*m.x26
                        + 7.01*m.x27 + 9.6*m.x31 + 9.01*m.x34 + 5.99*m.x38 + 9.13*m.x39 + 8.3*m.x40 == 174.412)

m.c8 = Constraint(expr=   8.24*m.x3 + 4.54*m.x4 + 9.06*m.x7 + 9.18*m.x9 + 9.58*m.x10 + 7.36*m.x13 + 5.95*m.x17
                        + 3.02*m.x18 + 9.49*m.x19 - 2.06*m.x20 + 8.75*m.x22 + 0.61*m.x24 + 3.22*m.x27 + 0.44*m.x28
                        + 9.85*m.x31 + 8.78*m.x33 + 8.27*m.x35 - 8.61*m.x37 + 9.18*m.x39 + 1.56*m.x40 == 154.258)

m.c9 = Constraint(expr=   2.49*m.x4 + 7.48*m.x8 + 1.32*m.x9 + 3.68*m.x12 + 2.54*m.x13 + 7*m.x15 + 8.59*m.x16
                        + 7.07*m.x18 - 7.93*m.x20 + 4.94*m.x21 + 1.39*m.x22 + 7.56*m.x23 - 5.6*m.x24 + 0.19*m.x26
                        + 3.6*m.x27 + 5.85*m.x28 + 9.57*m.x29 + 2.44*m.x31 + 5.45*m.x32 + 7.99*m.x39 == 104.602)

m.c10 = Constraint(expr=   7.71*m.x1 + 3.92*m.x7 + 7.36*m.x9 + 8.45*m.x11 + 4.34*m.x13 + 1.08*m.x16 + 4.2*m.x17
                         + 6.27*m.x18 - 1.23*m.x23 + 7.44*m.x26 + 0.6*m.x27 + 6.72*m.x28 - 3.2*m.x29 + 0.68*m.x32
                         + 9.97*m.x33 + 1.06*m.x34 + 3.12*m.x35 + 7.93*m.x37 + 1.97*m.x38 + 3.54*m.x39 == 121.67)

m.c11 = Constraint(expr=   8.52*m.x1 + 0.13*m.x2 + 8.83*m.x3 + 4.71*m.x5 + 8.52*m.x7 + 6.51*m.x8 + 1.41*m.x10
                         + 9.28*m.x11 + 1.49*m.x12 + 9.83*m.x17 + 4.35*m.x18 + 4.08*m.x19 - 2.33*m.x20 + 2.2*m.x21
                         + 3.88*m.x24 + 1.09*m.x25 - 4.86*m.x31 + 9.92*m.x33 + 5.16*m.x34 + 7.87*m.x40 == 133.67)

m.c12 = Constraint(expr=   4.42*m.x3 - 8.47*m.x7 + 5.87*m.x8 + 8.95*m.x11 + 7.7*m.x12 + 7.21*m.x16 - 5.48*m.x18
                         - 1.87*m.x19 - 8.01*m.x20 + 3.45*m.x22 + 6.45*m.x23 + 7.66*m.x25 + 3.16*m.x26 - 3.34*m.x27
                         + 7.79*m.x30 + 5.97*m.x32 + 2.81*m.x33 + 5.56*m.x34 + 1.92*m.x38 + 5.47*m.x40 == 80.61)

m.c13 = Constraint(expr=   5.71*m.x4 + 1.49*m.x5 + 8.1*m.x6 + 7.95*m.x7 + 6.63*m.x8 + 3.32*m.x9 - 2.89*m.x11 + 8.8*m.x14
                         + 8.59*m.x15 + 8.53*m.x16 + 2.2*m.x17 + 3.58*m.x24 + 6.08*m.x25 + 5.18*m.x27 + 8.55*m.x28
                         + 8.4*m.x31 + 0.78*m.x32 + 1.1*m.x34 - 9.7*m.x36 + 1.28*m.x38 == 130.301)

m.c14 = Constraint(expr=   4.45*m.x1 + 0.99*m.x3 + 7.61*m.x6 + 5.71*m.x10 + 4.75*m.x12 + 5.02*m.x16 + 7.73*m.x17
                         + 3.83*m.x21 + 3.61*m.x24 + 6.31*m.x25 - 7.16*m.x26 + 1.89*m.x28 + 3.38*m.x29 + 7.29*m.x32
                         + 7.63*m.x33 + 6.4*m.x34 + 4.37*m.x36 + 6.63*m.x37 + 9.86*m.x39 + 7.89*m.x40 == 147.559)

m.c15 = Constraint(expr=   0.23*m.x2 + 0.76*m.x4 + 0.78*m.x5 - 2.92*m.x6 + 7.61*m.x9 + 0.14*m.x10 + 8.92*m.x12
                         + 7.39*m.x15 + 5.8*m.x16 + 5.07*m.x19 - 7.12*m.x23 + 5.33*m.x24 + 7.12*m.x26 + 4.01*m.x31
                         + 5.77*m.x32 + 7.5*m.x33 + 7.59*m.x35 + 1.35*m.x36 + 5.38*m.x37 + 9.84*m.x40 == 122.207)

m.c16 = Constraint(expr=   8.95*m.x2 + 1.4*m.x3 + 3.12*m.x4 + 0.46*m.x5 + 4.17*m.x6 + 1.01*m.x7 + 4.44*m.x12 + 5.4*m.x15
                         + 7.82*m.x18 + 9.54*m.x21 + 8.98*m.x24 + 0.4*m.x25 + 9.41*m.x27 + 7.19*m.x28 + 7.82*m.x30
                         + 0.11*m.x33 + 5.14*m.x35 + 7.57*m.x36 + 0.66*m.x37 + 0.79*m.x39 == 139.774)

m.c17 = Constraint(expr=   6.74*m.x1 + 7.33*m.x2 + 1.69*m.x3 - 4.18*m.x6 + 8.29*m.x7 + 0.89*m.x9 + 6.07*m.x12
                         + 3.51*m.x13 + 8.08*m.x14 + 5.87*m.x18 + 2.09*m.x22 + 3.81*m.x23 + 3.3*m.x24 + 1.17*m.x25
                         + 6.68*m.x26 + 2.1*m.x27 + 6.57*m.x29 + 6.47*m.x30 - 1.93*m.x33 + 5.76*m.x39 == 119.358)

m.c18 = Constraint(expr= - 1.72*m.x3 + 6.89*m.x5 + 6.78*m.x6 + 4.5*m.x11 + 8.22*m.x14 + 3.82*m.x15 + 0.47*m.x17
                         + 5.03*m.x18 + 3.15*m.x20 - 3.22*m.x22 + 1.76*m.x24 + 5.02*m.x25 + 2.62*m.x26 + 4.39*m.x29
                         + 3.75*m.x31 + 9.47*m.x33 + 9.91*m.x34 - 0.63*m.x37 + 2.2*m.x38 + 9.6*m.x40 == 119.891)

m.c19 = Constraint(expr=   8.94*m.x3 + 9.05*m.x5 + 8.64*m.x8 + 5.99*m.x9 - 6.85*m.x10 + 3.42*m.x11 - 8.74*m.x15
                         + 8.11*m.x17 + 8.53*m.x19 + 7.36*m.x20 + 4.7*m.x21 + 1.29*m.x25 + 6.03*m.x27 + 7.03*m.x28
                         + 4.21*m.x30 + 1.13*m.x31 + 1.43*m.x33 + 5.29*m.x34 + 6.65*m.x35 + 1.47*m.x36 == 119.682)

m.c20 = Constraint(expr=   9.26*m.x1 + 3.36*m.x2 - 0.51*m.x12 + 7.99*m.x13 - 9.6*m.x14 + 5.15*m.x15 + 2.48*m.x18
                         + 9.87*m.x20 + 0.11*m.x23 + 4.93*m.x24 + 2.28*m.x25 + 3.81*m.x27 + 6.28*m.x28 + 7.78*m.x31
                         + 6.7*m.x34 + 5.81*m.x35 + 2.63*m.x36 + 1.55*m.x38 + 5.76*m.x39 + 3.84*m.x40 == 120.177)

m.c21 = Constraint(expr=   6.21*m.x1 + 0.12*m.x2 + 2.98*m.x3 + 9.69*m.x4 + 0.49*m.x5 + 4.85*m.x6 + 4.9*m.x7 + 6.4*m.x8
                         + 2.17*m.x9 + 8.62*m.x10 + 6.27*m.x11 + 5.57*m.x12 + 7.96*m.x13 + 2.42*m.x14 + 9.4*m.x15
                         + 9.69*m.x16 + 5*m.x17 + 3.28*m.x18 + 3.74*m.x19 + 7.95*m.x20 + 3.35*m.x21 + 7.19*m.x22
                         + 1.54*m.x23 + 7.25*m.x24 + 4.8*m.x25 + 8.13*m.x26 + 9.78*m.x27 + 9.39*m.x28 + 7.9*m.x29
                         + 3.47*m.x30 + 8.28*m.x31 + 4.57*m.x32 + 9.27*m.x33 + 5.57*m.x34 + 4.17*m.x35 + 1.13*m.x36
                         + 1.1*m.x37 + 9.59*m.x38 + 2.56*m.x39 - 1.49*m.x40 >= 325.468)

m.c22 = Constraint(expr=7.6*m.x1*m.x5 + 4.96*m.x1 + 1.86*m.x5 + 0.26*m.x1*m.x10 - 7.26*m.x10 + 1.16*m.x1*m.x11 + 1.76*
                        m.x11 - 8.94*m.x1*m.x12 + 1.58*m.x12 + 2.71*m.x1*m.x13 + 9.86*m.x13 + 7.91*m.x1*m.x16 + 2.51*
                        m.x16 + 8.34*m.x1*m.x17 + 7.91*m.x17 - 3.58*m.x1*m.x21 + 6.73*m.x21 + 1.01*m.x1*m.x25 + 3.75*
                        m.x25 + 9.6*m.x1*m.x28 + 0.69*m.x28 + 5.22*m.x1*m.x29 + 7.32*m.x29 + 0.76*m.x1*m.x33 + 0.47*
                        m.x33 - 4.59*m.x1*m.x34 - 9.98*m.x34 + 4.51*m.x1*m.x35 + 0.49*m.x35 + 7.98*m.x1*m.x36 + 4.62*
                        m.x36 + 7.84*m.x1*m.x37 + 0.96*m.x37 + 4.2*m.x2*m.x2 + 7.64*m.x2 + 2.43*m.x2*m.x3 - 3.38*m.x3 + 
                        0.74*m.x2*m.x4 + 4.4*m.x4 + 5.87*m.x2*m.x6 + 9.11*m.x6 - 6.84*m.x2*m.x7 + 4.64*m.x7 + 1.61*m.x2*
                        m.x8 + 3.4*m.x8 + 6.18*m.x2*m.x9 + 8.51*m.x9 + 5.68*m.x2*m.x10 + 9.49*m.x2*m.x11 + 2.83*m.x2*
                        m.x14 + 2.1*m.x14 - 2.47*m.x2*m.x17 + 10*m.x2*m.x19 + 2.84*m.x19 - 9.19*m.x2*m.x21 + 9.81*m.x2*
                        m.x22 + 6.39*m.x22 + 6.45*m.x2*m.x23 + 7.14*m.x23 + 2.02*m.x2*m.x24 + 9.08*m.x24 + 9.3*m.x2*
                        m.x25 + 5.74*m.x2*m.x27 + 0.56*m.x27 + 3.04*m.x2*m.x28 + 0.07*m.x2*m.x29 + 2.07*m.x2*m.x31 + 
                        5.74*m.x31 + 6.21*m.x2*m.x35 + 0.87*m.x2*m.x36 + 8.61*m.x2*m.x38 + 6.46*m.x38 + 7.4*m.x3*m.x4 + 
                        8.23*m.x3*m.x5 + 4.26*m.x3*m.x7 + 5.45*m.x3*m.x8 + 7.91*m.x3*m.x9 + 5.67*m.x3*m.x10 + 1.3*m.x3*
                        m.x12 + 5.25*m.x3*m.x14 + 0.17*m.x3*m.x15 + 3.31*m.x15 + 0.76*m.x3*m.x19 + 8.34*m.x3*m.x21 + 9.2
                        *m.x3*m.x22 + 2.33*m.x3*m.x26 + 2.69*m.x26 + 2.05*m.x3*m.x27 + 0.62*m.x3*m.x30 + 8.82*m.x30 + 
                        1.06*m.x3*m.x32 + 2.7*m.x32 + 7.83*m.x3*m.x34 - 8.42*m.x3*m.x38 + 9.17*m.x4*m.x5 - 9.31*m.x4*
                        m.x6 + 5.46*m.x4*m.x7 + 9.48*m.x4*m.x8 + 4*m.x4*m.x10 + 5.72*m.x4*m.x14 + 5.67*m.x4*m.x16 + 2.16
                        *m.x4*m.x17 + 3.51*m.x4*m.x20 + 7.5*m.x20 + 9.98*m.x4*m.x21 + 3.11*m.x4*m.x22 + 3.57*m.x4*m.x23
                         + 0.15*m.x4*m.x24 + 0.75*m.x4*m.x26 + 5.38*m.x4*m.x28 + 0.07*m.x4*m.x32 - 2.33*m.x4*m.x35 + 
                        2.84*m.x4*m.x37 + 8.11*m.x4*m.x40 + 3.55*m.x40 + 2.69*m.x5*m.x7 + 2.58*m.x5*m.x9 + 0.71*m.x5*
                        m.x10 + 6.21*m.x5*m.x11 + 8.64*m.x5*m.x13 + 1.97*m.x5*m.x14 + 8.2*m.x5*m.x15 + 1.47*m.x5*m.x17
                         + 9.23*m.x5*m.x26 + 0.8*m.x5*m.x31 + 4.49*m.x5*m.x32 - 6.27*m.x5*m.x33 + 3.94*m.x5*m.x34 + 5.45
                        *m.x5*m.x36 + 6.33*m.x5*m.x37 + 3.7*m.x5*m.x38 + 0.81*m.x6*m.x7 + 1.63*m.x6*m.x11 + 6.54*m.x6*
                        m.x12 + 3.77*m.x6*m.x13 + 2.97*m.x6*m.x18 + 9.47*m.x18 + 3.7*m.x6*m.x21 + 8.69*m.x6*m.x22 + 6.02
                        *m.x6*m.x23 + 1.57*m.x6*m.x28 + 0.42*m.x6*m.x29 + 8.13*m.x6*m.x32 + 8.25*m.x6*m.x34 + 4.83*m.x6*
                        m.x36 + 6.8*m.x6*m.x40 + 9.18*m.x7*m.x10 + 1.62*m.x7*m.x12 + 3.41*m.x7*m.x18 - 2.3*m.x7*m.x19 + 
                        8.61*m.x7*m.x20 + 1.88*m.x7*m.x23 + 2.01*m.x7*m.x24 + 5.24*m.x7*m.x33 + 5.38*m.x7*m.x34 + 6.93*
                        m.x7*m.x36 + 7.21*m.x7*m.x37 + 3.45*m.x7*m.x38 + 6.61*m.x7*m.x39 + 0.99*m.x39 + 0.64*m.x8*m.x8
                         + 1.61*m.x8*m.x9 + 1.19*m.x8*m.x10 + 9.82*m.x8*m.x13 + 2.84*m.x8*m.x15 + 4.13*m.x8*m.x17 + 2.32
                        *m.x8*m.x18 + 1.37*m.x8*m.x21 - 5.64*m.x8*m.x27 - 6.64*m.x8*m.x28 + 9.71*m.x8*m.x29 + 1.22*m.x8*
                        m.x31 + 5.95*m.x8*m.x34 + 6.81*m.x8*m.x36 + 0.9*m.x8*m.x37 + 3.91*m.x8*m.x39 + 4.31*m.x9*m.x10
                         + 7.21*m.x9*m.x13 + 0.03*m.x9*m.x17 + 5.75*m.x9*m.x22 + 9.87*m.x9*m.x23 + 0.66*m.x9*m.x24 + 
                        5.97*m.x9*m.x29 + 8.34*m.x9*m.x32 + 1.71*m.x9*m.x33 + 1.83*m.x9*m.x34 + 6.77*m.x9*m.x35 + 8.26*
                        m.x9*m.x36 + 6.39*m.x9*m.x38 + 5.09*m.x9*m.x40 + 0.32*m.x10*m.x11 + 3.08*m.x10*m.x14 + 1.72*
                        m.x10*m.x16 + 8.63*m.x10*m.x20 + 1.25*m.x10*m.x21 + 3.55*m.x10*m.x24 + 6.8*m.x10*m.x26 - 4.77*
                        m.x10*m.x28 + 4.07*m.x10*m.x29 + 2.1*m.x10*m.x30 + 8.33*m.x10*m.x34 + 6.61*m.x10*m.x39 + 2.66*
                        m.x10*m.x40 + 7.59*m.x11*m.x11 - 3.11*m.x11*m.x16 + 0.86*m.x11*m.x17 + 5.84*m.x11*m.x19 + 6.22*
                        m.x11*m.x20 + 6.86*m.x11*m.x21 + 6.92*m.x11*m.x23 - 9.37*m.x11*m.x24 - 8.83*m.x11*m.x25 + 9.28*
                        m.x11*m.x26 + 2.28*m.x11*m.x28 + 4.05*m.x11*m.x29 + 4.3*m.x11*m.x30 + 5.27*m.x11*m.x33 + 4.07*
                        m.x11*m.x34 + 0.17*m.x11*m.x35 + 9.37*m.x11*m.x36 + 2.53*m.x11*m.x37 + 6.95*m.x11*m.x38 + 8.15*
                        m.x11*m.x40 + 4.53*m.x12*m.x13 + 5.32*m.x12*m.x14 + 7.21*m.x12*m.x15 + 5.48*m.x12*m.x18 - 6.28*
                        m.x12*m.x20 + 4.51*m.x12*m.x21 + 3.07*m.x12*m.x22 + 9.87*m.x12*m.x23 + 5.64*m.x12*m.x24 + 3.89*
                        m.x12*m.x25 - 1.35*m.x12*m.x26 + 8.66*m.x12*m.x28 - 2.82*m.x12*m.x29 + 2.64*m.x12*m.x30 + 0.3*
                        m.x12*m.x31 + 4.48*m.x12*m.x33 + 8.22*m.x12*m.x35 + 4.21*m.x12*m.x38 + 8.67*m.x12*m.x40 + 7.21*
                        m.x13*m.x13 - 9.67*m.x13*m.x20 + 1.28*m.x13*m.x23 + 1.09*m.x13*m.x24 + 2.05*m.x13*m.x25 + 5.89*
                        m.x13*m.x26 + 7.1*m.x13*m.x27 + 9.68*m.x13*m.x31 - 4.05*m.x13*m.x32 + 6.22*m.x13*m.x33 + 3.01*
                        m.x13*m.x34 + 1.87*m.x13*m.x36 + 8.66*m.x13*m.x38 + 6.6*m.x13*m.x39 + 2.23*m.x13*m.x40 + 4.55*
                        m.x14*m.x14 + 8.75*m.x14*m.x15 + 1.8*m.x14*m.x17 + 9.9*m.x14*m.x19 + 4.35*m.x14*m.x21 + 7.7*
                        m.x14*m.x23 + 3.88*m.x14*m.x24 - 9.38*m.x14*m.x25 + 4.32*m.x14*m.x26 + 8.82*m.x14*m.x27 + 6.93*
                        m.x14*m.x28 + 4.74*m.x14*m.x29 + 6.72*m.x14*m.x31 + 1.06*m.x14*m.x32 + 8.04*m.x14*m.x35 + 9.64*
                        m.x14*m.x38 - 2.16*m.x14*m.x40 + 0.89*m.x15*m.x15 + 4.55*m.x15*m.x16 + 2.29*m.x15*m.x19 + 4.93*
                        m.x15*m.x20 + 0.45*m.x15*m.x21 + 7.5*m.x15*m.x23 + 6.75*m.x15*m.x26 + 4.61*m.x15*m.x30 + 2.02*
                        m.x15*m.x32 + 1.34*m.x15*m.x33 + 0.52*m.x15*m.x34 - 3.93*m.x15*m.x37 + 8.61*m.x15*m.x40 + 9.96*
                        m.x16*m.x16 + 8.27*m.x16*m.x17 + 2.86*m.x16*m.x20 + 0.93*m.x16*m.x21 + 8.87*m.x16*m.x22 + 1.89*
                        m.x16*m.x23 + 8.95*m.x16*m.x24 - 0.54*m.x16*m.x26 + 3.7*m.x16*m.x28 - 6.84*m.x16*m.x29 - 3.96*
                        m.x16*m.x31 + 9.26*m.x16*m.x33 + 4.93*m.x16*m.x35 + 4.58*m.x16*m.x38 + 6.69*m.x16*m.x40 + 4.81*
                        m.x17*m.x21 + 8.84*m.x17*m.x23 + 1.48*m.x17*m.x24 + 2.1*m.x17*m.x26 + 2.78*m.x17*m.x27 + 4.75*
                        m.x17*m.x28 + 3.74*m.x17*m.x30 + 6.62*m.x17*m.x31 + 4.74*m.x17*m.x32 + 8.52*m.x17*m.x33 + 8.79*
                        m.x18*m.x24 + 9.83*m.x18*m.x27 + 2.7*m.x18*m.x28 + 2.24*m.x18*m.x31 + 2.73*m.x18*m.x32 + 2.22*
                        m.x18*m.x33 + 9.72*m.x18*m.x34 + 0.23*m.x18*m.x36 + 4.22*m.x18*m.x39 + 9.35*m.x18*m.x40 + 6.88*
                        m.x19*m.x20 - 1.26*m.x19*m.x21 + 4.41*m.x19*m.x23 + 2.2*m.x19*m.x24 + 6.4*m.x19*m.x26 + 7.02*
                        m.x19*m.x27 - 3.32*m.x19*m.x28 + 3.74*m.x19*m.x29 + 1.08*m.x19*m.x33 + 6.85*m.x19*m.x35 + 2.34*
                        m.x19*m.x40 + 1.81*m.x20*m.x22 + 9.97*m.x20*m.x25 + 8.74*m.x20*m.x26 + 3*m.x20*m.x32 + 8.19*
                        m.x20*m.x34 + 0.25*m.x20*m.x35 + 6.52*m.x20*m.x38 + 2.06*m.x21*m.x21 + 4.01*m.x21*m.x23 - 5.41*
                        m.x21*m.x25 + 3.34*m.x21*m.x27 + 2.74*m.x21*m.x28 + 1.29*m.x21*m.x31 - 9.7*m.x21*m.x33 - 1.44*
                        m.x21*m.x36 + 2.33*m.x21*m.x38 + 0.81*m.x21*m.x39 + 8.74*m.x21*m.x40 + 8.06*m.x22*m.x22 + 5.89*
                        m.x22*m.x23 + 6.23*m.x22*m.x24 + 6.46*m.x22*m.x26 + 7.73*m.x22*m.x30 + 6.38*m.x22*m.x33 + 4.44*
                        m.x22*m.x35 + 8.25*m.x22*m.x36 + 0.71*m.x22*m.x37 - 0.89*m.x22*m.x38 + 2.12*m.x22*m.x40 + 0.42*
                        m.x23*m.x23 + 7.71*m.x23*m.x24 + 3.18*m.x23*m.x25 + 8.64*m.x23*m.x26 + 5.78*m.x23*m.x27 - 0.91*
                        m.x23*m.x33 + 2.52*m.x23*m.x37 + 5.15*m.x23*m.x39 + 5.65*m.x23*m.x40 + 1.14*m.x24*m.x25 + 8.66*
                        m.x24*m.x26 - 9.92*m.x24*m.x27 + 7.95*m.x24*m.x29 + 1.37*m.x24*m.x30 + 3.18*m.x24*m.x32 + 9.94*
                        m.x24*m.x33 + 1.64*m.x24*m.x36 - 6.46*m.x24*m.x37 + 6.97*m.x25*m.x25 - 8.79*m.x25*m.x26 + 7.41*
                        m.x25*m.x29 - 9.1*m.x25*m.x30 + 4.08*m.x25*m.x32 + 0.7*m.x25*m.x33 + 4.53*m.x25*m.x34 + 2.06*
                        m.x25*m.x35 + 1.73*m.x25*m.x37 + 0.98*m.x25*m.x40 + 4.09*m.x26*m.x29 + 6.67*m.x26*m.x31 + 6.58*
                        m.x26*m.x33 + 2.54*m.x26*m.x34 + 8.36*m.x26*m.x36 + 7.53*m.x26*m.x39 + 7.3*m.x27*m.x27 - 8.78*
                        m.x27*m.x29 + 6.48*m.x27*m.x31 + 3.49*m.x27*m.x34 + 3.34*m.x27*m.x35 + 2.69*m.x27*m.x38 + 6.36*
                        m.x27*m.x39 - 4.88*m.x27*m.x40 + 9.99*m.x28*m.x29 + 2.19*m.x28*m.x30 + 2.84*m.x28*m.x33 + 7*
                        m.x28*m.x34 + 9.64*m.x28*m.x39 + 1.75*m.x28*m.x40 + 2.13*m.x29*m.x32 - 9.83*m.x29*m.x34 + 9.34*
                        m.x29*m.x36 + 0.23*m.x29*m.x37 + 2.45*m.x29*m.x38 - 3.99*m.x29*m.x39 - 4.6*m.x29*m.x40 + 4.98*
                        m.x30*m.x32 + 0.96*m.x30*m.x33 + 3.02*m.x30*m.x37 + 9.38*m.x30*m.x39 + 2.18*m.x31*m.x33 + 6.9*
                        m.x31*m.x36 + 1.81*m.x31*m.x40 + 2.45*m.x32*m.x33 + 3.48*m.x32*m.x34 + 1.04*m.x32*m.x35 + 1.32*
                        m.x32*m.x36 + 9.85*m.x32*m.x38 + 8.81*m.x32*m.x39 + 1.31*m.x33*m.x36 + 9.61*m.x33*m.x38 - 3.75*
                        m.x33*m.x40 + 5.5*m.x34*m.x34 + 4.73*m.x34*m.x36 + 9*m.x34*m.x37 - 7.45*m.x34*m.x38 + 3.64*m.x34
                        *m.x39 - 5.57*m.x35*m.x36 + 9.62*m.x35*m.x37 + 6.68*m.x35*m.x38 - 7.68*m.x35*m.x39 - 9.78*m.x36*
                        m.x38 + 9.05*m.x37*m.x38 + 7.12*m.x37*m.x39 + 4.23*m.x38*m.x38 + 5.62*m.x38*m.x39 + 8.38*m.x39*
                        m.x39 + 8.24*m.x39*m.x40 - 6.26*m.x40*m.x40 >= 4992.869)

m.c23 = Constraint(expr=   0.61*m.x1 - 4.38*m.x2 + 3.27*m.x3 + 3.35*m.x4 + 4.68*m.x5 + 8.01*m.x6 + 5.55*m.x7 + 8.38*m.x8
                         + 9.57*m.x9 + 9.11*m.x10 - 1.02*m.x11 - 0.3*m.x12 + 4.5*m.x13 - 7.42*m.x14 + 7.06*m.x15
                         + 3.3*m.x16 + 8.13*m.x17 - 9.79*m.x18 + 7.48*m.x19 + 2.12*m.x20 + 6.63*m.x21 + 3.62*m.x22
                         + 3.84*m.x23 + 3.67*m.x24 + 8.2*m.x25 + 6.66*m.x26 + 2.98*m.x27 + 4.86*m.x28 + 3.65*m.x29
                         + 2.91*m.x30 + 0.8*m.x31 + 6.75*m.x32 + 3.35*m.x33 + 4.91*m.x34 + 2.31*m.x35 + 4.83*m.x36
                         + 0.4*m.x37 - 2.16*m.x38 + 7.92*m.x39 + 5.7*m.x40 >= 218.215)

m.c24 = Constraint(expr=4.46*m.x1*m.x5 + 0.04*m.x1 + 5.3*m.x5 + 1.4*m.x1*m.x10 - 8.5*m.x10 + 5.96*m.x1*m.x11 + 1.51*
                        m.x11 - 6.45*m.x1*m.x12 + 0.44*m.x12 + 0.71*m.x1*m.x13 + 1.52*m.x13 + 8.36*m.x1*m.x16 + 0.68*
                        m.x16 + 1.77*m.x1*m.x17 + 6.01*m.x17 + 4.68*m.x1*m.x21 + 8.27*m.x21 + 6.83*m.x1*m.x25 - 4.03*
                        m.x25 + 2.09*m.x1*m.x28 + 1.96*m.x28 + 4.64*m.x1*m.x29 + 2.07*m.x29 + 7.36*m.x1*m.x33 + 3.59*
                        m.x33 + 6.23*m.x1*m.x34 - 1.75*m.x34 + 9.97*m.x1*m.x35 - 4.92*m.x35 + 0.89*m.x1*m.x36 + 9.01*
                        m.x36 + 9.21*m.x1*m.x37 + 7.94*m.x37 + 2.53*m.x2*m.x2 + 5.91*m.x2 + 3.53*m.x2*m.x3 + 5.99*m.x3
                         + 6.56*m.x2*m.x4 + 9.84*m.x4 + 5.06*m.x2*m.x6 + 0.08*m.x6 + 2.66*m.x2*m.x7 + 1.57*m.x7 + 6.93*
                        m.x2*m.x8 + 0.79*m.x8 + 3.72*m.x2*m.x9 + 8.92*m.x9 + 6.44*m.x2*m.x10 + 6.32*m.x2*m.x11 + 1.64*
                        m.x2*m.x14 + 8.41*m.x14 + 3*m.x2*m.x17 + 4.4*m.x2*m.x19 + 4.6*m.x19 + 1.66*m.x2*m.x21 - 7.48*
                        m.x2*m.x22 + 3.22*m.x22 + 2.39*m.x2*m.x23 + 3.08*m.x23 + 8.68*m.x2*m.x24 + 3.66*m.x24 + 7.12*
                        m.x2*m.x25 + 9.77*m.x2*m.x27 + 0.43*m.x27 + 2.25*m.x2*m.x28 + 2.98*m.x2*m.x29 + 9.69*m.x2*m.x31
                         + 6.63*m.x31 + 2.89*m.x2*m.x35 + 6.63*m.x2*m.x36 + 6.62*m.x2*m.x38 + 5.71*m.x38 + 9.25*m.x3*
                        m.x4 + 9.95*m.x3*m.x5 + 0.8*m.x3*m.x7 + 2.38*m.x3*m.x8 - 9.27*m.x3*m.x9 - 8.79*m.x3*m.x10 + 5.02
                        *m.x3*m.x12 + 0.59*m.x3*m.x14 + 3.7*m.x3*m.x15 + 5.69*m.x15 + 4.18*m.x3*m.x19 + 4.62*m.x3*m.x21
                         + 9.47*m.x3*m.x22 + 0.16*m.x3*m.x26 - 8.37*m.x26 + 6.33*m.x3*m.x27 + 6.24*m.x3*m.x30 + 6.17*
                        m.x30 + 1.77*m.x3*m.x32 + 8.9*m.x32 + 9.35*m.x3*m.x34 + 5.61*m.x3*m.x38 + 0.4*m.x4*m.x5 + 7.59*
                        m.x4*m.x6 + 0.69*m.x4*m.x7 + 3.51*m.x4*m.x8 + 0.3*m.x4*m.x10 + 3.49*m.x4*m.x14 - 4.27*m.x4*m.x16
                         - 9.88*m.x4*m.x17 - 6.82*m.x4*m.x20 - 1.21*m.x20 + 7.85*m.x4*m.x21 + 8.96*m.x4*m.x22 + 6.39*
                        m.x4*m.x23 + 9.83*m.x4*m.x24 + 2.46*m.x4*m.x26 + 6.91*m.x4*m.x28 + 6.28*m.x4*m.x32 - 5.74*m.x4*
                        m.x35 + 0.37*m.x4*m.x37 + 4.12*m.x4*m.x40 + 7.68*m.x40 + 0.32*m.x5*m.x7 + 1.29*m.x5*m.x9 + 0.01*
                        m.x5*m.x10 + 7.41*m.x5*m.x11 + 9.06*m.x5*m.x13 + 3.54*m.x5*m.x14 + 5.51*m.x5*m.x15 + 7.57*m.x5*
                        m.x17 + 1.26*m.x5*m.x26 + 6.24*m.x5*m.x31 + 3.35*m.x5*m.x32 + 8.79*m.x5*m.x33 + 8.67*m.x5*m.x34
                         + 2.3*m.x5*m.x36 + 5.15*m.x5*m.x37 + 4.29*m.x5*m.x38 + 6.96*m.x6*m.x7 + 2.61*m.x6*m.x11 - 6.82*
                        m.x6*m.x12 - 8.25*m.x6*m.x13 + 2.99*m.x6*m.x18 - 0.16*m.x18 + 1.08*m.x6*m.x21 + 3.9*m.x6*m.x22
                         + 4.01*m.x6*m.x23 + 8.24*m.x6*m.x28 + 5.9*m.x6*m.x29 + 3.15*m.x6*m.x32 + 8.41*m.x6*m.x34 + 8.58
                        *m.x6*m.x36 + 7.14*m.x6*m.x40 + 0.4*m.x7*m.x10 + 2.51*m.x7*m.x12 + 0.22*m.x7*m.x18 - 0.47*m.x7*
                        m.x19 + 4.68*m.x7*m.x20 - 8.51*m.x7*m.x23 + 1.96*m.x7*m.x24 + 7.25*m.x7*m.x33 + 8.53*m.x7*m.x34
                         + 2.87*m.x7*m.x36 + 3.63*m.x7*m.x37 + 0.78*m.x7*m.x38 + 4.64*m.x7*m.x39 + 0.58*m.x39 - 5.75*
                        m.x8*m.x8 + 0.84*m.x8*m.x9 + 8.87*m.x8*m.x10 + 8.67*m.x8*m.x13 + 6.67*m.x8*m.x15 + 5.97*m.x8*
                        m.x17 + 2.63*m.x8*m.x18 + 8.38*m.x8*m.x21 + 6.45*m.x8*m.x27 + 5.37*m.x8*m.x28 + 1.46*m.x8*m.x29
                         + 8.96*m.x8*m.x31 + 5.31*m.x8*m.x34 + 2.84*m.x8*m.x36 + 4.41*m.x8*m.x37 + 4.65*m.x8*m.x39 + 
                        7.36*m.x9*m.x10 + 9.38*m.x9*m.x13 + 7.68*m.x9*m.x17 - 6.56*m.x9*m.x22 + 1.2*m.x9*m.x23 + 9.13*
                        m.x9*m.x24 + 8.39*m.x9*m.x29 + 6.8*m.x9*m.x32 + 6.89*m.x9*m.x33 + 1.65*m.x9*m.x34 + 4.67*m.x9*
                        m.x35 + 8.85*m.x9*m.x36 + 9.05*m.x9*m.x38 + 0.32*m.x9*m.x40 + 1.9*m.x10*m.x11 + 4.09*m.x10*m.x14
                         + 6.35*m.x10*m.x16 - 7.15*m.x10*m.x20 + 5.29*m.x10*m.x21 + 4.73*m.x10*m.x24 + 7.1*m.x10*m.x26
                         + 3.69*m.x10*m.x28 + 8.64*m.x10*m.x29 + 2.88*m.x10*m.x30 + 1.21*m.x10*m.x34 + 8.3*m.x10*m.x39
                         + 9.39*m.x10*m.x40 + 5.87*m.x11*m.x11 - 8.36*m.x11*m.x16 + 9.59*m.x11*m.x17 + 9.91*m.x11*m.x19
                         + 7.92*m.x11*m.x20 + 2.38*m.x11*m.x21 + 6.19*m.x11*m.x23 + 5.02*m.x11*m.x24 + 7.92*m.x11*m.x25
                         + 1.92*m.x11*m.x26 + 2.69*m.x11*m.x28 + 5.83*m.x11*m.x29 + 3.59*m.x11*m.x30 + 7.39*m.x11*m.x33
                         + 1.88*m.x11*m.x34 + 9.72*m.x11*m.x35 + 1.8*m.x11*m.x36 + 4.1*m.x11*m.x37 + 3.23*m.x11*m.x38 + 
                        6.66*m.x11*m.x40 + 5.16*m.x12*m.x13 + 1.69*m.x12*m.x14 + 7.61*m.x12*m.x15 + 1.74*m.x12*m.x18 - 
                        4.92*m.x12*m.x20 + 9.79*m.x12*m.x21 + 8.26*m.x12*m.x22 - 3.96*m.x12*m.x23 + 0.01*m.x12*m.x24 + 
                        9.91*m.x12*m.x25 + 8.04*m.x12*m.x26 + 1.3*m.x12*m.x28 - 2.45*m.x12*m.x29 + 3.66*m.x12*m.x30 + 
                        2.89*m.x12*m.x31 + 1.94*m.x12*m.x33 + 8.91*m.x12*m.x35 + 7.08*m.x12*m.x38 + 1.55*m.x12*m.x40 + 
                        1.86*m.x13*m.x13 + 8.58*m.x13*m.x20 + 1.4*m.x13*m.x23 + 1.55*m.x13*m.x24 + 8.61*m.x13*m.x25 + 
                        7.25*m.x13*m.x26 + 9.88*m.x13*m.x27 + 1.45*m.x13*m.x31 + 1.34*m.x13*m.x32 + 7.72*m.x13*m.x33 + 
                        m.x13*m.x34 - 9.26*m.x13*m.x36 + 7.1*m.x13*m.x38 + 6.32*m.x13*m.x39 + 7.9*m.x13*m.x40 + 7.24*
                        m.x14*m.x14 + 3.38*m.x14*m.x15 + 5.81*m.x14*m.x17 + 3.99*m.x14*m.x19 + 2.82*m.x14*m.x21 + 6.89*
                        m.x14*m.x23 + 4.5*m.x14*m.x24 + 4.91*m.x14*m.x25 + 5.86*m.x14*m.x26 + 8.61*m.x14*m.x27 + 1.54*
                        m.x14*m.x28 + 6.67*m.x14*m.x29 + 2.12*m.x14*m.x31 + 5.05*m.x14*m.x32 + 8.59*m.x14*m.x35 + 0.07*
                        m.x14*m.x38 + 2.96*m.x14*m.x40 + 5.86*m.x15*m.x15 + 7.6*m.x15*m.x16 + 1.38*m.x15*m.x19 - 1.35*
                        m.x15*m.x20 + 7.51*m.x15*m.x21 + 4.99*m.x15*m.x23 + 9.22*m.x15*m.x26 + 4.1*m.x15*m.x30 + 3.44*
                        m.x15*m.x32 + 1.94*m.x15*m.x33 + 7.75*m.x15*m.x34 + 0.29*m.x15*m.x37 + 0.28*m.x15*m.x40 + m.x16*
                        m.x16 + 6.09*m.x16*m.x17 + 6.06*m.x16*m.x20 + 0.4*m.x16*m.x21 + 8.99*m.x16*m.x22 + 3.94*m.x16*
                        m.x23 + 5.52*m.x16*m.x24 + 0.72*m.x16*m.x26 + 6.04*m.x16*m.x28 + 3.57*m.x16*m.x29 + 8.04*m.x16*
                        m.x31 + 7.74*m.x16*m.x33 + 0.97*m.x16*m.x35 + 7.9*m.x16*m.x38 + 1.68*m.x16*m.x40 + 8.81*m.x17*
                        m.x21 + 2.9*m.x17*m.x23 + 4.98*m.x17*m.x24 + 2.94*m.x17*m.x26 - 9.69*m.x17*m.x27 + 9.08*m.x17*
                        m.x28 + 8.61*m.x17*m.x30 - 2.74*m.x17*m.x31 + 8.35*m.x17*m.x32 + 9.02*m.x17*m.x33 - 5.28*m.x18*
                        m.x24 + 8.61*m.x18*m.x27 + 4.96*m.x18*m.x28 + 4.79*m.x18*m.x31 + 7.33*m.x18*m.x32 + 3.23*m.x18*
                        m.x33 + 8.24*m.x18*m.x34 + 7.69*m.x18*m.x36 + 2.36*m.x18*m.x39 + 9.09*m.x18*m.x40 + 7.97*m.x19*
                        m.x20 + 1.04*m.x19*m.x21 - 8.88*m.x19*m.x23 + 9.5*m.x19*m.x24 + 3.76*m.x19*m.x26 + 9.35*m.x19*
                        m.x27 - 8.25*m.x19*m.x28 + 5.83*m.x19*m.x29 - 0.12*m.x19*m.x33 + 3.58*m.x19*m.x35 + 2.83*m.x19*
                        m.x40 + 0.97*m.x20*m.x22 + 7.75*m.x20*m.x25 + 2.81*m.x20*m.x26 - 0.4*m.x20*m.x32 + 9.02*m.x20*
                        m.x34 + 1.04*m.x20*m.x35 + 2.1*m.x20*m.x38 + 4.82*m.x21*m.x21 - 1.35*m.x21*m.x23 + 1.91*m.x21*
                        m.x25 + 6.53*m.x21*m.x27 + 2.92*m.x21*m.x28 + 8.76*m.x21*m.x31 + 9.82*m.x21*m.x33 + 1.6*m.x21*
                        m.x36 + 7.74*m.x21*m.x38 + 9.97*m.x21*m.x39 + 8.05*m.x21*m.x40 + 9.82*m.x22*m.x22 + 7.84*m.x22*
                        m.x23 + 6.35*m.x22*m.x24 + 6.27*m.x22*m.x26 + 3.55*m.x22*m.x30 + 3.04*m.x22*m.x33 + 2.91*m.x22*
                        m.x35 + 9.3*m.x22*m.x36 + 4.12*m.x22*m.x37 + 6.32*m.x22*m.x38 + 5.52*m.x22*m.x40 + 2.19*m.x23*
                        m.x23 + 7.18*m.x23*m.x24 - 1.95*m.x23*m.x25 + 4.37*m.x23*m.x26 + 1.43*m.x23*m.x27 + 4.28*m.x23*
                        m.x33 + 9.96*m.x23*m.x37 + 3.72*m.x23*m.x39 + 2.58*m.x23*m.x40 - 0.74*m.x24*m.x25 + 6.74*m.x24*
                        m.x26 - 7.85*m.x24*m.x27 + 4.01*m.x24*m.x29 + 9.74*m.x24*m.x30 + 2.01*m.x24*m.x32 + 3.31*m.x24*
                        m.x33 + 6.94*m.x24*m.x36 + 2.71*m.x24*m.x37 + 1.95*m.x25*m.x25 + 7.39*m.x25*m.x26 + 1.74*m.x25*
                        m.x29 - 5.85*m.x25*m.x30 + 8.63*m.x25*m.x32 + 2.86*m.x25*m.x33 + 0.47*m.x25*m.x34 + 3.08*m.x25*
                        m.x35 + 5.67*m.x25*m.x37 + 8.9*m.x25*m.x40 + 5.66*m.x26*m.x29 + 5.07*m.x26*m.x31 + 0.14*m.x26*
                        m.x33 + 8.37*m.x26*m.x34 + 5.35*m.x26*m.x36 + 4.62*m.x26*m.x39 + 0.76*m.x27*m.x27 - 1.3*m.x27*
                        m.x29 + 4.4*m.x27*m.x31 + 8.25*m.x27*m.x34 + 2.27*m.x27*m.x35 + 4.55*m.x27*m.x38 - 1.99*m.x27*
                        m.x39 + 4.07*m.x27*m.x40 + 6.12*m.x28*m.x29 + 7.86*m.x28*m.x30 + 5.44*m.x28*m.x33 + 5.86*m.x28*
                        m.x34 - 7.4*m.x28*m.x39 + 6.03*m.x28*m.x40 + 0.25*m.x29*m.x32 + 3.44*m.x29*m.x34 + 7.96*m.x29*
                        m.x36 + 7.41*m.x29*m.x37 + 6.37*m.x29*m.x38 + 9.25*m.x29*m.x39 + 5.85*m.x29*m.x40 + 8.64*m.x30*
                        m.x32 + 0.75*m.x30*m.x33 + 1.24*m.x30*m.x37 + 0.99*m.x30*m.x39 + 5.6*m.x31*m.x33 + 6.12*m.x31*
                        m.x36 + 1.91*m.x31*m.x40 + 7.07*m.x32*m.x33 + 0.65*m.x32*m.x34 + 6.05*m.x32*m.x35 + 3.73*m.x32*
                        m.x36 + 9.72*m.x32*m.x38 - 6.13*m.x32*m.x39 + 6.21*m.x33*m.x36 + 0.69*m.x33*m.x38 + 0.93*m.x33*
                        m.x40 + 4.03*m.x34*m.x34 + 1.93*m.x34*m.x36 + 6.19*m.x34*m.x37 + 9.7*m.x34*m.x38 + 2.03*m.x34*
                        m.x39 + 2.01*m.x35*m.x36 + 7.09*m.x35*m.x37 + 8.97*m.x35*m.x38 + 5.68*m.x35*m.x39 + 8.68*m.x36*
                        m.x38 + 4.13*m.x37*m.x38 + 8.76*m.x37*m.x39 + 6.91*m.x38*m.x38 + 4*m.x38*m.x39 + 8.48*m.x39*
                        m.x39 + 5.62*m.x39*m.x40 + 8.71*m.x40*m.x40 >= 5657.355)

m.c25 = Constraint(expr= - 2.28*m.x1 + 4.59*m.x2 + 8.26*m.x3 + 6.16*m.x4 + 8.99*m.x5 + 9.34*m.x6 + 9.48*m.x7 + 3.63*m.x8
                         + 5.69*m.x9 + 7.34*m.x10 + 4.35*m.x11 + 8.26*m.x12 + 1.41*m.x13 + 2.56*m.x14 + 4.57*m.x15
                         - 9.69*m.x16 + 0.1*m.x17 + 6.17*m.x18 + 9.21*m.x19 + 6.02*m.x20 + 4.51*m.x21 + 0.64*m.x22
                         + 1.57*m.x23 + 6.05*m.x24 + 6.16*m.x25 + 0.12*m.x26 + 2.33*m.x27 + 7.78*m.x28 + 1.66*m.x29
                         + 6.98*m.x30 + 9.04*m.x31 + 3.08*m.x32 + 5.25*m.x33 + 4.72*m.x34 + 1.7*m.x35 - 8.72*m.x36
                         + 7.57*m.x37 + 7.07*m.x38 + 4.73*m.x39 + 3.58*m.x40 >= 267.636)

m.c26 = Constraint(expr=6.79*m.x1*m.x5 + 0.72*m.x1 + 9.55*m.x5 + 1.05*m.x1*m.x10 + 8.1*m.x10 + 7.99*m.x1*m.x11 + 1.4*
                        m.x11 + 0.99*m.x1*m.x12 + 0.45*m.x12 + 5.52*m.x1*m.x13 + 8.75*m.x13 - 8.53*m.x1*m.x16 + 5.9*
                        m.x16 + 4.31*m.x1*m.x17 - 1.6*m.x17 + 9*m.x1*m.x21 + 1.42*m.x21 + 8.94*m.x1*m.x25 - 4.82*m.x25
                         - 4.28*m.x1*m.x28 + 6.44*m.x28 + 4.75*m.x1*m.x29 + 0.16*m.x29 + 6.23*m.x1*m.x33 + 2.56*m.x33 + 
                        0.32*m.x1*m.x34 + 4.39*m.x34 - 0.63*m.x1*m.x35 - 7.51*m.x35 + 6.3*m.x1*m.x36 + 7.02*m.x36 + 9.84
                        *m.x1*m.x37 + 5.18*m.x37 + 1.17*m.x2*m.x2 + 3.28*m.x2 + 6.65*m.x2*m.x3 + 5.11*m.x3 + 9.07*m.x2*
                        m.x4 + 2.1*m.x4 + 7.46*m.x2*m.x6 + 9.81*m.x6 + 0.07*m.x2*m.x7 + 6.8*m.x7 + 7.24*m.x2*m.x8 - 4.04
                        *m.x8 - 8.21*m.x2*m.x9 + 9.16*m.x9 + 4.46*m.x2*m.x10 + 7.63*m.x2*m.x11 + 8.49*m.x2*m.x14 + 8.72*
                        m.x14 + 2.03*m.x2*m.x17 + 7.44*m.x2*m.x19 + 1.66*m.x19 + 7.86*m.x2*m.x21 + 9.27*m.x2*m.x22 + 
                        3.21*m.x22 + 6.47*m.x2*m.x23 - 2.23*m.x23 + 3.9*m.x2*m.x24 + 6.79*m.x24 - 5.66*m.x2*m.x25 + 9.12
                        *m.x2*m.x27 + 0.56*m.x27 + 5.74*m.x2*m.x28 + 8.27*m.x2*m.x29 + 0.63*m.x2*m.x31 + 5.19*m.x31 - 
                        2.29*m.x2*m.x35 + 9.19*m.x2*m.x36 + 4.11*m.x2*m.x38 + 3.39*m.x38 + 7.09*m.x3*m.x4 + 8.13*m.x3*
                        m.x5 - 4.57*m.x3*m.x7 + 2.6*m.x3*m.x8 + 0.41*m.x3*m.x9 + 7.71*m.x3*m.x10 + 7.37*m.x3*m.x12 + 
                        7.26*m.x3*m.x14 + 9.48*m.x3*m.x15 + 5.06*m.x15 + 6.62*m.x3*m.x19 + 6.48*m.x3*m.x21 + 4.91*m.x3*
                        m.x22 + 5.58*m.x3*m.x26 + 8.22*m.x26 + 4.1*m.x3*m.x27 + 6.16*m.x3*m.x30 + 9.8*m.x30 + 2.94*m.x3*
                        m.x32 + 1.77*m.x32 + 7.36*m.x3*m.x34 + 8.42*m.x3*m.x38 + 4.16*m.x4*m.x5 + 2.73*m.x4*m.x6 + 2.13*
                        m.x4*m.x7 + 8.41*m.x4*m.x8 + 6.15*m.x4*m.x10 + 9.44*m.x4*m.x14 + 3.45*m.x4*m.x16 + 1.38*m.x4*
                        m.x17 + 6.36*m.x4*m.x20 + 6.92*m.x20 + 7.93*m.x4*m.x21 + 4.88*m.x4*m.x22 + 7.19*m.x4*m.x23 + 
                        4.56*m.x4*m.x24 + 5.01*m.x4*m.x26 - 10*m.x4*m.x28 + 8.6*m.x4*m.x32 + 9.13*m.x4*m.x35 + 7.92*m.x4
                        *m.x37 + 8.75*m.x4*m.x40 + 4.6*m.x40 - 7.89*m.x5*m.x7 + 6.54*m.x5*m.x9 + 9.06*m.x5*m.x10 + 9.93*
                        m.x5*m.x11 + 9.69*m.x5*m.x13 + 7.02*m.x5*m.x14 + 6.95*m.x5*m.x15 + 0.01*m.x5*m.x17 - 0.09*m.x5*
                        m.x26 + 6.4*m.x5*m.x31 + 3.46*m.x5*m.x32 - 8.17*m.x5*m.x33 - 2.01*m.x5*m.x34 + 4.38*m.x5*m.x36
                         + 7.31*m.x5*m.x37 + 7.55*m.x5*m.x38 + 6.75*m.x6*m.x7 + 8.86*m.x6*m.x11 + 3.76*m.x6*m.x12 - 2.84
                        *m.x6*m.x13 + 1.91*m.x6*m.x18 + 1.72*m.x18 + 6.62*m.x6*m.x21 - 0.63*m.x6*m.x22 + 4.06*m.x6*m.x23
                         + 5.44*m.x6*m.x28 + 0.27*m.x6*m.x29 - 0.47*m.x6*m.x32 + 6.57*m.x6*m.x34 - 6.02*m.x6*m.x36 - 
                        1.39*m.x6*m.x40 + 9.09*m.x7*m.x10 + 7.38*m.x7*m.x12 + 9.63*m.x7*m.x18 + 9.94*m.x7*m.x19 + 0.27*
                        m.x7*m.x20 + 7.68*m.x7*m.x23 + 2.45*m.x7*m.x24 - 9.92*m.x7*m.x33 + 6.71*m.x7*m.x34 + 1.66*m.x7*
                        m.x36 + 9.92*m.x7*m.x37 - 1.31*m.x7*m.x38 + 7.3*m.x7*m.x39 + 6.23*m.x39 + 1.49*m.x8*m.x8 + 2.09*
                        m.x8*m.x9 + 8.19*m.x8*m.x10 + 0.55*m.x8*m.x13 + 8.66*m.x8*m.x15 + 5.26*m.x8*m.x17 + 3.22*m.x8*
                        m.x18 + 4.37*m.x8*m.x21 + 1.5*m.x8*m.x27 + 9.8*m.x8*m.x28 + 8.24*m.x8*m.x29 + 2*m.x8*m.x31 + 
                        8.99*m.x8*m.x34 + 4.26*m.x8*m.x36 + 1.2*m.x8*m.x37 + 4.26*m.x8*m.x39 + 0.74*m.x9*m.x10 + 5.72*
                        m.x9*m.x13 + 9.37*m.x9*m.x17 + 8.01*m.x9*m.x22 + 3.36*m.x9*m.x23 + 6.4*m.x9*m.x24 + 8.68*m.x9*
                        m.x29 + 0.91*m.x9*m.x32 + 2.92*m.x9*m.x33 + 6.49*m.x9*m.x34 + 9.43*m.x9*m.x35 + 2.35*m.x9*m.x36
                         + 3.82*m.x9*m.x38 + 3.28*m.x9*m.x40 + 8.23*m.x10*m.x11 + 0.72*m.x10*m.x14 + 3.74*m.x10*m.x16 + 
                        6.49*m.x10*m.x20 + 6.07*m.x10*m.x21 + 6.86*m.x10*m.x24 + 5.02*m.x10*m.x26 + 9.89*m.x10*m.x28 + 
                        2.85*m.x10*m.x29 + 3.79*m.x10*m.x30 + 2.12*m.x10*m.x34 + 9.13*m.x10*m.x39 + 7.95*m.x10*m.x40 + 
                        2.69*m.x11*m.x11 + 5.46*m.x11*m.x16 + 5.84*m.x11*m.x17 + 7.21*m.x11*m.x19 + 5.14*m.x11*m.x20 + 
                        1.44*m.x11*m.x21 + 8.04*m.x11*m.x23 + 6.03*m.x11*m.x24 + 1.56*m.x11*m.x25 + 8.73*m.x11*m.x26 + 
                        6.64*m.x11*m.x28 - 8.86*m.x11*m.x29 + 5.99*m.x11*m.x30 + 0.82*m.x11*m.x33 - 8.38*m.x11*m.x34 + 
                        4.79*m.x11*m.x35 + 7.01*m.x11*m.x36 + 4.79*m.x11*m.x37 + 4.89*m.x11*m.x38 + 9.53*m.x11*m.x40 + 5
                        *m.x12*m.x13 + 6.36*m.x12*m.x14 + 8.05*m.x12*m.x15 + 3.52*m.x12*m.x18 + 5.63*m.x12*m.x20 + 1.17*
                        m.x12*m.x21 + 1.6*m.x12*m.x22 + 6.36*m.x12*m.x23 + 9.54*m.x12*m.x24 + 2.35*m.x12*m.x25 + 8.97*
                        m.x12*m.x26 + 7.51*m.x12*m.x28 + 8.35*m.x12*m.x29 + 4.26*m.x12*m.x30 + 7.41*m.x12*m.x31 + 3.15*
                        m.x12*m.x33 + 6.89*m.x12*m.x35 + 2.58*m.x12*m.x38 + 8.3*m.x12*m.x40 + 9.38*m.x13*m.x13 + 1.65*
                        m.x13*m.x20 - 0.56*m.x13*m.x23 + 3.81*m.x13*m.x24 + 1.6*m.x13*m.x25 + 5.53*m.x13*m.x26 + 1.56*
                        m.x13*m.x27 - 9.7*m.x13*m.x31 + 0.24*m.x13*m.x32 + 8.83*m.x13*m.x33 + 7.88*m.x13*m.x34 + 4.45*
                        m.x13*m.x36 + 2.58*m.x13*m.x38 + 6.41*m.x13*m.x39 + 5.76*m.x13*m.x40 - 4.6*m.x14*m.x14 + 1.01*
                        m.x14*m.x15 + 1.25*m.x14*m.x17 + 6.67*m.x14*m.x19 + 6.35*m.x14*m.x21 + 7.37*m.x14*m.x23 + 4.13*
                        m.x14*m.x24 + 4.88*m.x14*m.x25 + 3.42*m.x14*m.x26 + 3.65*m.x14*m.x27 + 9.61*m.x14*m.x28 + 1.21*
                        m.x14*m.x29 + 1.15*m.x14*m.x31 + 8.9*m.x14*m.x32 + 8.27*m.x14*m.x35 + 3.1*m.x14*m.x38 + 6.84*
                        m.x14*m.x40 + 2.39*m.x15*m.x15 + 5.16*m.x15*m.x16 + 0.88*m.x15*m.x19 + 6.38*m.x15*m.x20 + 3.02*
                        m.x15*m.x21 + 4.56*m.x15*m.x23 - 0.31*m.x15*m.x26 + 7.05*m.x15*m.x30 + 5*m.x15*m.x32 + 0.95*
                        m.x15*m.x33 + 1.39*m.x15*m.x34 + 6.68*m.x15*m.x37 + 9.74*m.x15*m.x40 + 6.21*m.x16*m.x16 + 3.38*
                        m.x16*m.x17 + 8.97*m.x16*m.x20 + 4.04*m.x16*m.x21 + 3.13*m.x16*m.x22 + 6.08*m.x16*m.x23 + 5.1*
                        m.x16*m.x24 + 4.48*m.x16*m.x26 + 5.1*m.x16*m.x28 + 7.39*m.x16*m.x29 - 1.56*m.x16*m.x31 + 8.1*
                        m.x16*m.x33 + 2.14*m.x16*m.x35 + 7.11*m.x16*m.x38 + 4.29*m.x16*m.x40 + 9.32*m.x17*m.x21 + 3.06*
                        m.x17*m.x23 + 6.92*m.x17*m.x24 + 9*m.x17*m.x26 + 3.06*m.x17*m.x27 + 3.99*m.x17*m.x28 + 6.75*
                        m.x17*m.x30 + 7.79*m.x17*m.x31 + 4.23*m.x17*m.x32 + 3.1*m.x17*m.x33 + 7.25*m.x18*m.x24 + 1.99*
                        m.x18*m.x27 + 3.33*m.x18*m.x28 + 1.53*m.x18*m.x31 + 8.62*m.x18*m.x32 + 1.28*m.x18*m.x33 + 8.38*
                        m.x18*m.x34 + 0.68*m.x18*m.x36 + 5.63*m.x18*m.x39 + 8.99*m.x18*m.x40 + 3.1*m.x19*m.x20 + 5.64*
                        m.x19*m.x21 - 8.93*m.x19*m.x23 + 3.79*m.x19*m.x24 - 1.32*m.x19*m.x26 + 4.96*m.x19*m.x27 + 2.55*
                        m.x19*m.x28 + 7.46*m.x19*m.x29 + 7.61*m.x19*m.x33 + 6.55*m.x19*m.x35 + 7.74*m.x19*m.x40 + 9.02*
                        m.x20*m.x22 + 4.26*m.x20*m.x25 + 0.02*m.x20*m.x26 + 2.97*m.x20*m.x32 + 5.1*m.x20*m.x34 + 4.38*
                        m.x20*m.x35 + 5.04*m.x20*m.x38 + 0.22*m.x21*m.x21 + 6.51*m.x21*m.x23 - 1.34*m.x21*m.x25 + 6.15*
                        m.x21*m.x27 + 7.55*m.x21*m.x28 + 1.12*m.x21*m.x31 + 4.45*m.x21*m.x33 + 3.7*m.x21*m.x36 + 7.86*
                        m.x21*m.x38 + 2.95*m.x21*m.x39 + 0.85*m.x21*m.x40 + 1.08*m.x22*m.x22 + 3.95*m.x22*m.x23 + 7.5*
                        m.x22*m.x24 + 3.67*m.x22*m.x26 + 8.2*m.x22*m.x30 + 9.78*m.x22*m.x33 + 3.4*m.x22*m.x35 + 6.48*
                        m.x22*m.x36 - 1.22*m.x22*m.x37 + 8.04*m.x22*m.x38 + 0.21*m.x22*m.x40 + 3.91*m.x23*m.x23 + 8.52*
                        m.x23*m.x24 + 3.92*m.x23*m.x25 + 2.55*m.x23*m.x26 - 8.6*m.x23*m.x27 + 2.93*m.x23*m.x33 + 5.16*
                        m.x23*m.x37 + 0.47*m.x23*m.x39 + 4.33*m.x23*m.x40 + 0.2*m.x24*m.x25 + 8.34*m.x24*m.x26 + 5.99*
                        m.x24*m.x27 + 5.47*m.x24*m.x29 + 3.75*m.x24*m.x30 + 1.39*m.x24*m.x32 + 6.01*m.x24*m.x33 + 2.62*
                        m.x24*m.x36 + 5.61*m.x24*m.x37 + 2.43*m.x25*m.x25 + 1.4*m.x25*m.x26 + 4.52*m.x25*m.x29 + 3.68*
                        m.x25*m.x30 + 4.76*m.x25*m.x32 + 2.32*m.x25*m.x33 + 6.25*m.x25*m.x34 + 5.19*m.x25*m.x35 + 8.18*
                        m.x25*m.x37 + 9.87*m.x25*m.x40 + 3.6*m.x26*m.x29 + 6.41*m.x26*m.x31 + 6.53*m.x26*m.x33 + 3.89*
                        m.x26*m.x34 + 3.75*m.x26*m.x36 + 8.67*m.x26*m.x39 + 1.45*m.x27*m.x27 - 7.1*m.x27*m.x29 - 2.19*
                        m.x27*m.x31 + 0.55*m.x27*m.x34 + 2.44*m.x27*m.x35 + 5.45*m.x27*m.x38 - 5.9*m.x27*m.x39 + 6.37*
                        m.x27*m.x40 + 3.16*m.x28*m.x29 + 4.69*m.x28*m.x30 + 2.72*m.x28*m.x33 + 0.91*m.x28*m.x34 + 3.95*
                        m.x28*m.x39 + 3.25*m.x28*m.x40 - 7.05*m.x29*m.x32 + 0.41*m.x29*m.x34 + 0.61*m.x29*m.x36 + 1.34*
                        m.x29*m.x37 + 1.75*m.x29*m.x38 - 9.76*m.x29*m.x39 + 9.48*m.x29*m.x40 + 6.29*m.x30*m.x32 + 6.32*
                        m.x30*m.x33 + 6*m.x30*m.x37 + 8.69*m.x30*m.x39 + 4.16*m.x31*m.x33 + 1.27*m.x31*m.x36 + 8.05*
                        m.x31*m.x40 + 5.7*m.x32*m.x33 + 7.58*m.x32*m.x34 + 8.85*m.x32*m.x35 + 2.65*m.x32*m.x36 + 1.12*
                        m.x32*m.x38 - 9.87*m.x32*m.x39 + 9.91*m.x33*m.x36 + 6.65*m.x33*m.x38 + 8.72*m.x33*m.x40 + 5.37*
                        m.x34*m.x34 + 7.09*m.x34*m.x36 + 5.43*m.x34*m.x37 + 1.73*m.x34*m.x38 + 6.06*m.x34*m.x39 + 4.22*
                        m.x35*m.x36 - 7.65*m.x35*m.x37 + 5.39*m.x35*m.x38 + 4.42*m.x35*m.x39 + 2*m.x36*m.x38 + 6.24*
                        m.x37*m.x38 + 5.72*m.x37*m.x39 + 2.48*m.x38*m.x38 + 9.91*m.x38*m.x39 + 5.58*m.x39*m.x39 + 4.55*
                        m.x39*m.x40 + 7.24*m.x40*m.x40 >= 6008.499)

m.c27 = Constraint(expr=   4.36*m.x1 + 5.04*m.x2 + 0.84*m.x3 - 2.23*m.x4 + 3.12*m.x5 + 8.65*m.x6 + 8.22*m.x7 + 5.37*m.x8
                         + 5.96*m.x9 + 1.11*m.x10 + 8.73*m.x11 + 3.06*m.x12 + 1.6*m.x13 + 10*m.x14 + 2.93*m.x15
                         + 0.56*m.x16 + 0.87*m.x17 + 4.29*m.x18 + 6.11*m.x19 + 8.57*m.x20 + 6.07*m.x21 + 9*m.x22
                         + 0.91*m.x23 + 6.1*m.x24 + 6.71*m.x25 + 6.24*m.x26 + 6.05*m.x27 + 9.53*m.x28 + 1.36*m.x29
                         + 2.42*m.x30 + 1.38*m.x31 + 8.01*m.x32 + 5.88*m.x33 + 1.69*m.x34 + 9.2*m.x35 + 5.04*m.x36
                         + 7.75*m.x37 + 5.74*m.x38 + 1.77*m.x39 + 6.33*m.x40 >= 294.815)

m.c28 = Constraint(expr=3.18*m.x1*m.x5 + 6.81*m.x1 + 2.15*m.x5 + 3.97*m.x1*m.x10 + 4.84*m.x10 + 5.48*m.x1*m.x11 + 3.34*
                        m.x11 + 5.82*m.x1*m.x12 - 5.67*m.x12 - 0.29*m.x1*m.x13 + 9.39*m.x13 + 0.57*m.x1*m.x16 - 9.87*
                        m.x16 - 9.85*m.x1*m.x17 + 5.4*m.x17 + 2.31*m.x1*m.x21 + 3.47*m.x21 + 7.32*m.x1*m.x25 + 1.35*
                        m.x25 + 6.34*m.x1*m.x28 - 8.55*m.x28 + 0.57*m.x1*m.x29 + 8.78*m.x29 + 5.15*m.x1*m.x33 + 8.15*
                        m.x33 + 8.59*m.x1*m.x34 + 9.03*m.x34 + 9.2*m.x1*m.x35 + 6.01*m.x35 + 1.05*m.x1*m.x36 + 4.54*
                        m.x36 + 5.3*m.x1*m.x37 + 1.4*m.x37 + 6.26*m.x2*m.x2 + 9.69*m.x2 + 0.43*m.x2*m.x3 + 5.1*m.x3 + 
                        7.74*m.x2*m.x4 + 3.88*m.x4 + 3.7*m.x2*m.x6 + 4.38*m.x6 - 4.83*m.x2*m.x7 + 8.99*m.x7 + 4.45*m.x2*
                        m.x8 + 6.35*m.x8 + 7.67*m.x2*m.x9 - 5.24*m.x9 + 9.12*m.x2*m.x10 - 1.72*m.x2*m.x11 - 4.79*m.x2*
                        m.x14 + 4.96*m.x14 + 2.27*m.x2*m.x17 + 2.25*m.x2*m.x19 + 4.9*m.x19 + 4.22*m.x2*m.x21 + 6.28*m.x2
                        *m.x22 + 6.53*m.x22 + 7.39*m.x2*m.x23 - 6.41*m.x23 + 6.08*m.x2*m.x24 + 6.42*m.x24 + 2.69*m.x2*
                        m.x25 + 3.57*m.x2*m.x27 + 3.32*m.x27 + 9.57*m.x2*m.x28 + 2.47*m.x2*m.x29 + 9.89*m.x2*m.x31 + 
                        9.03*m.x31 + 5.83*m.x2*m.x35 + 8.62*m.x2*m.x36 + 5.01*m.x2*m.x38 + 8.55*m.x38 + 6.71*m.x3*m.x4
                         + 7.73*m.x3*m.x5 + 6.37*m.x3*m.x7 + 8.15*m.x3*m.x8 + 4.08*m.x3*m.x9 + 6.68*m.x3*m.x10 - 1.74*
                        m.x3*m.x12 + 2.49*m.x3*m.x14 + 1.11*m.x3*m.x15 + 0.67*m.x15 + 6.3*m.x3*m.x19 + 2.01*m.x3*m.x21
                         + 6.46*m.x3*m.x22 + 9.5*m.x3*m.x26 + 0.36*m.x26 - 6.12*m.x3*m.x27 + 0.37*m.x3*m.x30 + 1.83*
                        m.x30 + 4.1*m.x3*m.x32 + 4.55*m.x32 + 4.24*m.x3*m.x34 + 7.6*m.x3*m.x38 + 9.68*m.x4*m.x5 + 9.21*
                        m.x4*m.x6 + 0.49*m.x4*m.x7 + 6.34*m.x4*m.x8 + 2.57*m.x4*m.x10 - 5.68*m.x4*m.x14 + 6.75*m.x4*
                        m.x16 + 0.55*m.x4*m.x17 + 7.67*m.x4*m.x20 + 2.18*m.x20 + 4.08*m.x4*m.x21 + 4.29*m.x4*m.x22 + 
                        5.78*m.x4*m.x23 + 2.16*m.x4*m.x24 + 4.55*m.x4*m.x26 + 2.8*m.x4*m.x28 + 5.88*m.x4*m.x32 + 0.59*
                        m.x4*m.x35 + 5.88*m.x4*m.x37 + 2.32*m.x4*m.x40 + 3.08*m.x40 + 0.26*m.x5*m.x7 + 9.9*m.x5*m.x9 + 
                        0.83*m.x5*m.x10 + 1.38*m.x5*m.x11 + 7.36*m.x5*m.x13 + 0.69*m.x5*m.x14 + 7.79*m.x5*m.x15 + 1.41*
                        m.x5*m.x17 + 4.35*m.x5*m.x26 + 4.8*m.x5*m.x31 - 8.59*m.x5*m.x32 + 7.46*m.x5*m.x33 + 3.11*m.x5*
                        m.x34 + 9.04*m.x5*m.x36 - 2.63*m.x5*m.x37 + 5.05*m.x5*m.x38 + 2.51*m.x6*m.x7 + 5.31*m.x6*m.x11
                         + 7.21*m.x6*m.x12 + 3.35*m.x6*m.x13 + 6.8*m.x6*m.x18 - 8.56*m.x18 + 6.82*m.x6*m.x21 + 4.11*m.x6
                        *m.x22 + 4.61*m.x6*m.x23 + 0.42*m.x6*m.x28 + 0.65*m.x6*m.x29 + 2.52*m.x6*m.x32 + 9.84*m.x6*m.x34
                         - 8.92*m.x6*m.x36 + 6.54*m.x6*m.x40 + 8.04*m.x7*m.x10 + 0.67*m.x7*m.x12 + 6.2*m.x7*m.x18 + 1.96
                        *m.x7*m.x19 + 8.13*m.x7*m.x20 + 7.56*m.x7*m.x23 + 8.01*m.x7*m.x24 + 3.33*m.x7*m.x33 + 3.64*m.x7*
                        m.x34 + 4.18*m.x7*m.x36 + 1.66*m.x7*m.x37 + 3.64*m.x7*m.x38 + 6.67*m.x7*m.x39 + 5.84*m.x39 + 
                        8.12*m.x8*m.x8 - 1.97*m.x8*m.x9 + 6.16*m.x8*m.x10 + 4.72*m.x8*m.x13 + 7.77*m.x8*m.x15 + 3.54*
                        m.x8*m.x17 + 4.54*m.x8*m.x18 + m.x8*m.x21 + 5.47*m.x8*m.x27 - 9.21*m.x8*m.x28 + 9.08*m.x8*m.x29
                         + 1.02*m.x8*m.x31 - 6.97*m.x8*m.x34 + 4.78*m.x8*m.x36 + 9.26*m.x8*m.x37 + 5.48*m.x8*m.x39 - 
                        7.06*m.x9*m.x10 - 10*m.x9*m.x13 + 2.52*m.x9*m.x17 + 9.36*m.x9*m.x22 + 1.49*m.x9*m.x23 + 5.77*
                        m.x9*m.x24 + 9.34*m.x9*m.x29 + 7.24*m.x9*m.x32 + 5.13*m.x9*m.x33 + 7.65*m.x9*m.x34 + 4.48*m.x9*
                        m.x35 + 4.96*m.x9*m.x36 + 6.41*m.x9*m.x38 + 5.57*m.x9*m.x40 + 4.56*m.x10*m.x11 + 7.42*m.x10*
                        m.x14 - 7.96*m.x10*m.x16 + 9.81*m.x10*m.x20 + 1.82*m.x10*m.x21 + 2.69*m.x10*m.x24 + 3.52*m.x10*
                        m.x26 + 3.21*m.x10*m.x28 + 4.18*m.x10*m.x29 - 2.38*m.x10*m.x30 + 1.12*m.x10*m.x34 - 9.67*m.x10*
                        m.x39 + 1.5*m.x10*m.x40 + 8.26*m.x11*m.x11 + 2.48*m.x11*m.x16 + 8.88*m.x11*m.x17 + 8.16*m.x11*
                        m.x19 + 5.03*m.x11*m.x20 + 8.7*m.x11*m.x21 + 7.26*m.x11*m.x23 + 1.82*m.x11*m.x24 + 9.52*m.x11*
                        m.x25 + 2.13*m.x11*m.x26 - 5.23*m.x11*m.x28 + 8.46*m.x11*m.x29 + 5.99*m.x11*m.x30 + 4.59*m.x11*
                        m.x33 - 0.67*m.x11*m.x34 + 3.68*m.x11*m.x35 + 7.73*m.x11*m.x36 + 1.72*m.x11*m.x37 + 8.61*m.x11*
                        m.x38 + 0.24*m.x11*m.x40 + 4.92*m.x12*m.x13 + 3.71*m.x12*m.x14 + 7.28*m.x12*m.x15 + 1.84*m.x12*
                        m.x18 + 8.73*m.x12*m.x20 + 2.16*m.x12*m.x21 + 0.29*m.x12*m.x22 - 3.15*m.x12*m.x23 - 1.7*m.x12*
                        m.x24 + 3.27*m.x12*m.x25 + 5.09*m.x12*m.x26 + 6.13*m.x12*m.x28 - 4.28*m.x12*m.x29 + 7.25*m.x12*
                        m.x30 + 7.74*m.x12*m.x31 + 2.54*m.x12*m.x33 + 7.75*m.x12*m.x35 + 4*m.x12*m.x38 + 3.86*m.x12*
                        m.x40 + 2.75*m.x13*m.x13 + 3.25*m.x13*m.x20 + 4.98*m.x13*m.x23 + 5.87*m.x13*m.x24 + 0.76*m.x13*
                        m.x25 + 7.21*m.x13*m.x26 + 1.43*m.x13*m.x27 + 6.45*m.x13*m.x31 + 5.5*m.x13*m.x32 + 2.88*m.x13*
                        m.x33 - 8.73*m.x13*m.x34 + 8.29*m.x13*m.x36 + 8.37*m.x13*m.x38 + 8.25*m.x13*m.x39 - 7.11*m.x13*
                        m.x40 + 0.04*m.x14*m.x14 + 7.01*m.x14*m.x15 + 0.07*m.x14*m.x17 + 8.55*m.x14*m.x19 - 8.55*m.x14*
                        m.x21 - 5.38*m.x14*m.x23 + 4.27*m.x14*m.x24 - 9.91*m.x14*m.x25 + 7.35*m.x14*m.x26 + 0.02*m.x14*
                        m.x27 + 2.56*m.x14*m.x28 + 2.39*m.x14*m.x29 + 1.37*m.x14*m.x31 + 2.57*m.x14*m.x32 + 5.21*m.x14*
                        m.x35 + 7.19*m.x14*m.x38 + 7.93*m.x14*m.x40 + 8.61*m.x15*m.x15 + 0.24*m.x15*m.x16 + 7.38*m.x15*
                        m.x19 + 3.94*m.x15*m.x20 + 2.66*m.x15*m.x21 + 8.72*m.x15*m.x23 + 6.12*m.x15*m.x26 + 9.41*m.x15*
                        m.x30 + 9.48*m.x15*m.x32 + 6.39*m.x15*m.x33 + 1.04*m.x15*m.x34 + 7.13*m.x15*m.x37 + 1.6*m.x15*
                        m.x40 + 1.49*m.x16*m.x16 + 4.91*m.x16*m.x17 + 8.71*m.x16*m.x20 + 3.14*m.x16*m.x21 + 8.9*m.x16*
                        m.x22 + 2.56*m.x16*m.x23 + 6.75*m.x16*m.x24 + 9.81*m.x16*m.x26 + 0.44*m.x16*m.x28 - 4.03*m.x16*
                        m.x29 + 3.34*m.x16*m.x31 + 5.22*m.x16*m.x33 + 1.53*m.x16*m.x35 - 4.03*m.x16*m.x38 - 4.8*m.x16*
                        m.x40 - 3.43*m.x17*m.x21 + 4.01*m.x17*m.x23 + 7.52*m.x17*m.x24 + 2.62*m.x17*m.x26 + 7.71*m.x17*
                        m.x27 + 5.21*m.x17*m.x28 - 1.71*m.x17*m.x30 + 0.72*m.x17*m.x31 + 5.59*m.x17*m.x32 + 3.37*m.x17*
                        m.x33 + 4.17*m.x18*m.x24 + 8.92*m.x18*m.x27 + 0.16*m.x18*m.x28 + 9.2*m.x18*m.x31 + 7.27*m.x18*
                        m.x32 + 2.66*m.x18*m.x33 + 7.62*m.x18*m.x34 + 3.73*m.x18*m.x36 + 8.83*m.x18*m.x39 + 8.95*m.x18*
                        m.x40 + 1.02*m.x19*m.x20 + 2.43*m.x19*m.x21 + 9.04*m.x19*m.x23 + 8.67*m.x19*m.x24 + 0.34*m.x19*
                        m.x26 + 5.53*m.x19*m.x27 + 3.63*m.x19*m.x28 + 4.98*m.x19*m.x29 + 8.78*m.x19*m.x33 + 4.67*m.x19*
                        m.x35 + 3.26*m.x19*m.x40 + 8.05*m.x20*m.x22 + 5.28*m.x20*m.x25 + 5.71*m.x20*m.x26 + 9.22*m.x20*
                        m.x32 - 6.07*m.x20*m.x34 + 3.33*m.x20*m.x35 + 7.86*m.x20*m.x38 + 5.32*m.x21*m.x21 + 2.48*m.x21*
                        m.x23 + 5.96*m.x21*m.x25 + 8.99*m.x21*m.x27 + 6.06*m.x21*m.x28 + 9.4*m.x21*m.x31 + 7.11*m.x21*
                        m.x33 + 7.28*m.x21*m.x36 + 1.03*m.x21*m.x38 + 7.38*m.x21*m.x39 + 9.1*m.x21*m.x40 + 9.05*m.x22*
                        m.x22 + 5.62*m.x22*m.x23 + 1.41*m.x22*m.x24 + 6.45*m.x22*m.x26 + 2.87*m.x22*m.x30 + 7.87*m.x22*
                        m.x33 + 3.08*m.x22*m.x35 + 5.91*m.x22*m.x36 + 9.88*m.x22*m.x37 + 1.68*m.x22*m.x38 + 9.14*m.x22*
                        m.x40 + 2.76*m.x23*m.x23 + 0.43*m.x23*m.x24 + 6.2*m.x23*m.x25 - 6.13*m.x23*m.x26 - 3.32*m.x23*
                        m.x27 + 6.92*m.x23*m.x33 + 1.53*m.x23*m.x37 + 1.44*m.x23*m.x39 + 3.78*m.x23*m.x40 - 2.89*m.x24*
                        m.x25 + 0.58*m.x24*m.x26 - 0.49*m.x24*m.x27 + 5.21*m.x24*m.x29 + 8.4*m.x24*m.x30 + 7.27*m.x24*
                        m.x32 + 0.22*m.x24*m.x33 + 4.87*m.x24*m.x36 + 1.58*m.x24*m.x37 + 0.94*m.x25*m.x25 + 8.82*m.x25*
                        m.x26 - 3.73*m.x25*m.x29 + 6.54*m.x25*m.x30 + 7.02*m.x25*m.x32 - 1.71*m.x25*m.x33 + 0.25*m.x25*
                        m.x34 + 7.43*m.x25*m.x35 + 3.9*m.x25*m.x37 + 3.75*m.x25*m.x40 + 0.45*m.x26*m.x29 + 8.81*m.x26*
                        m.x31 + 6.18*m.x26*m.x33 + 7.72*m.x26*m.x34 + 4.19*m.x26*m.x36 + 2.26*m.x26*m.x39 + 3.98*m.x27*
                        m.x27 + 9.07*m.x27*m.x29 + 7.7*m.x27*m.x31 + 9.2*m.x27*m.x34 + 8.69*m.x27*m.x35 + 6.85*m.x27*
                        m.x38 + 2.36*m.x27*m.x39 + 0.02*m.x27*m.x40 + 4.85*m.x28*m.x29 + 1.01*m.x28*m.x30 + 9.77*m.x28*
                        m.x33 + 9.44*m.x28*m.x34 + 8.3*m.x28*m.x39 + 5.79*m.x28*m.x40 + 3*m.x29*m.x32 + 8.06*m.x29*m.x34
                         + 0.61*m.x29*m.x36 + 9.51*m.x29*m.x37 + 4.17*m.x29*m.x38 + 0.26*m.x29*m.x39 + 9.75*m.x29*m.x40
                         - 0.52*m.x30*m.x32 + 8.2*m.x30*m.x33 + 8.31*m.x30*m.x37 + 7*m.x30*m.x39 + 9.44*m.x31*m.x33 + 
                        2.88*m.x31*m.x36 + 2.66*m.x31*m.x40 + 0.11*m.x32*m.x33 - 7.62*m.x32*m.x34 + 5.14*m.x32*m.x35 + 
                        8.62*m.x32*m.x36 + 2.69*m.x32*m.x38 + 1.88*m.x32*m.x39 + 3.61*m.x33*m.x36 + 9.14*m.x33*m.x38 + 
                        9.94*m.x33*m.x40 + 5.46*m.x34*m.x34 + 7.38*m.x34*m.x36 + 3.96*m.x34*m.x37 + 0.5*m.x34*m.x38 + 
                        5.31*m.x34*m.x39 + 1.05*m.x35*m.x36 + 4.94*m.x35*m.x37 + 4.63*m.x35*m.x38 + 5.49*m.x35*m.x39 + 
                        6.04*m.x36*m.x38 + 7.67*m.x37*m.x38 + 8.65*m.x37*m.x39 + 6.95*m.x38*m.x38 - 8.1*m.x38*m.x39 + 
                        9.31*m.x39*m.x39 + 5.57*m.x39*m.x40 + 3.48*m.x40*m.x40 >= 5538.003)

m.c29 = Constraint(expr=   1.11*m.x1 + 2.72*m.x2 + 2.04*m.x3 + 3.93*m.x4 - 7.12*m.x5 + 6.77*m.x6 + 1.46*m.x7 + 0.74*m.x8
                         + 2.66*m.x9 + 2.97*m.x10 + 3.46*m.x11 + 4.58*m.x12 + 1.23*m.x13 - 8.32*m.x14 + 9.52*m.x15
                         + 5.42*m.x16 + 2.13*m.x17 - 4.4*m.x18 + 4.89*m.x19 + 9.68*m.x20 + 5.49*m.x21 + 2.73*m.x22
                         + 6.76*m.x23 + 3.74*m.x24 - 3.54*m.x25 + 6.37*m.x26 + 8.68*m.x27 + 3.67*m.x28 + 8.19*m.x29
                         + 7.77*m.x30 - 1.22*m.x31 + 1.22*m.x32 + 4.77*m.x33 + 2.87*m.x34 + 8.87*m.x35 + 5.99*m.x36
                         + 2.11*m.x37 + 1.46*m.x38 + 3.23*m.x39 + 3.96*m.x40 >= 189.443)

m.c30 = Constraint(expr=9.04*m.x1*m.x5 + 8.79*m.x1 + 5.73*m.x5 + 8.64*m.x1*m.x10 + 6.06*m.x10 + 4.33*m.x1*m.x11 - 0.38*
                        m.x11 + 8.64*m.x1*m.x12 + 5.36*m.x12 + 4.53*m.x1*m.x13 - 4.51*m.x13 + 1.52*m.x1*m.x16 + 9.91*
                        m.x16 + 5.34*m.x1*m.x17 + 0.07*m.x17 + 8.4*m.x1*m.x21 + 2.13*m.x21 + 5.15*m.x1*m.x25 + 10*m.x25
                         + 9.88*m.x1*m.x28 + 9.37*m.x28 + 4.14*m.x1*m.x29 + 1.76*m.x29 + 0.03*m.x1*m.x33 + 0.59*m.x33 + 
                        2.59*m.x1*m.x34 + 4.47*m.x34 - 4.23*m.x1*m.x35 + 0.62*m.x35 + 3.91*m.x1*m.x36 + 4.75*m.x36 + 
                        8.65*m.x1*m.x37 + 7.28*m.x37 + 2.59*m.x2*m.x2 + 3.77*m.x2 + 4.21*m.x2*m.x3 - 2.4*m.x3 - 2.37*
                        m.x2*m.x4 + 2.2*m.x4 + 2.86*m.x2*m.x6 + 3.32*m.x6 + 5.01*m.x2*m.x7 + 6.66*m.x7 - 8.92*m.x2*m.x8
                         + 9.86*m.x8 + 4.95*m.x2*m.x9 + 4.92*m.x9 + 3.29*m.x2*m.x10 - 0.1*m.x2*m.x11 + 3.53*m.x2*m.x14
                         + 5.65*m.x14 + 4.23*m.x2*m.x17 - 7.26*m.x2*m.x19 + 9.3*m.x19 - 1.06*m.x2*m.x21 + 2.13*m.x2*
                        m.x22 + 4.72*m.x22 + 5.59*m.x2*m.x23 + 8.42*m.x23 - 9.78*m.x2*m.x24 + 9.39*m.x24 + 2.79*m.x2*
                        m.x25 + 6.85*m.x2*m.x27 + 2.36*m.x27 + 9.11*m.x2*m.x28 + 0.79*m.x2*m.x29 - 6.98*m.x2*m.x31 + 
                        3.39*m.x31 + 3.19*m.x2*m.x35 + 7.77*m.x2*m.x36 + 8.62*m.x2*m.x38 - 5.73*m.x38 + 3.36*m.x3*m.x4
                         + 1.61*m.x3*m.x5 + 1.81*m.x3*m.x7 + 9.71*m.x3*m.x8 + 7.24*m.x3*m.x9 + 5.4*m.x3*m.x10 + 9.44*
                        m.x3*m.x12 + 4.63*m.x3*m.x14 + 3.34*m.x3*m.x15 + 0.16*m.x15 + 4.82*m.x3*m.x19 + 3.76*m.x3*m.x21
                         + 0.23*m.x3*m.x22 + 5.78*m.x3*m.x26 + 5.96*m.x26 + 7.35*m.x3*m.x27 + 5.88*m.x3*m.x30 + 2.06*
                        m.x30 + 8.2*m.x3*m.x32 + 9.18*m.x32 + 4.39*m.x3*m.x34 + 4.4*m.x3*m.x38 + 4.35*m.x4*m.x5 + 9.74*
                        m.x4*m.x6 + 7.25*m.x4*m.x7 + 4.1*m.x4*m.x8 + 0.85*m.x4*m.x10 - 6.55*m.x4*m.x14 + 9.49*m.x4*m.x16
                         + 0.4*m.x4*m.x17 + 2.09*m.x4*m.x20 + 7.2*m.x20 + 8.07*m.x4*m.x21 + 8.29*m.x4*m.x22 + 8.47*m.x4*
                        m.x23 + 7.94*m.x4*m.x24 + 4.94*m.x4*m.x26 - 4.23*m.x4*m.x28 - 6.25*m.x4*m.x32 + 5.91*m.x4*m.x35
                         - 8.75*m.x4*m.x37 + 8.76*m.x4*m.x40 + 6.93*m.x40 + 2.31*m.x5*m.x7 + 1.75*m.x5*m.x9 + 7.97*m.x5*
                        m.x10 + 8.05*m.x5*m.x11 + 9.99*m.x5*m.x13 + 6.41*m.x5*m.x14 + 0.24*m.x5*m.x15 + 2.99*m.x5*m.x17
                         + 7.69*m.x5*m.x26 + 9.17*m.x5*m.x31 + 0.79*m.x5*m.x32 + 5.49*m.x5*m.x33 + 5.55*m.x5*m.x34 + 
                        7.09*m.x5*m.x36 + 7.21*m.x5*m.x37 + 1.02*m.x5*m.x38 + 8.21*m.x6*m.x7 + 0.63*m.x6*m.x11 + 0.38*
                        m.x6*m.x12 + 7.42*m.x6*m.x13 + 4*m.x6*m.x18 + 5.12*m.x18 + 5.62*m.x6*m.x21 + 1.75*m.x6*m.x22 + 
                        9.89*m.x6*m.x23 - 0.21*m.x6*m.x28 - 1.35*m.x6*m.x29 + 6.77*m.x6*m.x32 + 2.32*m.x6*m.x34 + 4.77*
                        m.x6*m.x36 + 5.06*m.x6*m.x40 + 4.66*m.x7*m.x10 + 4.83*m.x7*m.x12 + 4.03*m.x7*m.x18 + 2.57*m.x7*
                        m.x19 + 4.33*m.x7*m.x20 + 7.53*m.x7*m.x23 + 6.93*m.x7*m.x24 - 5.16*m.x7*m.x33 + 6.66*m.x7*m.x34
                         + 0.57*m.x7*m.x36 - 5.28*m.x7*m.x37 + 2.82*m.x7*m.x38 - 2.96*m.x7*m.x39 + 5.6*m.x39 + 0.46*m.x8
                        *m.x8 + 0.43*m.x8*m.x9 - 3.56*m.x8*m.x10 + 9.69*m.x8*m.x13 + 2.55*m.x8*m.x15 + 6.06*m.x8*m.x17
                         + 9.17*m.x8*m.x18 + 9.42*m.x8*m.x21 - 9.89*m.x8*m.x27 + 7.34*m.x8*m.x28 - 7.07*m.x8*m.x29 + 8.1
                        *m.x8*m.x31 + 8.19*m.x8*m.x34 + 6.23*m.x8*m.x36 + 8.48*m.x8*m.x37 + 8.51*m.x8*m.x39 + 7.18*m.x9*
                        m.x10 - 3.12*m.x9*m.x13 + 2.88*m.x9*m.x17 + 9.96*m.x9*m.x22 + 8.12*m.x9*m.x23 + 4.66*m.x9*m.x24
                         + 8.63*m.x9*m.x29 + 4.34*m.x9*m.x32 + 7.57*m.x9*m.x33 - 7.85*m.x9*m.x34 - 9.9*m.x9*m.x35 + 8.26
                        *m.x9*m.x36 + 7.45*m.x9*m.x38 + 0.45*m.x9*m.x40 + 9.81*m.x10*m.x11 - 1.61*m.x10*m.x14 + 1.35*
                        m.x10*m.x16 + 7.5*m.x10*m.x20 + 9.88*m.x10*m.x21 + 2.2*m.x10*m.x24 + 7.02*m.x10*m.x26 + 4.23*
                        m.x10*m.x28 + 5.7*m.x10*m.x29 + 6.82*m.x10*m.x30 + 5.2*m.x10*m.x34 + 5.15*m.x10*m.x39 + 8.8*
                        m.x10*m.x40 + 8.4*m.x11*m.x11 + 4.63*m.x11*m.x16 + 9.37*m.x11*m.x17 + 4.82*m.x11*m.x19 + 9.54*
                        m.x11*m.x20 + 3.37*m.x11*m.x21 - 2.27*m.x11*m.x23 + 7.98*m.x11*m.x24 + 2.18*m.x11*m.x25 + 6.31*
                        m.x11*m.x26 + 3.26*m.x11*m.x28 + 1.69*m.x11*m.x29 + 3.65*m.x11*m.x30 + 8.97*m.x11*m.x33 - 9.96*
                        m.x11*m.x34 + 5.47*m.x11*m.x35 + 8.82*m.x11*m.x36 + 7.55*m.x11*m.x37 + 8.52*m.x11*m.x38 + 8.12*
                        m.x11*m.x40 + 8.62*m.x12*m.x13 + 5.21*m.x12*m.x14 + 0.21*m.x12*m.x15 + 7.17*m.x12*m.x18 + 4.76*
                        m.x12*m.x20 + 4.6*m.x12*m.x21 + 4.29*m.x12*m.x22 + 4.47*m.x12*m.x23 + 0.71*m.x12*m.x24 + 6.64*
                        m.x12*m.x25 - 7.12*m.x12*m.x26 + 8.17*m.x12*m.x28 + 8.91*m.x12*m.x29 + 5.63*m.x12*m.x30 + 7.46*
                        m.x12*m.x31 + 0.86*m.x12*m.x33 + 4.26*m.x12*m.x35 + 0.42*m.x12*m.x38 + 8.16*m.x12*m.x40 + 3.98*
                        m.x13*m.x13 + 3.84*m.x13*m.x20 + 2.06*m.x13*m.x23 + 3.93*m.x13*m.x24 + 8.47*m.x13*m.x25 + 2.91*
                        m.x13*m.x26 + 7.54*m.x13*m.x27 + 5.47*m.x13*m.x31 + 1.74*m.x13*m.x32 + 7.1*m.x13*m.x33 + 9.8*
                        m.x13*m.x34 + 9.84*m.x13*m.x36 + 0.76*m.x13*m.x38 + 0.9*m.x13*m.x39 + 4.1*m.x13*m.x40 - 7.03*
                        m.x14*m.x14 - 1.52*m.x14*m.x15 + 2.39*m.x14*m.x17 + 0.46*m.x14*m.x19 + 2.84*m.x14*m.x21 + 4.7*
                        m.x14*m.x23 + 4.25*m.x14*m.x24 + 2.53*m.x14*m.x25 + 7.96*m.x14*m.x26 + 7.55*m.x14*m.x27 - 0.9*
                        m.x14*m.x28 + 2.61*m.x14*m.x29 - 3.33*m.x14*m.x31 + 2.09*m.x14*m.x32 + 2.06*m.x14*m.x35 + 2.9*
                        m.x14*m.x38 + 1.76*m.x14*m.x40 + 9.47*m.x15*m.x15 + 2.45*m.x15*m.x16 + 3.07*m.x15*m.x19 + 5.74*
                        m.x15*m.x20 + 0.72*m.x15*m.x21 - 7.76*m.x15*m.x23 + 4.07*m.x15*m.x26 + 1.57*m.x15*m.x30 + 3.57*
                        m.x15*m.x32 + 6.87*m.x15*m.x33 + 8.13*m.x15*m.x34 + 9.72*m.x15*m.x37 + 5.7*m.x15*m.x40 + 0.33*
                        m.x16*m.x16 + 5.05*m.x16*m.x17 + 1.4*m.x16*m.x20 + 4.06*m.x16*m.x21 + 5.12*m.x16*m.x22 + 4.78*
                        m.x16*m.x23 - 1.44*m.x16*m.x24 + 0.65*m.x16*m.x26 + 5.57*m.x16*m.x28 + 6.16*m.x16*m.x29 + 7.38*
                        m.x16*m.x31 + 4.31*m.x16*m.x33 + 0.63*m.x16*m.x35 + 2.01*m.x16*m.x38 + 4.82*m.x16*m.x40 + 8.99*
                        m.x17*m.x21 + 7.35*m.x17*m.x23 + 0.35*m.x17*m.x24 + 9.03*m.x17*m.x26 + 8.09*m.x17*m.x27 + 0.54*
                        m.x17*m.x28 + 2.01*m.x17*m.x30 + 2.78*m.x17*m.x31 + 5.17*m.x17*m.x32 + 8.84*m.x17*m.x33 + 4.37*
                        m.x18*m.x24 + 0.49*m.x18*m.x27 - 0.84*m.x18*m.x28 - 6.89*m.x18*m.x31 + 1.45*m.x18*m.x32 + 8.51*
                        m.x18*m.x33 + 5.93*m.x18*m.x34 + 3.81*m.x18*m.x36 - 0.13*m.x18*m.x39 + 1.79*m.x18*m.x40 + 0.91*
                        m.x19*m.x20 + 7.95*m.x19*m.x21 + 2.74*m.x19*m.x23 + 6.69*m.x19*m.x24 + 1.54*m.x19*m.x26 + 7.82*
                        m.x19*m.x27 + 5.84*m.x19*m.x28 + 0.09*m.x19*m.x29 + 0.8*m.x19*m.x33 + 9.39*m.x19*m.x35 + 5.24*
                        m.x19*m.x40 + 4.75*m.x20*m.x22 + 7.05*m.x20*m.x25 + 9.5*m.x20*m.x26 + 7.32*m.x20*m.x32 + 0.91*
                        m.x20*m.x34 + 8.44*m.x20*m.x35 + 5.62*m.x20*m.x38 + 6.54*m.x21*m.x21 + 4.13*m.x21*m.x23 + 3.56*
                        m.x21*m.x25 + 1.81*m.x21*m.x27 + 9.24*m.x21*m.x28 + 9.42*m.x21*m.x31 + 8.39*m.x21*m.x33 + 0.95*
                        m.x21*m.x36 + 3.7*m.x21*m.x38 + 1.54*m.x21*m.x39 + 9.44*m.x21*m.x40 + 3.25*m.x22*m.x22 + 6.38*
                        m.x22*m.x23 + 1.65*m.x22*m.x24 + 3.16*m.x22*m.x26 + 0.91*m.x22*m.x30 + 4.51*m.x22*m.x33 + 0.16*
                        m.x22*m.x35 + 1.61*m.x22*m.x36 + 9.16*m.x22*m.x37 - 4.85*m.x22*m.x38 + 5.79*m.x22*m.x40 + 4.39*
                        m.x23*m.x23 + 3.44*m.x23*m.x24 + 8.74*m.x23*m.x25 + 0.95*m.x23*m.x26 + 6.76*m.x23*m.x27 + 2.93*
                        m.x23*m.x33 + 3.37*m.x23*m.x37 + 3.37*m.x23*m.x39 + 4.13*m.x23*m.x40 + 0.21*m.x24*m.x25 + 9.35*
                        m.x24*m.x26 + 3.87*m.x24*m.x27 + 2.63*m.x24*m.x29 + 7.29*m.x24*m.x30 + 4.48*m.x24*m.x32 + 0.57*
                        m.x24*m.x33 + 6.11*m.x24*m.x36 + 7.81*m.x24*m.x37 + 3.8*m.x25*m.x25 - 9.13*m.x25*m.x26 - 9.23*
                        m.x25*m.x29 + 5.52*m.x25*m.x30 + 5.86*m.x25*m.x32 + 9.45*m.x25*m.x33 + 6.95*m.x25*m.x34 + 9.01*
                        m.x25*m.x35 + 5.28*m.x25*m.x37 - 8.44*m.x25*m.x40 + 0.11*m.x26*m.x29 + 2.71*m.x26*m.x31 - 1.51*
                        m.x26*m.x33 + 9.19*m.x26*m.x34 + 7.44*m.x26*m.x36 + 4.05*m.x26*m.x39 + 3.92*m.x27*m.x27 + 6.27*
                        m.x27*m.x29 + 3.62*m.x27*m.x31 + 7.02*m.x27*m.x34 + 3.04*m.x27*m.x35 + 7.36*m.x27*m.x38 + 3.78*
                        m.x27*m.x39 + 1.84*m.x27*m.x40 + 8.11*m.x28*m.x29 + 1.09*m.x28*m.x30 + 4.12*m.x28*m.x33 + 0.95*
                        m.x28*m.x34 + 0.89*m.x28*m.x39 + 1.15*m.x28*m.x40 + 8.83*m.x29*m.x32 + 1.24*m.x29*m.x34 + 5.68*
                        m.x29*m.x36 + 6.63*m.x29*m.x37 - 3.28*m.x29*m.x38 + 2.53*m.x29*m.x39 + 5.62*m.x29*m.x40 - 8.63*
                        m.x30*m.x32 + 3.37*m.x30*m.x33 + 2.29*m.x30*m.x37 + 5.21*m.x30*m.x39 + 3.11*m.x31*m.x33 + 1.28*
                        m.x31*m.x36 + 6.62*m.x31*m.x40 + 9.12*m.x32*m.x33 + 10*m.x32*m.x34 + 7.31*m.x32*m.x35 + 7.49*
                        m.x32*m.x36 + 7.22*m.x32*m.x38 + 8.52*m.x32*m.x39 + 8.1*m.x33*m.x36 - 6.17*m.x33*m.x38 + 5.89*
                        m.x33*m.x40 + 8.84*m.x34*m.x34 + m.x34*m.x36 + 3.02*m.x34*m.x37 + 5.5*m.x34*m.x38 - 9.86*m.x34*
                        m.x39 + 4.77*m.x35*m.x36 + 3.41*m.x35*m.x37 + 4.27*m.x35*m.x38 + 3.36*m.x35*m.x39 + 6.44*m.x36*
                        m.x38 + 10*m.x37*m.x38 + 8.26*m.x37*m.x39 + 4.35*m.x38*m.x38 + 4.57*m.x38*m.x39 - 1.16*m.x39*
                        m.x39 + 7.7*m.x39*m.x40 + 7.65*m.x40*m.x40 >= 5473.747)
