#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        157      130       27        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.83,2.32),initialize=0.83)
m.x2 = Var(within=Reals,bounds=(0.94,2.25),initialize=0.94)
m.x3 = Var(within=Reals,bounds=(0.09,2.8),initialize=0.09)
m.x4 = Var(within=Reals,bounds=(0.88,2.77),initialize=0.88)
m.x5 = Var(within=Reals,bounds=(0.93,2.8),initialize=0.93)
m.x6 = Var(within=Reals,bounds=(0.08,2.15),initialize=0.08)
m.x7 = Var(within=Reals,bounds=(0.22,2.73),initialize=0.22)
m.x8 = Var(within=Reals,bounds=(0.93,2.73),initialize=0.93)
m.x9 = Var(within=Reals,bounds=(0.75,2.07),initialize=0.75)
m.x10 = Var(within=Reals,bounds=(0.75,2.95),initialize=0.75)
m.x11 = Var(within=Reals,bounds=(0.74,2.23),initialize=0.74)
m.x12 = Var(within=Reals,bounds=(0.67,2.62),initialize=0.67)

m.obj = Objective(expr=1.39*m.x3*m.x3*m.x11 - 5.25*m.x3 + 6.06*m.x11 + 3.67*m.x4*m.x8*m.x8*m.x12 - 9.91*m.x4 - 4.08*m.x8
                        + 6.74*m.x12 + 9.3*m.x1*m.x4*m.x5*m.x8*m.x11 + 5.63*m.x1 + 7.66*m.x5 + 7.51*m.x1*m.x4*m.x6*m.x7*
                       m.x12 + 0.96*m.x6 + 1.55*m.x7 + 3.93*m.x3*m.x8*m.x10*m.x12*m.x12 + 2.78*m.x10 + 4.38*m.x4*m.x5*
                       m.x7*m.x7*m.x8 + 1.4*m.x2 + 3.36*m.x9, sense=minimize)

m.c1 = Constraint(expr=   6.73*m.x1 + 8.36*m.x2 + 1.3*m.x3 - 9*m.x4 + 8.09*m.x5 + 4.78*m.x6 + 2.44*m.x7 + 1.47*m.x8
                        + 9.23*m.x9 + 7.59*m.x10 + 6.79*m.x11 + 3.77*m.x12 == 79.435)

m.c2 = Constraint(expr=   4.52*m.x1 + 7.45*m.x2 - 7.5*m.x3 + 8.14*m.x4 + 6.3*m.x5 + 6.5*m.x6 - 6*m.x7 + 9.48*m.x8
                        + 7.02*m.x9 + 4.37*m.x10 + 0.43*m.x11 + 4.86*m.x12 == 77.131)

m.c3 = Constraint(expr=   7.58*m.x1 + 8.47*m.x2 + 1.69*m.x3 + 7.06*m.x4 + 4.88*m.x5 + 3.44*m.x6 + 2.56*m.x7 + 8.32*m.x8
                        + 4.09*m.x9 - 2.55*m.x10 + 6.42*m.x11 - 7.93*m.x12 == 70.251)

m.c4 = Constraint(expr=   0.99*m.x1 + 6.39*m.x2 + 2.47*m.x3 - 4.27*m.x4 + 3.74*m.x5 + 7.44*m.x6 + 1.49*m.x7 + 3.28*m.x8
                        + 5.25*m.x9 + 0.39*m.x10 + 3.78*m.x11 + 5.24*m.x12 == 53.356)

m.c5 = Constraint(expr=   6.3*m.x1 + 3.75*m.x2 + 3.94*m.x3 + 5.85*m.x4 + 9.49*m.x5 - 7.93*m.x6 + 1.89*m.x7 + 7.69*m.x8
                        + 3.11*m.x9 + 0.04*m.x10 + 2*m.x11 + 3.81*m.x12 == 71.687)

m.c6 = Constraint(expr=   9.55*m.x1 + 5.54*m.x2 + 2.19*m.x3 + 8.95*m.x4 + 0.23*m.x5 - 3.36*m.x6 + 2.91*m.x7 + 7.04*m.x8
                        + 9.98*m.x9 + 1.18*m.x10 + 0.23*m.x11 + 5.27*m.x12 == 82.499)

m.c7 = Constraint(expr= - 9.22*m.x1 + 6.75*m.x2 + 3.98*m.x3 + 2.98*m.x4 + 8.49*m.x5 + 1.06*m.x6 - 7.68*m.x7 + 4.22*m.x8
                        + 0.81*m.x9 + 8.06*m.x10 + 8.07*m.x11 + 2.27*m.x12 >= 52.616)

m.c8 = Constraint(expr=   8.43*m.x1 + 3.74*m.x2 + 0.28*m.x3 + 5.2*m.x4 - 1.58*m.x5 + 8.39*m.x6 + 0.8*m.x7 + 5.83*m.x8
                        + 5.55*m.x9 + 0.27*m.x10 + 0.15*m.x11 - 5.92*m.x12 >= 46.204)

m.c9 = Constraint(expr=6.89*m.x3 - 2.91*m.x3*m.x3*m.x11 + 9.04*m.x11 + 8.98*m.x1 + 0.43*m.x2 + 1.76*m.x4 + 3.48*m.x5
                        + 8.94*m.x6 + 2.72*m.x7 + 0.88*m.x8 + 4.39*m.x9 + 2.19*m.x10 + 0.08*m.x12 >= 48.429)

m.c10 = Constraint(expr=1.03*m.x3*m.x3*m.x11 + 4.65*m.x3 + 8.03*m.x11 - 9.82*m.x4*m.x8*m.x8*m.x12 + 9.37*m.x4 + 7.83*
                        m.x8 + 1.88*m.x12 + 1.54*m.x1 + 4.54*m.x2 + 3.24*m.x5 + 4.2*m.x6 - 8.93*m.x7 + 9.54*m.x9
                         - 9.5*m.x10 >= -202.81)

m.c11 = Constraint(expr=5.77*m.x3*m.x3*m.x11 + 0.36*m.x3 + 3.66*m.x11 - 1.07*m.x4*m.x8*m.x8*m.x12 + 5.15*m.x4 - 0.06*
                        m.x8 + 8.86*m.x12 - 3.14*m.x1*m.x4*m.x5*m.x8*m.x11 + 0.86*m.x1 + 4.37*m.x5 + 2.09*m.x1*m.x4*m.x6
                        *m.x7*m.x12 + 2.59*m.x6 + 7.05*m.x7 + 3.62*m.x3*m.x8*m.x10*m.x12*m.x12 + 4.04*m.x10 + 6.05*m.x4*
                        m.x5*m.x7*m.x7*m.x8 + 1.76*m.x2 - 9.06*m.x9 >= 759.624)

m.c12 = Constraint(expr=   7.52*m.x1 + 4.14*m.x2 + 9.35*m.x3 + 2.07*m.x4 + 7.73*m.x5 + 2.3*m.x6 + 7.76*m.x7 + 7.49*m.x8
                         + 4.76*m.x9 + 6.85*m.x10 + 3.51*m.x11 + 1.78*m.x12 >= 105.394)
