#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        157      116       41        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.18,2.96),initialize=0.18)
m.x2 = Var(within=Reals,bounds=(0.39,2.31),initialize=0.39)
m.x3 = Var(within=Reals,bounds=(0.02,2.64),initialize=0.02)
m.x4 = Var(within=Reals,bounds=(0.75,2.32),initialize=0.75)
m.x5 = Var(within=Reals,bounds=(0.9,2.78),initialize=0.9)
m.x6 = Var(within=Reals,bounds=(0.49,2.89),initialize=0.49)
m.x7 = Var(within=Reals,bounds=(0.9,2.34),initialize=0.9)
m.x8 = Var(within=Reals,bounds=(0.88,2.44),initialize=0.88)
m.x9 = Var(within=Reals,bounds=(0.64,2.56),initialize=0.64)
m.x10 = Var(within=Reals,bounds=(0.29,2.84),initialize=0.29)
m.x11 = Var(within=Reals,bounds=(0.87,2.4),initialize=0.87)
m.x12 = Var(within=Reals,bounds=(0.7,2.15),initialize=0.7)

m.obj = Objective(expr=6.67*m.x3*m.x10 + 0.42*m.x3 + 2.19*m.x10 + 6.07*m.x2*m.x8*m.x12 + 3.21*m.x2 + 7.78*m.x8 + 0.56*
                       m.x12 + 7.16*m.x1*m.x2*m.x9*m.x9 + 4.63*m.x1 + 9.06*m.x9 + 1.88*m.x3*m.x8*m.x8*m.x8 + 7.38*m.x4*
                       m.x7*m.x8*m.x8 + 3.86*m.x4 + 5.04*m.x7 + 9.48*m.x7*m.x7*m.x10*m.x11 + 4.9*m.x11 + 4.03*m.x8*m.x9*
                       m.x11*m.x11 + 8.92*m.x1*m.x1*m.x7*m.x7*m.x8 + 4.12*m.x1*m.x4*m.x5*m.x7*m.x10 + 1.75*m.x5 + 2.5*
                       m.x2*m.x2*m.x2*m.x4*m.x6 + 1.15*m.x6 + 0.67*m.x2*m.x2*m.x2*m.x5*m.x8 + 8.46*m.x2*m.x2*m.x4*m.x4*
                       m.x8 - 8.54*m.x2*m.x3*m.x7*m.x7*m.x9 + 6.29*m.x2*m.x3*m.x7*m.x10*m.x12 + 4.55*m.x2*m.x4*m.x5*m.x5
                       *m.x7 - 0.17*m.x2*m.x4*m.x5*m.x12*m.x12 + 0.89*m.x2*m.x5*m.x7*m.x11*m.x11 + 2.07*m.x2*m.x5*m.x8*
                       m.x11*m.x12 + 5.89*m.x2*m.x8*m.x9*m.x10*m.x10 - 1.2*m.x3*m.x3*m.x5*m.x5*m.x9 + 1.2*m.x3*m.x4*m.x5
                       *m.x7*m.x10 + 1.24*m.x3*m.x4*m.x7*m.x9*m.x9 + 9.47*m.x3*m.x6*m.x6*m.x6*m.x7 + 1.98*m.x3*m.x6*m.x9
                       *m.x9*m.x12 + 1.6*m.x4*m.x4*m.x6*m.x7*m.x12 + 6.91*m.x4*m.x4*m.x7*m.x8*m.x12 + 7.57*m.x4*m.x5*
                       m.x5*m.x5*m.x11 + 3.32*m.x5*m.x5*m.x5*m.x5*m.x11 + 9.99*m.x5*m.x5*m.x7*m.x9*m.x10 + 6.53*m.x5*
                       m.x6*m.x6*m.x7*m.x8 - 4.31*m.x6*m.x9*m.x10*m.x10*m.x11, sense=minimize)

m.c1 = Constraint(expr=   8.52*m.x1 + 6.18*m.x2 + 0.23*m.x3 + 8.58*m.x4 + 1.73*m.x5 + 5.88*m.x6 + 2.71*m.x7 + 5.08*m.x8
                        + 3.02*m.x9 + 8.81*m.x10 + 3.86*m.x11 + 0.27*m.x12 == 86.454)

m.c2 = Constraint(expr=   7.42*m.x1 + 5.06*m.x2 + 4.41*m.x3 + 2.97*m.x4 + 2.05*m.x5 + 7.32*m.x6 + 9.54*m.x7 + 3.54*m.x8
                        + 7.87*m.x9 + 1.14*m.x10 + 2.02*m.x11 + 3.6*m.x12 == 89.187)

m.c3 = Constraint(expr=   9.59*m.x1 + 6.13*m.x2 + 3.09*m.x3 + 1.25*m.x4 + 0.74*m.x5 + 1.54*m.x6 + 3.02*m.x7 + 7.03*m.x8
                        + 7.95*m.x9 + 9.67*m.x10 + 4.53*m.x11 + 3.53*m.x12 == 90.177)

m.c4 = Constraint(expr=   4.66*m.x1 + 3.57*m.x2 + 0.12*m.x3 + 7.99*m.x4 + 2.01*m.x5 + 5.7*m.x6 + 5.3*m.x7 + 1.05*m.x8
                        + 0.24*m.x9 + 3.18*m.x10 + 8.41*m.x11 + 0.84*m.x12 == 68.528)

m.c5 = Constraint(expr=   0.37*m.x1 + 7.22*m.x2 - 2.55*m.x3 + 7.09*m.x4 + 6.9*m.x5 + 6.16*m.x6 + 4.66*m.x7 + 9.29*m.x8
                        + 5.98*m.x9 + 3.69*m.x10 + 8.42*m.x11 + 9.12*m.x12 == 106.002)

m.c6 = Constraint(expr= - 4.55*m.x1 + 0.69*m.x2 + 8.55*m.x3 + 1.35*m.x4 + 8.38*m.x5 + 9.46*m.x6 + 5.36*m.x7 + 6.97*m.x8
                        + 4.51*m.x9 + 5.95*m.x10 + 10*m.x11 + 7.64*m.x12 == 102.656)

m.c7 = Constraint(expr=   5.79*m.x1 + 9.24*m.x2 + 4.21*m.x3 + 5.39*m.x4 + 2.64*m.x5 - 6.83*m.x6 + 6.98*m.x7 + 7.44*m.x8
                        + 8.5*m.x9 - 6.34*m.x10 + 9.11*m.x11 - 7.94*m.x12 >= 59.668)

m.c8 = Constraint(expr=7*m.x3*m.x10 + 0.65*m.x3 + 1.58*m.x10 + 3.98*m.x1 + 8.24*m.x2 + 8.87*m.x4 + 8.57*m.x5 + 5.69*m.x6
                        + 8.2*m.x7 + 3.2*m.x8 + 3.72*m.x9 + 8.45*m.x11 + 7.69*m.x12 >= 135.294)

m.c9 = Constraint(expr=9.09*m.x3*m.x10 + 6.75*m.x3 + 5.97*m.x10 + 4.1*m.x2*m.x8*m.x12 + 3.15*m.x2 + 3.55*m.x8 + 8.69*
                       m.x12 + 6.86*m.x1 + 7.71*m.x4 + 0.1*m.x5 + 5.18*m.x6 + 7.7*m.x7 + 8.33*m.x9 + 7.16*m.x11
                        >= 169.339)

m.c10 = Constraint(expr=5.25*m.x3*m.x10 + 3.77*m.x3 + 1.39*m.x10 + 4.56*m.x2*m.x8*m.x12 + 2.99*m.x2 + 3.15*m.x8 + 2.3*
                        m.x12 + 7.41*m.x1*m.x2*m.x9*m.x9 + 8.79*m.x1 + 3.24*m.x9 + 1.26*m.x3*m.x8*m.x8*m.x8 + 1.94*m.x4*
                        m.x7*m.x8*m.x8 + 5.21*m.x4 + 2.15*m.x7 + 2.31*m.x7*m.x7*m.x10*m.x11 + 8.26*m.x11 + 4.56*m.x8*
                        m.x9*m.x11*m.x11 + 2.22*m.x5 + 2.55*m.x6 >= 468.476)

m.c11 = Constraint(expr=2.62*m.x3*m.x10 + 5.66*m.x3 + 3.3*m.x10 + 6.15*m.x2*m.x8*m.x12 + 1.27*m.x2 - 9.36*m.x8 + 7.39*
                        m.x12 + 1.11*m.x1*m.x2*m.x9*m.x9 + 7.72*m.x1 + 7.29*m.x9 + 9.54*m.x3*m.x8*m.x8*m.x8 + 8.41*m.x4*
                        m.x7*m.x8*m.x8 + 3.83*m.x4 - 3.1*m.x7 + 8.6*m.x7*m.x7*m.x10*m.x11 + 8.65*m.x11 + 4.51*m.x8*m.x9*
                        m.x11*m.x11 + 7.4*m.x1*m.x1*m.x7*m.x7*m.x8 + 4.74*m.x1*m.x4*m.x5*m.x7*m.x10 + 4.56*m.x5 + 2.75*
                        m.x2*m.x2*m.x2*m.x4*m.x6 - 0.62*m.x6 - 9.96*m.x2*m.x2*m.x2*m.x5*m.x8 + 8.37*m.x2*m.x2*m.x4*m.x4*
                        m.x8 - 6.33*m.x2*m.x3*m.x7*m.x7*m.x9 + 4.92*m.x2*m.x3*m.x7*m.x10*m.x12 + 8.59*m.x2*m.x4*m.x5*
                        m.x5*m.x7 + 2.7*m.x2*m.x4*m.x5*m.x12*m.x12 + 6.16*m.x2*m.x5*m.x7*m.x11*m.x11 + 8.26*m.x2*m.x5*
                        m.x8*m.x11*m.x12 + 5.82*m.x2*m.x8*m.x9*m.x10*m.x10 + 1.82*m.x3*m.x3*m.x5*m.x5*m.x9 + 0.36*m.x3*
                        m.x4*m.x5*m.x7*m.x10 + 6.75*m.x3*m.x4*m.x7*m.x9*m.x9 + 6.9*m.x3*m.x6*m.x6*m.x6*m.x7 + 7.93*m.x3*
                        m.x6*m.x9*m.x9*m.x12 + 4.33*m.x4*m.x4*m.x6*m.x7*m.x12 + 0.37*m.x4*m.x4*m.x7*m.x8*m.x12 + 3.6*
                        m.x4*m.x5*m.x5*m.x5*m.x11 + 4.79*m.x5*m.x5*m.x5*m.x5*m.x11 + 0.14*m.x5*m.x5*m.x7*m.x9*m.x10 + 
                        1.57*m.x5*m.x6*m.x6*m.x7*m.x8 + 2.32*m.x6*m.x9*m.x10*m.x10*m.x11 >= 5238.367)

m.c12 = Constraint(expr=   9.8*m.x1 + 5.16*m.x2 + 2.91*m.x3 + 3.24*m.x4 + 7.34*m.x5 + 1.92*m.x6 + 6.07*m.x7 + 0.91*m.x8
                         + 3.31*m.x9 + 9.27*m.x10 + 2.03*m.x11 + 5.95*m.x12 >= 90.891)
