#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         31       21       10        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         41       41        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#       1241     1001      240        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.14,2.31),initialize=0.14)
m.x2 = Var(within=Reals,bounds=(0.62,2.15),initialize=0.62)
m.x3 = Var(within=Reals,bounds=(0.07,2.47),initialize=0.07)
m.x4 = Var(within=Reals,bounds=(0.29,2.53),initialize=0.29)
m.x5 = Var(within=Reals,bounds=(0.84,2.88),initialize=0.84)
m.x6 = Var(within=Reals,bounds=(0.28,2.7),initialize=0.28)
m.x7 = Var(within=Reals,bounds=(0.79,2.22),initialize=0.79)
m.x8 = Var(within=Reals,bounds=(0.08,2.8),initialize=0.08)
m.x9 = Var(within=Reals,bounds=(0.89,2.8),initialize=0.89)
m.x10 = Var(within=Reals,bounds=(0.41,2.42),initialize=0.41)
m.x11 = Var(within=Reals,bounds=(0.85,2.62),initialize=0.85)
m.x12 = Var(within=Reals,bounds=(0.48,2.68),initialize=0.48)
m.x13 = Var(within=Reals,bounds=(0.43,2.39),initialize=0.43)
m.x14 = Var(within=Reals,bounds=(0.69,2.39),initialize=0.69)
m.x15 = Var(within=Reals,bounds=(0.76,2.76),initialize=0.76)
m.x16 = Var(within=Reals,bounds=(0.41,2.78),initialize=0.41)
m.x17 = Var(within=Reals,bounds=(0.53,2.89),initialize=0.53)
m.x18 = Var(within=Reals,bounds=(0.14,2.21),initialize=0.14)
m.x19 = Var(within=Reals,bounds=(0.66,2.46),initialize=0.66)
m.x20 = Var(within=Reals,bounds=(0.81,2.3),initialize=0.81)
m.x21 = Var(within=Reals,bounds=(0.51,2.34),initialize=0.51)
m.x22 = Var(within=Reals,bounds=(0.58,2.74),initialize=0.58)
m.x23 = Var(within=Reals,bounds=(0.02,2.13),initialize=0.02)
m.x24 = Var(within=Reals,bounds=(0.82,2.41),initialize=0.82)
m.x25 = Var(within=Reals,bounds=(0,2.52),initialize=0)
m.x26 = Var(within=Reals,bounds=(0.64,3),initialize=0.64)
m.x27 = Var(within=Reals,bounds=(0.95,2.9),initialize=0.95)
m.x28 = Var(within=Reals,bounds=(0.68,2.68),initialize=0.68)
m.x29 = Var(within=Reals,bounds=(0.53,2.11),initialize=0.53)
m.x30 = Var(within=Reals,bounds=(0.46,2.18),initialize=0.46)
m.x31 = Var(within=Reals,bounds=(0.17,2.74),initialize=0.17)
m.x32 = Var(within=Reals,bounds=(0.16,2.67),initialize=0.16)
m.x33 = Var(within=Reals,bounds=(0.82,2.9),initialize=0.82)
m.x34 = Var(within=Reals,bounds=(0.93,2.82),initialize=0.93)
m.x35 = Var(within=Reals,bounds=(0.53,2.8),initialize=0.53)
m.x36 = Var(within=Reals,bounds=(0.69,2.61),initialize=0.69)
m.x37 = Var(within=Reals,bounds=(0.62,2.17),initialize=0.62)
m.x38 = Var(within=Reals,bounds=(0.6,2.02),initialize=0.6)
m.x39 = Var(within=Reals,bounds=(0.24,2.8),initialize=0.24)
m.x40 = Var(within=Reals,bounds=(0.04,2.28),initialize=0.04)

m.obj = Objective(expr=5.39*m.x1*m.x18 + 9.44*m.x1 + 7.93*m.x18 + 7.18*m.x1*m.x22 - 0.42*m.x22 - 3.28*m.x1*m.x27 + 9.35*
                       m.x27 + 8.97*m.x2*m.x2 + 1.8*m.x2 + 0.24*m.x2*m.x6 + 6.37*m.x6 + 0.65*m.x3*m.x16 + 0.46*m.x3 + 
                       5.01*m.x16 + 1.51*m.x3*m.x31 + 3.72*m.x31 + 9.92*m.x4*m.x5 + 3.49*m.x4 + 7.31*m.x5 + 1.33*m.x4*
                       m.x22 + 10*m.x4*m.x37 + 8.22*m.x37 - 4.53*m.x5*m.x6 + 6.45*m.x5*m.x16 + 0.15*m.x5*m.x19 + 4.98*
                       m.x19 + 2.39*m.x5*m.x21 + 8.34*m.x21 + 1.24*m.x6*m.x8 + 1.12*m.x8 + 8.8*m.x6*m.x9 + 1.06*m.x9 + 
                       9.73*m.x7*m.x28 + 3.97*m.x7 + 7.23*m.x28 - 1.36*m.x8*m.x11 + 9.57*m.x11 + 0.63*m.x8*m.x14 + 1.41*
                       m.x14 + 0.45*m.x8*m.x21 + 4.51*m.x8*m.x25 + 4.44*m.x25 + 5.83*m.x8*m.x38 + 1.11*m.x38 + 2.28*m.x9
                       *m.x31 + 2.65*m.x10*m.x15 + 2.84*m.x10 + 8.31*m.x15 + 1.5*m.x10*m.x25 + 0.23*m.x10*m.x26 + 6.72*
                       m.x26 + 8.1*m.x10*m.x33 + 5.68*m.x33 + 0.27*m.x10*m.x34 + 6.25*m.x34 + 2.67*m.x10*m.x36 + 0.13*
                       m.x36 - 6*m.x10*m.x37 + 5.38*m.x11*m.x31 + 8.85*m.x11*m.x33 + 8.55*m.x12*m.x25 + 6.8*m.x12 + 4.23
                       *m.x12*m.x29 + 4.13*m.x29 + 0.99*m.x12*m.x31 - 2.91*m.x12*m.x36 + 3.11*m.x13*m.x26 + 5.31*m.x13
                        + 9.64*m.x13*m.x32 + 4.17*m.x32 + 6.93*m.x14*m.x34 + 5.55*m.x14*m.x40 + 3.22*m.x40 + 9.95*m.x15*
                       m.x16 + 5.8*m.x15*m.x18 + 7.09*m.x15*m.x22 + 9.26*m.x15*m.x39 + 1.74*m.x39 + 9.62*m.x16*m.x17 + 
                       6.1*m.x17 + 1.51*m.x16*m.x19 + 5.22*m.x16*m.x33 + 7.97*m.x16*m.x36 + 8.27*m.x17*m.x20 + 6.49*
                       m.x20 + 8.54*m.x17*m.x22 + 4.24*m.x17*m.x29 + 0.4*m.x17*m.x32 + 7.56*m.x18*m.x18 + 0.57*m.x18*
                       m.x26 + 6.69*m.x18*m.x27 + 4.62*m.x18*m.x33 + 5.75*m.x19*m.x22 + 3.38*m.x20*m.x22 + 6.54*m.x20*
                       m.x23 + 6.13*m.x23 + 3.86*m.x20*m.x32 + 0.14*m.x20*m.x35 + 1.63*m.x35 + 6.29*m.x20*m.x36 + 2.16*
                       m.x20*m.x37 + 3.58*m.x20*m.x40 + 0.62*m.x22*m.x33 + 4.87*m.x23*m.x28 - 0.6*m.x23*m.x30 + 3.46*
                       m.x30 + 9.8*m.x24*m.x24 - 0.32*m.x24 + 4.65*m.x24*m.x35 + 4.88*m.x24*m.x37 + 3.1*m.x25*m.x28 + 
                       8.7*m.x25*m.x33 + 3.3*m.x25*m.x38 + 7.45*m.x26*m.x37 + 1.82*m.x27*m.x36 + 7.35*m.x29*m.x30 + 8.7*
                       m.x29*m.x32 + 5.53*m.x29*m.x35 + 7.87*m.x30*m.x39 - 5.9*m.x32*m.x33 + 2.66*m.x35*m.x39 + 1.63*
                       m.x37*m.x39, sense=minimize)

m.c1 = Constraint(expr=   0.78*m.x1 + 8.6*m.x2 + 0.94*m.x3 + 6.51*m.x4 + 7.72*m.x5 + 9.94*m.x6 + 5.11*m.x7 - 5.15*m.x8
                        + 2.87*m.x9 + 3.42*m.x10 - 9.99*m.x11 + 8.76*m.x12 + 0.51*m.x13 + 4.57*m.x14 + 6.33*m.x15
                        + 8.37*m.x16 + 8.14*m.x17 + 7.97*m.x18 + 1.8*m.x19 + 5.16*m.x20 + 2.93*m.x21 + 4.06*m.x22
                        + 8.11*m.x23 - 5.09*m.x24 + 7*m.x25 + 2.19*m.x26 + 5*m.x27 + 4.49*m.x28 + 3.97*m.x29
                        + 4.38*m.x30 + 6.94*m.x31 + 9.4*m.x32 + 9.04*m.x33 + 8.44*m.x34 + 0.04*m.x35 + 2.61*m.x36
                        + 9.3*m.x37 + 4.17*m.x38 + 8.17*m.x39 + 0.97*m.x40 == 270.49)

m.c2 = Constraint(expr=   6.24*m.x1 + 2.47*m.x2 + 5.81*m.x3 + 7.83*m.x4 + 2.39*m.x5 + 9.81*m.x6 + 3.12*m.x7 + 4.94*m.x8
                        + 6.26*m.x9 + 8.06*m.x10 + 2.97*m.x11 + 5.56*m.x12 + 2.52*m.x13 + 1.26*m.x14 + 8.03*m.x15
                        + 5.98*m.x16 + 2.66*m.x17 + 8.68*m.x18 + 5.39*m.x19 + 3.07*m.x20 + 2.48*m.x21 - 0.75*m.x22
                        + 5.68*m.x23 + 0.09*m.x24 + 1.35*m.x25 + 4.59*m.x26 + 6.26*m.x27 + 3.37*m.x28 + 4.86*m.x29
                        + 0.3*m.x30 - 2.39*m.x31 + 1.45*m.x32 + 8.53*m.x33 + 2.83*m.x34 + 2.6*m.x35 + 4.56*m.x36
                        + 0.45*m.x37 + 8.66*m.x38 + 1.48*m.x39 + 9.35*m.x40 == 254.128)

m.c3 = Constraint(expr=   5.03*m.x1 + 6.65*m.x2 + 9.67*m.x3 + 8.11*m.x4 + 4.45*m.x5 + 7.92*m.x6 + 5.05*m.x7 + 4.24*m.x8
                        + 3.62*m.x9 + 7.19*m.x10 + 0.81*m.x11 - 9.03*m.x12 + 6.62*m.x13 + 8.11*m.x14 + 3.89*m.x15
                        + 5.81*m.x16 + 5.32*m.x17 + 7.08*m.x18 + 5.19*m.x19 + 1.83*m.x20 + 4.23*m.x21 + 4.47*m.x22
                        + 0.02*m.x23 + 9.65*m.x24 + 5.6*m.x25 + 6.98*m.x26 + 6.88*m.x27 + 1.14*m.x28 + 3.96*m.x29
                        + 6.59*m.x30 + 2.34*m.x31 + 0.63*m.x32 + 3.32*m.x33 + 7.58*m.x34 - 2.76*m.x35 + 6.98*m.x36
                        - 2.02*m.x37 + 5.06*m.x38 + 9.03*m.x39 + 4.24*m.x40 == 275.117)

m.c4 = Constraint(expr=   2.11*m.x1 + 0.56*m.x2 + 2.66*m.x3 + 1.72*m.x4 + 2.18*m.x5 + 4.72*m.x6 + 8.67*m.x7 + 4.74*m.x8
                        + 5.28*m.x9 + 1.42*m.x10 + 0.95*m.x11 - 5.82*m.x12 + 4.82*m.x13 + 4.14*m.x14 + 2.81*m.x15
                        + 2.07*m.x16 - 2.71*m.x17 + 5.98*m.x18 - 8.25*m.x19 - 9.86*m.x20 + 1.25*m.x21 + 0.13*m.x22
                        + 9.12*m.x23 + 3.84*m.x24 + 2.39*m.x25 + 8.27*m.x26 + 9.93*m.x27 + 3.64*m.x28 + 1.47*m.x29
                        + 8.78*m.x30 + 6.22*m.x31 + 8.54*m.x32 + 5.31*m.x33 + 0.17*m.x34 + 4.05*m.x35 + 5.15*m.x36
                        + 2.04*m.x37 + 8.87*m.x38 + 2.99*m.x39 - 9.71*m.x40 == 169.081)

m.c5 = Constraint(expr=   5.8*m.x1 + 0.13*m.x2 + 6.94*m.x3 + 4*m.x4 + 0.86*m.x5 + 7.07*m.x6 + 5.24*m.x7 + 4.12*m.x8
                        + 4.06*m.x9 + 8.11*m.x10 + 8.47*m.x11 + 0.1*m.x12 + 4.23*m.x13 + 4.75*m.x14 + 1.38*m.x15
                        + 2.78*m.x16 + 3.25*m.x17 + 2.16*m.x18 + 8.14*m.x19 + 0.95*m.x20 + 3.37*m.x21 + 1.56*m.x22
                        + 1.92*m.x23 + 7.87*m.x24 + 3.92*m.x25 + 3.08*m.x26 - 2.48*m.x27 + 4.21*m.x28 + 4.19*m.x29
                        + 1.59*m.x30 + 1.67*m.x31 + 5.11*m.x32 + 1.43*m.x33 + 8.61*m.x34 + 4.77*m.x35 + 7.22*m.x36
                        + 0.82*m.x37 + 3.69*m.x38 + 6.33*m.x39 + 8.14*m.x40 == 239.925)

m.c6 = Constraint(expr=   5.02*m.x1 + 5.59*m.x2 + 4.64*m.x3 + 9.7*m.x4 + 7.92*m.x5 + 2.64*m.x6 + 0.7*m.x7 + 6.01*m.x8
                        + 3.16*m.x9 + 4.26*m.x10 + 2.15*m.x11 + 3.52*m.x12 + 8.16*m.x13 + 5.14*m.x14 + 3.75*m.x15
                        + 3.94*m.x16 - 2.85*m.x17 + 5.18*m.x18 + 2.68*m.x19 + 3.4*m.x20 + 0.77*m.x21 + 1.85*m.x22
                        + 8.04*m.x23 - 6.38*m.x24 + 1.61*m.x25 - 1.76*m.x26 + 5.18*m.x27 + 7.13*m.x28 + 2.51*m.x29
                        - 6.33*m.x30 + 9.64*m.x31 + 6.1*m.x32 + 6.86*m.x33 + 2.92*m.x34 - 1.39*m.x35 + 7.81*m.x36
                        + 9.62*m.x37 + 8.12*m.x38 + 2.23*m.x39 + 8.13*m.x40 == 232.553)

m.c7 = Constraint(expr=   1.67*m.x1 + 2.94*m.x2 + 7.41*m.x3 + 1.9*m.x4 + 1.7*m.x5 + 7.41*m.x6 + 9.34*m.x7 + 8.73*m.x8
                        + 5.98*m.x9 + 2.57*m.x10 + 1.8*m.x11 + 8.85*m.x12 - 6*m.x13 + 5.41*m.x14 - 4.96*m.x15
                        + 3.67*m.x16 + 2.61*m.x17 - 1.31*m.x18 + 8.97*m.x19 + 6.2*m.x20 - 5.91*m.x21 + 3.35*m.x22
                        + 8.76*m.x23 + 4.21*m.x24 + 9.96*m.x25 + 0.37*m.x26 + 4.95*m.x27 + 4.26*m.x28 + 0.66*m.x29
                        + 2.67*m.x30 + 5.3*m.x31 + 0.82*m.x32 - 8.99*m.x33 + 1.24*m.x34 + 0.21*m.x35 + 9.57*m.x36
                        + 8.33*m.x37 + 6.65*m.x38 + 5.6*m.x39 + 4.4*m.x40 == 206.59)

m.c8 = Constraint(expr=   7.4*m.x1 + 5.3*m.x2 + 3.9*m.x3 + 8.48*m.x4 - 1.57*m.x5 + 3.89*m.x6 + 2.47*m.x7 + 2.83*m.x8
                        + 8.96*m.x9 + 8.41*m.x10 + 7.61*m.x11 + 1.61*m.x12 - 4.62*m.x13 + 5.92*m.x14 + 4.16*m.x15
                        + 3.53*m.x16 + 9.42*m.x17 + 8.33*m.x18 + 7.35*m.x19 + 0.46*m.x20 + 0.77*m.x21 + 8.75*m.x22
                        + 1.35*m.x23 + 6.48*m.x24 + 6.5*m.x25 - 0.96*m.x26 + 4.44*m.x27 + 5.88*m.x28 + 0.4*m.x29
                        + 5.8*m.x30 + 9.26*m.x31 + 7.61*m.x32 + 0.3*m.x33 + 3.03*m.x34 + 1.18*m.x35 + 5.05*m.x36
                        + 2.75*m.x37 + 3.08*m.x38 + 6.18*m.x39 + 0.82*m.x40 == 261.379)

m.c9 = Constraint(expr=   8.2*m.x1 + 2.18*m.x2 + 5.44*m.x3 + 9.42*m.x4 + 1.12*m.x5 + 4.71*m.x6 + 9.22*m.x7 + 8.13*m.x8
                        + 3.16*m.x9 + 7.54*m.x10 + 9.47*m.x11 + 4.84*m.x12 + 2.27*m.x13 + 0.1*m.x14 + 3*m.x15
                        - 8.88*m.x16 + 5.46*m.x17 - 6.72*m.x18 + 1.51*m.x19 + 8.07*m.x20 + 2.49*m.x21 + 9.78*m.x22
                        + 0.6*m.x23 + 3.73*m.x24 - 6.45*m.x25 + 9.2*m.x26 + 3.57*m.x27 + 2.85*m.x28 + 6.28*m.x29
                        + 7.4*m.x30 + 0.85*m.x31 + 9.35*m.x32 - 6.51*m.x33 + 0.92*m.x34 + 6.13*m.x35 + 6.84*m.x36
                        - 5.86*m.x37 + 7.33*m.x38 + 8.21*m.x39 + 7.6*m.x40 == 232.418)

m.c10 = Constraint(expr=   9.29*m.x1 + 2.32*m.x2 + 8.91*m.x3 + 5*m.x4 + 8.97*m.x5 - 3.71*m.x6 + 7.89*m.x7 + 9.57*m.x8
                         + 4.86*m.x9 + 1.92*m.x10 + 3.5*m.x11 + 2.61*m.x12 + 2.96*m.x13 + 9.99*m.x14 + 0.27*m.x15
                         + 8.46*m.x16 + 7.12*m.x17 + 8.6*m.x18 + 7.69*m.x19 + 8.89*m.x20 + 4.64*m.x21 + 7.48*m.x22
                         + 1.22*m.x23 + 5.79*m.x24 + 2.52*m.x25 - 4.54*m.x26 + 1.44*m.x27 + 7.29*m.x28 + 6.4*m.x29
                         + 5.83*m.x30 + 4.97*m.x31 + 9.06*m.x32 + 0.45*m.x33 + 1.22*m.x34 + 9.88*m.x35 + 6.79*m.x36
                         + 8.25*m.x37 + 0.75*m.x38 + 7.42*m.x39 + 2.77*m.x40 == 306.857)

m.c11 = Constraint(expr=   7.11*m.x1 + 9.28*m.x2 + 1.55*m.x3 + 2.61*m.x4 + 1.78*m.x5 - 6.53*m.x6 + 8*m.x7 - 1.44*m.x8
                         - 5.1*m.x9 + 4.37*m.x10 + 1.39*m.x11 + 0.08*m.x12 + 7.24*m.x13 + 1.8*m.x14 + 4.61*m.x15
                         + 8.87*m.x16 + 8.95*m.x17 + 3.28*m.x18 - 3.28*m.x19 + 9.7*m.x20 + 1.4*m.x21 + 1.6*m.x22
                         + 3.16*m.x23 + 1.5*m.x24 + 9.18*m.x25 + 5.31*m.x26 - 5.15*m.x27 + 6.52*m.x28 + 7.93*m.x29
                         + 1.97*m.x30 - 2.56*m.x31 + 7.06*m.x32 - 4.81*m.x33 + 0.1*m.x34 + 6.3*m.x35 + 6.16*m.x36
                         + 7.38*m.x37 + 7.72*m.x38 + 0.49*m.x39 + 0.73*m.x40 == 180.406)

m.c12 = Constraint(expr=   8.45*m.x1 - 6.1*m.x2 + 1.31*m.x3 + 4.72*m.x4 - 8.99*m.x5 - 0.41*m.x6 + 2.78*m.x7 + 2.97*m.x8
                         + 8.35*m.x9 + 9.83*m.x10 + 8.22*m.x11 - 5.73*m.x12 + 8.12*m.x13 + 4.78*m.x14 + 8.07*m.x15
                         + 8.63*m.x16 + 9.72*m.x17 + 2.04*m.x18 + 0.79*m.x19 + 2.29*m.x20 + 7.21*m.x21 + 5.24*m.x22
                         + 4.01*m.x23 + 6.28*m.x24 + 9.02*m.x25 + 3.36*m.x26 + 6.41*m.x27 - 2.76*m.x28 - 3.05*m.x29
                         - 1.4*m.x30 + 1.63*m.x31 + 1.17*m.x32 - 5.28*m.x33 + 6.01*m.x34 + 1.76*m.x35 + 7.21*m.x36
                         + 3.15*m.x37 + 4.1*m.x38 + 3.27*m.x39 + 1.97*m.x40 == 196.521)

m.c13 = Constraint(expr=   9.36*m.x1 + 7.52*m.x2 + 6.41*m.x3 + 1.03*m.x4 + 8.43*m.x5 + 7.81*m.x6 + 2.99*m.x7 + 6.69*m.x8
                         + 9.55*m.x9 + 0.18*m.x10 - 7.87*m.x11 - 3.1*m.x12 + 1.26*m.x13 + 6.69*m.x14 + 0.17*m.x15
                         + 0.81*m.x16 + 9.91*m.x17 + 3.58*m.x18 + 5.44*m.x19 + 4.01*m.x20 + 5.69*m.x21 + 4.45*m.x22
                         + 2.31*m.x23 - 9.68*m.x24 + 9.77*m.x25 + 1.35*m.x26 - 2.01*m.x27 + 6.83*m.x28 + 3.89*m.x29
                         + 3.87*m.x30 + 9.74*m.x31 + 6.59*m.x32 + 0.22*m.x33 + 2.85*m.x34 + 5.26*m.x35 + 4.93*m.x36
                         + 0.21*m.x37 + 8.96*m.x38 + 0.78*m.x39 + 6.48*m.x40 == 223.627)

m.c14 = Constraint(expr=   4.3*m.x1 + 0.98*m.x2 + 5.88*m.x3 + 9.95*m.x4 + 0.72*m.x5 + 0.2*m.x6 + 8.01*m.x7 + 5.34*m.x8
                         + 5.38*m.x9 + 6.55*m.x10 + 8.57*m.x11 + 8.71*m.x12 + 1.51*m.x13 + 1.18*m.x14 + 6.41*m.x15
                         + 5.3*m.x16 + 5.98*m.x17 + 6.95*m.x18 + 9.51*m.x19 + 2.58*m.x20 + 3.25*m.x21 + 7.4*m.x22
                         + 2.03*m.x23 + 0.56*m.x24 + 5.35*m.x25 + 5.41*m.x26 + 4.39*m.x27 + 1.32*m.x28 + 4.84*m.x29
                         + 0.17*m.x30 + 3*m.x31 + 7.85*m.x32 + 1.92*m.x33 + 1.47*m.x34 + 6.44*m.x35 - 0.23*m.x36
                         + 3.94*m.x37 + 6.4*m.x38 + 4.67*m.x39 + 6.63*m.x40 == 272.933)

m.c15 = Constraint(expr=   9.36*m.x1 + 7.4*m.x2 + 7.92*m.x3 + 9.34*m.x4 + 2.01*m.x5 + 0.52*m.x6 + 5.75*m.x7 + 9.04*m.x8
                         + 2.53*m.x9 + 5.63*m.x10 + 3.13*m.x11 + 2.77*m.x12 - 8.62*m.x13 - 3.29*m.x14 + 3.06*m.x15
                         + 6.93*m.x16 + 1.09*m.x17 - 1.09*m.x18 + 7.69*m.x19 + 5.94*m.x20 + 4.25*m.x21 + 4.61*m.x22
                         + 9.19*m.x23 + 9.49*m.x24 + 6.29*m.x25 + 8.08*m.x26 - 9.18*m.x27 + 0.85*m.x28 + 0.43*m.x29
                         + 7.74*m.x30 + 5.18*m.x31 + 1.76*m.x32 + 8.15*m.x33 + 2.1*m.x34 + 2.21*m.x35 + 1.72*m.x36
                         - 9.23*m.x37 + 5.78*m.x38 + 1.53*m.x39 + 9.22*m.x40 == 214.048)

m.c16 = Constraint(expr=   6.65*m.x1 + 4.04*m.x2 + 4.66*m.x3 + 1.98*m.x4 + 7.13*m.x5 + 4.8*m.x6 + 10*m.x7 + 9.49*m.x8
                         + 3.37*m.x9 + 6.51*m.x10 + 6.34*m.x11 + 5.2*m.x12 + 5.2*m.x13 + 5.38*m.x14 + 3.19*m.x15
                         - 1.2*m.x16 + 0.25*m.x17 + 0.79*m.x18 - 9.31*m.x19 + 8.3*m.x20 + 8.22*m.x21 - 0.9*m.x22
                         + 4.55*m.x23 + 7.91*m.x24 + 0.72*m.x25 + 2.59*m.x26 + 0.18*m.x27 - 1.77*m.x28 + 4.5*m.x29
                         + 5.82*m.x30 + 0.98*m.x31 + 4.52*m.x32 + 8.23*m.x33 + 1.44*m.x34 - 7.2*m.x35 + 4*m.x36
                         + 4.5*m.x37 - 3.57*m.x38 + 8.24*m.x39 + 0.11*m.x40 == 204.479)

m.c17 = Constraint(expr=   5.9*m.x1 + 1.31*m.x2 + 7.28*m.x3 + 4.32*m.x4 + 6.67*m.x5 + 7.28*m.x6 + 2.98*m.x7 + 1.26*m.x8
                         + 8.13*m.x9 + 6.84*m.x10 + 0.69*m.x11 + 0.53*m.x12 + 4.69*m.x13 + 4.72*m.x14 + 7.92*m.x15
                         + 9.02*m.x16 + 1.39*m.x17 - 3.3*m.x18 + 3.79*m.x19 + 6.85*m.x20 + 0.04*m.x21 + 5.14*m.x22
                         + 0.99*m.x23 + 1.9*m.x24 + 3.66*m.x25 + 2.97*m.x26 - 2.77*m.x27 + 9.36*m.x28 + 0.73*m.x29
                         + 5.82*m.x30 + 1.82*m.x31 + 3.91*m.x32 + 5.75*m.x33 + 1.45*m.x34 + 2.79*m.x35 + 1.7*m.x36
                         + 3.62*m.x37 + 6.58*m.x38 + 2.61*m.x39 + 8.4*m.x40 == 236.119)

m.c18 = Constraint(expr=   7.97*m.x1 + 7.43*m.x2 + 1.42*m.x3 + 1.4*m.x4 + 8.67*m.x5 + 4.39*m.x6 + 5.14*m.x7 + 2.63*m.x8
                         + 8.47*m.x9 + 1.13*m.x10 + 1.2*m.x11 + 5.41*m.x12 + 7.06*m.x13 + 5.14*m.x14 + 5.63*m.x15
                         + 0.51*m.x16 - 3.75*m.x17 + 2.03*m.x18 + 0.2*m.x19 + 7.49*m.x20 - 7.35*m.x21 + 6.55*m.x22
                         + 6.35*m.x23 + 0.1*m.x24 + 2.84*m.x25 + 4.81*m.x26 - 4.63*m.x27 + 2.44*m.x28 + 2.54*m.x29
                         + 4.3*m.x30 + 2.95*m.x31 + 8.39*m.x32 - 9.93*m.x33 + 0.63*m.x34 + 7.45*m.x35 + 6.98*m.x36
                         + 8.78*m.x37 + 7.93*m.x38 + 7.12*m.x39 + 4.17*m.x40 == 207.429)

m.c19 = Constraint(expr=   9.48*m.x1 + 2.52*m.x2 + 4.49*m.x3 + 9.21*m.x4 + 1.59*m.x5 + 0.6*m.x6 + 0.43*m.x7 + 2.94*m.x8
                         + 0.86*m.x9 + 5.32*m.x10 + 0.31*m.x11 + 6.39*m.x12 + 9.69*m.x13 + 3.79*m.x14 + 5.69*m.x15
                         + 9.7*m.x16 + 2.66*m.x17 + 8.21*m.x18 + 2.11*m.x19 + 8.07*m.x20 + 5.92*m.x21 + 7.9*m.x22
                         + 4.36*m.x23 + 1.25*m.x24 + 9.29*m.x25 + 1.57*m.x26 + 5.07*m.x27 + 8.24*m.x28 + 3.16*m.x29
                         + 9.94*m.x30 + 8.27*m.x31 + 7.28*m.x32 + 4.73*m.x33 + 9.43*m.x34 + 8.47*m.x35 + 0.67*m.x36
                         - 1.87*m.x37 + 0.32*m.x38 + 3.56*m.x39 + 0.59*m.x40 == 288.934)

m.c20 = Constraint(expr=   9.33*m.x1 + 5.99*m.x2 + 7.49*m.x3 + 6.61*m.x4 + 0.16*m.x5 + 3.34*m.x6 + 7.9*m.x7 + 5.2*m.x8
                         + 0.91*m.x9 + 7.97*m.x10 + 7.04*m.x11 + 3.42*m.x12 + 3.95*m.x13 + 2.78*m.x14 + 5.94*m.x15
                         + 2.6*m.x16 + 2*m.x17 + 5.61*m.x18 + 3.83*m.x19 + 4.11*m.x20 + 5.88*m.x21 + 10*m.x22
                         + 0.16*m.x23 + 3.24*m.x24 + 3.25*m.x25 + 2.52*m.x26 + 1.55*m.x27 + 7.62*m.x28 + 2.22*m.x29
                         + 6.07*m.x30 + 2.16*m.x31 + 8.17*m.x32 + 3.94*m.x33 + 2.01*m.x34 + 7.9*m.x35 + 4.13*m.x36
                         + 7.88*m.x37 + 3.47*m.x38 + 8.65*m.x39 + 2.13*m.x40 == 283.332)

m.c21 = Constraint(expr=   2.7*m.x1 + 7.4*m.x2 + 4.9*m.x3 + 4.67*m.x4 + 5.9*m.x5 - 7.88*m.x6 + 7.11*m.x7 + 9.79*m.x8
                         + 3.76*m.x9 + 1.28*m.x10 - 9.44*m.x11 - 5.21*m.x12 + 3.04*m.x13 + 0.76*m.x14 + 0.69*m.x15
                         + 3.73*m.x16 + 0.63*m.x17 + 3*m.x18 + 3.86*m.x19 + 8.44*m.x20 + 8.24*m.x21 + 0.74*m.x22
                         + 9.01*m.x23 + 8.3*m.x24 + 3.42*m.x25 + 1.56*m.x26 + 2.35*m.x27 + 0.14*m.x28 + 6.74*m.x29
                         + 2.96*m.x30 + 1.57*m.x31 + 6.81*m.x32 + 5.29*m.x33 + 3.58*m.x34 + 7.47*m.x35 + 1.53*m.x36
                         + 2.43*m.x37 + 0.81*m.x38 + 1.81*m.x39 + 8.64*m.x40 >= 192.333)

m.c22 = Constraint(expr=5.78*m.x1*m.x18 + 3.72*m.x1 + 6.61*m.x18 + 0.35*m.x1*m.x22 + 1.36*m.x22 + 1.72*m.x1*m.x27 + 8.78
                        *m.x27 + 6.96*m.x2*m.x2 + 4.51*m.x2 + 7.3*m.x2*m.x6 + 7.11*m.x6 - 5.76*m.x3*m.x16 - 1.41*m.x3 + 
                        7.45*m.x16 + 8.8*m.x3*m.x31 + 9.32*m.x31 + 9.76*m.x4*m.x5 + 0.46*m.x4 + 9.19*m.x5 + 9.89*m.x4*
                        m.x22 + 2.16*m.x4*m.x37 + 1.92*m.x37 + 1.37*m.x5*m.x6 + 6.63*m.x5*m.x16 + 5.65*m.x5*m.x19 - 0.17
                        *m.x19 + 0.56*m.x5*m.x21 + 8.52*m.x21 + 8.95*m.x6*m.x8 + 0.46*m.x8 + 6.75*m.x6*m.x9 + 1.76*m.x9
                         + 8.79*m.x7*m.x28 + 8.48*m.x7 + 7.22*m.x28 + 3.77*m.x8*m.x11 - 7.24*m.x11 + 9.79*m.x8*m.x14 + 
                        5.45*m.x14 + 0.34*m.x8*m.x21 + 5.42*m.x8*m.x25 + 4.19*m.x25 + 3.97*m.x8*m.x38 + 5.42*m.x38 + 
                        8.71*m.x9*m.x31 + 9.32*m.x10*m.x15 + 9.89*m.x10 + 6.8*m.x15 + 9.49*m.x10*m.x25 + 6.42*m.x10*
                        m.x26 + 4.19*m.x26 + 1.22*m.x10*m.x33 + 3.75*m.x33 + 4.22*m.x10*m.x34 + 5.96*m.x34 + 5.01*m.x10*
                        m.x36 + 1.84*m.x36 + 9.61*m.x10*m.x37 + 3.84*m.x11*m.x31 + 7.39*m.x11*m.x33 + 4.57*m.x12*m.x25
                         + 2.69*m.x12 + 1.44*m.x12*m.x29 + 9.77*m.x29 + 0.75*m.x12*m.x31 + 2.34*m.x12*m.x36 + 4*m.x13*
                        m.x26 + 2.05*m.x13 + 1.84*m.x13*m.x32 + 7.91*m.x32 + 6.6*m.x14*m.x34 + 9.45*m.x14*m.x40 + 5.68*
                        m.x40 + 3.41*m.x15*m.x16 + 1.5*m.x15*m.x18 + 5.63*m.x15*m.x22 + 7.89*m.x15*m.x39 + 7.75*m.x39 + 
                        4.4*m.x16*m.x17 - 9.28*m.x17 + 6.97*m.x16*m.x19 + 7.01*m.x16*m.x33 - 3.76*m.x16*m.x36 + 3.49*
                        m.x17*m.x20 + 3.17*m.x20 + 1.89*m.x17*m.x22 + 6.45*m.x17*m.x29 + 4.51*m.x17*m.x32 + 1.92*m.x18*
                        m.x18 + 4.55*m.x18*m.x26 + 4.07*m.x18*m.x27 - 9.61*m.x18*m.x33 + 1.58*m.x19*m.x22 + 1.71*m.x20*
                        m.x22 + 8.47*m.x20*m.x23 + 9.75*m.x23 + 7.46*m.x20*m.x32 + 7.23*m.x20*m.x35 + 6.27*m.x35 + 8.6*
                        m.x20*m.x36 - 7.08*m.x20*m.x37 + 8.57*m.x20*m.x40 + 5.02*m.x22*m.x33 + 5.21*m.x23*m.x28 - 2.79*
                        m.x23*m.x30 + 3.61*m.x30 + 4.95*m.x24*m.x24 + 4.6*m.x24 - 7.17*m.x24*m.x35 + 8.85*m.x24*m.x37 + 
                        6.79*m.x25*m.x28 + 5.77*m.x25*m.x33 + 2.98*m.x25*m.x38 + 2.94*m.x26*m.x37 + 7.67*m.x27*m.x36 + 
                        9.32*m.x29*m.x30 + 6.03*m.x29*m.x32 + 2.02*m.x29*m.x35 + 6.75*m.x30*m.x39 + 1.11*m.x32*m.x33 + 
                        7.68*m.x35*m.x39 + 3.08*m.x37*m.x39 >= 1522.554)

m.c23 = Constraint(expr= - 9.73*m.x1 + 8.34*m.x2 + 6.78*m.x3 + 3.04*m.x4 + 4.49*m.x5 + 0.52*m.x6 + 5.67*m.x7 + 2.63*m.x8
                         + 5.23*m.x9 - 6.42*m.x10 + 2.35*m.x11 + 6.32*m.x12 + 2.79*m.x13 + 7.22*m.x14 + 9.04*m.x15
                         + 8.71*m.x16 + 1.29*m.x17 + 5.9*m.x18 + 6.85*m.x19 + 6.99*m.x20 + 0.95*m.x21 + 2.96*m.x22
                         + 6.74*m.x23 + 9.78*m.x24 + 7.2*m.x25 + 8.28*m.x26 + 6.82*m.x27 + 2.14*m.x28 + 6.02*m.x29
                         + 9.29*m.x30 - 5.76*m.x31 + 6.9*m.x32 + 5.57*m.x33 + 5.44*m.x34 + 2.52*m.x35 + 2.12*m.x36
                         + 4.04*m.x37 + 8.79*m.x38 + 2.39*m.x39 + 4.96*m.x40 >= 270.709)

m.c24 = Constraint(expr=6.52*m.x1*m.x18 + 3.7*m.x1 + 7.12*m.x18 + 2.29*m.x1*m.x22 + 3.8*m.x22 + 0.76*m.x1*m.x27 + 6.67*
                        m.x27 + 2.31*m.x2*m.x2 + 0.96*m.x2 + 2.5*m.x2*m.x6 + 6.31*m.x6 + 1.88*m.x3*m.x16 + 9.14*m.x3 + 
                        0.31*m.x16 + 4.43*m.x3*m.x31 + 7.4*m.x31 + 7.85*m.x4*m.x5 + 1.7*m.x4 + 1.32*m.x5 + 2.53*m.x4*
                        m.x22 + 3.22*m.x4*m.x37 + 7.98*m.x37 + 5.96*m.x5*m.x6 + 8.3*m.x5*m.x16 + 9.43*m.x5*m.x19 + 8.04*
                        m.x19 + 5.11*m.x5*m.x21 + 7.63*m.x21 + 6.14*m.x6*m.x8 - 3.99*m.x8 + 5.62*m.x6*m.x9 + 4.72*m.x9
                         + 3.8*m.x7*m.x28 + 3.52*m.x7 + 9.44*m.x28 + 8.93*m.x8*m.x11 + 8.04*m.x11 + 1.73*m.x8*m.x14 + 
                        0.25*m.x14 + 7.71*m.x8*m.x21 + 1.86*m.x8*m.x25 + 4.94*m.x25 + 9.36*m.x8*m.x38 + 3.84*m.x38 - 
                        1.34*m.x9*m.x31 + 2.11*m.x10*m.x15 + 1.31*m.x10 + 7.85*m.x15 + 9.61*m.x10*m.x25 + 1.26*m.x10*
                        m.x26 + 4.44*m.x26 - 7.78*m.x10*m.x33 + 1.09*m.x33 + 6.13*m.x10*m.x34 + 5.95*m.x34 + 3.12*m.x10*
                        m.x36 + 8.66*m.x36 + 2.8*m.x10*m.x37 + 6.44*m.x11*m.x31 + 3.08*m.x11*m.x33 + 5.16*m.x12*m.x25 - 
                        1.42*m.x12 + 4.96*m.x12*m.x29 + 1.8*m.x29 + 0.04*m.x12*m.x31 + 4.86*m.x12*m.x36 + 8.05*m.x13*
                        m.x26 + 5.66*m.x13 + 7.1*m.x13*m.x32 + 9.52*m.x32 - 9.64*m.x14*m.x34 + 0.68*m.x14*m.x40 + 8.09*
                        m.x40 + 2.76*m.x15*m.x16 - 8.94*m.x15*m.x18 + 1.84*m.x15*m.x22 + 2.18*m.x15*m.x39 + 0.36*m.x39
                         + 4.25*m.x16*m.x17 + 8.91*m.x17 - 8.71*m.x16*m.x19 + 2.25*m.x16*m.x33 + 4.63*m.x16*m.x36 + 3.09
                        *m.x17*m.x20 + 8.76*m.x20 + 7.54*m.x17*m.x22 - 5.23*m.x17*m.x29 + 4.58*m.x17*m.x32 + 3.3*m.x18*
                        m.x18 + 0.14*m.x18*m.x26 + 9.86*m.x18*m.x27 + 3.52*m.x18*m.x33 + 6.47*m.x19*m.x22 + 1.73*m.x20*
                        m.x22 + 2.18*m.x20*m.x23 + 7.11*m.x23 + 8.03*m.x20*m.x32 + 2.07*m.x20*m.x35 + 1.36*m.x35 + 1.18*
                        m.x20*m.x36 + 3.66*m.x20*m.x37 + 6*m.x20*m.x40 + 4.1*m.x22*m.x33 + 0.41*m.x23*m.x28 - 5.89*m.x23
                        *m.x30 + 6.16*m.x30 + 9.22*m.x24*m.x24 + 7.89*m.x24 + 3.9*m.x24*m.x35 + 0.13*m.x24*m.x37 + 1.62*
                        m.x25*m.x28 + 2.12*m.x25*m.x33 + 9.3*m.x25*m.x38 + 1.64*m.x26*m.x37 + 1.95*m.x27*m.x36 - 6.83*
                        m.x29*m.x30 + 9.91*m.x29*m.x32 + 5.1*m.x29*m.x35 + 9.81*m.x30*m.x39 + 4.48*m.x32*m.x33 + 8.78*
                        m.x35*m.x39 + 3.88*m.x37*m.x39 >= 1254.126)

m.c25 = Constraint(expr=   9.68*m.x1 + 2.73*m.x2 + 0.21*m.x3 + 5.23*m.x4 + 3.6*m.x5 + 9.55*m.x6 + 3.87*m.x7 + 7.25*m.x8
                         - 3.33*m.x9 + 3.29*m.x10 + 5.16*m.x11 + 1.95*m.x12 + 8.91*m.x13 + 8.91*m.x14 + 1.78*m.x15
                         + 4.78*m.x16 + 3.33*m.x17 + 0.58*m.x18 + 6.63*m.x19 + 0.21*m.x20 + 3.52*m.x21 + 0.45*m.x22
                         + 6.86*m.x23 + 3.69*m.x24 - 7.57*m.x25 + 3.68*m.x26 + 9.25*m.x27 - 9.76*m.x28 + 8.23*m.x29
                         + 9.71*m.x30 + 1.82*m.x31 + 6.56*m.x32 + 2.62*m.x33 + 9.84*m.x34 + 1.65*m.x35 + 6.38*m.x36
                         + 8.19*m.x37 + 1.02*m.x38 + 9.02*m.x39 + 2.66*m.x40 >= 244.533)

m.c26 = Constraint(expr=8.08*m.x1*m.x18 + 4.99*m.x1 - 9.15*m.x18 + 10*m.x1*m.x22 + 9.87*m.x22 + 4.05*m.x1*m.x27 + 1.73*
                        m.x27 + 3.51*m.x2*m.x2 + 5.83*m.x2 + 4.64*m.x2*m.x6 + 8.85*m.x6 + 6.04*m.x3*m.x16 + 7.71*m.x3 + 
                        2.44*m.x16 + 8.87*m.x3*m.x31 + 4.12*m.x31 + 0.26*m.x4*m.x5 + 3.12*m.x4 + 4.1*m.x5 + 5.4*m.x4*
                        m.x22 + 4.67*m.x4*m.x37 + 6.11*m.x37 + 5.31*m.x5*m.x6 + 0.86*m.x5*m.x16 + 0.23*m.x5*m.x19 + 0.11
                        *m.x19 + 9.51*m.x5*m.x21 + 1.91*m.x21 + 8.8*m.x6*m.x8 + 9.18*m.x8 + 0.39*m.x6*m.x9 + 2.39*m.x9
                         + 9*m.x7*m.x28 + 1.67*m.x7 + 0.31*m.x28 + 6.65*m.x8*m.x11 + 7.82*m.x11 + 9.51*m.x8*m.x14 + 8.99
                        *m.x14 + 8.77*m.x8*m.x21 + 7.56*m.x8*m.x25 + 6.55*m.x25 + 8.43*m.x8*m.x38 + 7.87*m.x38 + 6.39*
                        m.x9*m.x31 + 7.65*m.x10*m.x15 + 9.12*m.x10 + 5.15*m.x15 + 9.93*m.x10*m.x25 + 3.48*m.x10*m.x26 + 
                        8.59*m.x26 + 7.57*m.x10*m.x33 + 5.94*m.x33 + 3.59*m.x10*m.x34 + 4.59*m.x34 + 6.85*m.x10*m.x36 + 
                        7.67*m.x36 + 3.02*m.x10*m.x37 + 6.91*m.x11*m.x31 + 7.48*m.x11*m.x33 + 0.42*m.x12*m.x25 + 1.6*
                        m.x12 - 3.41*m.x12*m.x29 + 4.3*m.x29 - 6.9*m.x12*m.x31 + 0.2*m.x12*m.x36 + 5.16*m.x13*m.x26 + 
                        3.48*m.x13 + 4.88*m.x13*m.x32 + 7.84*m.x32 + 7.74*m.x14*m.x34 + 4.52*m.x14*m.x40 + 9.7*m.x40 - 
                        5.15*m.x15*m.x16 + 6.66*m.x15*m.x18 + 2.68*m.x15*m.x22 + 3.27*m.x15*m.x39 + 2.23*m.x39 + 7.6*
                        m.x16*m.x17 + 4.97*m.x17 + 8.19*m.x16*m.x19 - 9.65*m.x16*m.x33 + 3.77*m.x16*m.x36 + 2.49*m.x17*
                        m.x20 + 3.19*m.x20 + 6.7*m.x17*m.x22 + 9.08*m.x17*m.x29 + 8.49*m.x17*m.x32 + 8.61*m.x18*m.x18 + 
                        0.98*m.x18*m.x26 + 8.03*m.x18*m.x27 + 1.94*m.x18*m.x33 + 5.75*m.x19*m.x22 + 1.43*m.x20*m.x22 + 
                        0.53*m.x20*m.x23 + 8.18*m.x23 + 3.86*m.x20*m.x32 + 3.2*m.x20*m.x35 - 0.07*m.x35 + 6.37*m.x20*
                        m.x36 + 4.17*m.x20*m.x37 + 8.62*m.x20*m.x40 - 4.44*m.x22*m.x33 + 4.51*m.x23*m.x28 + 2.96*m.x23*
                        m.x30 + 3.71*m.x30 + 0.9*m.x24*m.x24 + 9.19*m.x24 + 8.16*m.x24*m.x35 + 3.84*m.x24*m.x37 - 6.45*
                        m.x25*m.x28 + 7.57*m.x25*m.x33 + 5.49*m.x25*m.x38 - 6.56*m.x26*m.x37 + 5.06*m.x27*m.x36 + 5.9*
                        m.x29*m.x30 + 3.4*m.x29*m.x32 - 0.46*m.x29*m.x35 + 1.68*m.x30*m.x39 + 7.95*m.x32*m.x33 + 4.54*
                        m.x35*m.x39 + 6.41*m.x37*m.x39 >= 1473.599)

m.c27 = Constraint(expr= - 9.52*m.x1 + 1.22*m.x2 + 3.11*m.x3 + 2.16*m.x4 + 6.25*m.x5 - 5.59*m.x6 + 7.17*m.x7 + 2.37*m.x8
                         + 4.29*m.x9 + 6.48*m.x10 + 7.05*m.x11 + 4.94*m.x12 + 7.46*m.x13 + 4.24*m.x14 + 0.14*m.x15
                         + 3.49*m.x16 + 3.81*m.x17 + 9.84*m.x18 + 1.81*m.x19 + 6.19*m.x20 + 4.72*m.x21 + 6.78*m.x22
                         + 2.67*m.x23 + 0.78*m.x24 - 0.28*m.x25 + 9.25*m.x26 + 2.04*m.x27 + 5.86*m.x28 - 0.85*m.x29
                         + 6.53*m.x30 + 7.66*m.x31 + 8.46*m.x32 + 4.92*m.x33 + 3.69*m.x34 + 1.69*m.x35 - 7.76*m.x36
                         + 3.25*m.x37 + 8.46*m.x38 + 2.94*m.x39 + 5.23*m.x40 >= 220.241)

m.c28 = Constraint(expr=1.19*m.x1*m.x18 + 9.18*m.x1 + 8.8*m.x18 + 4.43*m.x1*m.x22 + 8.14*m.x22 + 8.6*m.x1*m.x27 + 0.01*
                        m.x27 + 9.33*m.x2*m.x2 + 4.43*m.x2 + 3.76*m.x2*m.x6 + 0.45*m.x6 + 8.15*m.x3*m.x16 + 5.31*m.x3 - 
                        0.75*m.x16 - 7.68*m.x3*m.x31 + 6.85*m.x31 + 2.9*m.x4*m.x5 + 0.81*m.x4 + 5.24*m.x5 + 5.57*m.x4*
                        m.x22 + 5.04*m.x4*m.x37 + 0.98*m.x37 + 0.38*m.x5*m.x6 + 9.28*m.x5*m.x16 + 9.43*m.x5*m.x19 + 2.9*
                        m.x19 + 6.38*m.x5*m.x21 + 8.11*m.x21 + 2.2*m.x6*m.x8 + 5.53*m.x8 + 5.27*m.x6*m.x9 + 6.02*m.x9 + 
                        1.9*m.x7*m.x28 + 2.56*m.x7 + 8.61*m.x28 - 9.81*m.x8*m.x11 - 9.24*m.x11 + 8.7*m.x8*m.x14 + 4.52*
                        m.x14 + 0.48*m.x8*m.x21 + 7.43*m.x8*m.x25 + 4.35*m.x25 + 6.3*m.x8*m.x38 + 8.35*m.x38 + 7.65*m.x9
                        *m.x31 + 7.39*m.x10*m.x15 + 6.27*m.x10 + 7.98*m.x15 + 8.68*m.x10*m.x25 + 3.29*m.x10*m.x26 + 7.64
                        *m.x26 + 7.62*m.x10*m.x33 + 0.53*m.x33 + 7.61*m.x10*m.x34 + 5.7*m.x34 + 3.12*m.x10*m.x36 + 1.01*
                        m.x36 + 4.08*m.x10*m.x37 + 2.6*m.x11*m.x31 - 4.45*m.x11*m.x33 + 5.9*m.x12*m.x25 + 0.25*m.x12 + 
                        3.55*m.x12*m.x29 + 6.24*m.x29 + 3.03*m.x12*m.x31 - 1.7*m.x12*m.x36 - 8.94*m.x13*m.x26 + 7.26*
                        m.x13 + 0.02*m.x13*m.x32 - 3.93*m.x32 + 3.04*m.x14*m.x34 + 8.65*m.x14*m.x40 + 0.79*m.x40 + 6.3*
                        m.x15*m.x16 + 3.46*m.x15*m.x18 - 3.87*m.x15*m.x22 + 1.4*m.x15*m.x39 + 1.7*m.x39 + 5.76*m.x16*
                        m.x17 + 1.17*m.x17 + 9.87*m.x16*m.x19 + 3.67*m.x16*m.x33 + 0.39*m.x16*m.x36 + 6.65*m.x17*m.x20
                         + 8.95*m.x20 + 1.94*m.x17*m.x22 + 3.4*m.x17*m.x29 + 4.19*m.x17*m.x32 + 4.03*m.x18*m.x18 + 6*
                        m.x18*m.x26 + 9.13*m.x18*m.x27 + 9.54*m.x18*m.x33 + 8.95*m.x19*m.x22 + 5.17*m.x20*m.x22 + 0.46*
                        m.x20*m.x23 + 9.37*m.x23 + 7.64*m.x20*m.x32 + 5.12*m.x20*m.x35 + 9.87*m.x35 + 8.73*m.x20*m.x36
                         + 5.26*m.x20*m.x37 + 6.7*m.x20*m.x40 + 1.72*m.x22*m.x33 + 7.87*m.x23*m.x28 + 0.68*m.x23*m.x30
                         + 5.41*m.x30 + 0.69*m.x24*m.x24 + 0.52*m.x24 + 2.51*m.x24*m.x35 + 7.51*m.x24*m.x37 - 0.32*m.x25
                        *m.x28 + 4.44*m.x25*m.x33 + 1.2*m.x25*m.x38 + 4.55*m.x26*m.x37 + 7.78*m.x27*m.x36 + 4.86*m.x29*
                        m.x30 + 3.05*m.x29*m.x32 + 2.22*m.x29*m.x35 + 6.29*m.x30*m.x39 + 8.55*m.x32*m.x33 + 2.69*m.x35*
                        m.x39 + 0.76*m.x37*m.x39 >= 1376.824)

m.c29 = Constraint(expr=   4.78*m.x1 + 5.53*m.x2 + 8.24*m.x3 + 4.37*m.x4 + 0.05*m.x5 - 9.31*m.x6 + 1.69*m.x7 + 4.33*m.x8
                         + 5.28*m.x9 + 3.16*m.x10 - 5.45*m.x11 + 8.43*m.x12 + 4.71*m.x13 + 2.69*m.x14 + 5.23*m.x15
                         + 6.63*m.x16 + 4.69*m.x17 + 4.59*m.x18 + 9.16*m.x19 + 2.98*m.x20 + 0.81*m.x21 - 1.67*m.x22
                         + 3.1*m.x23 + 3.79*m.x24 + 1.48*m.x25 + 4.21*m.x26 + 2.27*m.x27 + 2.04*m.x28 + 7.58*m.x29
                         - 7.43*m.x30 - 9.08*m.x31 + 8.02*m.x32 + 8.46*m.x33 + 5.31*m.x34 + 7.27*m.x35 + 6.28*m.x36
                         + 4.18*m.x37 + 0.62*m.x38 + 2.21*m.x39 + 8.77*m.x40 >= 197.946)

m.c30 = Constraint(expr=9.37*m.x1*m.x18 + 3.97*m.x1 + 9*m.x18 + 5.31*m.x1*m.x22 + 9.7*m.x22 + 5.58*m.x1*m.x27 + 3.33*
                        m.x27 - 2.3*m.x2*m.x2 + 1.23*m.x2 + 1.47*m.x2*m.x6 + 2.62*m.x6 - 1.22*m.x3*m.x16 + 7.55*m.x3 + 
                        1.68*m.x16 - 4.23*m.x3*m.x31 + 0.86*m.x31 + 3.7*m.x4*m.x5 + 4.28*m.x4 + 0.98*m.x5 + 0.89*m.x4*
                        m.x22 + 3.79*m.x4*m.x37 + 9.06*m.x37 + 5.31*m.x5*m.x6 + 3.56*m.x5*m.x16 + 1.26*m.x5*m.x19 + 9.37
                        *m.x19 + 3.04*m.x5*m.x21 + 0.06*m.x21 + 4.3*m.x6*m.x8 + 4.06*m.x8 + 9.79*m.x6*m.x9 + 3.2*m.x9 + 
                        0.32*m.x7*m.x28 - 8.03*m.x7 + 1.58*m.x28 + 8.37*m.x8*m.x11 + 8.62*m.x11 + 3.62*m.x8*m.x14 + 6.79
                        *m.x14 + 5.14*m.x8*m.x21 + 2.14*m.x8*m.x25 + 5.09*m.x25 + 8.57*m.x8*m.x38 + 1.66*m.x38 + 2.96*
                        m.x9*m.x31 + 0.43*m.x10*m.x15 + 6.69*m.x10 + 9.84*m.x15 + 5.57*m.x10*m.x25 - 8.19*m.x10*m.x26 + 
                        9.32*m.x26 + 5.92*m.x10*m.x33 + 3.44*m.x33 + 3.91*m.x10*m.x34 + 3.89*m.x34 + 9*m.x10*m.x36 + 2.4
                        *m.x36 + 9.97*m.x10*m.x37 + 2.79*m.x11*m.x31 + 6.92*m.x11*m.x33 - 1.33*m.x12*m.x25 + 3.79*m.x12
                         + 3.74*m.x12*m.x29 + 0.28*m.x29 + 9.75*m.x12*m.x31 + 5.88*m.x12*m.x36 - 9.18*m.x13*m.x26 + 0.77
                        *m.x13 - 1.37*m.x13*m.x32 + 1.48*m.x32 + 4.12*m.x14*m.x34 + 0.34*m.x14*m.x40 + 9.42*m.x40 + 0.37
                        *m.x15*m.x16 + 8.12*m.x15*m.x18 + 6.04*m.x15*m.x22 - 7.48*m.x15*m.x39 + 6.69*m.x39 + 3.69*m.x16*
                        m.x17 + 9.39*m.x17 + 0.13*m.x16*m.x19 - 6.28*m.x16*m.x33 + 2.77*m.x16*m.x36 + 4.8*m.x17*m.x20 - 
                        2.95*m.x20 + 8.25*m.x17*m.x22 + 0.35*m.x17*m.x29 + 6.83*m.x17*m.x32 + 8.51*m.x18*m.x18 + 8.07*
                        m.x18*m.x26 + 8.85*m.x18*m.x27 + 8.63*m.x18*m.x33 + 7.26*m.x19*m.x22 + 6.18*m.x20*m.x22 + 4.09*
                        m.x20*m.x23 + 9.93*m.x23 + 4.9*m.x20*m.x32 + 5.8*m.x20*m.x35 + 9.89*m.x35 + 2.75*m.x20*m.x36 + 
                        2.92*m.x20*m.x37 + 5.82*m.x20*m.x40 + 2.23*m.x22*m.x33 + 0.28*m.x23*m.x28 - 5.84*m.x23*m.x30 + 
                        2.4*m.x30 + 6.88*m.x24*m.x24 + 0.45*m.x24 + 5.16*m.x24*m.x35 + 8.69*m.x24*m.x37 + 2.34*m.x25*
                        m.x28 + 7.08*m.x25*m.x33 + 7.24*m.x25*m.x38 + 6.54*m.x26*m.x37 + 2.53*m.x27*m.x36 + 3.34*m.x29*
                        m.x30 + 4.87*m.x29*m.x32 + 8.63*m.x29*m.x35 + 4.96*m.x30*m.x39 + 1.14*m.x32*m.x33 + 4.16*m.x35*
                        m.x39 + 9.77*m.x37*m.x39 >= 1296.134)
