#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        157      111       46        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.88,2.65),initialize=0.88)
m.x2 = Var(within=Reals,bounds=(0.55,2.46),initialize=0.55)
m.x3 = Var(within=Reals,bounds=(0.84,2.09),initialize=0.84)
m.x4 = Var(within=Reals,bounds=(0.5,2.2),initialize=0.5)
m.x5 = Var(within=Reals,bounds=(0.82,2.56),initialize=0.82)
m.x6 = Var(within=Reals,bounds=(0.72,2.97),initialize=0.72)
m.x7 = Var(within=Reals,bounds=(0.08,2.38),initialize=0.08)
m.x8 = Var(within=Reals,bounds=(0.52,2.67),initialize=0.52)
m.x9 = Var(within=Reals,bounds=(0.01,2.67),initialize=0.01)
m.x10 = Var(within=Reals,bounds=(0.08,2.59),initialize=0.08)
m.x11 = Var(within=Reals,bounds=(0.62,2.07),initialize=0.62)
m.x12 = Var(within=Reals,bounds=(0,2.98),initialize=0)

m.obj = Objective(expr=0.97*m.x6*m.x9 + 5.42*m.x6 + 9.45*m.x9 + 1.52*m.x3*m.x3*m.x5 + 8.04*m.x3 + 0.74*m.x5 - 8.43*m.x7*
                       m.x11*m.x11 + 6.24*m.x7 + 0.14*m.x11 + 1.68*m.x8*m.x10*m.x11 + 2.39*m.x8 + 6.59*m.x10 + 5.84*m.x1
                       *m.x1*m.x2*m.x3 + 9.1*m.x1 - 5.01*m.x2 + 8.73*m.x1*m.x1*m.x3*m.x3 + 2.5*m.x1*m.x2*m.x7*m.x12 + 
                       1.65*m.x12 + 5.06*m.x1*m.x4*m.x10*m.x12 + 8.1*m.x4 + 7.99*m.x2*m.x4*m.x5*m.x8 + 0.06*m.x2*m.x6*
                       m.x7*m.x10 + 5.69*m.x4*m.x5*m.x6*m.x8 + 4.48*m.x4*m.x6*m.x8*m.x10 + 4.66*m.x4*m.x7*m.x8*m.x11 + 
                       9.54*m.x4*m.x8*m.x9*m.x11 + 3.81*m.x4*m.x8*m.x10*m.x12 + 7.26*m.x5*m.x7*m.x9*m.x11 + 7.55*m.x6*
                       m.x6*m.x7*m.x12 + 3.63*m.x1*m.x1*m.x1*m.x1*m.x8 + 6.89*m.x1*m.x1*m.x3*m.x8*m.x9 + 1.2*m.x1*m.x1*
                       m.x8*m.x9*m.x11 + 5.14*m.x1*m.x2*m.x2*m.x2*m.x5 + 2.63*m.x1*m.x2*m.x2*m.x4*m.x7 + 2.18*m.x1*m.x2*
                       m.x2*m.x10*m.x11 + 1.68*m.x1*m.x2*m.x5*m.x10*m.x12 + 6.39*m.x1*m.x2*m.x6*m.x10*m.x11 + 3.41*m.x1*
                       m.x3*m.x4*m.x10*m.x10 + 8.41*m.x1*m.x3*m.x5*m.x5*m.x6 + 9.92*m.x1*m.x3*m.x9*m.x9*m.x10 + 5.58*
                       m.x1*m.x4*m.x5*m.x5*m.x10 + 3.34*m.x1*m.x5*m.x9*m.x11*m.x11 + 1.32*m.x1*m.x6*m.x8*m.x9*m.x11 + 
                       2.6*m.x1*m.x7*m.x10*m.x12*m.x12 - 8.45*m.x1*m.x8*m.x10*m.x10*m.x10 + 5.48*m.x2*m.x2*m.x3*m.x3*
                       m.x3 + 0.4*m.x2*m.x2*m.x7*m.x9*m.x9 - 2.64*m.x2*m.x3*m.x10*m.x11*m.x11 + 9.6*m.x2*m.x4*m.x4*m.x5*
                       m.x12 + 5.02*m.x2*m.x5*m.x7*m.x9*m.x9 + 6.89*m.x2*m.x8*m.x8*m.x9*m.x9 + 1.31*m.x2*m.x9*m.x9*m.x10
                       *m.x10 + 1.12*m.x3*m.x4*m.x8*m.x9*m.x9 + 6.99*m.x3*m.x5*m.x5*m.x9*m.x10 + 3.04*m.x3*m.x5*m.x7*
                       m.x9*m.x10 + 1.52*m.x3*m.x6*m.x7*m.x8*m.x9 + 2.44*m.x3*m.x7*m.x7*m.x8*m.x11 + 5.22*m.x3*m.x8*m.x8
                       *m.x8*m.x9 + 2.64*m.x4*m.x4*m.x7*m.x11*m.x12 + 2.42*m.x4*m.x4*m.x8*m.x10*m.x11 + 1.5*m.x4*m.x4*
                       m.x8*m.x10*m.x12 + 2.49*m.x4*m.x5*m.x5*m.x7*m.x11 + 2.77*m.x4*m.x6*m.x9*m.x9*m.x9 + 5.19*m.x5*
                       m.x11*m.x11*m.x11*m.x11 + 7.12*m.x6*m.x6*m.x9*m.x10*m.x11 + 2.02*m.x6*m.x6*m.x9*m.x10*m.x12 + 
                       6.76*m.x6*m.x6*m.x12*m.x12*m.x12 - 0.1*m.x6*m.x7*m.x8*m.x10*m.x12 + 2.65*m.x6*m.x9*m.x9*m.x10*
                       m.x11 + 0.12*m.x7*m.x8*m.x10*m.x11*m.x11 - 8.54*m.x8*m.x8*m.x10*m.x11*m.x11 + 4.9*m.x9*m.x9*m.x12
                       *m.x12*m.x12 + 0.8*m.x10*m.x11*m.x11*m.x11*m.x11 + 0.2*m.x10*m.x12*m.x12*m.x12*m.x12
                       , sense=minimize)

m.c1 = Constraint(expr=   3.48*m.x1 + 7.57*m.x2 + 7.05*m.x3 + 1.39*m.x4 + 2.95*m.x5 - 9.83*m.x6 + 5.86*m.x7 - 5.67*m.x8
                        + 2.53*m.x9 + 8.1*m.x10 + 9.17*m.x11 + 4.18*m.x12 == 47.519)

m.c2 = Constraint(expr=   7.62*m.x1 + 6.43*m.x2 - 8.71*m.x3 + 5.78*m.x4 + 5.36*m.x5 + 4.07*m.x6 + 7.34*m.x7 + 5.5*m.x8
                        + 6.54*m.x9 + 9.22*m.x10 + 7.51*m.x11 + 2.5*m.x12 == 87.436)

m.c3 = Constraint(expr=   1.46*m.x1 + 5.1*m.x2 + 1.62*m.x3 + 6.92*m.x4 - 8.46*m.x5 - 1.07*m.x6 + 1.02*m.x7 + 2.49*m.x8
                        + 1.66*m.x9 - 1.08*m.x10 + 8.1*m.x11 + 8.59*m.x12 == 35.398)

m.c4 = Constraint(expr=   4.04*m.x1 + 8.85*m.x2 - 5.36*m.x3 + 5.09*m.x4 + 6.25*m.x5 + 9.26*m.x6 - 5.78*m.x7 + 9.84*m.x8
                        + 5.88*m.x9 + 4.68*m.x10 - 9.9*m.x11 + 3.8*m.x12 == 62.175)

m.c5 = Constraint(expr=   6.2*m.x1 + 4.67*m.x2 + 2.94*m.x3 + 8.59*m.x4 + 1.34*m.x5 - 8.57*m.x6 + 7.24*m.x7 + 0.36*m.x8
                        + 1.12*m.x9 + 2.8*m.x10 + 7.68*m.x11 + 7.73*m.x12 == 56.893)

m.c6 = Constraint(expr=   6.58*m.x1 + 2.64*m.x2 + 1.49*m.x3 + 2.12*m.x4 - 1.15*m.x5 - 3.21*m.x6 + 7.2*m.x7 + 0.58*m.x8
                        + 9.83*m.x9 + 2.61*m.x10 + 2.62*m.x11 + 2.76*m.x12 == 46.84)

m.c7 = Constraint(expr=   1.25*m.x1 + 4.54*m.x2 - 1.45*m.x3 + 2.16*m.x4 - 6.02*m.x5 + 1.37*m.x6 + 2.31*m.x7 + 8.92*m.x8
                        + 4.97*m.x9 - 2.22*m.x10 + m.x11 + 7.44*m.x12 >= 35.38)

m.c8 = Constraint(expr=5.92*m.x6*m.x9 + 9.25*m.x6 + 0.96*m.x9 + 5.38*m.x1 + 2.78*m.x2 + 2.57*m.x3 - 4.61*m.x4
                        - 4.26*m.x5 + 8.54*m.x7 + 8.45*m.x8 + 1.08*m.x10 + 2.64*m.x11 + 9.05*m.x12 >= 88.327)

m.c9 = Constraint(expr=1.47*m.x6*m.x9 + 8.68*m.x6 + 7.77*m.x9 + 2.88*m.x3*m.x3*m.x5 + 5.75*m.x3 + 6.05*m.x5 + 2.4*m.x7*
                       m.x11*m.x11 + 0.71*m.x7 + 8.56*m.x11 + 2.9*m.x8*m.x10*m.x11 + 4.38*m.x8 + 7.4*m.x10 + 0.14*m.x1
                        + 2.67*m.x2 + 5.72*m.x4 + 0.86*m.x12 >= 143.433)

m.c10 = Constraint(expr=6.33*m.x6*m.x9 + 4.69*m.x6 + 4.12*m.x9 + 2.14*m.x3*m.x3*m.x5 + 6.05*m.x3 + 6.39*m.x5 + 6.11*m.x7
                        *m.x11*m.x11 + 2.47*m.x7 + 8.57*m.x11 - 4.93*m.x8*m.x10*m.x11 + 4.85*m.x8 + 9.27*m.x10 + 1.74*
                        m.x1*m.x1*m.x2*m.x3 + 4.63*m.x1 + 3.4*m.x2 + 2.72*m.x1*m.x1*m.x3*m.x3 + 8.94*m.x1*m.x2*m.x7*
                        m.x12 + 5.6*m.x12 + 9.93*m.x1*m.x4*m.x10*m.x12 + 7.03*m.x4 + 4.61*m.x2*m.x4*m.x5*m.x8 - 3*m.x2*
                        m.x6*m.x7*m.x10 + 6.54*m.x4*m.x5*m.x6*m.x8 + 0.45*m.x4*m.x6*m.x8*m.x10 + 6.38*m.x4*m.x7*m.x8*
                        m.x11 + 1.93*m.x4*m.x8*m.x9*m.x11 + 3.65*m.x4*m.x8*m.x10*m.x12 + 6.6*m.x5*m.x7*m.x9*m.x11 + 3.52
                        *m.x6*m.x6*m.x7*m.x12 >= 1239.86)

m.c11 = Constraint(expr=9.76*m.x6*m.x9 - 4.13*m.x6 + 2.58*m.x9 + 8.02*m.x3*m.x3*m.x5 + 2.57*m.x3 + 6.7*m.x5 + 6.85*m.x7*
                        m.x11*m.x11 + 6.65*m.x7 + 7.54*m.x11 + 4.94*m.x8*m.x10*m.x11 + 5.61*m.x8 + 8.61*m.x10 + 7.05*
                        m.x1*m.x1*m.x2*m.x3 + 6.11*m.x1 + 6.33*m.x2 + 8.32*m.x1*m.x1*m.x3*m.x3 + 7.95*m.x1*m.x2*m.x7*
                        m.x12 - 6.72*m.x12 + 8.34*m.x1*m.x4*m.x10*m.x12 + 1.58*m.x4 + 7.98*m.x2*m.x4*m.x5*m.x8 + 0.37*
                        m.x2*m.x6*m.x7*m.x10 + 0.95*m.x4*m.x5*m.x6*m.x8 + 8.33*m.x4*m.x6*m.x8*m.x10 + 8.96*m.x4*m.x7*
                        m.x8*m.x11 + 3.46*m.x4*m.x8*m.x9*m.x11 + 4.02*m.x4*m.x8*m.x10*m.x12 + 1.34*m.x5*m.x7*m.x9*m.x11
                         + 3.67*m.x6*m.x6*m.x7*m.x12 + 4.96*m.x1*m.x1*m.x1*m.x1*m.x8 + 0.91*m.x1*m.x1*m.x3*m.x8*m.x9 + 
                        6.59*m.x1*m.x1*m.x8*m.x9*m.x11 + 3.76*m.x1*m.x2*m.x2*m.x2*m.x5 + 6.36*m.x1*m.x2*m.x2*m.x4*m.x7
                         + 4.77*m.x1*m.x2*m.x2*m.x10*m.x11 + 0.26*m.x1*m.x2*m.x5*m.x10*m.x12 + 5.76*m.x1*m.x2*m.x6*m.x10
                        *m.x11 + 5.47*m.x1*m.x3*m.x4*m.x10*m.x10 + 8.17*m.x1*m.x3*m.x5*m.x5*m.x6 - 5.79*m.x1*m.x3*m.x9*
                        m.x9*m.x10 + 4.22*m.x1*m.x4*m.x5*m.x5*m.x10 + 4.91*m.x1*m.x5*m.x9*m.x11*m.x11 + 9.37*m.x1*m.x6*
                        m.x8*m.x9*m.x11 + 0.51*m.x1*m.x7*m.x10*m.x12*m.x12 + 1.14*m.x1*m.x8*m.x10*m.x10*m.x10 + 6.81*
                        m.x2*m.x2*m.x3*m.x3*m.x3 + 4.89*m.x2*m.x2*m.x7*m.x9*m.x9 + 8.5*m.x2*m.x3*m.x10*m.x11*m.x11 + 
                        1.62*m.x2*m.x4*m.x4*m.x5*m.x12 + 3.82*m.x2*m.x5*m.x7*m.x9*m.x9 + 8.29*m.x2*m.x8*m.x8*m.x9*m.x9
                         + 9.65*m.x2*m.x9*m.x9*m.x10*m.x10 + 5.81*m.x3*m.x4*m.x8*m.x9*m.x9 + 6.31*m.x3*m.x5*m.x5*m.x9*
                        m.x10 + 5.2*m.x3*m.x5*m.x7*m.x9*m.x10 + 5.05*m.x3*m.x6*m.x7*m.x8*m.x9 + 7.03*m.x3*m.x7*m.x7*m.x8
                        *m.x11 + 5.86*m.x3*m.x8*m.x8*m.x8*m.x9 + 4.62*m.x4*m.x4*m.x7*m.x11*m.x12 + 8.58*m.x4*m.x4*m.x8*
                        m.x10*m.x11 + 6.21*m.x4*m.x4*m.x8*m.x10*m.x12 - 4.99*m.x4*m.x5*m.x5*m.x7*m.x11 + 6.46*m.x4*m.x6*
                        m.x9*m.x9*m.x9 + 4.77*m.x5*m.x11*m.x11*m.x11*m.x11 + 2.56*m.x6*m.x6*m.x9*m.x10*m.x11 + 3.13*m.x6
                        *m.x6*m.x9*m.x10*m.x12 + 5.31*m.x6*m.x6*m.x12*m.x12*m.x12 + 2.88*m.x6*m.x7*m.x8*m.x10*m.x12 - 
                        0.45*m.x6*m.x9*m.x9*m.x10*m.x11 - 8.83*m.x7*m.x8*m.x10*m.x11*m.x11 + 0.5*m.x8*m.x8*m.x10*m.x11*
                        m.x11 - 7.25*m.x9*m.x9*m.x12*m.x12*m.x12 - 2.6*m.x10*m.x11*m.x11*m.x11*m.x11 + 8.27*m.x10*m.x12*
                        m.x12*m.x12*m.x12 >= 10543.216)

m.c12 = Constraint(expr=   2.39*m.x1 + 3.95*m.x2 + 9.51*m.x3 + 9.97*m.x4 + 4.88*m.x5 + 3.58*m.x6 - 5.08*m.x7 + 5.77*m.x8
                         - 4.23*m.x9 + 0.38*m.x10 + 8.57*m.x11 + 8.03*m.x12 >= 73.692)
