#  NLP written by GAMS Convert at 05/24/17 14:05:43
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         21       11       10        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         41       41        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        640      400      240        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.75,2.08),initialize=0.75)
m.x2 = Var(within=Reals,bounds=(0.3,2.15),initialize=0.3)
m.x3 = Var(within=Reals,bounds=(0.3,2.32),initialize=0.3)
m.x4 = Var(within=Reals,bounds=(0.66,2.49),initialize=0.66)
m.x5 = Var(within=Reals,bounds=(0.87,2.39),initialize=0.87)
m.x6 = Var(within=Reals,bounds=(0.64,2.41),initialize=0.64)
m.x7 = Var(within=Reals,bounds=(0.44,2.04),initialize=0.44)
m.x8 = Var(within=Reals,bounds=(0.4,2.5),initialize=0.4)
m.x9 = Var(within=Reals,bounds=(0.49,2.79),initialize=0.49)
m.x10 = Var(within=Reals,bounds=(0.11,2.66),initialize=0.11)
m.x11 = Var(within=Reals,bounds=(0.51,2.95),initialize=0.51)
m.x12 = Var(within=Reals,bounds=(0.87,2.02),initialize=0.87)
m.x13 = Var(within=Reals,bounds=(0.49,2.87),initialize=0.49)
m.x14 = Var(within=Reals,bounds=(0.16,2.04),initialize=0.16)
m.x15 = Var(within=Reals,bounds=(0.77,2.03),initialize=0.77)
m.x16 = Var(within=Reals,bounds=(0.65,2.83),initialize=0.65)
m.x17 = Var(within=Reals,bounds=(0.11,2.36),initialize=0.11)
m.x18 = Var(within=Reals,bounds=(0.38,2.27),initialize=0.38)
m.x19 = Var(within=Reals,bounds=(0.46,2.57),initialize=0.46)
m.x20 = Var(within=Reals,bounds=(0.94,2.96),initialize=0.94)
m.x21 = Var(within=Reals,bounds=(0.36,2.68),initialize=0.36)
m.x22 = Var(within=Reals,bounds=(0.97,2.45),initialize=0.97)
m.x23 = Var(within=Reals,bounds=(0.26,2.59),initialize=0.26)
m.x24 = Var(within=Reals,bounds=(0.49,2.86),initialize=0.49)
m.x25 = Var(within=Reals,bounds=(0.72,2.08),initialize=0.72)
m.x26 = Var(within=Reals,bounds=(0.24,2.48),initialize=0.24)
m.x27 = Var(within=Reals,bounds=(0.02,2.74),initialize=0.02)
m.x28 = Var(within=Reals,bounds=(0.74,2.13),initialize=0.74)
m.x29 = Var(within=Reals,bounds=(0.82,2.44),initialize=0.82)
m.x30 = Var(within=Reals,bounds=(0.21,2.17),initialize=0.21)
m.x31 = Var(within=Reals,bounds=(0.56,2.91),initialize=0.56)
m.x32 = Var(within=Reals,bounds=(0.97,2.88),initialize=0.97)
m.x33 = Var(within=Reals,bounds=(0.31,2.7),initialize=0.31)
m.x34 = Var(within=Reals,bounds=(0.45,2.91),initialize=0.45)
m.x35 = Var(within=Reals,bounds=(0.57,2.49),initialize=0.57)
m.x36 = Var(within=Reals,bounds=(0.65,2.78),initialize=0.65)
m.x37 = Var(within=Reals,bounds=(0.87,2.84),initialize=0.87)
m.x38 = Var(within=Reals,bounds=(0.92,2.97),initialize=0.92)
m.x39 = Var(within=Reals,bounds=(0.66,2.19),initialize=0.66)
m.x40 = Var(within=Reals,bounds=(0.94,2.65),initialize=0.94)

m.obj = Objective(expr=9.47*m.x1*m.x1 + 9.58*m.x1 + 7.65*m.x1*m.x5 + 9.33*m.x5 + 5.68*m.x1*m.x6 + 2.09*m.x6 + 2.97*m.x1*
                       m.x9 + 4.33*m.x9 + 0.35*m.x1*m.x14 + 3.03*m.x14 + 3.67*m.x1*m.x17 + 9.28*m.x17 + 2.96*m.x1*m.x18
                        - 2.84*m.x18 + 7.46*m.x1*m.x19 + 8.7*m.x19 + 4.36*m.x1*m.x23 + 2.86*m.x23 + 5.78*m.x1*m.x24 + 
                       3.3*m.x24 + 1.72*m.x1*m.x25 + 6.72*m.x25 + 0.97*m.x1*m.x28 + 5.68*m.x28 - 5.51*m.x1*m.x29 + 0.15*
                       m.x29 + 1.2*m.x1*m.x33 + 2.94*m.x33 + 6.15*m.x1*m.x35 + 2.15*m.x35 + 3.41*m.x2*m.x2 + 0.09*m.x2
                        + 3.39*m.x2*m.x4 + 1.11*m.x4 + 9.71*m.x2*m.x6 - 6.01*m.x2*m.x8 + 5.54*m.x8 + 7.42*m.x2*m.x10 + 
                       6.62*m.x10 + 4.76*m.x2*m.x11 + 2.64*m.x11 + 8.1*m.x2*m.x13 + 6.05*m.x13 + 6.37*m.x2*m.x14 + 5.94*
                       m.x2*m.x15 + 8.52*m.x15 - 1.38*m.x2*m.x20 + 3.33*m.x20 - 0.77*m.x2*m.x22 + 1.69*m.x22 + 3.6*m.x2*
                       m.x25 + 5.98*m.x2*m.x26 + 7.42*m.x26 + 4.13*m.x2*m.x28 + 6.7*m.x2*m.x29 + 7.56*m.x2*m.x31 + 5.4*
                       m.x31 + 8.62*m.x2*m.x32 + 2.27*m.x32 + 3.37*m.x2*m.x34 + 5.03*m.x34 - 2.57*m.x2*m.x36 + 3.61*
                       m.x36 + 0.12*m.x3*m.x4 + 4.27*m.x3 + 5.39*m.x3*m.x7 - 0.66*m.x7 - 5.51*m.x3*m.x9 + 2.22*m.x3*
                       m.x10 + 9.85*m.x3*m.x11 + 0.71*m.x3*m.x13 + 5.92*m.x3*m.x20 + 2.26*m.x3*m.x21 + 1.2*m.x21 + 3.02*
                       m.x3*m.x23 + 0.75*m.x3*m.x24 + 7.95*m.x3*m.x25 + 4.04*m.x3*m.x28 + 0.8*m.x3*m.x29 + 8.45*m.x3*
                       m.x30 + 4.58*m.x30 + 8.35*m.x3*m.x35 + 1.76*m.x3*m.x37 + 7.9*m.x37 - 2.79*m.x3*m.x38 + 4.88*m.x38
                        - 4.78*m.x3*m.x40 + 9.04*m.x40 + 8.83*m.x4*m.x4 + 6.95*m.x4*m.x5 + 6.68*m.x4*m.x6 + 6.31*m.x4*
                       m.x9 + 3.96*m.x4*m.x10 + 9.05*m.x4*m.x12 + 0.77*m.x12 + 4.27*m.x4*m.x13 + 9*m.x4*m.x23 + 5.21*
                       m.x4*m.x25 + 2.4*m.x4*m.x27 + 3.44*m.x27 + 3.69*m.x4*m.x28 - 8.23*m.x4*m.x30 + 1.34*m.x4*m.x32 + 
                       9.37*m.x4*m.x34 + 7.85*m.x4*m.x35 + 5.07*m.x4*m.x36 + 4.99*m.x4*m.x37 - 9.77*m.x4*m.x38 + 9.21*
                       m.x4*m.x39 + 7.81*m.x39 + 8.86*m.x4*m.x40 + 5.55*m.x5*m.x9 + 6.52*m.x5*m.x10 + 0.73*m.x5*m.x11 + 
                       5.97*m.x5*m.x12 + 8.23*m.x5*m.x13 + 7.57*m.x5*m.x20 + 3.09*m.x5*m.x21 + 4.85*m.x5*m.x22 + 9.42*
                       m.x5*m.x24 + 4.06*m.x5*m.x26 + 8.19*m.x5*m.x28 + 7.3*m.x5*m.x29 - 8.33*m.x5*m.x32 + 4.73*m.x5*
                       m.x35 + 8.85*m.x5*m.x36 + 6.04*m.x5*m.x37 + 4.79*m.x5*m.x40 + 6.6*m.x6*m.x8 + 4.82*m.x6*m.x9 + 
                       8.49*m.x6*m.x10 + 3.36*m.x6*m.x11 + 1.85*m.x6*m.x12 + 4.96*m.x6*m.x15 + 6.78*m.x6*m.x20 + 3.73*
                       m.x6*m.x21 - 1.04*m.x6*m.x22 + 5.76*m.x6*m.x23 + 4.07*m.x6*m.x30 + 7.25*m.x6*m.x31 + 2.44*m.x6*
                       m.x32 + 6.07*m.x6*m.x33 + 7.1*m.x6*m.x35 + 9.83*m.x6*m.x36 + 7.79*m.x6*m.x37 + 8.01*m.x7*m.x8 + 
                       4.93*m.x7*m.x9 + 1.05*m.x7*m.x10 + 4.15*m.x7*m.x11 + 4.28*m.x7*m.x13 + 4.03*m.x7*m.x15 + 9.45*
                       m.x7*m.x20 + 2.09*m.x7*m.x22 + 1.59*m.x7*m.x24 + 9.54*m.x7*m.x25 + 4.2*m.x7*m.x26 + 0.07*m.x7*
                       m.x27 + 0.4*m.x7*m.x30 - 2.82*m.x7*m.x31 + 2.93*m.x7*m.x32 + 5.16*m.x7*m.x33 + 0.87*m.x7*m.x34 + 
                       5.24*m.x7*m.x36 + 5.78*m.x7*m.x37 - 9.92*m.x7*m.x38 + 5.14*m.x7*m.x39 + 8.2*m.x7*m.x40 + 5.86*
                       m.x8*m.x13 + 5.55*m.x8*m.x15 + 5.76*m.x8*m.x17 + 9.44*m.x8*m.x18 + 5.73*m.x8*m.x20 + 1.35*m.x8*
                       m.x25 - 0.43*m.x8*m.x28 + 5.59*m.x8*m.x30 + 0.35*m.x8*m.x31 + 0.32*m.x8*m.x32 + 3*m.x8*m.x34 + 
                       0.92*m.x8*m.x35 + 6.12*m.x8*m.x36 + 1.16*m.x8*m.x37 + 0.65*m.x8*m.x38 + 2.42*m.x8*m.x39 + 6.27*
                       m.x9*m.x9 + 6.34*m.x9*m.x11 + 7.4*m.x9*m.x13 + 1.06*m.x9*m.x14 + 2.41*m.x9*m.x18 + 6.57*m.x9*
                       m.x19 - 3.84*m.x9*m.x21 + 9.33*m.x9*m.x23 - 2.46*m.x9*m.x24 + 1.47*m.x9*m.x26 + 3.08*m.x9*m.x27
                        - 5.05*m.x9*m.x29 - 4.69*m.x9*m.x30 + 6.46*m.x9*m.x33 + 3*m.x9*m.x35 + 1.41*m.x9*m.x36 + 8.06*
                       m.x9*m.x37 + 5.91*m.x9*m.x38 + 4.72*m.x9*m.x39 + 3.23*m.x10*m.x10 + 8.9*m.x10*m.x12 + 2.6*m.x10*
                       m.x15 + 7.33*m.x10*m.x16 + 8.95*m.x16 + 9.52*m.x10*m.x17 + 3.68*m.x10*m.x18 + 3.35*m.x10*m.x21 - 
                       8.84*m.x10*m.x22 + 2.26*m.x10*m.x24 + 8.15*m.x10*m.x26 + 0.95*m.x10*m.x27 + 3.45*m.x10*m.x28 + 
                       1.45*m.x10*m.x29 - 2.7*m.x10*m.x30 + 2.3*m.x10*m.x31 + 5*m.x10*m.x32 + 6.39*m.x10*m.x33 + 3.91*
                       m.x10*m.x34 + 2.85*m.x10*m.x35 + 6.69*m.x10*m.x37 + 3.22*m.x10*m.x38 + 2.48*m.x10*m.x40 + 7.27*
                       m.x11*m.x13 + 7.09*m.x11*m.x14 + 8.73*m.x11*m.x15 + 7.27*m.x11*m.x16 + 6.33*m.x11*m.x17 + 2.32*
                       m.x11*m.x18 + 0.35*m.x11*m.x19 + 5.68*m.x11*m.x20 + 0.09*m.x11*m.x21 + 4.56*m.x11*m.x22 - 2.5*
                       m.x11*m.x25 + 0.22*m.x11*m.x27 + 7.31*m.x11*m.x28 + 6.78*m.x11*m.x31 + 9.06*m.x11*m.x33 + 1.41*
                       m.x11*m.x35 + 1.11*m.x11*m.x37 + 3.68*m.x11*m.x39 + 2.23*m.x12*m.x12 - 6.85*m.x12*m.x15 + 0.88*
                       m.x12*m.x16 + 8.97*m.x12*m.x17 + 7.53*m.x12*m.x18 + 6.58*m.x12*m.x20 - 0.45*m.x12*m.x21 + 8.79*
                       m.x12*m.x23 + 5.09*m.x12*m.x24 + 4.66*m.x12*m.x25 - 2.52*m.x12*m.x26 + 1.49*m.x12*m.x31 + 7.2*
                       m.x12*m.x33 + 7.07*m.x12*m.x35 + 9.3*m.x12*m.x37 + 3.55*m.x12*m.x38 + 2.08*m.x12*m.x40 + 5.76*
                       m.x13*m.x13 + 9.41*m.x13*m.x15 + 1.85*m.x13*m.x16 + 3.94*m.x13*m.x17 - 9.03*m.x13*m.x18 + 1.1*
                       m.x13*m.x19 - 2.16*m.x13*m.x23 - 9.28*m.x13*m.x24 + 8.14*m.x13*m.x30 + 1.6*m.x13*m.x34 + 3.79*
                       m.x13*m.x35 + 9.38*m.x13*m.x37 + 0.12*m.x14*m.x18 + 2.84*m.x14*m.x19 + 0.67*m.x14*m.x20 + 9.15*
                       m.x14*m.x22 + 6.92*m.x14*m.x25 + 3.32*m.x14*m.x27 - 8.47*m.x14*m.x30 + 2.1*m.x14*m.x31 - 0.74*
                       m.x14*m.x32 + 6.3*m.x14*m.x34 + 8.17*m.x14*m.x39 + 1.72*m.x14*m.x40 + 5.61*m.x15*m.x15 + 4.2*
                       m.x15*m.x19 + 5.73*m.x15*m.x21 + 8.92*m.x15*m.x26 + 5.3*m.x15*m.x27 + 9.29*m.x15*m.x30 + 8.09*
                       m.x15*m.x37 + 5.89*m.x15*m.x38 + 7.34*m.x15*m.x39 + 0.55*m.x15*m.x40 + 5.38*m.x16*m.x16 + 6.1*
                       m.x16*m.x20 + 3.46*m.x16*m.x24 + 6.9*m.x16*m.x25 + 9.41*m.x16*m.x27 + 0.64*m.x16*m.x29 + 6.11*
                       m.x16*m.x30 + 6.57*m.x16*m.x33 + 8.4*m.x16*m.x34 + 0.67*m.x16*m.x40 + 1.39*m.x17*m.x18 + 2.78*
                       m.x17*m.x19 + 7.94*m.x17*m.x20 + 6.3*m.x17*m.x21 + 8.07*m.x17*m.x22 + 5.63*m.x17*m.x23 + 8.22*
                       m.x17*m.x28 + 1.59*m.x17*m.x33 + 3.01*m.x17*m.x34 + 0.32*m.x17*m.x35 + 7.53*m.x17*m.x39 + 5.82*
                       m.x18*m.x22 + 2.73*m.x18*m.x29 + 1.5*m.x18*m.x30 + 1.95*m.x18*m.x32 + 1.06*m.x18*m.x35 + 1.25*
                       m.x18*m.x36 + 3.98*m.x18*m.x37 + 1.37*m.x18*m.x39 + 5.96*m.x18*m.x40 + 4.23*m.x19*m.x20 + 9.62*
                       m.x19*m.x21 + 1.67*m.x19*m.x22 + 5.77*m.x19*m.x23 + 9.29*m.x19*m.x24 + 0.51*m.x19*m.x25 + 3.22*
                       m.x19*m.x26 + 8.62*m.x19*m.x28 + 2.61*m.x19*m.x29 + 8.35*m.x19*m.x33 + 5.62*m.x19*m.x34 + 8.09*
                       m.x19*m.x36 + 1.8*m.x19*m.x37 + 0.16*m.x19*m.x40 + 8.64*m.x20*m.x20 + 2*m.x20*m.x21 + 5.01*m.x20*
                       m.x22 + 0.18*m.x20*m.x23 + 9.49*m.x20*m.x28 + 7.41*m.x20*m.x32 + 6.23*m.x20*m.x34 + 8*m.x20*m.x35
                        + 6.26*m.x20*m.x37 + 1.94*m.x20*m.x39 + 6.96*m.x20*m.x40 + 3.03*m.x21*m.x24 + 7.67*m.x21*m.x25
                        + 1.31*m.x21*m.x27 + 4.02*m.x21*m.x30 + 5.12*m.x21*m.x32 + 9.03*m.x21*m.x34 + 3.11*m.x21*m.x35
                        + 3.64*m.x21*m.x37 + 1.49*m.x21*m.x38 + 4.49*m.x21*m.x39 + 6.85*m.x22*m.x23 + 1.86*m.x22*m.x25
                        + 9.89*m.x22*m.x26 + 5.47*m.x22*m.x28 + 0.27*m.x22*m.x33 + 1.07*m.x22*m.x34 + 8.03*m.x22*m.x36
                        + 5.46*m.x22*m.x38 + 1.83*m.x22*m.x40 + 2.94*m.x23*m.x28 + 9.23*m.x23*m.x29 - 0.92*m.x23*m.x32
                        - 9.54*m.x23*m.x34 + 7.44*m.x23*m.x35 + 4.32*m.x23*m.x36 + 8.55*m.x23*m.x37 + 5.99*m.x23*m.x38
                        + 8.23*m.x23*m.x39 + 9.83*m.x23*m.x40 + 8.76*m.x24*m.x24 + 9.64*m.x24*m.x25 + 4.28*m.x24*m.x27
                        + 2.4*m.x24*m.x28 + 5.4*m.x24*m.x32 + 2.33*m.x24*m.x33 + 7.68*m.x24*m.x38 + 9.43*m.x24*m.x40 + 
                       1.72*m.x25*m.x27 + 3.12*m.x25*m.x28 + 7.77*m.x25*m.x31 + 6*m.x25*m.x32 - 2.61*m.x25*m.x33 + 8.29*
                       m.x25*m.x34 - 1.49*m.x25*m.x35 - 8.05*m.x25*m.x38 + 3.07*m.x25*m.x39 + 7.65*m.x25*m.x40 + 9.97*
                       m.x26*m.x27 + 1.75*m.x26*m.x29 + 2.95*m.x26*m.x32 + 7.05*m.x26*m.x36 - 1.39*m.x26*m.x37 + 9.23*
                       m.x26*m.x39 + 7.92*m.x27*m.x28 - 7.23*m.x27*m.x30 + 0.07*m.x27*m.x31 + 0.43*m.x27*m.x32 + 6.67*
                       m.x27*m.x33 + 8.77*m.x27*m.x37 + 1.84*m.x27*m.x39 + 1.31*m.x27*m.x40 + 4.42*m.x28*m.x29 + 3.46*
                       m.x28*m.x31 - 5.62*m.x28*m.x34 + 8.24*m.x28*m.x35 + 2.66*m.x28*m.x40 + 1.8*m.x29*m.x29 + 1.31*
                       m.x29*m.x30 + 8.67*m.x29*m.x31 + 5.07*m.x29*m.x33 + 6.8*m.x29*m.x34 + 3.83*m.x29*m.x35 + 8.04*
                       m.x29*m.x38 - 9.79*m.x30*m.x30 + 4.01*m.x30*m.x33 + 3.53*m.x30*m.x34 + 2.96*m.x30*m.x35 + 7.9*
                       m.x30*m.x37 + 7.8*m.x30*m.x40 + 2.75*m.x31*m.x34 + 0.6*m.x31*m.x35 + 8.11*m.x31*m.x38 + 3.94*
                       m.x31*m.x40 + 8.72*m.x32*m.x33 + 4.38*m.x32*m.x34 + 7.78*m.x32*m.x39 + 8.36*m.x32*m.x40 + 2.61*
                       m.x33*m.x34 + 5.86*m.x33*m.x35 + 0.11*m.x33*m.x36 + 2.16*m.x33*m.x38 + 4.88*m.x34*m.x35 + 2.91*
                       m.x34*m.x36 + 7.64*m.x34*m.x38 + 2.96*m.x36*m.x36 + 6.96*m.x36*m.x37 + 4.14*m.x36*m.x39 + 1.97*
                       m.x37*m.x38 + 2.41*m.x37*m.x40 - 8.99*m.x38*m.x39 + 9.56*m.x40*m.x40, sense=minimize)

m.c1 = Constraint(expr=   7.59*m.x1 + 9.76*m.x5 + 9.29*m.x6 + 3.94*m.x7 + 9.82*m.x8 + 7.88*m.x12 + 3.39*m.x13
                        + 5.44*m.x14 + 1.35*m.x16 - 2.93*m.x20 - 7.24*m.x24 + 2.03*m.x25 + 6.86*m.x31 + 6.82*m.x32
                        + 3.56*m.x33 + 3.09*m.x35 + 8.73*m.x37 + 5.05*m.x38 + 7.38*m.x39 + 4.02*m.x40 == 149.222)

m.c2 = Constraint(expr= - 1.84*m.x1 + 3.09*m.x4 + 9.15*m.x5 + 2.13*m.x6 + 6.16*m.x9 + 4.4*m.x11 + 0.65*m.x12
                        + 0.98*m.x13 + 9.34*m.x14 + 9.15*m.x15 - 1.56*m.x17 + 5.87*m.x21 + 9.12*m.x23 + 2.25*m.x25
                        + 1.13*m.x27 + 8.27*m.x30 + 5.62*m.x34 + 5.13*m.x35 + 1.9*m.x36 + 1.5*m.x39 == 121.039)

m.c3 = Constraint(expr=   2.31*m.x1 + 0.42*m.x5 - 4.89*m.x6 + 6.02*m.x7 + 4.55*m.x9 + 9.75*m.x13 + 2.42*m.x14
                        + 4.14*m.x16 + 9.9*m.x17 + 2.28*m.x18 + 6.05*m.x22 + 3.38*m.x25 + 9.57*m.x27 + 1.16*m.x31
                        + 4.41*m.x32 + 1.07*m.x34 + 2.96*m.x35 + 8.62*m.x36 + 6.49*m.x37 + 5.68*m.x38 == 135.898)

m.c4 = Constraint(expr=   3.69*m.x5 + 9.93*m.x9 + 2.99*m.x10 + 7.58*m.x13 + 6.28*m.x14 + 8.34*m.x16 + 6.33*m.x17
                        + 4.46*m.x18 + 1.21*m.x19 + 2.47*m.x20 + 8.15*m.x22 + 5.14*m.x23 + 6.71*m.x26 + 3.6*m.x27
                        + 4.69*m.x28 + 5.3*m.x34 + 3.73*m.x36 + 1.75*m.x37 + 9.41*m.x38 + 3.16*m.x39 == 164.409)

m.c5 = Constraint(expr=   4.62*m.x2 + 6.71*m.x3 - 9.61*m.x4 + 4.39*m.x5 + 3.94*m.x8 + 0.13*m.x10 + 3.23*m.x11
                        + 5.86*m.x13 + 2.47*m.x14 + 5.94*m.x17 + 0.48*m.x18 + 1.86*m.x20 + 0.79*m.x22 - 7.53*m.x24
                        - 6.99*m.x28 - 7.37*m.x29 - 4.74*m.x32 + 3.24*m.x33 + 3.31*m.x35 - 1.71*m.x39 == 7.185)

m.c6 = Constraint(expr=   4.99*m.x1 + 3.54*m.x3 + 2.58*m.x6 + 9.49*m.x10 + 1.78*m.x11 + 0.91*m.x12 + 0.34*m.x14
                        + 5.25*m.x16 + 1.19*m.x17 + 4.6*m.x18 + 1.7*m.x22 + 3.88*m.x29 + 4.62*m.x30 + 9.8*m.x31
                        - 1.07*m.x33 + 3.42*m.x34 + 7.92*m.x35 + 1.47*m.x36 + 8.87*m.x39 == 113.39)

m.c7 = Constraint(expr=   6.96*m.x1 + 3.56*m.x3 + 0.64*m.x4 + 1.21*m.x5 + 7.05*m.x8 + 7.95*m.x9 + 8.46*m.x12
                        + 3.48*m.x13 + 4.36*m.x17 + 8.27*m.x18 + 6.06*m.x20 + 9.8*m.x21 + 7.1*m.x22 + 1.83*m.x24
                        + 8.57*m.x27 - 9.35*m.x31 + 1.45*m.x32 + 3.28*m.x33 - 2.53*m.x36 + 8.19*m.x37 == 131.271)

m.c8 = Constraint(expr=   7.2*m.x1 + 5.56*m.x6 + 9.32*m.x9 + 9*m.x10 + 9.38*m.x12 + 8.64*m.x14 + 8.59*m.x18 + 4.4*m.x19
                        + 0.75*m.x20 + 9*m.x21 + 4.89*m.x26 + 7.56*m.x28 + 3.85*m.x29 - 2.71*m.x31 + 0.1*m.x32
                        + 1.12*m.x33 + 1.25*m.x35 + 3.94*m.x36 + 4.57*m.x38 + 4.41*m.x39 == 147.458)

m.c9 = Constraint(expr=   5.59*m.x2 + 1.05*m.x4 + 6.81*m.x5 + 4.68*m.x6 + 7.22*m.x7 - 8.14*m.x10 + 7.12*m.x11
                        + 1.45*m.x13 - 3.41*m.x18 + 3.94*m.x21 + 8.18*m.x24 + 1.71*m.x26 + 6.5*m.x27 - 4.35*m.x30
                        + 2.59*m.x31 + 4.88*m.x32 + 1.85*m.x34 + 6.83*m.x35 + 5.07*m.x36 + 1.78*m.x40 == 99.798)

m.c10 = Constraint(expr=   6.94*m.x2 + 0.28*m.x4 + 4.89*m.x7 + 5.18*m.x8 + 1.65*m.x10 + 8.38*m.x11 + 1.69*m.x13
                         + 0.65*m.x15 + 1.96*m.x16 + 1.56*m.x17 + 7.69*m.x19 + 3.5*m.x22 + 3.99*m.x26 + 0.89*m.x27
                         + 7.28*m.x29 + 1.56*m.x30 + 1.96*m.x32 + 4.05*m.x33 + 0.22*m.x37 + 6.55*m.x40 == 108.432)

m.c11 = Constraint(expr=   5.12*m.x1 - 0.52*m.x2 + 6.72*m.x3 + 3.08*m.x4 + 5.57*m.x5 + 5.46*m.x6 + 4.88*m.x7 + 2.51*m.x8
                         + 2.68*m.x9 + 4.65*m.x10 + 5.14*m.x11 - 9.9*m.x12 + 7.81*m.x13 + 7.9*m.x14 + 3.98*m.x15
                         + 7.33*m.x16 + 4.08*m.x17 + 3.36*m.x18 + 5.34*m.x19 + 6.71*m.x20 + 5.62*m.x21 + 0.81*m.x22
                         + 0.56*m.x23 + 8.73*m.x24 + 8.09*m.x25 + 6.28*m.x26 + 9.43*m.x27 + 3.05*m.x28 + 0.44*m.x29
                         + 7.8*m.x30 + 2.66*m.x31 + 9.77*m.x32 + 7.89*m.x33 - 2.56*m.x34 + 5.46*m.x35 + 2.08*m.x36
                         + 6.23*m.x37 + 5.14*m.x38 + 2.42*m.x39 + 0.24*m.x40 >= 264.538)

m.c12 = Constraint(expr=4.41*m.x1*m.x1 + 7.29*m.x1 + 2.13*m.x1*m.x5 + 5.72*m.x5 + 9.24*m.x1*m.x6 + 8.03*m.x6 + 9.1*m.x1*
                        m.x9 + 6.99*m.x9 - 5.65*m.x1*m.x14 + 6.86*m.x14 + 0.26*m.x1*m.x17 + 0.86*m.x17 + 0.45*m.x1*m.x18
                         + 7.66*m.x18 - 4.06*m.x1*m.x19 + 6.38*m.x19 + 5.11*m.x1*m.x23 + 1.44*m.x23 + 3.16*m.x1*m.x24 + 
                        8.61*m.x24 - 7.38*m.x1*m.x25 - 2.14*m.x25 + 1.06*m.x1*m.x28 + 4.41*m.x28 + 3.3*m.x1*m.x29 + 6.51
                        *m.x29 + 3.11*m.x1*m.x33 + 9.73*m.x33 + 8.86*m.x1*m.x35 + 1.25*m.x35 + 3.49*m.x2*m.x2 + 7.15*
                        m.x2 + 5.17*m.x2*m.x4 + 6.79*m.x4 + 4.66*m.x2*m.x6 + 6.38*m.x2*m.x8 + 2.95*m.x8 + 0.97*m.x2*
                        m.x10 + 7.09*m.x10 + 4.32*m.x2*m.x11 + 2.85*m.x11 + 2.87*m.x2*m.x13 + 6.66*m.x13 + 8.92*m.x2*
                        m.x14 + 3.32*m.x2*m.x15 + 1.35*m.x15 + 8.55*m.x2*m.x20 + 2.17*m.x20 + 2.98*m.x2*m.x22 + 3.42*
                        m.x22 + 9.16*m.x2*m.x25 + 5.74*m.x2*m.x26 + 8.74*m.x26 + 6.58*m.x2*m.x28 + 1.15*m.x2*m.x29 + 
                        0.76*m.x2*m.x31 + 3.53*m.x31 + 5.26*m.x2*m.x32 + 8.35*m.x32 - 6.11*m.x2*m.x34 + 0.99*m.x34 + 
                        6.55*m.x2*m.x36 + 8.03*m.x36 + 7.1*m.x3*m.x4 + 3.69*m.x3 + 8.41*m.x3*m.x7 + 2.31*m.x7 + 3.01*
                        m.x3*m.x9 - 4.72*m.x3*m.x10 + 1.07*m.x3*m.x11 + 0.22*m.x3*m.x13 - 1.88*m.x3*m.x20 + 2.09*m.x3*
                        m.x21 + 8.08*m.x21 + 6.28*m.x3*m.x23 + 4.37*m.x3*m.x24 + 7.78*m.x3*m.x25 + 1.81*m.x3*m.x28 + 
                        9.39*m.x3*m.x29 + 4.64*m.x3*m.x30 + 7.21*m.x30 + 9.25*m.x3*m.x35 + 0.86*m.x3*m.x37 + 2.26*m.x37
                         + 3.76*m.x3*m.x38 + 1.63*m.x38 + 7.63*m.x3*m.x40 + 6.34*m.x40 + 2.57*m.x4*m.x4 + 8.31*m.x4*m.x5
                         + 4.33*m.x4*m.x6 - 6.67*m.x4*m.x9 + 7.27*m.x4*m.x10 + 4.93*m.x4*m.x12 + 6.33*m.x12 + 3.77*m.x4*
                        m.x13 + 7.06*m.x4*m.x23 + 2.87*m.x4*m.x25 + 4.02*m.x4*m.x27 + 8.64*m.x27 + 9.84*m.x4*m.x28 + 
                        2.46*m.x4*m.x30 + 6.89*m.x4*m.x32 + 3.43*m.x4*m.x34 + 4.03*m.x4*m.x35 + 2.64*m.x4*m.x36 + 4.14*
                        m.x4*m.x37 + 8.93*m.x4*m.x38 + 1.44*m.x4*m.x39 + 3.91*m.x39 + 2.39*m.x4*m.x40 - 7.2*m.x5*m.x9 + 
                        8.77*m.x5*m.x10 + 1.94*m.x5*m.x11 + 1.72*m.x5*m.x12 - 8.16*m.x5*m.x13 - 9.46*m.x5*m.x20 + 2.5*
                        m.x5*m.x21 + 7.33*m.x5*m.x22 + 1.67*m.x5*m.x24 + 2.92*m.x5*m.x26 + 0.88*m.x5*m.x28 + 5.27*m.x5*
                        m.x29 - 9.18*m.x5*m.x32 + 4.71*m.x5*m.x35 + 0.47*m.x5*m.x36 + 4.9*m.x5*m.x37 + 4.44*m.x5*m.x40
                         + 3.66*m.x6*m.x8 + 6.43*m.x6*m.x9 + 4.1*m.x6*m.x10 + 0.26*m.x6*m.x11 + 2.68*m.x6*m.x12 + 3.11*
                        m.x6*m.x15 + 5.7*m.x6*m.x20 + 6.53*m.x6*m.x21 + 0.81*m.x6*m.x22 + 2.62*m.x6*m.x23 + 5.16*m.x6*
                        m.x30 + 9.46*m.x6*m.x31 + 6.57*m.x6*m.x32 + 4.78*m.x6*m.x33 + 9.56*m.x6*m.x35 + 2.1*m.x6*m.x36
                         + 2.5*m.x6*m.x37 + 8.2*m.x7*m.x8 - 7.74*m.x7*m.x9 + 6.1*m.x7*m.x10 + m.x7*m.x11 + 2.67*m.x7*
                        m.x13 + 1.81*m.x7*m.x15 + 4.72*m.x7*m.x20 + 1.4*m.x7*m.x22 + 2.85*m.x7*m.x24 + 9.77*m.x7*m.x25
                         + 7.05*m.x7*m.x26 + 8.27*m.x7*m.x27 + 3.06*m.x7*m.x30 + 9.51*m.x7*m.x31 + 3.59*m.x7*m.x32 + 
                        0.99*m.x7*m.x33 + 3.49*m.x7*m.x34 + 4.01*m.x7*m.x36 + 2.93*m.x7*m.x37 + 4.58*m.x7*m.x38 + 7.55*
                        m.x7*m.x39 + 7.73*m.x7*m.x40 + 9.81*m.x8*m.x13 - 1.78*m.x8*m.x15 + 0.48*m.x8*m.x17 + 4.36*m.x8*
                        m.x18 - 4.37*m.x8*m.x20 + 6.35*m.x8*m.x25 + 9.31*m.x8*m.x28 + 5.74*m.x8*m.x30 + 2.63*m.x8*m.x31
                         + 7.62*m.x8*m.x32 + 3.9*m.x8*m.x34 + 2.07*m.x8*m.x35 + 8.28*m.x8*m.x36 - 6.38*m.x8*m.x37 + 9.37
                        *m.x8*m.x38 - 3.33*m.x8*m.x39 + 5.68*m.x9*m.x9 + 1.88*m.x9*m.x11 + 9.76*m.x9*m.x13 + 2*m.x9*
                        m.x14 + 4.1*m.x9*m.x18 + 0.18*m.x9*m.x19 + 2.83*m.x9*m.x21 + 7.01*m.x9*m.x23 + 3.25*m.x9*m.x24
                         + 3.73*m.x9*m.x26 + 6.3*m.x9*m.x27 + 8.9*m.x9*m.x29 + 0.03*m.x9*m.x30 + 2.16*m.x9*m.x33 + 5.12*
                        m.x9*m.x35 - 6.3*m.x9*m.x36 + 6.52*m.x9*m.x37 + 4.4*m.x9*m.x38 + 0.21*m.x9*m.x39 + 3.6*m.x10*
                        m.x10 + 9.28*m.x10*m.x12 + 1.94*m.x10*m.x15 + 8.26*m.x10*m.x16 + 9.9*m.x16 + 9.93*m.x10*m.x17 - 
                        9.81*m.x10*m.x18 - 3.44*m.x10*m.x21 + 2.89*m.x10*m.x22 + 9.32*m.x10*m.x24 + 6.35*m.x10*m.x26 + 
                        0.53*m.x10*m.x27 - 7.08*m.x10*m.x28 + 2.14*m.x10*m.x29 + 6.84*m.x10*m.x30 + 4.91*m.x10*m.x31 - 
                        6.7*m.x10*m.x32 + 7.86*m.x10*m.x33 + 3.23*m.x10*m.x34 + 6.63*m.x10*m.x35 + 5.51*m.x10*m.x37 + 
                        8.9*m.x10*m.x38 + 6.97*m.x10*m.x40 + 3.69*m.x11*m.x13 - 1.2*m.x11*m.x14 + 5.92*m.x11*m.x15 + 
                        5.72*m.x11*m.x16 + 2.87*m.x11*m.x17 + 2.82*m.x11*m.x18 - 4.17*m.x11*m.x19 + 1.45*m.x11*m.x20 - 
                        1.74*m.x11*m.x21 - 9.4*m.x11*m.x22 + 1.28*m.x11*m.x25 + 9.61*m.x11*m.x27 + 2.05*m.x11*m.x28 + 
                        9.84*m.x11*m.x31 + 6.15*m.x11*m.x33 + 9.69*m.x11*m.x35 + 4.26*m.x11*m.x37 + 4.03*m.x11*m.x39 + 
                        9.12*m.x12*m.x12 + 6.96*m.x12*m.x15 + 3.39*m.x12*m.x16 + 5.25*m.x12*m.x17 + 3.51*m.x12*m.x18 + 
                        5.48*m.x12*m.x20 + 6.06*m.x12*m.x21 + 3.78*m.x12*m.x23 + 8.21*m.x12*m.x24 + 2.36*m.x12*m.x25 + 
                        8.81*m.x12*m.x26 - 1.81*m.x12*m.x31 + 1.69*m.x12*m.x33 + 3.26*m.x12*m.x35 + 7.71*m.x12*m.x37 + 
                        9.54*m.x12*m.x38 + 7.18*m.x12*m.x40 + 9.17*m.x13*m.x13 + 9.13*m.x13*m.x15 + 2.59*m.x13*m.x16 + 
                        9.1*m.x13*m.x17 + 4.37*m.x13*m.x18 + 1.85*m.x13*m.x19 - 0.64*m.x13*m.x23 + 0.77*m.x13*m.x24 + 
                        5.76*m.x13*m.x30 + 0.35*m.x13*m.x34 + 7.28*m.x13*m.x35 + 3.38*m.x13*m.x37 + 3.29*m.x14*m.x18 + 
                        9.42*m.x14*m.x19 - 1.16*m.x14*m.x20 + 6.12*m.x14*m.x22 + 1.78*m.x14*m.x25 + 9.91*m.x14*m.x27 + 
                        8.37*m.x14*m.x30 + 7.68*m.x14*m.x31 + 3.89*m.x14*m.x32 + 5.9*m.x14*m.x34 + 6.09*m.x14*m.x39 + 
                        8.93*m.x14*m.x40 + 4.39*m.x15*m.x15 + 2.92*m.x15*m.x19 + 7.45*m.x15*m.x21 + 6.87*m.x15*m.x26 + 
                        5.68*m.x15*m.x27 + 7.58*m.x15*m.x30 + 7.66*m.x15*m.x37 + 9.81*m.x15*m.x38 + 4.53*m.x15*m.x39 + 
                        8.4*m.x15*m.x40 + 1.43*m.x16*m.x16 + 3.82*m.x16*m.x20 + 0.09*m.x16*m.x24 + 7.81*m.x16*m.x25 + 
                        1.55*m.x16*m.x27 + 0.45*m.x16*m.x29 + 3.15*m.x16*m.x30 + 5.56*m.x16*m.x33 + 8.81*m.x16*m.x34 + 
                        5.64*m.x16*m.x40 - 6.66*m.x17*m.x18 - 3.22*m.x17*m.x19 + 3.12*m.x17*m.x20 + 9.93*m.x17*m.x21 - 
                        7.47*m.x17*m.x22 + 0.03*m.x17*m.x23 + 5.91*m.x17*m.x28 + 9.91*m.x17*m.x33 + 9.35*m.x17*m.x34 + 
                        10*m.x17*m.x35 + 3.73*m.x17*m.x39 + 0.91*m.x18*m.x22 + 7.24*m.x18*m.x29 + 0.14*m.x18*m.x30 + 
                        3.16*m.x18*m.x32 + 0.96*m.x18*m.x35 + 2.76*m.x18*m.x36 + 0.14*m.x18*m.x37 + 6.93*m.x18*m.x39 + 
                        5.95*m.x18*m.x40 + 0.96*m.x19*m.x20 + 3.11*m.x19*m.x21 + 1.3*m.x19*m.x22 + 6.11*m.x19*m.x23 + 
                        8.37*m.x19*m.x24 + 7.68*m.x19*m.x25 + 4.7*m.x19*m.x26 + 3.7*m.x19*m.x28 + 2.18*m.x19*m.x29 + 
                        1.35*m.x19*m.x33 + 7.64*m.x19*m.x34 + 1.93*m.x19*m.x36 + 0.82*m.x19*m.x37 + 4.98*m.x19*m.x40 + 
                        3.77*m.x20*m.x20 + 5.18*m.x20*m.x21 + 5.69*m.x20*m.x22 + 8.7*m.x20*m.x23 + 2.35*m.x20*m.x28 - 
                        0.45*m.x20*m.x32 + 4.15*m.x20*m.x34 + 8.91*m.x20*m.x35 + 1.8*m.x20*m.x37 + 0.02*m.x20*m.x39 - 
                        3.81*m.x20*m.x40 + 6.67*m.x21*m.x24 - 4.67*m.x21*m.x25 + 5.45*m.x21*m.x27 + 8.02*m.x21*m.x30 + 
                        7.19*m.x21*m.x32 + 3.67*m.x21*m.x34 + 2.72*m.x21*m.x35 + 2.63*m.x21*m.x37 + 0.7*m.x21*m.x38 + 
                        9.17*m.x21*m.x39 + 8.72*m.x22*m.x23 + 4.01*m.x22*m.x25 + 4.54*m.x22*m.x26 + 7.71*m.x22*m.x28 + 
                        8.9*m.x22*m.x33 + 8.27*m.x22*m.x34 + 6.41*m.x22*m.x36 + 2*m.x22*m.x38 + 6.25*m.x22*m.x40 + 1.82*
                        m.x23*m.x28 + 9.02*m.x23*m.x29 + 1.95*m.x23*m.x32 + 1.51*m.x23*m.x34 - 3.1*m.x23*m.x35 + 5.84*
                        m.x23*m.x36 + 7.15*m.x23*m.x37 + 4.55*m.x23*m.x38 + 5.57*m.x23*m.x39 - 8.22*m.x23*m.x40 + 0.4*
                        m.x24*m.x24 + 7.15*m.x24*m.x25 + 2.01*m.x24*m.x27 + 3.7*m.x24*m.x28 + 2.69*m.x24*m.x32 + 6.86*
                        m.x24*m.x33 - 0.01*m.x24*m.x38 + 5.55*m.x24*m.x40 + 9.25*m.x25*m.x27 + 2.26*m.x25*m.x28 + 8.69*
                        m.x25*m.x31 + 3.63*m.x25*m.x32 + 7.01*m.x25*m.x33 + 9.39*m.x25*m.x34 + 6.78*m.x25*m.x35 + 6.44*
                        m.x25*m.x38 + 3.17*m.x25*m.x39 + 9.42*m.x25*m.x40 + 1.82*m.x26*m.x27 + 4.45*m.x26*m.x29 + 5.11*
                        m.x26*m.x32 + 7.61*m.x26*m.x36 + 0.68*m.x26*m.x37 + 4.65*m.x26*m.x39 + 1.52*m.x27*m.x28 + 3.54*
                        m.x27*m.x30 + 1.35*m.x27*m.x31 + 6.4*m.x27*m.x32 + 4.78*m.x27*m.x33 + 2.48*m.x27*m.x37 + 5.9*
                        m.x27*m.x39 + 8.48*m.x27*m.x40 + 4.62*m.x28*m.x29 + 8.16*m.x28*m.x31 + 4.77*m.x28*m.x34 + 7.41*
                        m.x28*m.x35 + 2.94*m.x28*m.x40 + 6.67*m.x29*m.x29 + 2.26*m.x29*m.x30 + 7.03*m.x29*m.x31 + 0.01*
                        m.x29*m.x33 + 1.69*m.x29*m.x34 + 3.31*m.x29*m.x35 + 9.32*m.x29*m.x38 + 1.81*m.x30*m.x30 + 0.88*
                        m.x30*m.x33 + 1.49*m.x30*m.x34 + 6.45*m.x30*m.x35 + 8.67*m.x30*m.x37 + 3.64*m.x30*m.x40 + 8.25*
                        m.x31*m.x34 + 4.14*m.x31*m.x35 - 5.19*m.x31*m.x38 + 0.01*m.x31*m.x40 + 3.45*m.x32*m.x33 + 6.2*
                        m.x32*m.x34 - 1.31*m.x32*m.x39 - 0.89*m.x32*m.x40 + 7.12*m.x33*m.x34 + 0.33*m.x33*m.x35 + 4.73*
                        m.x33*m.x36 + 9.48*m.x33*m.x38 - 2.42*m.x34*m.x35 + 5.26*m.x34*m.x36 + 4.56*m.x34*m.x38 + 3.94*
                        m.x36*m.x36 + 9.97*m.x36*m.x37 + 9.01*m.x36*m.x39 + 6.16*m.x37*m.x38 + 1.41*m.x37*m.x40 + 3.3*
                        m.x38*m.x39 + 8.46*m.x40*m.x40 >= 5670.461)

m.c13 = Constraint(expr=   7.29*m.x1 + 3.14*m.x2 + 5.64*m.x3 + 0.22*m.x4 + 5.52*m.x5 + 0.95*m.x6 + 7.9*m.x7 + 2.65*m.x8
                         + 6.82*m.x9 + 4.95*m.x10 + 7.96*m.x11 + 9.19*m.x12 + 5.47*m.x13 + 2.46*m.x14 + 1.16*m.x15
                         + 2.97*m.x16 - 5.17*m.x17 + 8.21*m.x18 + 2.05*m.x19 + 2.57*m.x20 + 1.46*m.x21 + 5.8*m.x22
                         + 7.43*m.x23 + 9.14*m.x24 + 5.32*m.x25 + 0.37*m.x26 + 0.55*m.x27 + 4.68*m.x28 + 8.06*m.x29
                         - 2.57*m.x30 + 6.68*m.x31 + 1.65*m.x32 + 7.45*m.x33 + 3.73*m.x34 + 9.85*m.x35 + 3.77*m.x36
                         + 5.13*m.x37 + 2.35*m.x38 + 0.81*m.x39 + 8.08*m.x40 >= 269.436)

m.c14 = Constraint(expr=5.52*m.x1*m.x1 + 5.21*m.x1 + 6.25*m.x1*m.x5 + 4.17*m.x5 + 1.07*m.x1*m.x6 + 8.96*m.x6 + 6.72*m.x1
                        *m.x9 + 1.96*m.x9 + 8.16*m.x1*m.x14 + 6.71*m.x14 - 2.45*m.x1*m.x17 + 6.99*m.x17 + 7.01*m.x1*
                        m.x18 + 8.33*m.x18 - 5.4*m.x1*m.x19 + 4.4*m.x19 + 4.68*m.x1*m.x23 + 0.93*m.x23 - 3.69*m.x1*m.x24
                         + 3.42*m.x24 + 4.43*m.x1*m.x25 + 1.83*m.x25 - 8*m.x1*m.x28 + 2.42*m.x28 + 5.79*m.x1*m.x29 + 
                        2.61*m.x29 + 5.17*m.x1*m.x33 - 6.45*m.x33 - 9.57*m.x1*m.x35 + 3.89*m.x35 + 5.58*m.x2*m.x2 + 1.72
                        *m.x2 + 6.78*m.x2*m.x4 + 8.28*m.x4 + 5.89*m.x2*m.x6 + 5.52*m.x2*m.x8 + 9.28*m.x8 + 3.6*m.x2*
                        m.x10 - 5.12*m.x10 + 4.93*m.x2*m.x11 + 2.82*m.x11 + 5.15*m.x2*m.x13 + 4.45*m.x13 + 0.26*m.x2*
                        m.x14 + 3.96*m.x2*m.x15 + 8.19*m.x15 + 8.12*m.x2*m.x20 - 5.61*m.x20 - 0.17*m.x2*m.x22 + 6.65*
                        m.x22 + 5.92*m.x2*m.x25 - 8.36*m.x2*m.x26 + 5.61*m.x26 + 4.71*m.x2*m.x28 + 5.11*m.x2*m.x29 + 
                        9.26*m.x2*m.x31 - 10*m.x31 + 2.81*m.x2*m.x32 + 0.84*m.x32 + 4.69*m.x2*m.x34 + 7.34*m.x34 + 1.22*
                        m.x2*m.x36 + 5.11*m.x36 + 3.48*m.x3*m.x4 + 6.37*m.x3 + 3.52*m.x3*m.x7 + 9.84*m.x7 + 2.07*m.x3*
                        m.x9 - 8.28*m.x3*m.x10 + 1.15*m.x3*m.x11 + 3.93*m.x3*m.x13 + 8.48*m.x3*m.x20 + 7.34*m.x3*m.x21
                         + 9.36*m.x21 + 8.56*m.x3*m.x23 + 3.04*m.x3*m.x24 + 8.07*m.x3*m.x25 + 4.62*m.x3*m.x28 + 1.15*
                        m.x3*m.x29 + 4.95*m.x3*m.x30 + 2.83*m.x30 - 3.65*m.x3*m.x35 - 6.71*m.x3*m.x37 + 4.5*m.x37 + 0.31
                        *m.x3*m.x38 + 8.51*m.x38 + 9.76*m.x3*m.x40 + 4.46*m.x40 + 4.06*m.x4*m.x4 + 7.06*m.x4*m.x5 + 1.37
                        *m.x4*m.x6 + 5.54*m.x4*m.x9 - 2.82*m.x4*m.x10 + 3.6*m.x4*m.x12 - 3.05*m.x12 + 2.88*m.x4*m.x13 + 
                        1.72*m.x4*m.x23 + 8*m.x4*m.x25 + 7.78*m.x4*m.x27 + 5.09*m.x27 + 7.08*m.x4*m.x28 + 3.65*m.x4*
                        m.x30 + 3.34*m.x4*m.x32 + 4.67*m.x4*m.x34 + 1.69*m.x4*m.x35 + 8.4*m.x4*m.x36 + 0.66*m.x4*m.x37
                         + 4.46*m.x4*m.x38 + 2.92*m.x4*m.x39 + 0.53*m.x39 + 1.82*m.x4*m.x40 + 3.49*m.x5*m.x9 + 5.16*m.x5
                        *m.x10 + 9.7*m.x5*m.x11 + 6.91*m.x5*m.x12 + 1.92*m.x5*m.x13 + 6.5*m.x5*m.x20 + 9.2*m.x5*m.x21 + 
                        3.35*m.x5*m.x22 + 8.78*m.x5*m.x24 + 5.19*m.x5*m.x26 + 3.61*m.x5*m.x28 + 8.33*m.x5*m.x29 - 6.97*
                        m.x5*m.x32 + 1.31*m.x5*m.x35 + 8.12*m.x5*m.x36 + 8.62*m.x5*m.x37 + 8.16*m.x5*m.x40 + 6.02*m.x6*
                        m.x8 + 0.17*m.x6*m.x9 + 3.9*m.x6*m.x10 + 2.6*m.x6*m.x11 + 0.51*m.x6*m.x12 + 10*m.x6*m.x15 - 1.31
                        *m.x6*m.x20 + 0.29*m.x6*m.x21 + 6.22*m.x6*m.x22 - 2.38*m.x6*m.x23 + 1.28*m.x6*m.x30 + 3.4*m.x6*
                        m.x31 + 6.23*m.x6*m.x32 + 9.59*m.x6*m.x33 + 4.62*m.x6*m.x35 + 9.81*m.x6*m.x36 + 8.01*m.x6*m.x37
                         + 5.75*m.x7*m.x8 + 0.81*m.x7*m.x9 + 8.07*m.x7*m.x10 + 7.33*m.x7*m.x11 + 2.26*m.x7*m.x13 + 7.59*
                        m.x7*m.x15 + 3.52*m.x7*m.x20 + 3.47*m.x7*m.x22 + 4.59*m.x7*m.x24 + 1.76*m.x7*m.x25 + 5.65*m.x7*
                        m.x26 + 5.66*m.x7*m.x27 + 0.29*m.x7*m.x30 + 1.29*m.x7*m.x31 + 6.73*m.x7*m.x32 + 0.78*m.x7*m.x33
                         + 8.21*m.x7*m.x34 + 8.58*m.x7*m.x36 + 1.73*m.x7*m.x37 + 2.31*m.x7*m.x38 + 9.08*m.x7*m.x39 + 
                        5.09*m.x7*m.x40 + 9.41*m.x8*m.x13 + 0.5*m.x8*m.x15 + 7.19*m.x8*m.x17 + 7.12*m.x8*m.x18 + 4.75*
                        m.x8*m.x20 + 3.85*m.x8*m.x25 + 3.45*m.x8*m.x28 + 2.91*m.x8*m.x30 + 2.53*m.x8*m.x31 + 1.79*m.x8*
                        m.x32 + 9.63*m.x8*m.x34 + 0.94*m.x8*m.x35 + 2.24*m.x8*m.x36 + 8.61*m.x8*m.x37 + 3.86*m.x8*m.x38
                         + 9.49*m.x8*m.x39 + 4.23*m.x9*m.x9 - 8.67*m.x9*m.x11 + 7.41*m.x9*m.x13 + 7.5*m.x9*m.x14 + 7.05*
                        m.x9*m.x18 - 2.87*m.x9*m.x19 + 2.66*m.x9*m.x21 + 6.59*m.x9*m.x23 + 6.12*m.x9*m.x24 + 6.29*m.x9*
                        m.x26 - 2.41*m.x9*m.x27 - 4.45*m.x9*m.x29 + 3.61*m.x9*m.x30 + 7.18*m.x9*m.x33 + 0.34*m.x9*m.x35
                         - 9.31*m.x9*m.x36 + 9.54*m.x9*m.x37 + 7.15*m.x9*m.x38 + 2.8*m.x9*m.x39 + 5.85*m.x10*m.x10 + 
                        4.19*m.x10*m.x12 + 2.58*m.x10*m.x15 + 1.79*m.x10*m.x16 - 5.66*m.x16 + 2.25*m.x10*m.x17 + 1.75*
                        m.x10*m.x18 + 7.37*m.x10*m.x21 + 9.25*m.x10*m.x22 + 8.47*m.x10*m.x24 + 5.15*m.x10*m.x26 + 6.83*
                        m.x10*m.x27 + 2.54*m.x10*m.x28 + 5.86*m.x10*m.x29 + 2.24*m.x10*m.x30 + 2.92*m.x10*m.x31 + 1.22*
                        m.x10*m.x32 + 7.97*m.x10*m.x33 + 3.15*m.x10*m.x34 + 0.68*m.x10*m.x35 + 5.03*m.x10*m.x37 + 2.61*
                        m.x10*m.x38 + 8.95*m.x10*m.x40 + 5.91*m.x11*m.x13 + 3.17*m.x11*m.x14 - 5.2*m.x11*m.x15 + 1.47*
                        m.x11*m.x16 + 4.13*m.x11*m.x17 + 4.82*m.x11*m.x18 + 3.29*m.x11*m.x19 + 4.52*m.x11*m.x20 + 0.79*
                        m.x11*m.x21 + 0.85*m.x11*m.x22 + 2.43*m.x11*m.x25 + 6.2*m.x11*m.x27 + 2.67*m.x11*m.x28 + 6.88*
                        m.x11*m.x31 + 3.21*m.x11*m.x33 + 2.57*m.x11*m.x35 + 0.62*m.x11*m.x37 + 7.51*m.x11*m.x39 + 9.61*
                        m.x12*m.x12 + 2.52*m.x12*m.x15 - 3.51*m.x12*m.x16 + 1.83*m.x12*m.x17 + 8.53*m.x12*m.x18 + 3.91*
                        m.x12*m.x20 + 3.35*m.x12*m.x21 + 0.19*m.x12*m.x23 + 0.62*m.x12*m.x24 - 0.93*m.x12*m.x25 + 1.86*
                        m.x12*m.x26 + 2.17*m.x12*m.x31 + 2.41*m.x12*m.x33 + 2.79*m.x12*m.x35 + 8.03*m.x12*m.x37 + 5.91*
                        m.x12*m.x38 + 9.52*m.x12*m.x40 + 3.54*m.x13*m.x13 + 7.16*m.x13*m.x15 + 8.56*m.x13*m.x16 + 1.34*
                        m.x13*m.x17 + 3.21*m.x13*m.x18 + 1.05*m.x13*m.x19 - 8.02*m.x13*m.x23 + 6.78*m.x13*m.x24 + 0.25*
                        m.x13*m.x30 + 9.37*m.x13*m.x34 + 6.02*m.x13*m.x35 + 1.36*m.x13*m.x37 + 5.09*m.x14*m.x18 + 2.44*
                        m.x14*m.x19 + 2.33*m.x14*m.x20 + 5.55*m.x14*m.x22 + 5.08*m.x14*m.x25 + 5.14*m.x14*m.x27 - 0.27*
                        m.x14*m.x30 + 4.3*m.x14*m.x31 + 0.58*m.x14*m.x32 + 2.1*m.x14*m.x34 + 3.47*m.x14*m.x39 + 7.91*
                        m.x14*m.x40 + 2.36*m.x15*m.x15 + 4.14*m.x15*m.x19 + 3.88*m.x15*m.x21 + 4.05*m.x15*m.x26 + 0.26*
                        m.x15*m.x27 - 6.01*m.x15*m.x30 + 1.04*m.x15*m.x37 + 1.11*m.x15*m.x38 + 3.02*m.x15*m.x39 + 5.28*
                        m.x15*m.x40 + 2.58*m.x16*m.x16 + 2.78*m.x16*m.x20 + 9.45*m.x16*m.x24 + 2.55*m.x16*m.x25 + 5.96*
                        m.x16*m.x27 + 3.85*m.x16*m.x29 + 0.8*m.x16*m.x30 + 2.93*m.x16*m.x33 + 1.49*m.x16*m.x34 - 7.26*
                        m.x16*m.x40 + 4.41*m.x17*m.x18 + 8.69*m.x17*m.x19 + 6.62*m.x17*m.x20 + 2.47*m.x17*m.x21 + 8.55*
                        m.x17*m.x22 + 3.24*m.x17*m.x23 + 1.39*m.x17*m.x28 + 5*m.x17*m.x33 - 8.6*m.x17*m.x34 + 6.28*m.x17
                        *m.x35 + 5.23*m.x17*m.x39 + 7.25*m.x18*m.x22 + 4.41*m.x18*m.x29 + 0.3*m.x18*m.x30 + 4.93*m.x18*
                        m.x32 + 0.59*m.x18*m.x35 + 8.95*m.x18*m.x36 + 8.25*m.x18*m.x37 + 3.97*m.x18*m.x39 + 8.66*m.x18*
                        m.x40 + 8.15*m.x19*m.x20 - 2.48*m.x19*m.x21 + 2.93*m.x19*m.x22 + 1.94*m.x19*m.x23 + 2.09*m.x19*
                        m.x24 + 4.94*m.x19*m.x25 + 1.33*m.x19*m.x26 + 3.58*m.x19*m.x28 + 7.34*m.x19*m.x29 + 8.62*m.x19*
                        m.x33 - 0.58*m.x19*m.x34 + 6.47*m.x19*m.x36 + 0.62*m.x19*m.x37 + 0.26*m.x19*m.x40 + 8.29*m.x20*
                        m.x20 + 1.56*m.x20*m.x21 + 3.64*m.x20*m.x22 + 4.3*m.x20*m.x23 + 3.73*m.x20*m.x28 + 7.43*m.x20*
                        m.x32 + 9.32*m.x20*m.x34 + 8.02*m.x20*m.x35 + 4.62*m.x20*m.x37 - 1.1*m.x20*m.x39 + 9.06*m.x20*
                        m.x40 + 8.08*m.x21*m.x24 + 5.12*m.x21*m.x25 + 0.12*m.x21*m.x27 + 1.45*m.x21*m.x30 + 8.12*m.x21*
                        m.x32 + 5.1*m.x21*m.x34 + 5.86*m.x21*m.x35 + 2.15*m.x21*m.x37 + 7.78*m.x21*m.x38 + 0.64*m.x21*
                        m.x39 + 8.11*m.x22*m.x23 + 4.98*m.x22*m.x25 + 2.83*m.x22*m.x26 + 5.79*m.x22*m.x28 + 0.91*m.x22*
                        m.x33 + 4.33*m.x22*m.x34 + 6.68*m.x22*m.x36 + 5.57*m.x22*m.x38 + 9.57*m.x22*m.x40 + 8.81*m.x23*
                        m.x28 + 3.03*m.x23*m.x29 + 0.24*m.x23*m.x32 + 9.03*m.x23*m.x34 + 6.1*m.x23*m.x35 + 9.83*m.x23*
                        m.x36 + 0.82*m.x23*m.x37 + 3.43*m.x23*m.x38 + 9.08*m.x23*m.x39 + 4.47*m.x23*m.x40 + 5.81*m.x24*
                        m.x24 + 6.9*m.x24*m.x25 - 3.26*m.x24*m.x27 + 0.23*m.x24*m.x28 + 9.23*m.x24*m.x32 + 5.68*m.x24*
                        m.x33 + 5.37*m.x24*m.x38 + 4*m.x24*m.x40 + 9.85*m.x25*m.x27 + 1.39*m.x25*m.x28 + 3.24*m.x25*
                        m.x31 + 5.17*m.x25*m.x32 + 1.75*m.x25*m.x33 + 5.63*m.x25*m.x34 + 6.96*m.x25*m.x35 + 5.86*m.x25*
                        m.x38 + 6*m.x25*m.x39 + 5.79*m.x25*m.x40 + 1.25*m.x26*m.x27 + 2.37*m.x26*m.x29 - 3.74*m.x26*
                        m.x32 + 2.12*m.x26*m.x36 + 9.1*m.x26*m.x37 + 7.87*m.x26*m.x39 - 0.39*m.x27*m.x28 + 6.06*m.x27*
                        m.x30 - 6.63*m.x27*m.x31 + 6.33*m.x27*m.x32 + 1.2*m.x27*m.x33 + 9.8*m.x27*m.x37 + 9.24*m.x27*
                        m.x39 - 7.73*m.x27*m.x40 - 7.96*m.x28*m.x29 + 7.09*m.x28*m.x31 - 9.01*m.x28*m.x34 + 4.52*m.x28*
                        m.x35 + 7.04*m.x28*m.x40 + 5.36*m.x29*m.x29 + 3.3*m.x29*m.x30 + 9.27*m.x29*m.x31 + 8.63*m.x29*
                        m.x33 + 8.96*m.x29*m.x34 + 4.64*m.x29*m.x35 + 3.66*m.x29*m.x38 + 7.28*m.x30*m.x30 + 3.81*m.x30*
                        m.x33 + 1.88*m.x30*m.x34 + 8.65*m.x30*m.x35 + 3.62*m.x30*m.x37 + 3.15*m.x30*m.x40 + 2.57*m.x31*
                        m.x34 + 5.94*m.x31*m.x35 + 7.38*m.x31*m.x38 + 4.69*m.x31*m.x40 + 6.57*m.x32*m.x33 + 0.66*m.x32*
                        m.x34 + 1.65*m.x32*m.x39 + 8.84*m.x32*m.x40 + 0.96*m.x33*m.x34 + 5.31*m.x33*m.x35 - 8.4*m.x33*
                        m.x36 + 8.36*m.x33*m.x38 + 6.14*m.x34*m.x35 + 4.96*m.x34*m.x36 + 5.22*m.x34*m.x38 - 9.12*m.x36*
                        m.x36 + 3.27*m.x36*m.x37 + 3.69*m.x36*m.x39 + 3.33*m.x37*m.x38 + 2.21*m.x37*m.x40 + 2.84*m.x38*
                        m.x39 + 2.3*m.x40*m.x40 >= 5482.994)

m.c15 = Constraint(expr=   6.85*m.x1 - 7.25*m.x2 + 4.58*m.x3 + 7.25*m.x4 + 3.29*m.x5 + 6.95*m.x6 + 8.6*m.x7 - 0.83*m.x8
                         + 5.32*m.x9 + 2.94*m.x10 - 7.76*m.x11 + 2.65*m.x12 - 3.78*m.x13 + 2.84*m.x14 + 1.33*m.x15
                         + 2.28*m.x16 + 1.93*m.x17 + 8.56*m.x18 + 9.81*m.x19 + 3.27*m.x20 + 0.96*m.x21 + 5.92*m.x22
                         + 1.13*m.x23 + 8.26*m.x24 + 6.76*m.x25 + 5.41*m.x26 - 8.02*m.x27 + 5.5*m.x28 - 7.9*m.x29
                         + 4.3*m.x30 + 6.58*m.x31 + 6.49*m.x32 + 4.91*m.x33 + 9.96*m.x34 + 6.27*m.x35 + 4.95*m.x36
                         + 0.79*m.x37 + 4.39*m.x38 + 0.95*m.x39 - 7.04*m.x40 >= 182.17)

m.c16 = Constraint(expr=6.18*m.x1*m.x1 + 2.74*m.x1 + 8.61*m.x1*m.x5 + 5.21*m.x5 + 8.97*m.x1*m.x6 + 7.14*m.x6 + 7.15*m.x1
                        *m.x9 + 4.13*m.x9 + 1.3*m.x1*m.x14 - 4.31*m.x14 + 0.33*m.x1*m.x17 + 6.74*m.x17 + 5.77*m.x1*m.x18
                         + 3.42*m.x18 - 6.63*m.x1*m.x19 - 0.22*m.x19 - 4.32*m.x1*m.x23 + 2.14*m.x23 + 5.58*m.x1*m.x24 + 
                        0.19*m.x24 + 1.84*m.x1*m.x25 + 8.24*m.x25 + 3.04*m.x1*m.x28 + 0.77*m.x28 + 6*m.x1*m.x29 + 5.83*
                        m.x29 + 1.48*m.x1*m.x33 + 2.56*m.x33 + 2.09*m.x1*m.x35 + 2.66*m.x35 + 6.8*m.x2*m.x2 + 0.1*m.x2
                         + 7.23*m.x2*m.x4 + 2.74*m.x4 + 8.37*m.x2*m.x6 + 2.83*m.x2*m.x8 + 8.62*m.x8 + 3.7*m.x2*m.x10 + 
                        1.42*m.x10 - 9.44*m.x2*m.x11 + 8.91*m.x11 + 4.4*m.x2*m.x13 + 2.42*m.x13 + 2.96*m.x2*m.x14 + 5.04
                        *m.x2*m.x15 + 0.56*m.x15 + 6.43*m.x2*m.x20 + 2.7*m.x20 + 1.29*m.x2*m.x22 + 4.7*m.x22 + 6.3*m.x2*
                        m.x25 + 9.12*m.x2*m.x26 + 5.77*m.x26 + 7.36*m.x2*m.x28 + 1.46*m.x2*m.x29 + 5.27*m.x2*m.x31 + 
                        7.79*m.x31 + 3.93*m.x2*m.x32 + 6.9*m.x32 + 0.97*m.x2*m.x34 + 4.57*m.x34 + 6.31*m.x2*m.x36 + 1.48
                        *m.x36 + 5.72*m.x3*m.x4 + 1.3*m.x3 + 1.07*m.x3*m.x7 + 8.46*m.x7 + 1.15*m.x3*m.x9 + 5.82*m.x3*
                        m.x10 + 3.12*m.x3*m.x11 + 0.96*m.x3*m.x13 + 3.65*m.x3*m.x20 - 9.34*m.x3*m.x21 + 5.53*m.x21 + 
                        9.88*m.x3*m.x23 + 9.29*m.x3*m.x24 + 4.1*m.x3*m.x25 - 7.7*m.x3*m.x28 + 4.04*m.x3*m.x29 + 4.7*m.x3
                        *m.x30 + 0.43*m.x30 + 7.3*m.x3*m.x35 + 6.47*m.x3*m.x37 + 8.98*m.x37 + 9.14*m.x3*m.x38 + 3.16*
                        m.x38 + 7.74*m.x3*m.x40 + 0.54*m.x40 + 7.66*m.x4*m.x4 - 0.6*m.x4*m.x5 + 5.31*m.x4*m.x6 + 1.08*
                        m.x4*m.x9 - 1.01*m.x4*m.x10 + 0.2*m.x4*m.x12 + 1.71*m.x12 + 1.71*m.x4*m.x13 + 0.91*m.x4*m.x23 + 
                        7.63*m.x4*m.x25 + 7.61*m.x4*m.x27 + 7.95*m.x27 + 0.14*m.x4*m.x28 + 9.67*m.x4*m.x30 + 6.42*m.x4*
                        m.x32 + 5.72*m.x4*m.x34 + 9.89*m.x4*m.x35 + 9.99*m.x4*m.x36 + 0.49*m.x4*m.x37 + 7.57*m.x4*m.x38
                         + 3.94*m.x4*m.x39 - 8.08*m.x39 + 9.89*m.x4*m.x40 + 3.9*m.x5*m.x9 + 7.14*m.x5*m.x10 - 6.28*m.x5*
                        m.x11 - 9.19*m.x5*m.x12 + 9.62*m.x5*m.x13 + 1.42*m.x5*m.x20 + 0.59*m.x5*m.x21 + 7.25*m.x5*m.x22
                         + 8.86*m.x5*m.x24 + 3.74*m.x5*m.x26 + 0.1*m.x5*m.x28 + 1.92*m.x5*m.x29 + 1.51*m.x5*m.x32 + 8.36
                        *m.x5*m.x35 - 8.69*m.x5*m.x36 + 9.67*m.x5*m.x37 + 7.97*m.x5*m.x40 - 6.25*m.x6*m.x8 + 3.36*m.x6*
                        m.x9 + 7.11*m.x6*m.x10 + 2.08*m.x6*m.x11 + 2.17*m.x6*m.x12 + 7.77*m.x6*m.x15 + 3.64*m.x6*m.x20
                         + 5.44*m.x6*m.x21 + 3.03*m.x6*m.x22 + 7.19*m.x6*m.x23 + 5.42*m.x6*m.x30 + 2.87*m.x6*m.x31 - 
                        7.42*m.x6*m.x32 + 4.59*m.x6*m.x33 + 0.54*m.x6*m.x35 + 9.22*m.x6*m.x36 + 6.42*m.x6*m.x37 + 8.04*
                        m.x7*m.x8 + 5.49*m.x7*m.x9 + 7.33*m.x7*m.x10 + 5.72*m.x7*m.x11 + 9.34*m.x7*m.x13 + 2.85*m.x7*
                        m.x15 + 7.31*m.x7*m.x20 + 8.89*m.x7*m.x22 + 3.92*m.x7*m.x24 + 0.22*m.x7*m.x25 + 7.05*m.x7*m.x26
                         + 1.99*m.x7*m.x27 + 1.95*m.x7*m.x30 + 0.42*m.x7*m.x31 + 3.96*m.x7*m.x32 + 9.37*m.x7*m.x33 + 
                        0.71*m.x7*m.x34 + 2.96*m.x7*m.x36 + 8*m.x7*m.x37 + 0.72*m.x7*m.x38 + 8.28*m.x7*m.x39 + 6.71*m.x7
                        *m.x40 + 5.94*m.x8*m.x13 + 9.44*m.x8*m.x15 + 8.35*m.x8*m.x17 + 3.84*m.x8*m.x18 + 6.82*m.x8*m.x20
                         + 2.16*m.x8*m.x25 - 6.41*m.x8*m.x28 + 5.05*m.x8*m.x30 + 8.79*m.x8*m.x31 + 9.62*m.x8*m.x32 + 
                        7.11*m.x8*m.x34 + 5.96*m.x8*m.x35 + 7.03*m.x8*m.x36 + 8.65*m.x8*m.x37 + 2.88*m.x8*m.x38 + 4.87*
                        m.x8*m.x39 + 3.08*m.x9*m.x9 + 5.6*m.x9*m.x11 + 3.85*m.x9*m.x13 + 1.65*m.x9*m.x14 + 5.3*m.x9*
                        m.x18 + 0.81*m.x9*m.x19 + 8.93*m.x9*m.x21 + 7.97*m.x9*m.x23 + 0.64*m.x9*m.x24 + 4.5*m.x9*m.x26
                         + 8.25*m.x9*m.x27 + 8.73*m.x9*m.x29 + 7.68*m.x9*m.x30 + 3.81*m.x9*m.x33 + 6.75*m.x9*m.x35 + 
                        4.77*m.x9*m.x36 + 0.82*m.x9*m.x37 + 1.12*m.x9*m.x38 + 9.09*m.x9*m.x39 + 6.78*m.x10*m.x10 + 5.88*
                        m.x10*m.x12 + 3.63*m.x10*m.x15 + 5.76*m.x10*m.x16 + 4.78*m.x16 + 0.54*m.x10*m.x17 + 6.75*m.x10*
                        m.x18 + 4.18*m.x10*m.x21 + 0.48*m.x10*m.x22 + 3.34*m.x10*m.x24 + 3.5*m.x10*m.x26 + 3.3*m.x10*
                        m.x27 + 8.81*m.x10*m.x28 + 1.68*m.x10*m.x29 + 1.57*m.x10*m.x30 + 2.56*m.x10*m.x31 + 8.09*m.x10*
                        m.x32 + 0.21*m.x10*m.x33 + 2.29*m.x10*m.x34 + 9.14*m.x10*m.x35 + 8.48*m.x10*m.x37 + 1.94*m.x10*
                        m.x38 + 4.67*m.x10*m.x40 + 1.6*m.x11*m.x13 + 5.44*m.x11*m.x14 + 9.67*m.x11*m.x15 + 8.39*m.x11*
                        m.x16 + 7.02*m.x11*m.x17 + 3.29*m.x11*m.x18 + 8.69*m.x11*m.x19 - 8.01*m.x11*m.x20 + 9.29*m.x11*
                        m.x21 + 0.14*m.x11*m.x22 + 0.73*m.x11*m.x25 + 8.57*m.x11*m.x27 + 8.64*m.x11*m.x28 + 3.98*m.x11*
                        m.x31 + 9.15*m.x11*m.x33 - 2.27*m.x11*m.x35 + 2.54*m.x11*m.x37 + 0.11*m.x11*m.x39 + 5.4*m.x12*
                        m.x12 + 6.52*m.x12*m.x15 + 7.72*m.x12*m.x16 + 9.73*m.x12*m.x17 + 6.67*m.x12*m.x18 + 3.18*m.x12*
                        m.x20 + 3.47*m.x12*m.x21 + 9.87*m.x12*m.x23 + 4.92*m.x12*m.x24 + 9.07*m.x12*m.x25 + 6.28*m.x12*
                        m.x26 + 4.45*m.x12*m.x31 + 6.97*m.x12*m.x33 + 7.72*m.x12*m.x35 + 5.59*m.x12*m.x37 + 6.76*m.x12*
                        m.x38 + 6.03*m.x12*m.x40 + 2.42*m.x13*m.x13 - 0.91*m.x13*m.x15 + 2.99*m.x13*m.x16 + 4.35*m.x13*
                        m.x17 + 0.41*m.x13*m.x18 + 0.11*m.x13*m.x19 + 7.21*m.x13*m.x23 + 7.19*m.x13*m.x24 + 8.44*m.x13*
                        m.x30 + 9*m.x13*m.x34 + 7.42*m.x13*m.x35 + 8*m.x13*m.x37 + 9.51*m.x14*m.x18 + 2.15*m.x14*m.x19
                         + 2.98*m.x14*m.x20 - 4.87*m.x14*m.x22 + 0.89*m.x14*m.x25 + 4.97*m.x14*m.x27 + 3.24*m.x14*m.x30
                         + 8.22*m.x14*m.x31 + 3.34*m.x14*m.x32 + 7.02*m.x14*m.x34 + 7.41*m.x14*m.x39 + 9.76*m.x14*m.x40
                         + 1.66*m.x15*m.x15 + 6.56*m.x15*m.x19 + 5.69*m.x15*m.x21 + 2.68*m.x15*m.x26 + 6.44*m.x15*m.x27
                         + 6.43*m.x15*m.x30 + 1.67*m.x15*m.x37 + 3.06*m.x15*m.x38 + 7.06*m.x15*m.x39 + 1.05*m.x15*m.x40
                         + 5.95*m.x16*m.x16 + 2.63*m.x16*m.x20 + 5.92*m.x16*m.x24 + 4.8*m.x16*m.x25 + 1.03*m.x16*m.x27
                         + 2.67*m.x16*m.x29 + 4.02*m.x16*m.x30 + 1.53*m.x16*m.x33 + 7.42*m.x16*m.x34 + 9.22*m.x16*m.x40
                         + 7.63*m.x17*m.x18 + 5.45*m.x17*m.x19 + 1.06*m.x17*m.x20 + 9.52*m.x17*m.x21 - 6.37*m.x17*m.x22
                         + 3.14*m.x17*m.x23 + 1.93*m.x17*m.x28 + 9.71*m.x17*m.x33 + 2.44*m.x17*m.x34 + 6.89*m.x17*m.x35
                         + 3.94*m.x17*m.x39 + 3.76*m.x18*m.x22 + 1.11*m.x18*m.x29 + 9.3*m.x18*m.x30 + 6.04*m.x18*m.x32
                         + 3.69*m.x18*m.x35 + 2.5*m.x18*m.x36 + 9.05*m.x18*m.x37 + 4.66*m.x18*m.x39 + 1.02*m.x18*m.x40
                         + 4.59*m.x19*m.x20 + 8.01*m.x19*m.x21 + 7.27*m.x19*m.x22 + 9.41*m.x19*m.x23 + 7.47*m.x19*m.x24
                         - 9.53*m.x19*m.x25 + 7.32*m.x19*m.x26 + 8.68*m.x19*m.x28 + 8.84*m.x19*m.x29 + 8.05*m.x19*m.x33
                         + 0.33*m.x19*m.x34 + 9.95*m.x19*m.x36 + 0.79*m.x19*m.x37 + 9.87*m.x19*m.x40 + 1.32*m.x20*m.x20
                         + 2.11*m.x20*m.x21 + 7.77*m.x20*m.x22 + 5.27*m.x20*m.x23 + 3.4*m.x20*m.x28 + 9.51*m.x20*m.x32
                         + 5.9*m.x20*m.x34 + 1.78*m.x20*m.x35 + 7.67*m.x20*m.x37 + 0.9*m.x20*m.x39 + 3.44*m.x20*m.x40 - 
                        8.8*m.x21*m.x24 + 4.36*m.x21*m.x25 + 9.66*m.x21*m.x27 + 2.55*m.x21*m.x30 + 3.39*m.x21*m.x32 + 
                        5.19*m.x21*m.x34 - 5.16*m.x21*m.x35 + 2.3*m.x21*m.x37 + 7.34*m.x21*m.x38 + 7.05*m.x21*m.x39 + 
                        5.57*m.x22*m.x23 + 2.95*m.x22*m.x25 + 5.51*m.x22*m.x26 + 6.8*m.x22*m.x28 + 1.71*m.x22*m.x33 + 
                        1.44*m.x22*m.x34 + 5.37*m.x22*m.x36 + 7.51*m.x22*m.x38 + 2.3*m.x22*m.x40 - 8.14*m.x23*m.x28 + 
                        7.87*m.x23*m.x29 + 5.74*m.x23*m.x32 + 0.38*m.x23*m.x34 + 4.86*m.x23*m.x35 + 9.44*m.x23*m.x36 + 
                        0.25*m.x23*m.x37 + m.x23*m.x38 + 4.14*m.x23*m.x39 + 5.39*m.x23*m.x40 + 1.84*m.x24*m.x24 + 0.2*
                        m.x24*m.x25 + 9.7*m.x24*m.x27 + 4.4*m.x24*m.x28 + 4.48*m.x24*m.x32 + 5.18*m.x24*m.x33 + 8.25*
                        m.x24*m.x38 + 4.4*m.x24*m.x40 + 7.74*m.x25*m.x27 + 5.74*m.x25*m.x28 - 2.47*m.x25*m.x31 + 9.62*
                        m.x25*m.x32 + 0.37*m.x25*m.x33 + 6.99*m.x25*m.x34 + 5.29*m.x25*m.x35 + 8.91*m.x25*m.x38 + 5.2*
                        m.x25*m.x39 + 3.28*m.x25*m.x40 + 5.36*m.x26*m.x27 + 5.31*m.x26*m.x29 + 5.29*m.x26*m.x32 + 3.41*
                        m.x26*m.x36 + 3.85*m.x26*m.x37 + 6.87*m.x26*m.x39 + 1.29*m.x27*m.x28 + 7.08*m.x27*m.x30 + 2.44*
                        m.x27*m.x31 + 8.72*m.x27*m.x32 + 0.08*m.x27*m.x33 + 2.56*m.x27*m.x37 + 2.55*m.x27*m.x39 + 6.39*
                        m.x27*m.x40 + 4.65*m.x28*m.x29 + 5.66*m.x28*m.x31 + 5.91*m.x28*m.x34 + 0.39*m.x28*m.x35 + 5.26*
                        m.x28*m.x40 + 9.91*m.x29*m.x29 + 6.26*m.x29*m.x30 + 2.01*m.x29*m.x31 + 1.78*m.x29*m.x33 + 8.02*
                        m.x29*m.x34 + 2.39*m.x29*m.x35 + 0.41*m.x29*m.x38 + 7.35*m.x30*m.x30 + 4.55*m.x30*m.x33 + 2.38*
                        m.x30*m.x34 + 0.94*m.x30*m.x35 + 3.25*m.x30*m.x37 - 9.88*m.x30*m.x40 + 9.13*m.x31*m.x34 + 4.69*
                        m.x31*m.x35 + 5.03*m.x31*m.x38 + 5.41*m.x31*m.x40 + 7.09*m.x32*m.x33 + 9.33*m.x32*m.x34 - 9.94*
                        m.x32*m.x39 + 9.98*m.x32*m.x40 - 0.28*m.x33*m.x34 + 1.17*m.x33*m.x35 - 5.48*m.x33*m.x36 + 7.58*
                        m.x33*m.x38 + 1.56*m.x34*m.x35 - 8.49*m.x34*m.x36 + 9.35*m.x34*m.x38 + 6.28*m.x36*m.x36 + 3.12*
                        m.x36*m.x37 + 6.1*m.x36*m.x39 + 0.55*m.x37*m.x38 + 8.47*m.x37*m.x40 + 8.25*m.x38*m.x39 + 1.17*
                        m.x40*m.x40 >= 6167.213)

m.c17 = Constraint(expr=   1.79*m.x1 + 2.23*m.x2 + 4.35*m.x3 + 0.29*m.x4 + 3.07*m.x5 + 4.12*m.x6 + 7.15*m.x7 + 7.79*m.x8
                         + 6.65*m.x9 + 3.02*m.x10 + 6.29*m.x11 + 5.32*m.x12 + 3.08*m.x13 - 5.43*m.x14 + 2*m.x15
                         + 2.68*m.x16 + 8.66*m.x17 + 1.83*m.x18 + 3.17*m.x19 + 9.86*m.x20 + 4.05*m.x21 + 4.42*m.x22
                         + 6.56*m.x23 + 0.38*m.x24 + 4.14*m.x25 + 6.07*m.x26 + 7.35*m.x27 + 5.85*m.x28 + 9.19*m.x29
                         - 0.48*m.x30 + 0.88*m.x31 + 1.82*m.x32 + 7.22*m.x33 + 3.65*m.x34 + 5.62*m.x35 + 4.81*m.x36
                         + 7.65*m.x37 + 6.58*m.x38 + 7.5*m.x39 + 0.64*m.x40 >= 268.738)

m.c18 = Constraint(expr=9.22*m.x1*m.x1 + 6.14*m.x1 + 8.38*m.x1*m.x5 + 0.78*m.x5 - 8.24*m.x1*m.x6 + 5.59*m.x6 - 3.22*m.x1
                        *m.x9 + 9.43*m.x9 + 6.11*m.x1*m.x14 + 6.48*m.x14 + 2.12*m.x1*m.x17 + 2.25*m.x17 + 1.21*m.x1*
                        m.x18 + 4.03*m.x18 + 3.27*m.x1*m.x19 - 9.65*m.x19 + 1.91*m.x1*m.x23 + 5.79*m.x23 + 4.16*m.x1*
                        m.x24 + 8.9*m.x24 + 6.05*m.x1*m.x25 + 2.57*m.x25 + 9.73*m.x1*m.x28 + 4.54*m.x28 + 6.92*m.x1*
                        m.x29 + 6.16*m.x29 + 8.38*m.x1*m.x33 - 7.43*m.x33 + 9.67*m.x1*m.x35 + 9.89*m.x35 + 2.36*m.x2*
                        m.x2 + 9.21*m.x2 + 7.3*m.x2*m.x4 + 4.02*m.x4 + 4.09*m.x2*m.x6 + 0.26*m.x2*m.x8 + 9.37*m.x8 + 
                        5.05*m.x2*m.x10 + 0.38*m.x10 + 8.72*m.x2*m.x11 + 0.89*m.x11 + 8.71*m.x2*m.x13 + 8.4*m.x13 + 1.57
                        *m.x2*m.x14 + 4.12*m.x2*m.x15 - 7.98*m.x15 + 1.26*m.x2*m.x20 + 8.96*m.x20 + 1.72*m.x2*m.x22 + 
                        0.57*m.x22 + 8.42*m.x2*m.x25 + 7.89*m.x2*m.x26 + 2.52*m.x26 + 5.51*m.x2*m.x28 - 9.87*m.x2*m.x29
                         - 3.41*m.x2*m.x31 + 6.33*m.x31 + 7.51*m.x2*m.x32 + 5.68*m.x32 + 10*m.x2*m.x34 + 9.94*m.x34 - 
                        3.59*m.x2*m.x36 - 2.61*m.x36 + 4.99*m.x3*m.x4 + 5.36*m.x3 + 9.02*m.x3*m.x7 + 7.75*m.x7 - 9.78*
                        m.x3*m.x9 - 4.73*m.x3*m.x10 + 6.68*m.x3*m.x11 - 6.66*m.x3*m.x13 + 6.33*m.x3*m.x20 + 5.47*m.x3*
                        m.x21 + 5.03*m.x21 + 7.58*m.x3*m.x23 + 7.48*m.x3*m.x24 - 8.7*m.x3*m.x25 + 8.53*m.x3*m.x28 + 4.15
                        *m.x3*m.x29 + 7.13*m.x3*m.x30 - 7.82*m.x30 + 5.87*m.x3*m.x35 + 8.62*m.x3*m.x37 + 4.47*m.x37 + 
                        3.19*m.x3*m.x38 + 3.03*m.x38 + 6.91*m.x3*m.x40 + 6.83*m.x40 + 0.41*m.x4*m.x4 + 5.13*m.x4*m.x5 + 
                        6.12*m.x4*m.x6 + 2.14*m.x4*m.x9 + 3.33*m.x4*m.x10 + 6.06*m.x4*m.x12 + 2.85*m.x12 + 4.47*m.x4*
                        m.x13 + 1.7*m.x4*m.x23 + 0.25*m.x4*m.x25 + 3.24*m.x4*m.x27 + 8.49*m.x27 + 6.64*m.x4*m.x28 + 8.85
                        *m.x4*m.x30 - 8.75*m.x4*m.x32 + 8.76*m.x4*m.x34 - 5.93*m.x4*m.x35 + 3.32*m.x4*m.x36 + 7.02*m.x4*
                        m.x37 + 2.68*m.x4*m.x38 + 9.79*m.x4*m.x39 + 8.5*m.x39 + 4.6*m.x4*m.x40 + 3.75*m.x5*m.x9 + 1.96*
                        m.x5*m.x10 + 0.28*m.x5*m.x11 + 6.54*m.x5*m.x12 + 9.23*m.x5*m.x13 + 0.65*m.x5*m.x20 + 5.92*m.x5*
                        m.x21 + 3.15*m.x5*m.x22 + 7.78*m.x5*m.x24 + 1.37*m.x5*m.x26 - 4.59*m.x5*m.x28 - 5.67*m.x5*m.x29
                         - 1.34*m.x5*m.x32 + 7.96*m.x5*m.x35 + 7.89*m.x5*m.x36 + 0.92*m.x5*m.x37 + 4.39*m.x5*m.x40 + 
                        9.45*m.x6*m.x8 + 6.58*m.x6*m.x9 + 0.84*m.x6*m.x10 + 0.03*m.x6*m.x11 + 5.27*m.x6*m.x12 + 7.35*
                        m.x6*m.x15 + 3.29*m.x6*m.x20 + 7.43*m.x6*m.x21 - 1.65*m.x6*m.x22 + 0.86*m.x6*m.x23 + 4.19*m.x6*
                        m.x30 + 0.42*m.x6*m.x31 + 9.36*m.x6*m.x32 + 0.95*m.x6*m.x33 + 0.78*m.x6*m.x35 + 7.37*m.x6*m.x36
                         + 2.64*m.x6*m.x37 + 5.19*m.x7*m.x8 + 6.21*m.x7*m.x9 + 2.35*m.x7*m.x10 + 9.38*m.x7*m.x11 - 6.61*
                        m.x7*m.x13 + 5.37*m.x7*m.x15 + 7.48*m.x7*m.x20 + 2.59*m.x7*m.x22 + 6.73*m.x7*m.x24 + 1.92*m.x7*
                        m.x25 + 6.61*m.x7*m.x26 - 3.08*m.x7*m.x27 + 9.79*m.x7*m.x30 + 6.67*m.x7*m.x31 + 0.14*m.x7*m.x32
                         + 3.41*m.x7*m.x33 - 8.28*m.x7*m.x34 + 7.12*m.x7*m.x36 + 1.2*m.x7*m.x37 + 3.09*m.x7*m.x38 - 9.7*
                        m.x7*m.x39 - 8.27*m.x7*m.x40 + 3.03*m.x8*m.x13 + 5.01*m.x8*m.x15 + 4.54*m.x8*m.x17 + 4.7*m.x8*
                        m.x18 + 7.58*m.x8*m.x20 + 3.14*m.x8*m.x25 - 5.57*m.x8*m.x28 + 3.9*m.x8*m.x30 - 5.43*m.x8*m.x31
                         + 1.5*m.x8*m.x32 - 8.33*m.x8*m.x34 + 0.82*m.x8*m.x35 + 6.91*m.x8*m.x36 - 4.33*m.x8*m.x37 + 2.91
                        *m.x8*m.x38 + 3.72*m.x8*m.x39 + 4.46*m.x9*m.x9 + 7.53*m.x9*m.x11 + 6.9*m.x9*m.x13 + 1.21*m.x9*
                        m.x14 - 6.31*m.x9*m.x18 + 1.37*m.x9*m.x19 + 9.73*m.x9*m.x21 + 0.58*m.x9*m.x23 + 1.31*m.x9*m.x24
                         + 4.44*m.x9*m.x26 + 8.12*m.x9*m.x27 + 7.38*m.x9*m.x29 + 5.11*m.x9*m.x30 + 8.83*m.x9*m.x33 + 
                        2.85*m.x9*m.x35 + 6.24*m.x9*m.x36 + 7.5*m.x9*m.x37 + 6.59*m.x9*m.x38 + 6.77*m.x9*m.x39 + 2.92*
                        m.x10*m.x10 + 1.09*m.x10*m.x12 + 7.4*m.x10*m.x15 + 4.06*m.x10*m.x16 + 5.74*m.x16 + 7.64*m.x10*
                        m.x17 - 1.14*m.x10*m.x18 + 7.56*m.x10*m.x21 + 0.75*m.x10*m.x22 + 9.68*m.x10*m.x24 + 6.75*m.x10*
                        m.x26 + 0.14*m.x10*m.x27 + 6.45*m.x10*m.x28 + 3.16*m.x10*m.x29 + 3.18*m.x10*m.x30 + 6.44*m.x10*
                        m.x31 + 7.39*m.x10*m.x32 + 4.11*m.x10*m.x33 - 5.53*m.x10*m.x34 - 8.7*m.x10*m.x35 + 0.63*m.x10*
                        m.x37 + 8.83*m.x10*m.x38 + 3.62*m.x10*m.x40 + 4.04*m.x11*m.x13 + 9.63*m.x11*m.x14 + 3.42*m.x11*
                        m.x15 + 8.1*m.x11*m.x16 + 9.62*m.x11*m.x17 + 0.96*m.x11*m.x18 + 4.63*m.x11*m.x19 + 7.83*m.x11*
                        m.x20 + 9.15*m.x11*m.x21 + 2.33*m.x11*m.x22 - 1.9*m.x11*m.x25 - 8.56*m.x11*m.x27 + 0.53*m.x11*
                        m.x28 + 1.83*m.x11*m.x31 + 0.7*m.x11*m.x33 + 2.74*m.x11*m.x35 - 4.82*m.x11*m.x37 + 8.48*m.x11*
                        m.x39 + 7.11*m.x12*m.x12 + 0.73*m.x12*m.x15 + 6.44*m.x12*m.x16 + 3.92*m.x12*m.x17 + 3.61*m.x12*
                        m.x18 + 3.11*m.x12*m.x20 + 4.59*m.x12*m.x21 + 5.47*m.x12*m.x23 + 6.19*m.x12*m.x24 + 4.39*m.x12*
                        m.x25 + 5.96*m.x12*m.x26 + 0.39*m.x12*m.x31 + 2.62*m.x12*m.x33 + 7.8*m.x12*m.x35 + 8.71*m.x12*
                        m.x37 + 1.34*m.x12*m.x38 + 2.06*m.x12*m.x40 + 1.52*m.x13*m.x13 + 7.58*m.x13*m.x15 + 3.19*m.x13*
                        m.x16 + 5.89*m.x13*m.x17 - 5.99*m.x13*m.x18 + 0.44*m.x13*m.x19 + 1.01*m.x13*m.x23 + 9.71*m.x13*
                        m.x24 + 2.57*m.x13*m.x30 + 5.9*m.x13*m.x34 + 9.3*m.x13*m.x35 + 6.77*m.x13*m.x37 + 3.44*m.x14*
                        m.x18 - 2.28*m.x14*m.x19 + 2.55*m.x14*m.x20 + 2.42*m.x14*m.x22 + 2.68*m.x14*m.x25 + 7.85*m.x14*
                        m.x27 + 6.96*m.x14*m.x30 + 0.03*m.x14*m.x31 + 8.74*m.x14*m.x32 + 2.21*m.x14*m.x34 + 3.44*m.x14*
                        m.x39 + 8.01*m.x14*m.x40 + 7.97*m.x15*m.x15 + 9.03*m.x15*m.x19 + 1.91*m.x15*m.x21 + 8.14*m.x15*
                        m.x26 + 9.57*m.x15*m.x27 + 9.96*m.x15*m.x30 - 6.78*m.x15*m.x37 + 5.12*m.x15*m.x38 + 1.73*m.x15*
                        m.x39 + 9.85*m.x15*m.x40 + 3.7*m.x16*m.x16 + 7.45*m.x16*m.x20 + 8.95*m.x16*m.x24 + 3.22*m.x16*
                        m.x25 + 7.59*m.x16*m.x27 + 9.43*m.x16*m.x29 + 0.74*m.x16*m.x30 - 1.88*m.x16*m.x33 + 1.87*m.x16*
                        m.x34 + 4.53*m.x16*m.x40 - 1.46*m.x17*m.x18 + 3.95*m.x17*m.x19 + 9*m.x17*m.x20 + 9.93*m.x17*
                        m.x21 + 1.47*m.x17*m.x22 + 4.01*m.x17*m.x23 + 2.23*m.x17*m.x28 + 2.35*m.x17*m.x33 + 9.52*m.x17*
                        m.x34 + 4.58*m.x17*m.x35 + 8.58*m.x17*m.x39 + 5.14*m.x18*m.x22 + 6.37*m.x18*m.x29 + 8.78*m.x18*
                        m.x30 + 3.12*m.x18*m.x32 + 6.57*m.x18*m.x35 + 9.65*m.x18*m.x36 + 4.29*m.x18*m.x37 + 4.5*m.x18*
                        m.x39 + 9.41*m.x18*m.x40 - 0.06*m.x19*m.x20 + 8.56*m.x19*m.x21 + 1.65*m.x19*m.x22 + 1.76*m.x19*
                        m.x23 + 8.68*m.x19*m.x24 + 5.24*m.x19*m.x25 + 1.85*m.x19*m.x26 + 9.12*m.x19*m.x28 + 5.65*m.x19*
                        m.x29 + 1.86*m.x19*m.x33 + 9.95*m.x19*m.x34 + 7.69*m.x19*m.x36 + 0.03*m.x19*m.x37 + 8.82*m.x19*
                        m.x40 + 8.87*m.x20*m.x20 + 8.96*m.x20*m.x21 - 0.94*m.x20*m.x22 + 9.54*m.x20*m.x23 + 1.4*m.x20*
                        m.x28 + 5.52*m.x20*m.x32 + 9.94*m.x20*m.x34 + 1.94*m.x20*m.x35 + 3.17*m.x20*m.x37 - 8.15*m.x20*
                        m.x39 + 4.69*m.x20*m.x40 - 1.09*m.x21*m.x24 + 6.93*m.x21*m.x25 + 4.12*m.x21*m.x27 + 3.77*m.x21*
                        m.x30 + 3.21*m.x21*m.x32 + 8.03*m.x21*m.x34 + 6.75*m.x21*m.x35 + 2.87*m.x21*m.x37 + 0.83*m.x21*
                        m.x38 + 1.21*m.x21*m.x39 + 6.27*m.x22*m.x23 + 2.16*m.x22*m.x25 + 9.25*m.x22*m.x26 + 8.6*m.x22*
                        m.x28 - 1.84*m.x22*m.x33 + 4.9*m.x22*m.x34 - 4.22*m.x22*m.x36 - 8.95*m.x22*m.x38 + 4.92*m.x22*
                        m.x40 + 7.37*m.x23*m.x28 + 0.91*m.x23*m.x29 + 8.19*m.x23*m.x32 + 3.81*m.x23*m.x34 + 9.93*m.x23*
                        m.x35 + 4.08*m.x23*m.x36 - 1.13*m.x23*m.x37 + 9.47*m.x23*m.x38 + 9.47*m.x23*m.x39 + 9.54*m.x23*
                        m.x40 + 4.51*m.x24*m.x24 + 2.6*m.x24*m.x25 + 3.03*m.x24*m.x27 + 6.84*m.x24*m.x28 + 1.23*m.x24*
                        m.x32 + 1.97*m.x24*m.x33 + 2.64*m.x24*m.x38 + 3.21*m.x24*m.x40 + 5.89*m.x25*m.x27 + 3.96*m.x25*
                        m.x28 + 1.5*m.x25*m.x31 + 8.79*m.x25*m.x32 + 1.52*m.x25*m.x33 + 3.4*m.x25*m.x34 + 1.35*m.x25*
                        m.x35 + 3*m.x25*m.x38 + 7.59*m.x25*m.x39 + 5.67*m.x25*m.x40 + 1.1*m.x26*m.x27 + 2.33*m.x26*m.x29
                         + 9.29*m.x26*m.x32 + 9.94*m.x26*m.x36 + 6.7*m.x26*m.x37 + 9.21*m.x26*m.x39 + 7.99*m.x27*m.x28
                         + 3.82*m.x27*m.x30 + 2.29*m.x27*m.x31 - 2.25*m.x27*m.x32 - 3.07*m.x27*m.x33 + 9.15*m.x27*m.x37
                         + 2.58*m.x27*m.x39 + 7.64*m.x27*m.x40 - 4.86*m.x28*m.x29 - 9.07*m.x28*m.x31 + 6.48*m.x28*m.x34
                         + 1.91*m.x28*m.x35 + 8.95*m.x28*m.x40 + 6.32*m.x29*m.x29 + 1.99*m.x29*m.x30 + 5.82*m.x29*m.x31
                         + 1.64*m.x29*m.x33 + 2.85*m.x29*m.x34 + 2.3*m.x29*m.x35 + 9.57*m.x29*m.x38 + 6.76*m.x30*m.x30
                         + 0.61*m.x30*m.x33 + 3.24*m.x30*m.x34 + 9.26*m.x30*m.x35 + 3.64*m.x30*m.x37 + 3.66*m.x30*m.x40
                         + 1.84*m.x31*m.x34 + 4.58*m.x31*m.x35 - 6.36*m.x31*m.x38 + 1.41*m.x31*m.x40 + 6.25*m.x32*m.x33
                         + 7.74*m.x32*m.x34 + 4.31*m.x32*m.x39 + 3.29*m.x32*m.x40 + 6.87*m.x33*m.x34 + 3.67*m.x33*m.x35
                         + 3.89*m.x33*m.x36 + 4.5*m.x33*m.x38 + 8.74*m.x34*m.x35 + 1.5*m.x34*m.x36 + 1.53*m.x34*m.x38 - 
                        3.1*m.x36*m.x36 + 5.15*m.x36*m.x37 + 7.18*m.x36*m.x39 - 7.99*m.x37*m.x38 + 8.35*m.x37*m.x40 + 
                        2.54*m.x38*m.x39 - 7.52*m.x40*m.x40 >= 5389.466)

m.c19 = Constraint(expr=   3.8*m.x1 + 0.23*m.x2 + 6.63*m.x3 + 5.3*m.x4 + 6.08*m.x5 + 0.34*m.x6 + 9.79*m.x7 + 5.78*m.x8
                         + 6.5*m.x9 + 3.88*m.x10 + 9.71*m.x11 + 4.35*m.x12 + 0.59*m.x13 + 3.05*m.x14 + 9.23*m.x15
                         + 5.49*m.x16 + 8.19*m.x17 + 1.55*m.x18 + 7.52*m.x19 + 2.99*m.x20 - 5.25*m.x21 + 0.46*m.x22
                         + 2.43*m.x23 + 1.36*m.x24 + 6.8*m.x25 + 5.28*m.x26 + 4.13*m.x27 + 8.53*m.x28 + 1.26*m.x29
                         - 4.25*m.x30 + 0.02*m.x31 + 9.82*m.x32 + 5.91*m.x33 + 7.93*m.x34 + 0.82*m.x35 + 3.11*m.x36
                         + 3.64*m.x37 + 0.02*m.x38 - 7.98*m.x39 + 5.3*m.x40 >= 231.832)

m.c20 = Constraint(expr=7.76*m.x1*m.x1 + 0.99*m.x1 + 6.67*m.x1*m.x5 + 7.39*m.x5 - 7.41*m.x1*m.x6 + 3.53*m.x6 + 8.81*m.x1
                        *m.x9 + 5.66*m.x9 + 1.21*m.x1*m.x14 + 6.97*m.x14 + 8.98*m.x1*m.x17 + 7.95*m.x17 + 5.26*m.x1*
                        m.x18 + 1.17*m.x18 + 5.12*m.x1*m.x19 + 3.52*m.x19 + 7.26*m.x1*m.x23 + 5.14*m.x23 + 1.33*m.x1*
                        m.x24 + 9.23*m.x24 + 8.41*m.x1*m.x25 + 6.5*m.x25 + 7.98*m.x1*m.x28 + 5.13*m.x28 + 7.15*m.x1*
                        m.x29 + 8.6*m.x29 + 7.47*m.x1*m.x33 + 6.87*m.x33 - 3.63*m.x1*m.x35 + 2.26*m.x35 - 7.25*m.x2*m.x2
                         + 9.41*m.x2 + 9.11*m.x2*m.x4 + 10*m.x4 + 6.55*m.x2*m.x6 + 9.18*m.x2*m.x8 + 6.47*m.x8 + 8.48*
                        m.x2*m.x10 + 2.9*m.x10 + 5.12*m.x2*m.x11 + 3.09*m.x11 + 4.01*m.x2*m.x13 + 3.8*m.x13 - 2.16*m.x2*
                        m.x14 - 9.39*m.x2*m.x15 + 3.11*m.x15 + 8.93*m.x2*m.x20 + 6.84*m.x20 + 3.62*m.x2*m.x22 + 5.23*
                        m.x22 + 7.13*m.x2*m.x25 + 7.5*m.x2*m.x26 - 2.77*m.x26 + 5.3*m.x2*m.x28 + 0.8*m.x2*m.x29 + 6.05*
                        m.x2*m.x31 + 9.78*m.x31 + 9.13*m.x2*m.x32 + 5.59*m.x32 + 0.51*m.x2*m.x34 + 8.3*m.x34 - 7.17*m.x2
                        *m.x36 + 4.93*m.x36 + 9.35*m.x3*m.x4 + 2.32*m.x3 + 9.57*m.x3*m.x7 + 3.88*m.x7 + 4.14*m.x3*m.x9
                         + 6.42*m.x3*m.x10 + 8.36*m.x3*m.x11 + 4.53*m.x3*m.x13 + 2.02*m.x3*m.x20 - 1.34*m.x3*m.x21 + 
                        6.68*m.x21 + 8.9*m.x3*m.x23 + 2.83*m.x3*m.x24 + 0.58*m.x3*m.x25 - 2.15*m.x3*m.x28 + 6.22*m.x3*
                        m.x29 + 0.38*m.x3*m.x30 + 2.1*m.x30 + 2.27*m.x3*m.x35 - 6.09*m.x3*m.x37 + 7.15*m.x37 + 1.06*m.x3
                        *m.x38 + 6.55*m.x38 + 5.3*m.x3*m.x40 + 9.68*m.x40 + 2.37*m.x4*m.x4 + 8.21*m.x4*m.x5 + 7.09*m.x4*
                        m.x6 - 4.47*m.x4*m.x9 - 6.97*m.x4*m.x10 + 3.45*m.x4*m.x12 - 9.83*m.x12 + 9.53*m.x4*m.x13 + 1.11*
                        m.x4*m.x23 + 2.25*m.x4*m.x25 + 9.97*m.x4*m.x27 + 6.22*m.x27 + 5.01*m.x4*m.x28 + 3.82*m.x4*m.x30
                         + 4.97*m.x4*m.x32 + 3.71*m.x4*m.x34 + 2.75*m.x4*m.x35 + 6.73*m.x4*m.x36 + 4.24*m.x4*m.x37 + 
                        4.23*m.x4*m.x38 + 6.87*m.x4*m.x39 + 3.41*m.x39 + 0.96*m.x4*m.x40 + 4.52*m.x5*m.x9 + 1.75*m.x5*
                        m.x10 + 0.1*m.x5*m.x11 + 7.28*m.x5*m.x12 + 9.89*m.x5*m.x13 + 5.48*m.x5*m.x20 + 8.62*m.x5*m.x21
                         + 0.13*m.x5*m.x22 + 9.52*m.x5*m.x24 + 3.22*m.x5*m.x26 + 8.19*m.x5*m.x28 + 2.72*m.x5*m.x29 - 
                        4.49*m.x5*m.x32 + 2.13*m.x5*m.x35 + 1.55*m.x5*m.x36 + 3.57*m.x5*m.x37 + 5.75*m.x5*m.x40 - 0.84*
                        m.x6*m.x8 + 7.05*m.x6*m.x9 - 4.12*m.x6*m.x10 + 3.39*m.x6*m.x11 + 2.75*m.x6*m.x12 - 8.53*m.x6*
                        m.x15 + 7.76*m.x6*m.x20 + 7.15*m.x6*m.x21 + 0.62*m.x6*m.x22 + 6.45*m.x6*m.x23 + 9.93*m.x6*m.x30
                         + 8.18*m.x6*m.x31 - 2.36*m.x6*m.x32 + 0.27*m.x6*m.x33 - 9.66*m.x6*m.x35 + 2.04*m.x6*m.x36 + 
                        8.13*m.x6*m.x37 + 2.1*m.x7*m.x8 + 2.21*m.x7*m.x9 + 2.97*m.x7*m.x10 + 8.65*m.x7*m.x11 + 1.56*m.x7
                        *m.x13 + 3*m.x7*m.x15 - 9.4*m.x7*m.x20 + 4.74*m.x7*m.x22 + 1.92*m.x7*m.x24 + 2.86*m.x7*m.x25 + 
                        0.66*m.x7*m.x26 + 8.21*m.x7*m.x27 + 7.51*m.x7*m.x30 + 4.44*m.x7*m.x31 - 5.08*m.x7*m.x32 + 3.86*
                        m.x7*m.x33 + 2.3*m.x7*m.x34 + 9.92*m.x7*m.x36 + 9.15*m.x7*m.x37 + 2.84*m.x7*m.x38 + 9.82*m.x7*
                        m.x39 + 9.94*m.x7*m.x40 - 8.1*m.x8*m.x13 + 7.21*m.x8*m.x15 + 4.31*m.x8*m.x17 - 3.79*m.x8*m.x18
                         + 7.62*m.x8*m.x20 + 5.76*m.x8*m.x25 + 3.03*m.x8*m.x28 + 0.9*m.x8*m.x30 + 6.87*m.x8*m.x31 + 1.06
                        *m.x8*m.x32 + 9.99*m.x8*m.x34 + 3.48*m.x8*m.x35 + 2.76*m.x8*m.x36 + 7.84*m.x8*m.x37 + 0.76*m.x8*
                        m.x38 - 0.49*m.x8*m.x39 + 5.43*m.x9*m.x9 + 2.48*m.x9*m.x11 + 8.61*m.x9*m.x13 + 2.85*m.x9*m.x14
                         + 5.04*m.x9*m.x18 - 3.9*m.x9*m.x19 + 1.94*m.x9*m.x21 + 9.85*m.x9*m.x23 + 9.73*m.x9*m.x24 + 5.58
                        *m.x9*m.x26 + 2.86*m.x9*m.x27 + 6.89*m.x9*m.x29 + 4.94*m.x9*m.x30 + 8.93*m.x9*m.x33 + 7.11*m.x9*
                        m.x35 + 4.37*m.x9*m.x36 + 3.85*m.x9*m.x37 + 7.8*m.x9*m.x38 + 5.16*m.x9*m.x39 + 7.95*m.x10*m.x10
                         + 9.22*m.x10*m.x12 + 4.35*m.x10*m.x15 + 4.63*m.x10*m.x16 + 2.48*m.x16 + 9.92*m.x10*m.x17 + 6.29
                        *m.x10*m.x18 + 6.1*m.x10*m.x21 + 3.88*m.x10*m.x22 + 1.98*m.x10*m.x24 + 7.15*m.x10*m.x26 + 4.24*
                        m.x10*m.x27 + 6.94*m.x10*m.x28 + 9.12*m.x10*m.x29 + 6.16*m.x10*m.x30 + 3.24*m.x10*m.x31 + 9.6*
                        m.x10*m.x32 + 4.82*m.x10*m.x33 + 6.77*m.x10*m.x34 + 1.63*m.x10*m.x35 + 6.82*m.x10*m.x37 + 7.55*
                        m.x10*m.x38 - 9.49*m.x10*m.x40 + 4.07*m.x11*m.x13 + 1.35*m.x11*m.x14 + 8.4*m.x11*m.x15 + 1.15*
                        m.x11*m.x16 + 4.7*m.x11*m.x17 + 3.62*m.x11*m.x18 + 0.06*m.x11*m.x19 + 5.44*m.x11*m.x20 + 1.7*
                        m.x11*m.x21 + 2.87*m.x11*m.x22 + 7.02*m.x11*m.x25 + 4.63*m.x11*m.x27 - 3.08*m.x11*m.x28 + 9.53*
                        m.x11*m.x31 + 6.98*m.x11*m.x33 + 2.59*m.x11*m.x35 + 3.8*m.x11*m.x37 + 8.86*m.x11*m.x39 + 3.6*
                        m.x12*m.x12 + 9.05*m.x12*m.x15 + 4.06*m.x12*m.x16 + 5.83*m.x12*m.x17 + 0.37*m.x12*m.x18 + 5.12*
                        m.x12*m.x20 + 8.86*m.x12*m.x21 + 1.23*m.x12*m.x23 + 5.9*m.x12*m.x24 + 0.03*m.x12*m.x25 + 8.85*
                        m.x12*m.x26 + 9.11*m.x12*m.x31 + 0.29*m.x12*m.x33 + 9.14*m.x12*m.x35 + 2.39*m.x12*m.x37 + 5.35*
                        m.x12*m.x38 + 2.83*m.x12*m.x40 + 3.22*m.x13*m.x13 + 8.86*m.x13*m.x15 + 7.57*m.x13*m.x16 + 1.01*
                        m.x13*m.x17 + 8.91*m.x13*m.x18 - 3.23*m.x13*m.x19 + 6.27*m.x13*m.x23 + 0.64*m.x13*m.x24 + 0.52*
                        m.x13*m.x30 + 1.9*m.x13*m.x34 + 7.21*m.x13*m.x35 + 7.34*m.x13*m.x37 - 3.04*m.x14*m.x18 + 9.75*
                        m.x14*m.x19 - 5.03*m.x14*m.x20 + 9.2*m.x14*m.x22 + 6.37*m.x14*m.x25 + 8.47*m.x14*m.x27 + 8.14*
                        m.x14*m.x30 + 0.77*m.x14*m.x31 + 0.84*m.x14*m.x32 + 6.13*m.x14*m.x34 - 4.86*m.x14*m.x39 - 8.23*
                        m.x14*m.x40 + 3.97*m.x15*m.x15 + 8*m.x15*m.x19 + 0.8*m.x15*m.x21 + 5.82*m.x15*m.x26 + 8.48*m.x15
                        *m.x27 + 8.61*m.x15*m.x30 + 7.46*m.x15*m.x37 + 3.57*m.x15*m.x38 + 1.53*m.x15*m.x39 + 5.08*m.x15*
                        m.x40 + 2.18*m.x16*m.x16 - 6.23*m.x16*m.x20 - 5.27*m.x16*m.x24 - 1.7*m.x16*m.x25 + 9.22*m.x16*
                        m.x27 + 3.45*m.x16*m.x29 + 8.55*m.x16*m.x30 - 5.74*m.x16*m.x33 + 2.14*m.x16*m.x34 + 1.23*m.x16*
                        m.x40 + 9.95*m.x17*m.x18 + 4.5*m.x17*m.x19 + 7.49*m.x17*m.x20 - 4.67*m.x17*m.x21 + 2.03*m.x17*
                        m.x22 + 3.68*m.x17*m.x23 + 9.61*m.x17*m.x28 + 1.8*m.x17*m.x33 + 6.86*m.x17*m.x34 + 6.89*m.x17*
                        m.x35 + 6.84*m.x17*m.x39 + 8.91*m.x18*m.x22 + 2.76*m.x18*m.x29 + 6.52*m.x18*m.x30 + 8.84*m.x18*
                        m.x32 + 6.9*m.x18*m.x35 + 2.28*m.x18*m.x36 + 5.79*m.x18*m.x37 + 5.28*m.x18*m.x39 + 8.99*m.x18*
                        m.x40 + 1.52*m.x19*m.x20 + 2.07*m.x19*m.x21 + 5.68*m.x19*m.x22 + 9.71*m.x19*m.x23 + 0.59*m.x19*
                        m.x24 + 1.44*m.x19*m.x25 + 0.55*m.x19*m.x26 + 5.06*m.x19*m.x28 + 5.38*m.x19*m.x29 + 4.55*m.x19*
                        m.x33 + 3.8*m.x19*m.x34 + 3.93*m.x19*m.x36 + 0.59*m.x19*m.x37 + 3.63*m.x19*m.x40 + 6.33*m.x20*
                        m.x20 + 0.88*m.x20*m.x21 + 3.94*m.x20*m.x22 + 0.86*m.x20*m.x23 + 0.95*m.x20*m.x28 + 9.99*m.x20*
                        m.x32 - 1.72*m.x20*m.x34 + 7.94*m.x20*m.x35 + 8.5*m.x20*m.x37 + 0.1*m.x20*m.x39 + 5.54*m.x20*
                        m.x40 + 6.85*m.x21*m.x24 + 5.23*m.x21*m.x25 + 1.28*m.x21*m.x27 + 0.32*m.x21*m.x30 + 2*m.x21*
                        m.x32 - 1.42*m.x21*m.x34 + 2.47*m.x21*m.x35 + 3.57*m.x21*m.x37 - 3.5*m.x21*m.x38 + 1.29*m.x21*
                        m.x39 + 0.47*m.x22*m.x23 + 5.87*m.x22*m.x25 + 1.76*m.x22*m.x26 + 4.13*m.x22*m.x28 + 0.1*m.x22*
                        m.x33 + 2.67*m.x22*m.x34 + 3.26*m.x22*m.x36 + 6.65*m.x22*m.x38 + 5.69*m.x22*m.x40 + 7.24*m.x23*
                        m.x28 + 7.69*m.x23*m.x29 + 6.65*m.x23*m.x32 + 3.72*m.x23*m.x34 + 5*m.x23*m.x35 + 6.23*m.x23*
                        m.x36 + 7.89*m.x23*m.x37 + 6.81*m.x23*m.x38 + 8.95*m.x23*m.x39 + 1.1*m.x23*m.x40 + 6.21*m.x24*
                        m.x24 + 8.91*m.x24*m.x25 + 6.49*m.x24*m.x27 + 6.43*m.x24*m.x28 + 6.92*m.x24*m.x32 + 1.72*m.x24*
                        m.x33 + 7.41*m.x24*m.x38 + 0.31*m.x24*m.x40 + 3.46*m.x25*m.x27 + 2.39*m.x25*m.x28 + 3.11*m.x25*
                        m.x31 + 8.09*m.x25*m.x32 + 7.24*m.x25*m.x33 + 2.5*m.x25*m.x34 + 7.18*m.x25*m.x35 - 6.97*m.x25*
                        m.x38 - 8.8*m.x25*m.x39 + 8.21*m.x25*m.x40 + 7.07*m.x26*m.x27 - 1.82*m.x26*m.x29 + 0.18*m.x26*
                        m.x32 + 1.75*m.x26*m.x36 + 7.2*m.x26*m.x37 + 2.26*m.x26*m.x39 + 8.56*m.x27*m.x28 + 4.06*m.x27*
                        m.x30 + 3.12*m.x27*m.x31 + 0.95*m.x27*m.x32 + 1.15*m.x27*m.x33 + 8.8*m.x27*m.x37 + 7.08*m.x27*
                        m.x39 + 3.19*m.x27*m.x40 + 1.29*m.x28*m.x29 + 7.48*m.x28*m.x31 + 4.77*m.x28*m.x34 + 7.71*m.x28*
                        m.x35 + 5.89*m.x28*m.x40 + 5.96*m.x29*m.x29 + 3.31*m.x29*m.x30 - 8.78*m.x29*m.x31 + 4*m.x29*
                        m.x33 + 2.13*m.x29*m.x34 + 0.55*m.x29*m.x35 + 9.51*m.x29*m.x38 + 6.74*m.x30*m.x30 + 4.81*m.x30*
                        m.x33 + 5.52*m.x30*m.x34 + 6.39*m.x30*m.x35 + 8.4*m.x30*m.x37 - 4.02*m.x30*m.x40 + 0.26*m.x31*
                        m.x34 + 5.18*m.x31*m.x35 + 8.84*m.x31*m.x38 + 2.37*m.x31*m.x40 - 2.75*m.x32*m.x33 + 7.91*m.x32*
                        m.x34 + 7.14*m.x32*m.x39 - 7.79*m.x32*m.x40 + 1.22*m.x33*m.x34 + 1.24*m.x33*m.x35 + 6.45*m.x33*
                        m.x36 + 7.44*m.x33*m.x38 + 9.66*m.x34*m.x35 - 6.02*m.x34*m.x36 + 0.12*m.x34*m.x38 + 2.93*m.x36*
                        m.x36 + 4.53*m.x36*m.x37 + 8.12*m.x36*m.x39 + 9.12*m.x37*m.x38 + 6.78*m.x37*m.x40 + 2.82*m.x38*
                        m.x39 + 0.49*m.x40*m.x40 >= 5685.643)
