#  NLP written by GAMS Convert at 05/24/17 14:05:45
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        4        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       71       50        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.28,2.7),initialize=0.28)
m.x2 = Var(within=Reals,bounds=(0.19,2.05),initialize=0.19)
m.x3 = Var(within=Reals,bounds=(0.32,2.89),initialize=0.32)
m.x4 = Var(within=Reals,bounds=(0.84,2.02),initialize=0.84)
m.x5 = Var(within=Reals,bounds=(0.99,2.06),initialize=0.99)
m.x6 = Var(within=Reals,bounds=(0.96,2.19),initialize=0.96)
m.x7 = Var(within=Reals,bounds=(0.58,2.15),initialize=0.58)
m.x8 = Var(within=Reals,bounds=(0.87,2.83),initialize=0.87)
m.x9 = Var(within=Reals,bounds=(0.93,2.99),initialize=0.93)
m.x10 = Var(within=Reals,bounds=(0.38,2.93),initialize=0.38)
m.x11 = Var(within=Reals,bounds=(0.43,2.02),initialize=0.43)
m.x12 = Var(within=Reals,bounds=(0.99,2.14),initialize=0.99)

m.obj = Objective(expr=0.07*m.x4*m.x11 - 1.45*m.x4 + 0.9*m.x11 + 0.41*m.x1*m.x1*m.x8 + 2.15*m.x1 + 5.94*m.x8 + 3.42*m.x1
                       *m.x4*m.x9 + 0.05*m.x9 + 7.62*m.x1*m.x6*m.x10 + 3.24*m.x6 - 8.78*m.x10 + 9.3*m.x2*m.x4*m.x5 + 
                       4.68*m.x2 + 3.35*m.x5 + 1.99*m.x2*m.x4*m.x7 - 3.15*m.x7 + 4.38*m.x3*m.x5*m.x5 + 1.4*m.x3 + 8.91*
                       m.x3*m.x8*m.x9 - 6.98*m.x4*m.x4*m.x4 + 0.21*m.x6*m.x7*m.x8 + 5.87*m.x6*m.x9*m.x9 - 5.77*m.x6*
                       m.x11*m.x12 + 8.44*m.x12 + 7.32*m.x7*m.x7*m.x7 + 9.1*m.x9*m.x9*m.x11 + 8.09*m.x1*m.x1*m.x3*m.x8
                        - 7.3*m.x1*m.x1*m.x3*m.x9 + 7.38*m.x1*m.x1*m.x3*m.x12 + 0.61*m.x1*m.x1*m.x4*m.x6 + 5.35*m.x1*
                       m.x1*m.x4*m.x8 - 1.93*m.x1*m.x1*m.x8*m.x12 - 1.14*m.x1*m.x1*m.x11*m.x11 + 1.57*m.x1*m.x2*m.x3*
                       m.x12 + 8.25*m.x1*m.x2*m.x4*m.x5 + 7.56*m.x1*m.x2*m.x4*m.x11 + 9.86*m.x1*m.x2*m.x5*m.x6 + 6.86*
                       m.x1*m.x2*m.x5*m.x11 + 2.23*m.x1*m.x2*m.x11*m.x12 + 7.75*m.x1*m.x3*m.x5*m.x6 + 8.69*m.x1*m.x3*
                       m.x8*m.x10 + 8.77*m.x1*m.x4*m.x4*m.x10 + 2.24*m.x1*m.x4*m.x8*m.x12 + 4.35*m.x1*m.x4*m.x9*m.x10 + 
                       9.49*m.x1*m.x4*m.x11*m.x11 + 2.74*m.x1*m.x5*m.x7*m.x12 + 3.73*m.x1*m.x5*m.x12*m.x12 + 6.22*m.x1*
                       m.x6*m.x6*m.x7 + 9.99*m.x1*m.x7*m.x8*m.x12 + 9.21*m.x1*m.x7*m.x10*m.x11 + 9.89*m.x2*m.x2*m.x2*
                       m.x7 + 4.31*m.x2*m.x2*m.x5*m.x7 + 9.09*m.x2*m.x2*m.x7*m.x8 + 1.82*m.x2*m.x2*m.x10*m.x10 + 5.12*
                       m.x2*m.x3*m.x5*m.x8 + 2.92*m.x2*m.x3*m.x6*m.x11 + 8.48*m.x2*m.x3*m.x8*m.x12 + 1.83*m.x2*m.x3*m.x9
                       *m.x9 + 4.74*m.x2*m.x4*m.x4*m.x4 + 7.29*m.x2*m.x5*m.x5*m.x8 + 0.49*m.x2*m.x5*m.x6*m.x6 + 8.73*
                       m.x2*m.x6*m.x7*m.x11 + 0.99*m.x2*m.x6*m.x11*m.x11 - 7.3*m.x2*m.x6*m.x11*m.x12 + 2.2*m.x2*m.x7*
                       m.x7*m.x7 + 7.22*m.x2*m.x7*m.x10*m.x12 + 5.24*m.x2*m.x8*m.x10*m.x11 + 7.61*m.x2*m.x9*m.x9*m.x10
                        + 5.78*m.x2*m.x9*m.x9*m.x11 + 0.33*m.x3*m.x3*m.x9*m.x10 - 6.49*m.x3*m.x3*m.x10*m.x12 + 3.88*m.x3
                       *m.x4*m.x4*m.x6 + 5.1*m.x3*m.x4*m.x5*m.x8 + 8.88*m.x3*m.x4*m.x8*m.x10 + 6.06*m.x3*m.x4*m.x10*
                       m.x12 + 5.34*m.x3*m.x4*m.x11*m.x11 + 8.56*m.x3*m.x5*m.x6*m.x8 + 7.08*m.x3*m.x5*m.x9*m.x10 + 8.61*
                       m.x3*m.x5*m.x12*m.x12 + 3.56*m.x3*m.x6*m.x6*m.x10 + 8.22*m.x3*m.x6*m.x9*m.x12 + 4.49*m.x3*m.x7*
                       m.x7*m.x7 + 9.3*m.x3*m.x7*m.x7*m.x12 + 7.49*m.x3*m.x9*m.x11*m.x12 + 5.15*m.x4*m.x4*m.x5*m.x5 + 
                       4.17*m.x4*m.x4*m.x8*m.x8 + 7.37*m.x4*m.x5*m.x6*m.x8 + 4.8*m.x4*m.x5*m.x11*m.x11 + 1.01*m.x4*m.x5*
                       m.x11*m.x12 + 7.1*m.x4*m.x8*m.x11*m.x11 + 5.75*m.x5*m.x6*m.x7*m.x8 + 9.32*m.x5*m.x6*m.x7*m.x12 + 
                       5.92*m.x5*m.x6*m.x8*m.x10 + 2.85*m.x5*m.x9*m.x9*m.x10 + 7.14*m.x5*m.x9*m.x10*m.x10 + 4.93*m.x6*
                       m.x7*m.x9*m.x11 + 2.54*m.x6*m.x8*m.x11*m.x11 - 6.47*m.x7*m.x7*m.x7*m.x9 + 6.15*m.x7*m.x7*m.x10*
                       m.x10 + 5.54*m.x8*m.x8*m.x8*m.x9 + 6.45*m.x8*m.x9*m.x9*m.x12 + 1.67*m.x8*m.x9*m.x10*m.x11 + 7.83*
                       m.x8*m.x11*m.x11*m.x12 + 1.38*m.x1*m.x1*m.x1*m.x1*m.x9 + 2.74*m.x1*m.x1*m.x1*m.x3*m.x10 + 0.23*
                       m.x1*m.x1*m.x1*m.x4*m.x7 + 2.4*m.x1*m.x1*m.x1*m.x6*m.x12 + 1.59*m.x1*m.x1*m.x1*m.x7*m.x10 + 8.86*
                       m.x1*m.x1*m.x1*m.x11*m.x12 + 7.68*m.x1*m.x1*m.x2*m.x3*m.x12 + 6.19*m.x1*m.x1*m.x2*m.x5*m.x8 + 
                       2.93*m.x1*m.x1*m.x2*m.x5*m.x9 + 3.7*m.x1*m.x1*m.x2*m.x6*m.x6 + 5.18*m.x1*m.x1*m.x3*m.x4*m.x7 + 
                       8.89*m.x1*m.x1*m.x3*m.x10*m.x11 + 4.89*m.x1*m.x1*m.x4*m.x7*m.x11 + 3*m.x1*m.x1*m.x5*m.x5*m.x7 + 
                       7.73*m.x1*m.x1*m.x5*m.x8*m.x9 + 7.02*m.x1*m.x1*m.x5*m.x9*m.x12 - 0.94*m.x1*m.x1*m.x10*m.x11*m.x11
                        + 0.88*m.x1*m.x1*m.x11*m.x11*m.x12 + 8.55*m.x1*m.x2*m.x2*m.x4*m.x8 + 3.67*m.x1*m.x2*m.x2*m.x4*
                       m.x11 + 6.08*m.x1*m.x2*m.x2*m.x6*m.x6 + 7.74*m.x1*m.x2*m.x2*m.x9*m.x10 + 9.73*m.x1*m.x2*m.x2*
                       m.x11*m.x11 + 4.44*m.x1*m.x2*m.x3*m.x3*m.x6 - 0.62*m.x1*m.x2*m.x3*m.x10*m.x12 + 4.35*m.x1*m.x2*
                       m.x4*m.x4*m.x7 + 9.2*m.x1*m.x2*m.x4*m.x4*m.x9 + 9.73*m.x1*m.x2*m.x4*m.x5*m.x6 + 0.26*m.x1*m.x2*
                       m.x4*m.x11*m.x11 + 2.19*m.x1*m.x2*m.x5*m.x7*m.x7 + 3.84*m.x1*m.x2*m.x5*m.x11*m.x11 + 3.15*m.x1*
                       m.x2*m.x6*m.x8*m.x9 - 2.3*m.x1*m.x2*m.x7*m.x8*m.x12 + 0.07*m.x1*m.x3*m.x3*m.x6*m.x12 - 8.92*m.x1*
                       m.x3*m.x4*m.x4*m.x5 + 6.27*m.x1*m.x3*m.x4*m.x4*m.x10 + 8.27*m.x1*m.x3*m.x4*m.x7*m.x11 + 6.98*m.x1
                       *m.x4*m.x4*m.x4*m.x9 + 3.77*m.x1*m.x4*m.x4*m.x6*m.x7 + 9.63*m.x1*m.x4*m.x4*m.x6*m.x11 + 2.64*m.x1
                       *m.x4*m.x4*m.x8*m.x8 + 1.15*m.x1*m.x4*m.x4*m.x10*m.x11 + 3.66*m.x1*m.x4*m.x6*m.x6*m.x6 + 9.92*
                       m.x1*m.x4*m.x6*m.x6*m.x11 + 7.92*m.x1*m.x4*m.x6*m.x9*m.x12 + 5.47*m.x1*m.x4*m.x6*m.x10*m.x10 + 
                       8.01*m.x1*m.x4*m.x7*m.x8*m.x10 + 3.47*m.x1*m.x4*m.x7*m.x9*m.x9 + 5.9*m.x1*m.x5*m.x5*m.x5*m.x9 + 
                       9.04*m.x1*m.x5*m.x5*m.x7*m.x9 + 4.77*m.x1*m.x5*m.x7*m.x9*m.x9 - 6*m.x1*m.x5*m.x7*m.x10*m.x11 + 
                       5.23*m.x1*m.x5*m.x9*m.x9*m.x11 + 5.04*m.x1*m.x5*m.x11*m.x11*m.x11 + 1.1*m.x1*m.x6*m.x6*m.x7*m.x11
                        + 8.55*m.x1*m.x6*m.x6*m.x7*m.x12 + 5.18*m.x1*m.x6*m.x7*m.x7*m.x12 + 4.85*m.x1*m.x6*m.x9*m.x12*
                       m.x12 + 0.27*m.x1*m.x7*m.x7*m.x8*m.x8 + 9.77*m.x1*m.x7*m.x8*m.x8*m.x12 + 5.7*m.x1*m.x7*m.x8*m.x12
                       *m.x12 + 8.34*m.x1*m.x7*m.x10*m.x11*m.x12 + 4.84*m.x1*m.x7*m.x11*m.x11*m.x11 + 4.33*m.x1*m.x9*
                       m.x9*m.x10*m.x12 - 3.7*m.x1*m.x9*m.x11*m.x12*m.x12 + 0.55*m.x2*m.x2*m.x2*m.x4*m.x5 + 6.08*m.x2*
                       m.x2*m.x2*m.x7*m.x7 + 7.69*m.x2*m.x2*m.x2*m.x11*m.x12 + 5.56*m.x2*m.x2*m.x2*m.x12*m.x12 + 4.49*
                       m.x2*m.x2*m.x3*m.x4*m.x7 + 9.59*m.x2*m.x2*m.x3*m.x6*m.x11 - 7.07*m.x2*m.x2*m.x3*m.x7*m.x11 + 6*
                       m.x2*m.x2*m.x4*m.x6*m.x6 + 0.25*m.x2*m.x2*m.x5*m.x5*m.x7 + 7.28*m.x2*m.x2*m.x5*m.x5*m.x9 + 8.66*
                       m.x2*m.x2*m.x6*m.x7*m.x7 + 3.01*m.x2*m.x2*m.x7*m.x10*m.x11 + 0.38*m.x2*m.x2*m.x8*m.x8*m.x8 + 5.49
                       *m.x2*m.x2*m.x10*m.x10*m.x11 + 1.11*m.x2*m.x2*m.x10*m.x10*m.x12 + 9.23*m.x2*m.x3*m.x3*m.x3*m.x8
                        - 1.45*m.x2*m.x3*m.x3*m.x4*m.x4 + 9.39*m.x2*m.x3*m.x3*m.x8*m.x11 + 5.26*m.x2*m.x3*m.x4*m.x4*
                       m.x11 + 9.45*m.x2*m.x3*m.x4*m.x6*m.x8 + 1.91*m.x2*m.x3*m.x4*m.x6*m.x9 + 3.69*m.x2*m.x3*m.x4*m.x6*
                       m.x11 + 0.11*m.x2*m.x3*m.x6*m.x7*m.x11 + 4.4*m.x2*m.x3*m.x7*m.x7*m.x12 + 6.24*m.x2*m.x3*m.x8*m.x8
                       *m.x8 + 9.54*m.x2*m.x3*m.x8*m.x12*m.x12 + 5.03*m.x2*m.x4*m.x5*m.x7*m.x7 + 0.79*m.x2*m.x4*m.x5*
                       m.x8*m.x12 + 5.23*m.x2*m.x4*m.x5*m.x11*m.x12 + 7.66*m.x2*m.x4*m.x6*m.x7*m.x11 + 8.27*m.x2*m.x4*
                       m.x6*m.x9*m.x12 + 7.61*m.x2*m.x4*m.x7*m.x9*m.x10 + 2.63*m.x2*m.x4*m.x7*m.x11*m.x11 + 7.8*m.x2*
                       m.x4*m.x8*m.x11*m.x12 + 1.68*m.x2*m.x4*m.x9*m.x9*m.x9 - 8.64*m.x2*m.x4*m.x10*m.x10*m.x10 + 7.98*
                       m.x2*m.x5*m.x5*m.x8*m.x11 + 4.39*m.x2*m.x5*m.x5*m.x11*m.x11 + 1.65*m.x2*m.x5*m.x6*m.x6*m.x6 + 
                       1.29*m.x2*m.x5*m.x6*m.x7*m.x9 + 5.74*m.x2*m.x5*m.x8*m.x10*m.x10 + 8.42*m.x2*m.x5*m.x9*m.x9*m.x10
                        + 6.38*m.x2*m.x5*m.x9*m.x9*m.x11 + 1.58*m.x2*m.x5*m.x9*m.x10*m.x11 + 0.58*m.x2*m.x5*m.x10*m.x10*
                       m.x12 + 5.65*m.x2*m.x5*m.x10*m.x11*m.x12 + 9.34*m.x2*m.x6*m.x6*m.x8*m.x10 - 5.49*m.x2*m.x6*m.x6*
                       m.x11*m.x11 + 9.06*m.x2*m.x6*m.x6*m.x11*m.x12 + 1.01*m.x2*m.x6*m.x7*m.x12*m.x12 + 8.98*m.x2*m.x7*
                       m.x8*m.x8*m.x10 + 6.43*m.x2*m.x7*m.x8*m.x8*m.x11 + 7.43*m.x2*m.x8*m.x10*m.x10*m.x10 - 9.25*m.x2*
                       m.x9*m.x9*m.x9*m.x10 - 4.75*m.x2*m.x9*m.x10*m.x10*m.x12 + 9.09*m.x2*m.x10*m.x12*m.x12*m.x12 + 
                       5.73*m.x3*m.x3*m.x3*m.x3*m.x8 + 1.87*m.x3*m.x3*m.x3*m.x3*m.x12 + 9.28*m.x3*m.x3*m.x3*m.x4*m.x7 + 
                       9.46*m.x3*m.x3*m.x3*m.x10*m.x10 - 8.19*m.x3*m.x3*m.x4*m.x4*m.x7 - 0.29*m.x3*m.x3*m.x4*m.x7*m.x8
                        - 6.88*m.x3*m.x3*m.x4*m.x7*m.x9 + 1.09*m.x3*m.x3*m.x6*m.x7*m.x10 + 9.77*m.x3*m.x3*m.x8*m.x10*
                       m.x12 + 5.22*m.x3*m.x3*m.x8*m.x11*m.x12 + 8.26*m.x3*m.x3*m.x10*m.x10*m.x11 + 7.68*m.x3*m.x4*m.x5*
                       m.x6*m.x12 + 9.04*m.x3*m.x4*m.x5*m.x8*m.x9 + 2.39*m.x3*m.x4*m.x5*m.x9*m.x11 + 1.52*m.x3*m.x4*m.x6
                       *m.x7*m.x8 + 1.82*m.x3*m.x4*m.x6*m.x10*m.x11 + 7.29*m.x3*m.x4*m.x7*m.x9*m.x9 + 4.42*m.x3*m.x4*
                       m.x8*m.x8*m.x10 + 9.35*m.x3*m.x5*m.x6*m.x7*m.x8 + 0.07*m.x3*m.x5*m.x6*m.x10*m.x11 + 3.89*m.x3*
                       m.x5*m.x7*m.x7*m.x7 + 8.98*m.x3*m.x5*m.x7*m.x8*m.x8 + 2.54*m.x3*m.x5*m.x7*m.x8*m.x12 + 4.22*m.x3*
                       m.x5*m.x7*m.x10*m.x12 + 7.84*m.x3*m.x5*m.x8*m.x8*m.x9 + 3.24*m.x3*m.x5*m.x11*m.x11*m.x11 + 9.68*
                       m.x3*m.x6*m.x6*m.x9*m.x11 + 8.83*m.x3*m.x6*m.x9*m.x9*m.x11 + 5.67*m.x3*m.x6*m.x10*m.x12*m.x12 + 
                       4.51*m.x3*m.x7*m.x9*m.x12*m.x12 - 3.13*m.x3*m.x8*m.x10*m.x10*m.x10 - 5.05*m.x3*m.x8*m.x10*m.x12*
                       m.x12 + 5.54*m.x3*m.x9*m.x9*m.x11*m.x11 + 7.13*m.x3*m.x10*m.x10*m.x11*m.x11 - 1.29*m.x4*m.x4*m.x4
                       *m.x7*m.x12 + 0.63*m.x4*m.x4*m.x4*m.x8*m.x8 + 7.56*m.x4*m.x4*m.x5*m.x5*m.x12 + 5.7*m.x4*m.x4*m.x5
                       *m.x6*m.x6 + 7.03*m.x4*m.x4*m.x5*m.x7*m.x11 + 6.2*m.x4*m.x4*m.x5*m.x10*m.x12 + 0.42*m.x4*m.x4*
                       m.x6*m.x8*m.x9 + 4.44*m.x4*m.x4*m.x6*m.x10*m.x12 + 2.45*m.x4*m.x4*m.x8*m.x8*m.x10 + 7.86*m.x4*
                       m.x4*m.x8*m.x9*m.x11 + 4.24*m.x4*m.x4*m.x8*m.x10*m.x12 + 2.84*m.x4*m.x4*m.x10*m.x11*m.x12 + 9.82*
                       m.x4*m.x5*m.x5*m.x12*m.x12 + 5.9*m.x4*m.x5*m.x6*m.x6*m.x7 + 9.64*m.x4*m.x5*m.x7*m.x7*m.x12 + 7.66
                       *m.x4*m.x5*m.x7*m.x10*m.x12 + 8.84*m.x4*m.x5*m.x8*m.x9*m.x12 + 9.9*m.x4*m.x5*m.x9*m.x9*m.x11 + 
                       3.14*m.x4*m.x6*m.x6*m.x6*m.x6 + 0.98*m.x4*m.x6*m.x6*m.x10*m.x12 + 0.12*m.x4*m.x7*m.x7*m.x9*m.x11
                        - 9.97*m.x4*m.x7*m.x8*m.x9*m.x12 + 8.73*m.x4*m.x7*m.x8*m.x10*m.x12 + 4.71*m.x4*m.x7*m.x9*m.x12*
                       m.x12 + 4.86*m.x4*m.x8*m.x8*m.x9*m.x9 + 4.33*m.x4*m.x8*m.x8*m.x10*m.x12 + 5.72*m.x4*m.x8*m.x8*
                       m.x12*m.x12 + 1.21*m.x4*m.x8*m.x9*m.x10*m.x12 + 0.89*m.x4*m.x9*m.x9*m.x9*m.x11 + 3.07*m.x4*m.x9*
                       m.x10*m.x11*m.x11 + 2.85*m.x4*m.x10*m.x11*m.x11*m.x12 + 0.19*m.x4*m.x11*m.x11*m.x11*m.x12 + 4.83*
                       m.x4*m.x11*m.x12*m.x12*m.x12 + 8.22*m.x5*m.x5*m.x5*m.x5*m.x12 + 8.66*m.x5*m.x5*m.x5*m.x7*m.x7 + 
                       1.91*m.x5*m.x5*m.x7*m.x10*m.x12 + 0.63*m.x5*m.x5*m.x8*m.x9*m.x10 + 9.98*m.x5*m.x6*m.x8*m.x11*
                       m.x11 - 8.05*m.x5*m.x7*m.x7*m.x7*m.x8 + 6.56*m.x5*m.x7*m.x9*m.x10*m.x11 + 4.27*m.x5*m.x11*m.x11*
                       m.x12*m.x12 + 9.35*m.x6*m.x6*m.x6*m.x11*m.x12 + 5.16*m.x6*m.x6*m.x7*m.x7*m.x8 + 9.98*m.x6*m.x6*
                       m.x8*m.x10*m.x11 + 4.69*m.x6*m.x6*m.x8*m.x10*m.x12 + 6.82*m.x6*m.x7*m.x7*m.x7*m.x10 + 2.48*m.x6*
                       m.x7*m.x7*m.x8*m.x8 + 5.49*m.x6*m.x11*m.x11*m.x12*m.x12 + 1.13*m.x6*m.x11*m.x12*m.x12*m.x12 + 
                       7.48*m.x7*m.x7*m.x7*m.x8*m.x12 + 6.18*m.x7*m.x7*m.x8*m.x8*m.x8 + 2.13*m.x7*m.x7*m.x11*m.x11*m.x12
                        + 6.47*m.x7*m.x7*m.x11*m.x12*m.x12 + 2.29*m.x7*m.x8*m.x8*m.x11*m.x12 + 7.7*m.x8*m.x8*m.x8*m.x8*
                       m.x12 + 9.03*m.x8*m.x8*m.x11*m.x12*m.x12 + 7.06*m.x8*m.x10*m.x11*m.x11*m.x11 + 5.6*m.x8*m.x11*
                       m.x12*m.x12*m.x12 + 1.66*m.x9*m.x9*m.x9*m.x10*m.x10 + 6.09*m.x9*m.x9*m.x11*m.x12*m.x12 + 8.67*
                       m.x9*m.x9*m.x12*m.x12*m.x12 + 8.96*m.x9*m.x10*m.x10*m.x11*m.x11 + 9.89*m.x10*m.x10*m.x11*m.x11*
                       m.x12, sense=minimize)

m.c1 = Constraint(expr=   0.29*m.x1 + 9.64*m.x2 + 4.58*m.x3 + 1.44*m.x4 - 9.62*m.x5 + 1.1*m.x6 + 7.92*m.x7 + 0.91*m.x8
                        + 8.39*m.x9 + 1.57*m.x10 + 1.16*m.x11 + 4.14*m.x12 == 47.138)

m.c2 = Constraint(expr= - 0.08*m.x1 + 2.55*m.x2 + 2.56*m.x3 + 7.49*m.x4 + 1.21*m.x5 + 8.62*m.x6 + 4.91*m.x7 + 4.62*m.x8
                        - 9.73*m.x9 + 0.18*m.x10 + 5.65*m.x11 + 8.84*m.x12 == 50.21)

m.c3 = Constraint(expr=   2.14*m.x1 + 7.57*m.x2 + 9.3*m.x3 + 4.68*m.x4 + 3.7*m.x5 + 7.84*m.x6 + 5.63*m.x7 + 0.66*m.x8
                        + 6.41*m.x9 + 2.42*m.x10 + 8.99*m.x11 + 7.92*m.x12 == 100.159)

m.c4 = Constraint(expr=   7.72*m.x1 + 3.01*m.x2 + 2.44*m.x3 + 3.36*m.x4 + 8.5*m.x5 + 2.01*m.x6 + 1.39*m.x7 + 6.98*m.x8
                        + 0.99*m.x9 + 7.18*m.x10 + 7.92*m.x11 + 2.23*m.x12 >= 81.549)

m.c5 = Constraint(expr=1.03*m.x4*m.x11 + 9.96*m.x4 + 8.46*m.x11 + 4.41*m.x1 - 2.55*m.x2 + 7.42*m.x3 + 6.83*m.x5
                        + 4.23*m.x6 - 6.65*m.x7 + 5.79*m.x8 + 1.77*m.x9 + 9.88*m.x10 + 2.65*m.x12 >= 85.198)

m.c6 = Constraint(expr=9.75*m.x4*m.x11 + 3.83*m.x4 + 6.82*m.x11 + 1.45*m.x1*m.x1*m.x8 + 4.29*m.x1 + 2.12*m.x8 + 2.28*
                       m.x1*m.x4*m.x9 + 2.24*m.x9 + 2.62*m.x1*m.x6*m.x10 + 3.81*m.x6 + 3.54*m.x10 + 9.04*m.x2*m.x4*m.x5
                        + 2.78*m.x2 + 1.36*m.x5 - 0.49*m.x2*m.x4*m.x7 + 6.78*m.x7 + 9.48*m.x3*m.x5*m.x5 + 9.59*m.x3 + 
                       8.17*m.x3*m.x8*m.x9 + 4.48*m.x4*m.x4*m.x4 + 9.3*m.x6*m.x7*m.x8 + 8.54*m.x6*m.x9*m.x9 + 0.33*m.x6*
                       m.x11*m.x12 + 2.21*m.x12 + 2.88*m.x7*m.x7*m.x7 + 0.71*m.x9*m.x9*m.x11 >= 543.573)

m.c7 = Constraint(expr=5.89*m.x4*m.x11 + 6.46*m.x4 + 1.41*m.x11 + 2.28*m.x1*m.x1*m.x8 + 9.68*m.x1 + 8.15*m.x8 + 8.56*
                       m.x1*m.x4*m.x9 + 0.89*m.x9 + 4.79*m.x1*m.x6*m.x10 + 9.53*m.x6 + 3.48*m.x10 + 9.16*m.x2*m.x4*m.x5
                        + 3.83*m.x2 + 5.72*m.x5 + 4.74*m.x2*m.x4*m.x7 + 0.54*m.x7 + 7.02*m.x3*m.x5*m.x5 + 2.87*m.x3 + 
                       8.64*m.x3*m.x8*m.x9 + 4.4*m.x4*m.x4*m.x4 - 9.63*m.x6*m.x7*m.x8 + 4.5*m.x6*m.x9*m.x9 + 1.94*m.x6*
                       m.x11*m.x12 + 4.49*m.x12 + 4.4*m.x7*m.x7*m.x7 + 9.88*m.x9*m.x9*m.x11 + 8.25*m.x1*m.x1*m.x3*m.x8
                        + 9.09*m.x1*m.x1*m.x3*m.x9 + 1.04*m.x1*m.x1*m.x3*m.x12 + 2.88*m.x1*m.x1*m.x4*m.x6 + 8.23*m.x1*
                       m.x1*m.x4*m.x8 + 1.48*m.x1*m.x1*m.x8*m.x12 + 1.6*m.x1*m.x1*m.x11*m.x11 + 7.07*m.x1*m.x2*m.x3*
                       m.x12 + 6.56*m.x1*m.x2*m.x4*m.x5 + 2.22*m.x1*m.x2*m.x4*m.x11 + 1.32*m.x1*m.x2*m.x5*m.x6 - 4.83*
                       m.x1*m.x2*m.x5*m.x11 + 3.15*m.x1*m.x2*m.x11*m.x12 + 7.11*m.x1*m.x3*m.x5*m.x6 + 2.13*m.x1*m.x3*
                       m.x8*m.x10 - 1.57*m.x1*m.x4*m.x4*m.x10 + 7.61*m.x1*m.x4*m.x8*m.x12 + 1.85*m.x1*m.x4*m.x9*m.x10 + 
                       7.75*m.x1*m.x4*m.x11*m.x11 + 1.05*m.x1*m.x5*m.x7*m.x12 + 7.44*m.x1*m.x5*m.x12*m.x12 + 5.56*m.x1*
                       m.x6*m.x6*m.x7 + 4.93*m.x1*m.x7*m.x8*m.x12 + 7.04*m.x1*m.x7*m.x10*m.x11 + 2.42*m.x2*m.x2*m.x2*
                       m.x7 + 0.48*m.x2*m.x2*m.x5*m.x7 + 1.03*m.x2*m.x2*m.x7*m.x8 + 1.11*m.x2*m.x2*m.x10*m.x10 + 5.31*
                       m.x2*m.x3*m.x5*m.x8 + 7.94*m.x2*m.x3*m.x6*m.x11 + 7.79*m.x2*m.x3*m.x8*m.x12 + 6.77*m.x2*m.x3*m.x9
                       *m.x9 - 8.71*m.x2*m.x4*m.x4*m.x4 + 0.58*m.x2*m.x5*m.x5*m.x8 + 1.36*m.x2*m.x5*m.x6*m.x6 + 9.82*
                       m.x2*m.x6*m.x7*m.x11 + 8.27*m.x2*m.x6*m.x11*m.x11 + 0.86*m.x2*m.x6*m.x11*m.x12 + 8.61*m.x2*m.x7*
                       m.x7*m.x7 + 4.93*m.x2*m.x7*m.x10*m.x12 - 2.08*m.x2*m.x8*m.x10*m.x11 + 5.77*m.x2*m.x9*m.x9*m.x10
                        + 9.65*m.x2*m.x9*m.x9*m.x11 - 8.51*m.x3*m.x3*m.x9*m.x10 + 6.35*m.x3*m.x3*m.x10*m.x12 + 7.8*m.x3*
                       m.x4*m.x4*m.x6 + 6.62*m.x3*m.x4*m.x5*m.x8 + 7.81*m.x3*m.x4*m.x8*m.x10 + 7.31*m.x3*m.x4*m.x10*
                       m.x12 + 2.15*m.x3*m.x4*m.x11*m.x11 + 8.77*m.x3*m.x5*m.x6*m.x8 + 6.26*m.x3*m.x5*m.x9*m.x10 + 9.38*
                       m.x3*m.x5*m.x12*m.x12 + 0.26*m.x3*m.x6*m.x6*m.x10 + 3.68*m.x3*m.x6*m.x9*m.x12 + 5.08*m.x3*m.x7*
                       m.x7*m.x7 + 9.58*m.x3*m.x7*m.x7*m.x12 + 9.49*m.x3*m.x9*m.x11*m.x12 + 4.84*m.x4*m.x4*m.x5*m.x5 + 
                       1.14*m.x4*m.x4*m.x8*m.x8 + 8.21*m.x4*m.x5*m.x6*m.x8 + 9.11*m.x4*m.x5*m.x11*m.x11 + 5.46*m.x4*m.x5
                       *m.x11*m.x12 + 1.04*m.x4*m.x8*m.x11*m.x11 + 5.74*m.x5*m.x6*m.x7*m.x8 + 2.51*m.x5*m.x6*m.x7*m.x12
                        + 8.44*m.x5*m.x6*m.x8*m.x10 + 1.49*m.x5*m.x9*m.x9*m.x10 + 5.98*m.x5*m.x9*m.x10*m.x10 + 5.73*m.x6
                       *m.x7*m.x9*m.x11 + 2.74*m.x6*m.x8*m.x11*m.x11 + 5.88*m.x7*m.x7*m.x7*m.x9 + 5.53*m.x7*m.x7*m.x10*
                       m.x10 + 2.12*m.x8*m.x8*m.x8*m.x9 + 5.87*m.x8*m.x9*m.x9*m.x12 + 7.16*m.x8*m.x9*m.x10*m.x11 - 9.38*
                       m.x8*m.x11*m.x11*m.x12 >= 6332.504)

m.c8 = Constraint(expr=3.19*m.x4*m.x11 + 2.88*m.x4 + 9.81*m.x11 - 3.51*m.x1*m.x1*m.x8 + 3.36*m.x1 + 9.86*m.x8 + 8.8*m.x1
                       *m.x4*m.x9 + 8.28*m.x9 + 4.93*m.x1*m.x6*m.x10 - 0.39*m.x6 + 9.96*m.x10 + 1.11*m.x2*m.x4*m.x5 + 
                       2.67*m.x2 + 6.67*m.x5 + 8.2*m.x2*m.x4*m.x7 + 0.73*m.x7 + 9.9*m.x3*m.x5*m.x5 + 6.91*m.x3 + 4.19*
                       m.x3*m.x8*m.x9 + 8.68*m.x4*m.x4*m.x4 + 6.21*m.x6*m.x7*m.x8 - 3.22*m.x6*m.x9*m.x9 + 9.36*m.x6*
                       m.x11*m.x12 + 7.1*m.x12 - 8*m.x7*m.x7*m.x7 - 1.06*m.x9*m.x9*m.x11 + 3.38*m.x1*m.x1*m.x3*m.x8 + 
                       8.03*m.x1*m.x1*m.x3*m.x9 + 1.3*m.x1*m.x1*m.x3*m.x12 + 0.16*m.x1*m.x1*m.x4*m.x6 + 2.35*m.x1*m.x1*
                       m.x4*m.x8 + 6.48*m.x1*m.x1*m.x8*m.x12 + 1.95*m.x1*m.x1*m.x11*m.x11 + 3.56*m.x1*m.x2*m.x3*m.x12 + 
                       8.57*m.x1*m.x2*m.x4*m.x5 + 1.68*m.x1*m.x2*m.x4*m.x11 + 1.67*m.x1*m.x2*m.x5*m.x6 + 9.03*m.x1*m.x2*
                       m.x5*m.x11 + 2.29*m.x1*m.x2*m.x11*m.x12 + 9.38*m.x1*m.x3*m.x5*m.x6 + 4.02*m.x1*m.x3*m.x8*m.x10 + 
                       3.32*m.x1*m.x4*m.x4*m.x10 + 7.18*m.x1*m.x4*m.x8*m.x12 - 8.6*m.x1*m.x4*m.x9*m.x10 + 4.1*m.x1*m.x4*
                       m.x11*m.x11 + 9.72*m.x1*m.x5*m.x7*m.x12 - 8.17*m.x1*m.x5*m.x12*m.x12 + 2.21*m.x1*m.x6*m.x6*m.x7
                        + 4.57*m.x1*m.x7*m.x8*m.x12 + 1.82*m.x1*m.x7*m.x10*m.x11 + 5.54*m.x2*m.x2*m.x2*m.x7 + 3.92*m.x2*
                       m.x2*m.x5*m.x7 + 7.84*m.x2*m.x2*m.x7*m.x8 + 3.58*m.x2*m.x2*m.x10*m.x10 + 5.33*m.x2*m.x3*m.x5*m.x8
                        - 1.39*m.x2*m.x3*m.x6*m.x11 + 4.55*m.x2*m.x3*m.x8*m.x12 + 5.61*m.x2*m.x3*m.x9*m.x9 + 5.87*m.x2*
                       m.x4*m.x4*m.x4 + 5.68*m.x2*m.x5*m.x5*m.x8 + 8.32*m.x2*m.x5*m.x6*m.x6 + 7.69*m.x2*m.x6*m.x7*m.x11
                        + 0.67*m.x2*m.x6*m.x11*m.x11 + 6.88*m.x2*m.x6*m.x11*m.x12 + 6.71*m.x2*m.x7*m.x7*m.x7 - 7.61*m.x2
                       *m.x7*m.x10*m.x12 + 7.5*m.x2*m.x8*m.x10*m.x11 + 6.07*m.x2*m.x9*m.x9*m.x10 + 8.43*m.x2*m.x9*m.x9*
                       m.x11 + 6.12*m.x3*m.x3*m.x9*m.x10 + 3.79*m.x3*m.x3*m.x10*m.x12 + 3.43*m.x3*m.x4*m.x4*m.x6 + 6.86*
                       m.x3*m.x4*m.x5*m.x8 + 8.32*m.x3*m.x4*m.x8*m.x10 - 8.16*m.x3*m.x4*m.x10*m.x12 + 2.69*m.x3*m.x4*
                       m.x11*m.x11 + 9.74*m.x3*m.x5*m.x6*m.x8 + 1.13*m.x3*m.x5*m.x9*m.x10 + 8.33*m.x3*m.x5*m.x12*m.x12
                        + 1.8*m.x3*m.x6*m.x6*m.x10 + 5.15*m.x3*m.x6*m.x9*m.x12 + 7.11*m.x3*m.x7*m.x7*m.x7 + 5.19*m.x3*
                       m.x7*m.x7*m.x12 + 9.81*m.x3*m.x9*m.x11*m.x12 + 3.76*m.x4*m.x4*m.x5*m.x5 + 4.49*m.x4*m.x4*m.x8*
                       m.x8 + 3.17*m.x4*m.x5*m.x6*m.x8 - 0.07*m.x4*m.x5*m.x11*m.x11 + 7.28*m.x4*m.x5*m.x11*m.x12 - 3.44*
                       m.x4*m.x8*m.x11*m.x11 + 6.82*m.x5*m.x6*m.x7*m.x8 + 9.61*m.x5*m.x6*m.x7*m.x12 + 3.2*m.x5*m.x6*m.x8
                       *m.x10 + 8.66*m.x5*m.x9*m.x9*m.x10 + 3.69*m.x5*m.x9*m.x10*m.x10 + 4.83*m.x6*m.x7*m.x9*m.x11 + 
                       5.77*m.x6*m.x8*m.x11*m.x11 + 8.1*m.x7*m.x7*m.x7*m.x9 + 3.41*m.x7*m.x7*m.x10*m.x10 + 3.42*m.x8*
                       m.x8*m.x8*m.x9 + 3.21*m.x8*m.x9*m.x9*m.x12 + 8.08*m.x8*m.x9*m.x10*m.x11 - 3.05*m.x8*m.x11*m.x11*
                       m.x12 + 2.48*m.x1*m.x1*m.x1*m.x1*m.x9 + 1.21*m.x1*m.x1*m.x1*m.x3*m.x10 - 4.5*m.x1*m.x1*m.x1*m.x4*
                       m.x7 - 8.7*m.x1*m.x1*m.x1*m.x6*m.x12 + 2.98*m.x1*m.x1*m.x1*m.x7*m.x10 + 2.62*m.x1*m.x1*m.x1*m.x11
                       *m.x12 - 0.43*m.x1*m.x1*m.x2*m.x3*m.x12 + 3.37*m.x1*m.x1*m.x2*m.x5*m.x8 + 0.42*m.x1*m.x1*m.x2*
                       m.x5*m.x9 + 3.49*m.x1*m.x1*m.x2*m.x6*m.x6 + 9.89*m.x1*m.x1*m.x3*m.x4*m.x7 + 1.04*m.x1*m.x1*m.x3*
                       m.x10*m.x11 + 1.71*m.x1*m.x1*m.x4*m.x7*m.x11 + 5.22*m.x1*m.x1*m.x5*m.x5*m.x7 + 7.86*m.x1*m.x1*
                       m.x5*m.x8*m.x9 - 7.06*m.x1*m.x1*m.x5*m.x9*m.x12 + 8.37*m.x1*m.x1*m.x10*m.x11*m.x11 + 3.09*m.x1*
                       m.x1*m.x11*m.x11*m.x12 + 6.61*m.x1*m.x2*m.x2*m.x4*m.x8 + 4.69*m.x1*m.x2*m.x2*m.x4*m.x11 + 5.92*
                       m.x1*m.x2*m.x2*m.x6*m.x6 - 0.97*m.x1*m.x2*m.x2*m.x9*m.x10 - 8.21*m.x1*m.x2*m.x2*m.x11*m.x11 + 
                       8.01*m.x1*m.x2*m.x3*m.x3*m.x6 + 9.57*m.x1*m.x2*m.x3*m.x10*m.x12 + 2.29*m.x1*m.x2*m.x4*m.x4*m.x7
                        + 3.35*m.x1*m.x2*m.x4*m.x4*m.x9 + 1.01*m.x1*m.x2*m.x4*m.x5*m.x6 + 6.09*m.x1*m.x2*m.x4*m.x11*
                       m.x11 - 7.29*m.x1*m.x2*m.x5*m.x7*m.x7 + 6.34*m.x1*m.x2*m.x5*m.x11*m.x11 + 2.9*m.x1*m.x2*m.x6*m.x8
                       *m.x9 + 2.03*m.x1*m.x2*m.x7*m.x8*m.x12 + 6.45*m.x1*m.x3*m.x3*m.x6*m.x12 + 6.42*m.x1*m.x3*m.x4*
                       m.x4*m.x5 + 9.76*m.x1*m.x3*m.x4*m.x4*m.x10 + 8.1*m.x1*m.x3*m.x4*m.x7*m.x11 + 0.27*m.x1*m.x4*m.x4*
                       m.x4*m.x9 + 5.3*m.x1*m.x4*m.x4*m.x6*m.x7 + 2.36*m.x1*m.x4*m.x4*m.x6*m.x11 - 9.82*m.x1*m.x4*m.x4*
                       m.x8*m.x8 + 5.23*m.x1*m.x4*m.x4*m.x10*m.x11 + 0.94*m.x1*m.x4*m.x6*m.x6*m.x6 + 0.31*m.x1*m.x4*m.x6
                       *m.x6*m.x11 + 4.49*m.x1*m.x4*m.x6*m.x9*m.x12 + 5.98*m.x1*m.x4*m.x6*m.x10*m.x10 + 7.61*m.x1*m.x4*
                       m.x7*m.x8*m.x10 + 2.33*m.x1*m.x4*m.x7*m.x9*m.x9 + 4.29*m.x1*m.x5*m.x5*m.x5*m.x9 - 3.87*m.x1*m.x5*
                       m.x5*m.x7*m.x9 + 2.16*m.x1*m.x5*m.x7*m.x9*m.x9 + 2.93*m.x1*m.x5*m.x7*m.x10*m.x11 + 5.74*m.x1*m.x5
                       *m.x9*m.x9*m.x11 + 1.64*m.x1*m.x5*m.x11*m.x11*m.x11 + 6.55*m.x1*m.x6*m.x6*m.x7*m.x11 + 5.21*m.x1*
                       m.x6*m.x6*m.x7*m.x12 + 5.32*m.x1*m.x6*m.x7*m.x7*m.x12 + 4.41*m.x1*m.x6*m.x9*m.x12*m.x12 + 6.66*
                       m.x1*m.x7*m.x7*m.x8*m.x8 + 10*m.x1*m.x7*m.x8*m.x8*m.x12 + 1.44*m.x1*m.x7*m.x8*m.x12*m.x12 + 6.92*
                       m.x1*m.x7*m.x10*m.x11*m.x12 + 7.32*m.x1*m.x7*m.x11*m.x11*m.x11 + 1.17*m.x1*m.x9*m.x9*m.x10*m.x12
                        + 2.57*m.x1*m.x9*m.x11*m.x12*m.x12 + 6.98*m.x2*m.x2*m.x2*m.x4*m.x5 + 3.62*m.x2*m.x2*m.x2*m.x7*
                       m.x7 + 7.29*m.x2*m.x2*m.x2*m.x11*m.x12 + 1.64*m.x2*m.x2*m.x2*m.x12*m.x12 + 5.21*m.x2*m.x2*m.x3*
                       m.x4*m.x7 + 8.4*m.x2*m.x2*m.x3*m.x6*m.x11 + 9.4*m.x2*m.x2*m.x3*m.x7*m.x11 + 6.74*m.x2*m.x2*m.x4*
                       m.x6*m.x6 + 1.02*m.x2*m.x2*m.x5*m.x5*m.x7 + 6.07*m.x2*m.x2*m.x5*m.x5*m.x9 + 5.19*m.x2*m.x2*m.x6*
                       m.x7*m.x7 + 8.01*m.x2*m.x2*m.x7*m.x10*m.x11 + 4.81*m.x2*m.x2*m.x8*m.x8*m.x8 + 2.68*m.x2*m.x2*
                       m.x10*m.x10*m.x11 + 9.32*m.x2*m.x2*m.x10*m.x10*m.x12 + 0.82*m.x2*m.x3*m.x3*m.x3*m.x8 + 6.51*m.x2*
                       m.x3*m.x3*m.x4*m.x4 + 2.15*m.x2*m.x3*m.x3*m.x8*m.x11 + 9.99*m.x2*m.x3*m.x4*m.x4*m.x11 + 5.16*m.x2
                       *m.x3*m.x4*m.x6*m.x8 + 0.22*m.x2*m.x3*m.x4*m.x6*m.x9 + 8.83*m.x2*m.x3*m.x4*m.x6*m.x11 + 1.86*m.x2
                       *m.x3*m.x6*m.x7*m.x11 - 1.33*m.x2*m.x3*m.x7*m.x7*m.x12 + 5.28*m.x2*m.x3*m.x8*m.x8*m.x8 + 6.32*
                       m.x2*m.x3*m.x8*m.x12*m.x12 + 5.08*m.x2*m.x4*m.x5*m.x7*m.x7 + 1.85*m.x2*m.x4*m.x5*m.x8*m.x12 + 
                       3.39*m.x2*m.x4*m.x5*m.x11*m.x12 + 2.46*m.x2*m.x4*m.x6*m.x7*m.x11 + 0.71*m.x2*m.x4*m.x6*m.x9*m.x12
                        + 9.58*m.x2*m.x4*m.x7*m.x9*m.x10 + 2.21*m.x2*m.x4*m.x7*m.x11*m.x11 + 0.66*m.x2*m.x4*m.x8*m.x11*
                       m.x12 + 2.25*m.x2*m.x4*m.x9*m.x9*m.x9 + 2.23*m.x2*m.x4*m.x10*m.x10*m.x10 + 4.96*m.x2*m.x5*m.x5*
                       m.x8*m.x11 + 7.41*m.x2*m.x5*m.x5*m.x11*m.x11 + 3.56*m.x2*m.x5*m.x6*m.x6*m.x6 - 2.91*m.x2*m.x5*
                       m.x6*m.x7*m.x9 + 6.49*m.x2*m.x5*m.x8*m.x10*m.x10 + 6.09*m.x2*m.x5*m.x9*m.x9*m.x10 + 2.91*m.x2*
                       m.x5*m.x9*m.x9*m.x11 + 7.14*m.x2*m.x5*m.x9*m.x10*m.x11 + 5.49*m.x2*m.x5*m.x10*m.x10*m.x12 + 6.99*
                       m.x2*m.x5*m.x10*m.x11*m.x12 + 3.36*m.x2*m.x6*m.x6*m.x8*m.x10 + 5.95*m.x2*m.x6*m.x6*m.x11*m.x11 + 
                       2.91*m.x2*m.x6*m.x6*m.x11*m.x12 + 3.62*m.x2*m.x6*m.x7*m.x12*m.x12 + 9.34*m.x2*m.x7*m.x8*m.x8*
                       m.x10 + 5.32*m.x2*m.x7*m.x8*m.x8*m.x11 + 6.75*m.x2*m.x8*m.x10*m.x10*m.x10 + 5.24*m.x2*m.x9*m.x9*
                       m.x9*m.x10 + 9.55*m.x2*m.x9*m.x10*m.x10*m.x12 + 1.85*m.x2*m.x10*m.x12*m.x12*m.x12 - 3.03*m.x3*
                       m.x3*m.x3*m.x3*m.x8 + 5.63*m.x3*m.x3*m.x3*m.x3*m.x12 + 5.98*m.x3*m.x3*m.x3*m.x4*m.x7 + 4.66*m.x3*
                       m.x3*m.x3*m.x10*m.x10 - 2.97*m.x3*m.x3*m.x4*m.x4*m.x7 + 8.17*m.x3*m.x3*m.x4*m.x7*m.x8 + 9.33*m.x3
                       *m.x3*m.x4*m.x7*m.x9 + 3.56*m.x3*m.x3*m.x6*m.x7*m.x10 + 6.51*m.x3*m.x3*m.x8*m.x10*m.x12 + 7.08*
                       m.x3*m.x3*m.x8*m.x11*m.x12 + 0.6*m.x3*m.x3*m.x10*m.x10*m.x11 + 3.47*m.x3*m.x4*m.x5*m.x6*m.x12 + 
                       2.03*m.x3*m.x4*m.x5*m.x8*m.x9 + 5.01*m.x3*m.x4*m.x5*m.x9*m.x11 + 8.92*m.x3*m.x4*m.x6*m.x7*m.x8 + 
                       5.08*m.x3*m.x4*m.x6*m.x10*m.x11 + 2.31*m.x3*m.x4*m.x7*m.x9*m.x9 + 6.78*m.x3*m.x4*m.x8*m.x8*m.x10
                        + 5.66*m.x3*m.x5*m.x6*m.x7*m.x8 + 1.73*m.x3*m.x5*m.x6*m.x10*m.x11 + 6.77*m.x3*m.x5*m.x7*m.x7*
                       m.x7 + 9.46*m.x3*m.x5*m.x7*m.x8*m.x8 + 4.77*m.x3*m.x5*m.x7*m.x8*m.x12 + 2.65*m.x3*m.x5*m.x7*m.x10
                       *m.x12 + 9.96*m.x3*m.x5*m.x8*m.x8*m.x9 + 8.63*m.x3*m.x5*m.x11*m.x11*m.x11 + 9.44*m.x3*m.x6*m.x6*
                       m.x9*m.x11 + 2.31*m.x3*m.x6*m.x9*m.x9*m.x11 + 6.24*m.x3*m.x6*m.x10*m.x12*m.x12 + 0.95*m.x3*m.x7*
                       m.x9*m.x12*m.x12 + 4.85*m.x3*m.x8*m.x10*m.x10*m.x10 + 6.1*m.x3*m.x8*m.x10*m.x12*m.x12 + 0.82*m.x3
                       *m.x9*m.x9*m.x11*m.x11 + 2.9*m.x3*m.x10*m.x10*m.x11*m.x11 + 7.38*m.x4*m.x4*m.x4*m.x7*m.x12 + 2.25
                       *m.x4*m.x4*m.x4*m.x8*m.x8 + 6.91*m.x4*m.x4*m.x5*m.x5*m.x12 + 5.88*m.x4*m.x4*m.x5*m.x6*m.x6 + 9.88
                       *m.x4*m.x4*m.x5*m.x7*m.x11 + 9.99*m.x4*m.x4*m.x5*m.x10*m.x12 - 9.29*m.x4*m.x4*m.x6*m.x8*m.x9 + 
                       7.44*m.x4*m.x4*m.x6*m.x10*m.x12 - 3.3*m.x4*m.x4*m.x8*m.x8*m.x10 + 3.99*m.x4*m.x4*m.x8*m.x9*m.x11
                        + 3.94*m.x4*m.x4*m.x8*m.x10*m.x12 + 8.87*m.x4*m.x4*m.x10*m.x11*m.x12 - 4.57*m.x4*m.x5*m.x5*m.x12
                       *m.x12 + 4.97*m.x4*m.x5*m.x6*m.x6*m.x7 + 4.1*m.x4*m.x5*m.x7*m.x7*m.x12 + 8.95*m.x4*m.x5*m.x7*
                       m.x10*m.x12 + 0.65*m.x4*m.x5*m.x8*m.x9*m.x12 + 6.65*m.x4*m.x5*m.x9*m.x9*m.x11 + 2.44*m.x4*m.x6*
                       m.x6*m.x6*m.x6 + 4.02*m.x4*m.x6*m.x6*m.x10*m.x12 + 8.91*m.x4*m.x7*m.x7*m.x9*m.x11 - 8.93*m.x4*
                       m.x7*m.x8*m.x9*m.x12 + 9.56*m.x4*m.x7*m.x8*m.x10*m.x12 + 4.23*m.x4*m.x7*m.x9*m.x12*m.x12 + 3.73*
                       m.x4*m.x8*m.x8*m.x9*m.x9 + 7.25*m.x4*m.x8*m.x8*m.x10*m.x12 + 8.72*m.x4*m.x8*m.x8*m.x12*m.x12 + 
                       6.14*m.x4*m.x8*m.x9*m.x10*m.x12 + 9.36*m.x4*m.x9*m.x9*m.x9*m.x11 + 8.32*m.x4*m.x9*m.x10*m.x11*
                       m.x11 + 6.78*m.x4*m.x10*m.x11*m.x11*m.x12 + 1.43*m.x4*m.x11*m.x11*m.x11*m.x12 + 9.01*m.x4*m.x11*
                       m.x12*m.x12*m.x12 + 1.97*m.x5*m.x5*m.x5*m.x5*m.x12 + 1.5*m.x5*m.x5*m.x5*m.x7*m.x7 + 2.02*m.x5*
                       m.x5*m.x7*m.x10*m.x12 + 0.18*m.x5*m.x5*m.x8*m.x9*m.x10 + 9.37*m.x5*m.x6*m.x8*m.x11*m.x11 + 4.94*
                       m.x5*m.x7*m.x7*m.x7*m.x8 + 1.29*m.x5*m.x7*m.x9*m.x10*m.x11 + 6.31*m.x5*m.x11*m.x11*m.x12*m.x12 + 
                       7.39*m.x6*m.x6*m.x6*m.x11*m.x12 - 3.22*m.x6*m.x6*m.x7*m.x7*m.x8 + 1.68*m.x6*m.x6*m.x8*m.x10*m.x11
                        + 4.59*m.x6*m.x6*m.x8*m.x10*m.x12 + 9.33*m.x6*m.x7*m.x7*m.x7*m.x10 + 2.52*m.x6*m.x7*m.x7*m.x8*
                       m.x8 + 8.41*m.x6*m.x11*m.x11*m.x12*m.x12 + 0.09*m.x6*m.x11*m.x12*m.x12*m.x12 + 1.77*m.x7*m.x7*
                       m.x7*m.x8*m.x12 + 1.26*m.x7*m.x7*m.x8*m.x8*m.x8 + 9.59*m.x7*m.x7*m.x11*m.x11*m.x12 + 6.08*m.x7*
                       m.x7*m.x11*m.x12*m.x12 + 7.77*m.x7*m.x8*m.x8*m.x11*m.x12 + 8.61*m.x8*m.x8*m.x8*m.x8*m.x12 - 2.47*
                       m.x8*m.x8*m.x11*m.x12*m.x12 + 0.68*m.x8*m.x10*m.x11*m.x11*m.x11 + 6.26*m.x8*m.x11*m.x12*m.x12*
                       m.x12 + 9.19*m.x9*m.x9*m.x9*m.x10*m.x10 + 5.98*m.x9*m.x9*m.x11*m.x12*m.x12 + 9.66*m.x9*m.x9*m.x12
                       *m.x12*m.x12 + 7.76*m.x9*m.x10*m.x10*m.x11*m.x11 + 4.07*m.x10*m.x10*m.x11*m.x11*m.x12
                        >= 41985.596)

m.c9 = Constraint(expr=   9.52*m.x1 + 5.56*m.x2 + 6.19*m.x3 - 7.99*m.x4 + 8.01*m.x5 + 3.06*m.x6 - 7.17*m.x7 + 2.85*m.x8
                        + 3.18*m.x9 + 0.57*m.x10 + 2.29*m.x11 + 7.39*m.x12 >= 52.988)
