#  MINLP written by GAMS Convert at 05/24/17 14:04:26
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         16        6        6        4        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          5        1        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         64        6       58        0


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(None,None),initialize=0)
m.i2 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i3 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i4 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i5 = Var(within=Integers,bounds=(1,100),initialize=1)

m.obj = Objective(expr=m.x1, sense=minimize)

m.c1 = Constraint(expr=-(0.333333333333333*(0.25*(exp(0.25*m.i2) + m.i2) + 0.545*(exp(0.25*m.i3) + m.i3) + 0.55*(exp(
                       0.25*m.i4) + m.i4) + 0.545*(exp(0.25*m.i5) + m.i5) + 10*exp(0.25*m.i2)*m.i2 + 7*exp(0.25*m.i3)*
                       m.i3 + 12*exp(0.25*m.i4)*m.i4 + 10*exp(0.25*m.i5)*m.i5) - ((0.5 - 0.5*0.145**m.i2)*(1 - 0.1**m.i3
                       )*(1 - 0.05**m.i4)*(1 - 0.115**m.i5) + (0.8 - 0.8*0.77**m.i2)*(1 - 0.55**m.i3)*(1 - 0.5**m.i4)*(1
                        - 0.65**m.i5) + (1 - 0.9**m.i2)*(1 - 0.8**m.i3)*(1 - 0.8**m.i4)*(1 - 0.85**m.i5))) + m.x1 == 0)

m.c2 = Constraint(expr=-(0.333333333333333*(0.826*(exp(0.25*m.i3) + m.i3) + 3*exp(0.25*m.i3)*m.i3) - ((0.5 - 0.5*1**m.i2
                       )*(1 - 0.0600000000000001**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 0.51**
                       m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 0.71**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5)))
                        + m.x1 == 0)

m.c3 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3)
                       *(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + m.x1
                        == 0)

m.c4 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3)
                       *(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + m.x1
                        == 0)

m.c5 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3)
                       *(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + m.x1
                        == 0)

m.c6 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3)
                       *(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + m.x1
                        == 0)

m.c7 = Constraint(expr=0.25*(exp(0.25*m.i2) + m.i2) + 0.545*(exp(0.25*m.i3) + m.i3) + 0.55*(exp(0.25*m.i4) + m.i4) + 
                       0.545*(exp(0.25*m.i5) + m.i5) <= 20)

m.c8 = Constraint(expr=0.826*(exp(0.25*m.i3) + m.i3) <= 20)

m.c9 = Constraint(expr=10*exp(0.25*m.i2)*m.i2 + 7*exp(0.25*m.i3)*m.i3 + 12*exp(0.25*m.i4)*m.i4 + 10*exp(0.25*m.i5)*m.i5
                        <= 500)

m.c10 = Constraint(expr=3*exp(0.25*m.i3)*m.i3 <= 500)

m.c11 = Constraint(expr=(0.5 - 0.5*0.145**m.i2)*(1 - 0.1**m.i3)*(1 - 0.05**m.i4)*(1 - 0.115**m.i5) + (0.8 - 0.8*0.77**
                        m.i2)*(1 - 0.55**m.i3)*(1 - 0.5**m.i4)*(1 - 0.65**m.i5) + (1 - 0.9**m.i2)*(1 - 0.8**m.i3)*(1 - 
                        0.8**m.i4)*(1 - 0.85**m.i5) >= 0.2)

m.c12 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 0.0600000000000001**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**
                        m.i2)*(1 - 0.51**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 0.71**m.i3)*(1 - 1**m.i4
                        )*(1 - 1**m.i5) >= 0.2)

m.c13 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3
                        )*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) >= 0.2)

m.c14 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3
                        )*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) >= 0.2)

m.c15 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3
                        )*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) >= 0.2)

m.c16 = Constraint(expr=(0.5 - 0.5*1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*1**m.i2)*(1 - 1**m.i3
                        )*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 1**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) >= 0.2)
