#  MINLP written by GAMS Convert at 05/24/17 14:04:30
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         27       10       16        1        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         17        9        4        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         69       63        6        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0)
m.b5 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b6 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b7 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b8 = Var(within=Binary,bounds=(0,1),initialize=0)
m.i9 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i10 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i11 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i12 = Var(within=Integers,bounds=(0,100),initialize=0)
m.x13 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x14 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x16 = Var(within=Reals,bounds=(0,None),initialize=0)

m.obj = Objective(expr=(-(200 + m.x14)*m.i9) - 5*m.x15*m.i10 - 1035*m.x16*m.i11 + 0.85*m.x13, sense=maximize)

m.c1 = Constraint(expr=   m.x1 - m.x14 == 0)

m.c2 = Constraint(expr=   m.x2 - 5*m.x15 == -200)

m.c3 = Constraint(expr=   m.x3 - 1035*m.x16 == -200)

m.c4 = Constraint(expr=   m.x4 == 150)

m.c5 = Constraint(expr= - m.x1 + m.x2 - 2700*m.b6 >= -2699.99)

m.c6 = Constraint(expr= - m.x1 + m.x3 - 2700*m.b7 >= -2699.99)

m.c7 = Constraint(expr= - m.x1 + m.x4 - 2700*m.b8 >= -2699.99)

m.c8 = Constraint(expr=   m.x1 - m.x2 - 2700*m.b5 >= -2699.99)

m.c9 = Constraint(expr= - m.x2 + m.x3 - 2700*m.b7 >= -2699.99)

m.c10 = Constraint(expr= - m.x2 + m.x4 - 2700*m.b8 >= -2699.99)

m.c11 = Constraint(expr=   m.x1 - m.x3 - 2700*m.b5 >= -2699.99)

m.c12 = Constraint(expr=   m.x2 - m.x3 - 2700*m.b6 >= -2699.99)

m.c13 = Constraint(expr= - m.x3 + m.x4 - 2700*m.b8 >= -2699.99)

m.c14 = Constraint(expr=   m.x1 - m.x4 >= 0.01)

m.c15 = Constraint(expr=   m.x2 - m.x4 >= 0.01)

m.c16 = Constraint(expr=   m.x3 - m.x4 >= 0.01)

m.c17 = Constraint(expr= - 100000*m.b5 + m.i9 == 0)

m.c18 = Constraint(expr= - 100000*m.b6 + m.i10 == 0)

m.c19 = Constraint(expr= - 100000*m.b7 + m.i11 == 0)

m.c20 = Constraint(expr= - 100000*m.b8 + m.i12 == 0)

m.c21 = Constraint(expr=   m.b5 + m.b6 + m.b7 + m.b8 == 1)

m.c22 = Constraint(expr= - 450*m.i9 + m.x13 >= 0)

m.c23 = Constraint(expr= - 450*m.i10 + m.x13 >= 0)

m.c24 = Constraint(expr= - 450*m.i11 + m.x13 >= 0)

m.c25 = Constraint(expr= - 450*m.i12 + m.x13 >= 0)

m.c26 = Constraint(expr=   m.x13 <= 50000000)
