#  MINLP written by GAMS Convert at 05/24/17 14:04:32
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         59        1        0       58        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         19        7       11        1        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        140       92       48        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=0)
m.i7 = Var(within=Integers,bounds=(3,6),initialize=3)
m.b9 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b10 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b11 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b12 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b13 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b14 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b15 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b16 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b17 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b18 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b19 = Var(within=Binary,bounds=(0,1),initialize=0)

m.obj = Objective(expr=   m.i7, sense=minimize)

m.c2 = Constraint(expr=m.i7*m.b9 + m.x1 - m.x2 <= -1)

m.c3 = Constraint(expr=m.i7*m.b9 - m.i7 - m.x1 + m.x2 <= -1)

m.c4 = Constraint(expr=m.i7*m.b10 + m.x2 - m.x3 <= -1)

m.c5 = Constraint(expr=m.i7*m.b10 - m.i7 - m.x2 + m.x3 <= -1)

m.c6 = Constraint(expr=m.i7*m.b11 - m.x1 + m.x3 <= -1)

m.c7 = Constraint(expr=m.i7*m.b11 - m.i7 + m.x1 - m.x3 <= -1)

m.c8 = Constraint(expr=m.i7*m.b12 + m.x4 - m.x5 <= -1)

m.c9 = Constraint(expr=m.i7*m.b12 - m.i7 - m.x4 + m.x5 <= -1)

m.c10 = Constraint(expr=m.i7*m.b13 + m.x5 - m.x6 <= -1)

m.c11 = Constraint(expr=m.i7*m.b13 - m.i7 - m.x5 + m.x6 <= -1)

m.c12 = Constraint(expr=m.i7*m.b14 - m.x4 + m.x6 <= -1)

m.c13 = Constraint(expr=m.i7*m.b14 - m.i7 + m.x4 - m.x6 <= -1)

m.c14 = Constraint(expr=m.i7*m.b15 - m.x1 + m.x4 <= -1)

m.c15 = Constraint(expr=m.i7*m.b9 + m.i7*m.b15 - m.i7 + m.x2 - m.x4 <= -1)

m.c16 = Constraint(expr=m.i7*m.b16 - m.x1 + m.x4 <= -1)

m.c17 = Constraint(expr=m.i7*m.b16 - m.i7 + m.x1 - m.x6 <= -1)

m.c18 = Constraint(expr=m.i7*m.b17 - m.x1 + m.x6 <= -1)

m.c19 = Constraint(expr=m.i7*m.b9 + m.i7*m.b13 + m.i7*m.b17 - m.i7 + m.x2 - m.x5 <= -1)

m.c20 = Constraint(expr=m.i7*m.b18 - m.x3 + m.x5 <= -1)

m.c21 = Constraint(expr=m.i7*m.b18 - m.i7 + m.x1 - m.x5 <= -1)

m.c22 = Constraint(expr=m.i7*m.b19 - m.x3 + m.x6 <= -1)

m.c23 = Constraint(expr=m.i7*m.b13 + m.i7*m.b19 - m.i7 + m.x3 - m.x5 <= -1)

m.c24 = Constraint(expr=   m.b9 + m.b10 + m.b11 <= 1)

m.c25 = Constraint(expr=   m.b12 + m.b13 + m.b14 <= 1)

m.c26 = Constraint(expr= - m.x1 <= 0)

m.c27 = Constraint(expr= - m.x2 <= 0)

m.c28 = Constraint(expr= - m.x3 <= 0)

m.c29 = Constraint(expr= - m.x4 <= 0)

m.c30 = Constraint(expr= - m.x5 <= 0)

m.c31 = Constraint(expr= - m.x6 <= 0)

m.c32 = Constraint(expr=   m.x1 - m.i7 <= -1)

m.c33 = Constraint(expr=   m.x2 - m.i7 <= -1)

m.c34 = Constraint(expr=   m.x3 - m.i7 <= -1)

m.c35 = Constraint(expr=   m.x4 - m.i7 <= -1)

m.c36 = Constraint(expr=   m.x5 - m.i7 <= -1)

m.c37 = Constraint(expr=   m.x6 - m.i7 <= -1)

m.c38 = Constraint(expr= - m.b9 <= 0)

m.c39 = Constraint(expr= - m.b10 <= 0)

m.c40 = Constraint(expr= - m.b11 <= 0)

m.c41 = Constraint(expr= - m.b12 <= 0)

m.c42 = Constraint(expr= - m.b13 <= 0)

m.c43 = Constraint(expr= - m.b14 <= 0)

m.c44 = Constraint(expr= - m.b15 <= 0)

m.c45 = Constraint(expr= - m.b16 <= 0)

m.c46 = Constraint(expr= - m.b17 <= 0)

m.c47 = Constraint(expr= - m.b18 <= 0)

m.c48 = Constraint(expr= - m.b19 <= 0)

m.c49 = Constraint(expr=   m.b9 <= 1)

m.c50 = Constraint(expr=   m.b10 <= 1)

m.c51 = Constraint(expr=   m.b11 <= 1)

m.c52 = Constraint(expr=   m.b12 <= 1)

m.c53 = Constraint(expr=   m.b13 <= 1)

m.c54 = Constraint(expr=   m.b14 <= 1)

m.c55 = Constraint(expr=   m.b15 <= 1)

m.c56 = Constraint(expr=   m.b16 <= 1)

m.c57 = Constraint(expr=   m.b17 <= 1)

m.c58 = Constraint(expr=   m.b18 <= 1)

m.c59 = Constraint(expr=   m.b19 <= 1)
