#  MINLP written by GAMS Convert at 05/24/17 14:04:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         29        1       14       14        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13        7        6        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        169        7      162        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.b1 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b2 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b3 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b4 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b5 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b6 = Var(within=Binary,bounds=(0,1),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,2),initialize=0)
m.x9 = Var(within=Reals,bounds=(0,2),initialize=0)
m.x10 = Var(within=Reals,bounds=(0,2),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,2),initialize=0)
m.x12 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x13 = Var(within=Reals,bounds=(None,None),initialize=0)

m.obj = Objective(expr=113.902929*m.b1*m.x8 + 110.73895875*m.b2*m.x9 + 8.56413*m.b3*m.x10*(13.3 - (m.x8*m.b1 + m.x9*m.b2
                       )) + 8.3262375*m.b4*m.x11*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) + 8.56413*m.b5*m.x12*(13.3 + (-(m.x8*
                       m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) + 8.3262375*m.b6*m.x13*(13.3 + (-(m.x8*m.b1 + 
                       m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)), sense=maximize)

m.c2 = Constraint(expr=-(m.x8*m.b1 + m.x9*m.b2) <= 4.7)

m.c3 = Constraint(expr=-(m.x8*m.b1 + m.x9*m.b2) >= -2.6)

m.c4 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4) <= 4.7)

m.c5 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4) >= -2.6)

m.c6 = Constraint(expr=113.902929*m.b1*m.x8 <= 67)

m.c7 = Constraint(expr=113.902929*m.b1*m.x8 >= 40)

m.c8 = Constraint(expr=110.73895875*m.b2*m.x9 <= 67)

m.c9 = Constraint(expr=110.73895875*m.b2*m.x9 >= 40)

m.c10 = Constraint(expr=8.56413*m.b3*m.x10*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) <= 67)

m.c11 = Constraint(expr=8.56413*m.b3*m.x10*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) >= 40)

m.c12 = Constraint(expr=8.3262375*m.b4*m.x11*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) <= 67)

m.c13 = Constraint(expr=8.3262375*m.b4*m.x11*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) >= 40)

m.c14 = Constraint(expr=8.56413*m.b5*m.x12*(13.3 + (-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) <= 67)

m.c15 = Constraint(expr=8.56413*m.b5*m.x12*(13.3 + (-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) >= 40)

m.c16 = Constraint(expr=8.3262375*m.b6*m.x13*(13.3 + (-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) <= 67)

m.c17 = Constraint(expr=8.3262375*m.b6*m.x13*(13.3 + (-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) >= 40)

m.c18 = Constraint(expr=-16.4475829476*m.b1*m.x8 >= -8.1748)

m.c19 = Constraint(expr=-15.9907056435*m.b2*m.x9 <= -8.1748)

m.c20 = Constraint(expr=-15.9907056435*m.b2*m.x9 >= -9.6748)

m.c21 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - 1.236660372*m.b3*m.x10*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) >= -8.1748)

m.c22 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - 1.202308695*m.b4*m.x11*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) <= -8.1748)

m.c23 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - 1.202308695*m.b4*m.x11*(13.3 - (m.x8*m.b1 + m.x9*m.b2)) >= -9.6748)

m.c24 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4) - 1.236660372*m.b5*m.x12*(13.3 + (-(m.x8*
                        m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) >= -8.1748)

m.c25 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4) - 1.202308695*m.b6*m.x13*(13.3 + (-(m.x8*
                        m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) <= -8.1748)

m.c26 = Constraint(expr=(-(m.x8*m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4) - 1.202308695*m.b6*m.x13*(13.3 + (-(m.x8*
                        m.b1 + m.x9*m.b2)) - (m.x10*m.b3 + m.x11*m.b4)) >= -9.6748)

m.c27 = Constraint(expr=   m.b1 + m.b2 <= 1)

m.c28 = Constraint(expr=   m.b3 + m.b4 <= 1)

m.c29 = Constraint(expr=   m.b5 + m.b6 <= 1)
