#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       95       26        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.34,2.36),initialize=0.34)
m.x2 = Var(within=Reals,bounds=(0.08,2.09),initialize=0.08)
m.x3 = Var(within=Reals,bounds=(0.44,2.13),initialize=0.44)
m.x4 = Var(within=Reals,bounds=(0.9,2.23),initialize=0.9)
m.x5 = Var(within=Reals,bounds=(0.37,2.93),initialize=0.37)
m.x6 = Var(within=Reals,bounds=(0.73,2.04),initialize=0.73)
m.x7 = Var(within=Reals,bounds=(0.02,2.71),initialize=0.02)
m.x8 = Var(within=Reals,bounds=(0.37,2.76),initialize=0.37)
m.x9 = Var(within=Reals,bounds=(0.36,2.9),initialize=0.36)
m.x10 = Var(within=Reals,bounds=(0.93,2.19),initialize=0.93)
m.x11 = Var(within=Reals,bounds=(0.11,2.58),initialize=0.11)
m.x12 = Var(within=Reals,bounds=(0.15,2.9),initialize=0.15)

m.obj = Objective(expr=4.59*m.x1*m.x4*m.x7*m.x9 + 1.42*m.x1 + 0.51*m.x4 + 3.66*m.x7 + 7.02*m.x9 - 1.46*m.x1*m.x2*m.x4*
                       m.x7*m.x9 + 6.83*m.x2 - 4.76*m.x1*m.x4*m.x4*m.x7*m.x12 - 5.26*m.x12 + 2.73*m.x2*m.x3*m.x6*m.x7*
                       m.x12 - 3.42*m.x3 + 1.24*m.x6 + 7.47*m.x2*m.x5*m.x5*m.x6*m.x8 - 3.67*m.x5 + 7.04*m.x8 + 0.38*m.x4
                       *m.x5*m.x6*m.x6*m.x10 + 4.67*m.x10 + 2.08*m.x11, sense=minimize)

m.c1 = Constraint(expr=   8.65*m.x3 + 3.56*m.x5 - 8.37*m.x6 + 9.81*m.x10 + 5.9*m.x11 + 0.63*m.x12 == 29.597)

m.c2 = Constraint(expr=   6.36*m.x2 + 2.52*m.x3 + 7.25*m.x4 - 3.91*m.x7 - 7.65*m.x8 + 4.05*m.x9 == 10.777)

m.c3 = Constraint(expr=   8.44*m.x1 + 6.05*m.x4 + 7.27*m.x5 - 3.07*m.x7 + 0.61*m.x10 + 5.19*m.x12 == 37.534)

m.c4 = Constraint(expr=   9.58*m.x1 + 5.63*m.x2 + 2.6*m.x3 + 9.01*m.x6 + 3.05*m.x8 + 4.49*m.x10 == 46.639)

m.c5 = Constraint(expr=   1.03*m.x2 + 5.1*m.x3 + 2.04*m.x5 + 7.29*m.x7 + 1.17*m.x9 + 4.63*m.x10 == 30.118)

m.c6 = Constraint(expr=   4.55*m.x1 + 6.21*m.x3 + 7.75*m.x9 + 1.44*m.x10 + 4.73*m.x11 + 4.96*m.x12 == 42.927)

m.c7 = Constraint(expr=   4.55*m.x1 + 9.03*m.x2 + 4.08*m.x3 + 9.83*m.x4 + 9.22*m.x5 + 7.66*m.x6 + 7.27*m.x7 + 0.45*m.x8
                        + 0.25*m.x9 + 0.74*m.x10 + 9.62*m.x11 + 0.34*m.x12 >= 88.036)

m.c8 = Constraint(expr=   1.41*m.x1 - 9.56*m.x2 + m.x3 + 2.22*m.x4 + 1.46*m.x5 + 3.3*m.x6 + 4.55*m.x7 + 0.64*m.x8
                        + 8.51*m.x9 + 7.28*m.x10 + 1.56*m.x11 + 6*m.x12 >= 46.958)

m.c9 = Constraint(expr=   5.43*m.x1 + 2.62*m.x2 + 7.59*m.x3 + 9.67*m.x4 + 6.68*m.x5 + 6.96*m.x6 + 9.86*m.x7 + 0.51*m.x8
                        + 6.3*m.x9 + 6.64*m.x10 + 5.89*m.x11 + 2.5*m.x12 >= 102.34)

m.c10 = Constraint(expr=7.32*m.x1*m.x4*m.x7*m.x9 + 7.13*m.x1 + 3.73*m.x4 + 1.31*m.x7 + 2.3*m.x9 + 9.91*m.x2 + 3.37*m.x3
                         + 1.37*m.x5 + 1.61*m.x6 + 6.56*m.x8 + 8.88*m.x10 + 2.41*m.x11 + 9.09*m.x12 >= 233.183)

m.c11 = Constraint(expr=0.47*m.x1*m.x4*m.x7*m.x9 + 8.33*m.x1 + 2.18*m.x4 + 1.79*m.x7 + 8.4*m.x9 + 9.99*m.x1*m.x2*m.x4*
                        m.x7*m.x9 + 6.69*m.x2 + 5.02*m.x1*m.x4*m.x4*m.x7*m.x12 + 0.5*m.x12 + 3.1*m.x2*m.x3*m.x6*m.x7*
                        m.x12 + 7.87*m.x3 + 6.37*m.x6 + 0.48*m.x2*m.x5*m.x5*m.x6*m.x8 - 4.28*m.x5 + 6.49*m.x8 + 0.87*
                        m.x4*m.x5*m.x6*m.x6*m.x10 + 2.04*m.x10 + 7.35*m.x11 >= 907.772)

m.c12 = Constraint(expr=   7*m.x1 + 1.04*m.x2 + 1.95*m.x3 + 9.57*m.x4 + 6.17*m.x5 - 9.51*m.x6 + 6.51*m.x7 - 6.36*m.x8
                         + 6.22*m.x9 + 3.83*m.x10 - 9.69*m.x11 + 9.25*m.x12 >= 41.19)
