#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        4        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        103       64       39        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.69,2.21),initialize=0.69)
m.x2 = Var(within=Reals,bounds=(0.91,2.26),initialize=0.91)
m.x3 = Var(within=Reals,bounds=(0.62,2.41),initialize=0.62)
m.x4 = Var(within=Reals,bounds=(0.85,2.26),initialize=0.85)
m.x5 = Var(within=Reals,bounds=(0.87,2.92),initialize=0.87)
m.x6 = Var(within=Reals,bounds=(0.48,2.15),initialize=0.48)
m.x7 = Var(within=Reals,bounds=(0.13,2.42),initialize=0.13)
m.x8 = Var(within=Reals,bounds=(0.94,2.41),initialize=0.94)
m.x9 = Var(within=Reals,bounds=(0.97,2.65),initialize=0.97)
m.x10 = Var(within=Reals,bounds=(0.27,2.66),initialize=0.27)
m.x11 = Var(within=Reals,bounds=(0.62,2.1),initialize=0.62)
m.x12 = Var(within=Reals,bounds=(0.86,2.64),initialize=0.86)

m.obj = Objective(expr=8.59*m.x2*m.x12*m.x12 - 9.79*m.x2 + 7.1*m.x12 + 9.85*m.x3*m.x6*m.x11 + 8.01*m.x3 - 3.39*m.x6 - 
                       3.59*m.x11 + 4.72*m.x1*m.x2*m.x4*m.x8 + 3.46*m.x1 + 5.99*m.x4 + 0.31*m.x8 + 1.48*m.x1*m.x4*m.x6*
                       m.x9 + m.x9 + 1.08*m.x2*m.x6*m.x11*m.x12 + 0.32*m.x2*m.x7*m.x9*m.x9 + 3.42*m.x7 + 9.14*m.x3*m.x4*
                       m.x6*m.x7 + 6.57*m.x1*m.x1*m.x1*m.x1*m.x5 + 6.94*m.x5 - 4.03*m.x1*m.x1*m.x4*m.x6*m.x11 + 6.7*m.x1
                       *m.x2*m.x3*m.x3*m.x12 - 6.82*m.x1*m.x2*m.x6*m.x6*m.x7 + 6.47*m.x2*m.x2*m.x3*m.x5*m.x11 + 4.34*
                       m.x2*m.x4*m.x4*m.x8*m.x8 + 1.65*m.x2*m.x5*m.x5*m.x6*m.x8 + 8.03*m.x3*m.x3*m.x3*m.x5*m.x9 - 0.48*
                       m.x3*m.x3*m.x4*m.x7*m.x9 + 8.5*m.x3*m.x4*m.x5*m.x5*m.x8 + 6.91*m.x3*m.x4*m.x6*m.x7*m.x11 + 7.27*
                       m.x3*m.x4*m.x7*m.x8*m.x8 + 8.7*m.x3*m.x5*m.x9*m.x10*m.x11 - 6.84*m.x10 - 2.23*m.x4*m.x4*m.x8*m.x8
                       *m.x9 + 9.45*m.x4*m.x5*m.x5*m.x7*m.x8 + 8.51*m.x4*m.x6*m.x7*m.x7*m.x8 + 8.67*m.x4*m.x7*m.x7*m.x7*
                       m.x7 + 1.21*m.x4*m.x11*m.x12*m.x12*m.x12 + 8.82*m.x5*m.x5*m.x5*m.x10*m.x10 - 1.58*m.x5*m.x5*m.x6*
                       m.x7*m.x8 + 3.49*m.x5*m.x8*m.x9*m.x9*m.x9 + 3.24*m.x6*m.x6*m.x6*m.x7*m.x7 - 5.81*m.x8*m.x8*m.x10*
                       m.x12*m.x12 - 9.93*m.x8*m.x8*m.x11*m.x11*m.x11, sense=minimize)

m.c1 = Constraint(expr= - 0.25*m.x1 + 2.32*m.x2 + 7.96*m.x5 + 9.17*m.x6 + 1.05*m.x9 + 3.59*m.x11 == 37.24)

m.c2 = Constraint(expr=   7.3*m.x2 + 8.31*m.x4 + 1.33*m.x7 - 3.39*m.x8 + 2.58*m.x9 + 2.93*m.x12 == 30.307)

m.c3 = Constraint(expr= - 2.94*m.x2 + 0.28*m.x5 + 6.42*m.x7 + 9.48*m.x9 + 4*m.x11 + 2.47*m.x12 == 30.978)

m.c4 = Constraint(expr=   4.29*m.x1 + 3.6*m.x2 - 0.62*m.x3 + 0.81*m.x4 - 0.71*m.x5 + 7.5*m.x6 + 3.36*m.x7 + 8.57*m.x8
                        + 3.76*m.x9 + 0.31*m.x10 + 4.71*m.x11 + 3.98*m.x12 >= 60.033)

m.c5 = Constraint(expr=   1.42*m.x1 + 1.21*m.x2 + 2.58*m.x3 - 6.53*m.x4 + 5.64*m.x5 + 7.34*m.x6 + 9.1*m.x7 + 6.64*m.x8
                        + 9.5*m.x9 + 8.84*m.x10 + 6.07*m.x11 + 3.9*m.x12 >= 86.022)

m.c6 = Constraint(expr=3.97*m.x2*m.x12*m.x12 - 0.19*m.x2 + 7.51*m.x12 + 4.45*m.x3*m.x6*m.x11 + 6.49*m.x3 + 7.67*m.x6 + 
                       9.24*m.x11 + 0.75*m.x1 + 1.4*m.x4 + 1.51*m.x5 + 2.46*m.x7 + 6.46*m.x8 + 4.24*m.x9 - 3.23*m.x10
                        >= 125.575)

m.c7 = Constraint(expr=5.86*m.x2*m.x12*m.x12 + 7.28*m.x2 + 9.04*m.x12 + 1.68*m.x3*m.x6*m.x11 + 6.8*m.x3 + 2.16*m.x6 - 
                       5.95*m.x11 + 3.5*m.x1*m.x2*m.x4*m.x8 + 5.64*m.x1 + 0.91*m.x4 + 6.66*m.x8 + 3.73*m.x1*m.x4*m.x6*
                       m.x9 + 5.99*m.x9 + 1.65*m.x2*m.x6*m.x11*m.x12 + 9.86*m.x2*m.x7*m.x9*m.x9 + 4.58*m.x7 + 7.28*m.x3*
                       m.x4*m.x6*m.x7 + 0.58*m.x5 + 7.95*m.x10 >= 557.655)

m.c8 = Constraint(expr=7.62*m.x2*m.x12*m.x12 + 3.82*m.x2 + 6.52*m.x12 + 7.73*m.x3*m.x6*m.x11 + 2.82*m.x3 + 9.76*m.x6 + 
                       3.98*m.x11 + 9.36*m.x1*m.x2*m.x4*m.x8 + 6.01*m.x1 + 4.55*m.x4 + 5.7*m.x8 + 6.66*m.x1*m.x4*m.x6*
                       m.x9 + 4.08*m.x9 + 0.6*m.x2*m.x6*m.x11*m.x12 + 7.12*m.x2*m.x7*m.x9*m.x9 + 5.43*m.x7 + 6.48*m.x3*
                       m.x4*m.x6*m.x7 + 4.37*m.x1*m.x1*m.x1*m.x1*m.x5 + 8.34*m.x5 + 4.45*m.x1*m.x1*m.x4*m.x6*m.x11 + 
                       4.45*m.x1*m.x2*m.x3*m.x3*m.x12 + 9.9*m.x1*m.x2*m.x6*m.x6*m.x7 + 7.46*m.x2*m.x2*m.x3*m.x5*m.x11 + 
                       9.25*m.x2*m.x4*m.x4*m.x8*m.x8 + 8.06*m.x2*m.x5*m.x5*m.x6*m.x8 + 5.79*m.x3*m.x3*m.x3*m.x5*m.x9 + 
                       0.53*m.x3*m.x3*m.x4*m.x7*m.x9 + 8.66*m.x3*m.x4*m.x5*m.x5*m.x8 + 1.57*m.x3*m.x4*m.x6*m.x7*m.x11 + 
                       0.07*m.x3*m.x4*m.x7*m.x8*m.x8 + 8.46*m.x3*m.x5*m.x9*m.x10*m.x11 + 7.83*m.x10 + 1.32*m.x4*m.x4*
                       m.x8*m.x8*m.x9 + 5.42*m.x4*m.x5*m.x5*m.x7*m.x8 + 2.81*m.x4*m.x6*m.x7*m.x7*m.x8 + 6.1*m.x4*m.x7*
                       m.x7*m.x7*m.x7 + 8.31*m.x4*m.x11*m.x12*m.x12*m.x12 + 4.77*m.x5*m.x5*m.x5*m.x10*m.x10 + 8.93*m.x5*
                       m.x5*m.x6*m.x7*m.x8 + 4.31*m.x5*m.x8*m.x9*m.x9*m.x9 + 6.97*m.x6*m.x6*m.x6*m.x7*m.x7 - 3.57*m.x8*
                       m.x8*m.x10*m.x12*m.x12 + 5.08*m.x8*m.x8*m.x11*m.x11*m.x11 >= 6081.405)

m.c9 = Constraint(expr=   2.11*m.x1 + 0.93*m.x2 + 4.95*m.x3 + 2.82*m.x4 + 5.25*m.x5 + 6.42*m.x6 + 7.77*m.x7 + 8.05*m.x8
                        + 0.82*m.x9 + 4.77*m.x10 + 9.52*m.x11 + 6.63*m.x12 >= 91.221)
