#  NLP written by GAMS Convert at 05/24/17 14:05:47
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         21       11       10        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         41       41        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        841      601      240        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.52,2.07),initialize=0.52)
m.x2 = Var(within=Reals,bounds=(0.32,2.01),initialize=0.32)
m.x3 = Var(within=Reals,bounds=(0.62,2.13),initialize=0.62)
m.x4 = Var(within=Reals,bounds=(0.08,2.65),initialize=0.08)
m.x5 = Var(within=Reals,bounds=(0.69,2.81),initialize=0.69)
m.x6 = Var(within=Reals,bounds=(0.91,2.14),initialize=0.91)
m.x7 = Var(within=Reals,bounds=(0.61,2.7),initialize=0.61)
m.x8 = Var(within=Reals,bounds=(0.66,2.44),initialize=0.66)
m.x9 = Var(within=Reals,bounds=(0.66,2.18),initialize=0.66)
m.x10 = Var(within=Reals,bounds=(0.16,2.72),initialize=0.16)
m.x11 = Var(within=Reals,bounds=(0.69,2.89),initialize=0.69)
m.x12 = Var(within=Reals,bounds=(0.3,2.33),initialize=0.3)
m.x13 = Var(within=Reals,bounds=(0.04,2.22),initialize=0.04)
m.x14 = Var(within=Reals,bounds=(0.27,2.29),initialize=0.27)
m.x15 = Var(within=Reals,bounds=(0.63,2.12),initialize=0.63)
m.x16 = Var(within=Reals,bounds=(0.62,2.02),initialize=0.62)
m.x17 = Var(within=Reals,bounds=(0.25,2.25),initialize=0.25)
m.x18 = Var(within=Reals,bounds=(0.61,2.58),initialize=0.61)
m.x19 = Var(within=Reals,bounds=(0.76,2.73),initialize=0.76)
m.x20 = Var(within=Reals,bounds=(0.53,2.83),initialize=0.53)
m.x21 = Var(within=Reals,bounds=(0.95,2.46),initialize=0.95)
m.x22 = Var(within=Reals,bounds=(0.22,2.93),initialize=0.22)
m.x23 = Var(within=Reals,bounds=(0.81,2.53),initialize=0.81)
m.x24 = Var(within=Reals,bounds=(0.67,2.65),initialize=0.67)
m.x25 = Var(within=Reals,bounds=(0.19,2.41),initialize=0.19)
m.x26 = Var(within=Reals,bounds=(0.98,2.74),initialize=0.98)
m.x27 = Var(within=Reals,bounds=(0.31,2.5),initialize=0.31)
m.x28 = Var(within=Reals,bounds=(0.32,2.02),initialize=0.32)
m.x29 = Var(within=Reals,bounds=(0.21,2.86),initialize=0.21)
m.x30 = Var(within=Reals,bounds=(0.39,2.2),initialize=0.39)
m.x31 = Var(within=Reals,bounds=(0.7,2.58),initialize=0.7)
m.x32 = Var(within=Reals,bounds=(0.99,2.35),initialize=0.99)
m.x33 = Var(within=Reals,bounds=(0.75,2.6),initialize=0.75)
m.x34 = Var(within=Reals,bounds=(0.01,2.96),initialize=0.01)
m.x35 = Var(within=Reals,bounds=(0.98,2.58),initialize=0.98)
m.x36 = Var(within=Reals,bounds=(0.71,2.27),initialize=0.71)
m.x37 = Var(within=Reals,bounds=(0.1,2.43),initialize=0.1)
m.x38 = Var(within=Reals,bounds=(0.46,2.13),initialize=0.46)
m.x39 = Var(within=Reals,bounds=(0.06,2.26),initialize=0.06)
m.x40 = Var(within=Reals,bounds=(0.8,2.02),initialize=0.8)

m.obj = Objective(expr=4.66*m.x1*m.x1 + 7.19*m.x1 + 5.99*m.x1*m.x4 + 7.08*m.x4 + 6.46*m.x1*m.x9 + 5.2*m.x9 + 8.9*m.x1*
                       m.x10 + 3.87*m.x10 + 8.62*m.x1*m.x12 + 9.7*m.x12 + 6.26*m.x1*m.x14 + 8.75*m.x14 + 3.77*m.x1*m.x15
                        + 8.84*m.x15 + 7.74*m.x1*m.x17 + 3.23*m.x17 + 1.63*m.x1*m.x18 + 7.77*m.x18 + 6.14*m.x1*m.x20 + 
                       5.67*m.x20 + 6.07*m.x1*m.x22 + 8.81*m.x22 + 3.78*m.x1*m.x26 + 2.75*m.x26 + 4.91*m.x1*m.x27 + 2.24
                       *m.x27 + 2.96*m.x1*m.x28 + 7.35*m.x28 + 6.41*m.x1*m.x29 + 9.46*m.x29 + 7.01*m.x1*m.x30 + 8.66*
                       m.x30 + 1.58*m.x1*m.x31 - 5.45*m.x31 + 3.63*m.x1*m.x35 + 5.62*m.x35 + 6.38*m.x1*m.x39 + 4.15*
                       m.x39 + 6.92*m.x1*m.x40 + 7.19*m.x40 + 2.79*m.x2*m.x3 + 7.57*m.x2 + 2.39*m.x3 + 9.81*m.x2*m.x4 + 
                       2.91*m.x2*m.x6 + 4.3*m.x6 + 3.33*m.x2*m.x7 + 4.34*m.x7 + 5.1*m.x2*m.x10 + 4.36*m.x2*m.x11 + 8.44*
                       m.x11 + 6.23*m.x2*m.x16 + 0.96*m.x16 - 8.44*m.x2*m.x18 + 9.11*m.x2*m.x19 + 9.43*m.x19 + 9.06*m.x2
                       *m.x20 + 9.16*m.x2*m.x21 + 0.19*m.x21 + 0.2*m.x2*m.x23 + 8.11*m.x23 + 9.35*m.x2*m.x28 + 3.5*m.x2*
                       m.x33 - 0.41*m.x33 + 7.59*m.x2*m.x39 + 6.79*m.x3*m.x5 + 3.39*m.x5 + 5.42*m.x3*m.x6 + 5.33*m.x3*
                       m.x10 + 2.29*m.x3*m.x11 - 2.55*m.x3*m.x12 + 4.35*m.x3*m.x13 + 7.18*m.x13 + 1.68*m.x3*m.x14 + 1.85
                       *m.x3*m.x15 - 4.96*m.x3*m.x17 + 4.24*m.x3*m.x18 + 1.85*m.x3*m.x20 + 6.98*m.x3*m.x21 + 3*m.x3*
                       m.x22 + 9.17*m.x3*m.x24 + 7.32*m.x24 + 1.28*m.x3*m.x29 + 6.01*m.x3*m.x30 + 6.72*m.x3*m.x31 + 5.28
                       *m.x3*m.x32 + 5.96*m.x32 + 6.71*m.x3*m.x33 + 1.66*m.x3*m.x34 + 0.25*m.x34 + 8.07*m.x3*m.x35 + 
                       8.22*m.x3*m.x37 - 5.53*m.x37 + 2.66*m.x3*m.x38 + 3.59*m.x38 + 9*m.x3*m.x39 + 2.93*m.x3*m.x40 + 
                       1.72*m.x4*m.x5 + 9.1*m.x4*m.x6 + 4.77*m.x4*m.x7 + 4.47*m.x4*m.x8 - 6.77*m.x8 + 7.51*m.x4*m.x19 + 
                       0.42*m.x4*m.x21 + 7.86*m.x4*m.x22 + 7.71*m.x4*m.x25 + 2.72*m.x25 + 6.44*m.x4*m.x26 + 5.6*m.x4*
                       m.x27 + 1.06*m.x4*m.x31 + 5.34*m.x4*m.x32 + 0.86*m.x4*m.x33 + 9.66*m.x4*m.x36 + 4.18*m.x36 + 4.06
                       *m.x4*m.x39 - 4.76*m.x5*m.x5 + 8.28*m.x5*m.x6 + 6.38*m.x5*m.x7 - 7.74*m.x5*m.x9 + 6.48*m.x5*m.x10
                        + 6.19*m.x5*m.x13 - 2.21*m.x5*m.x14 - 9.68*m.x5*m.x15 + 3.58*m.x5*m.x17 + 8.28*m.x5*m.x18 + 1.49
                       *m.x5*m.x19 + 0.85*m.x5*m.x20 + 2.63*m.x5*m.x21 + 1.75*m.x5*m.x23 + 2.88*m.x5*m.x24 + 3.71*m.x5*
                       m.x28 + 5.7*m.x5*m.x29 + 5.96*m.x5*m.x30 - 7.08*m.x5*m.x31 + 1.41*m.x5*m.x32 + 3.7*m.x5*m.x34 - 
                       2.34*m.x5*m.x40 + 5.74*m.x6*m.x8 + 8.3*m.x6*m.x9 + 0.96*m.x6*m.x12 + 5.51*m.x6*m.x13 + 1.68*m.x6*
                       m.x17 + 1.72*m.x6*m.x19 + 1.03*m.x6*m.x20 + 5.64*m.x6*m.x24 + 0.32*m.x6*m.x25 + 4.98*m.x6*m.x26
                        + 3.77*m.x6*m.x27 + 2.12*m.x6*m.x28 + 2.41*m.x6*m.x29 + 1.61*m.x6*m.x30 + 3.64*m.x6*m.x33 + 8.39
                       *m.x6*m.x34 + 7.92*m.x6*m.x35 + 0.9*m.x6*m.x37 + 9.31*m.x6*m.x38 + 8.14*m.x6*m.x39 + 1.28*m.x6*
                       m.x40 + 4.66*m.x7*m.x7 + 4.45*m.x7*m.x8 + 2.65*m.x7*m.x10 + 7.8*m.x7*m.x11 + 5.16*m.x7*m.x14 - 
                       9.83*m.x7*m.x15 - 9.42*m.x7*m.x17 - 1.38*m.x7*m.x18 + 4.48*m.x7*m.x24 - 6.59*m.x7*m.x25 - 2.08*
                       m.x7*m.x26 + 3.47*m.x7*m.x27 + 4.95*m.x7*m.x28 + 0.87*m.x7*m.x30 + 1.49*m.x7*m.x31 + 3.21*m.x7*
                       m.x32 + 0.95*m.x7*m.x33 + 9.59*m.x7*m.x36 + 8.17*m.x7*m.x37 + 8.93*m.x7*m.x39 + 1.89*m.x7*m.x40
                        + 7.54*m.x8*m.x8 + 5.86*m.x8*m.x9 + 0.83*m.x8*m.x11 + 6.48*m.x8*m.x13 + 5.67*m.x8*m.x14 + 6.47*
                       m.x8*m.x15 + 4.92*m.x8*m.x16 + 8.23*m.x8*m.x17 + 0.72*m.x8*m.x19 + 6.21*m.x8*m.x20 + 8.2*m.x8*
                       m.x21 - 2.23*m.x8*m.x22 + 5.98*m.x8*m.x24 - 2.91*m.x8*m.x26 + 5.16*m.x8*m.x39 + 3.12*m.x9*m.x13
                        + 3.37*m.x9*m.x14 + 4.71*m.x9*m.x15 - 5.39*m.x9*m.x16 + 4.39*m.x9*m.x18 + 6.82*m.x9*m.x19 + 9.94
                       *m.x9*m.x20 + 2.61*m.x9*m.x22 + 8.85*m.x9*m.x24 + 6.75*m.x9*m.x29 + 8.23*m.x9*m.x31 + 4.81*m.x9*
                       m.x33 + 0.41*m.x9*m.x35 + 5.94*m.x9*m.x37 + 2.9*m.x9*m.x38 + 5.73*m.x10*m.x10 + 7.09*m.x10*m.x12
                        + 6.63*m.x10*m.x13 + 4.59*m.x10*m.x14 + 7.51*m.x10*m.x17 + 5.28*m.x10*m.x18 + 8.77*m.x10*m.x19
                        + 6.17*m.x10*m.x23 + 4.7*m.x10*m.x24 + 5.2*m.x10*m.x33 + 9.64*m.x10*m.x35 - 8.83*m.x10*m.x36 + 
                       9.4*m.x10*m.x37 + 7.73*m.x11*m.x15 + 4.64*m.x11*m.x16 + 9.49*m.x11*m.x17 + 7.71*m.x11*m.x19 + 
                       2.38*m.x11*m.x20 + 9.41*m.x11*m.x21 + 9.42*m.x11*m.x23 + 7.47*m.x11*m.x26 - 6.54*m.x11*m.x28 + 
                       3.08*m.x11*m.x30 + 4.15*m.x11*m.x31 + 7.17*m.x11*m.x33 + 6.02*m.x11*m.x36 - 2.91*m.x11*m.x38 + 
                       4.57*m.x11*m.x39 + 6.12*m.x11*m.x40 + 6.75*m.x12*m.x12 - 0.04*m.x12*m.x14 + 9.32*m.x12*m.x17 + 
                       5.98*m.x12*m.x20 + 7.86*m.x12*m.x25 - 6.63*m.x12*m.x28 + 8.43*m.x12*m.x29 + 3.34*m.x12*m.x30 + 
                       5.9*m.x12*m.x31 - 4.13*m.x12*m.x32 + 8.2*m.x12*m.x35 + 3.78*m.x12*m.x39 + 0.33*m.x12*m.x40 + 2.87
                       *m.x13*m.x14 + 7.35*m.x13*m.x17 + 6.98*m.x13*m.x19 + 0.32*m.x13*m.x20 - 2.9*m.x13*m.x23 + 4.36*
                       m.x13*m.x24 + 3.22*m.x13*m.x27 + 2.73*m.x13*m.x28 + 6*m.x13*m.x29 + 6.15*m.x13*m.x31 - 1.02*m.x13
                       *m.x32 + 1.36*m.x13*m.x34 + 9.08*m.x13*m.x37 + 7.94*m.x13*m.x40 + 6.14*m.x14*m.x14 + 7.5*m.x14*
                       m.x15 + 8.67*m.x14*m.x16 + 4.36*m.x14*m.x18 + 1.77*m.x14*m.x21 + 1.63*m.x14*m.x23 + 6.81*m.x14*
                       m.x24 + 1.9*m.x14*m.x26 + 9.93*m.x14*m.x27 + 6.49*m.x14*m.x29 + 8.08*m.x14*m.x32 + 2.46*m.x14*
                       m.x33 + 4.2*m.x14*m.x34 + 1.27*m.x14*m.x36 - 7.93*m.x14*m.x40 + 8.29*m.x15*m.x18 + 3.66*m.x15*
                       m.x19 + 7.18*m.x15*m.x20 + 2.24*m.x15*m.x21 + 8.12*m.x15*m.x26 + 8.1*m.x15*m.x28 + 4.17*m.x15*
                       m.x29 + 8.18*m.x15*m.x30 + 4.51*m.x15*m.x32 + 4.42*m.x15*m.x33 + 8.95*m.x15*m.x37 + 6.21*m.x15*
                       m.x38 - 2.5*m.x15*m.x40 - 4.4*m.x16*m.x17 + 4.25*m.x16*m.x18 + 3.49*m.x16*m.x21 + 9.51*m.x16*
                       m.x22 - 3.55*m.x16*m.x24 + 9.33*m.x16*m.x26 + 8.35*m.x16*m.x29 + 6.45*m.x16*m.x31 + 1.38*m.x16*
                       m.x34 + 1.72*m.x16*m.x37 + 6.21*m.x16*m.x40 + 0.1*m.x17*m.x18 + 2.83*m.x17*m.x19 + 0.25*m.x17*
                       m.x20 + 6.57*m.x17*m.x21 + 6.77*m.x17*m.x22 + 0.95*m.x17*m.x24 + 9.28*m.x17*m.x27 + 1.37*m.x17*
                       m.x28 + 7.16*m.x17*m.x30 + 0.84*m.x17*m.x31 + 4.26*m.x17*m.x32 + 4.57*m.x17*m.x34 + 2.49*m.x17*
                       m.x35 + 4.86*m.x17*m.x36 + 8.42*m.x17*m.x37 + 2.93*m.x17*m.x38 + 1.9*m.x18*m.x21 + 9.09*m.x18*
                       m.x25 + 0.82*m.x18*m.x28 + 8.11*m.x18*m.x30 + 1.06*m.x18*m.x31 + 0.99*m.x18*m.x32 + 5.62*m.x18*
                       m.x33 + 0.01*m.x18*m.x36 + 2.1*m.x18*m.x39 + 8.38*m.x19*m.x19 + 2.55*m.x19*m.x23 + 1.27*m.x19*
                       m.x24 - 4.68*m.x19*m.x25 - 9.59*m.x19*m.x26 + 8.68*m.x19*m.x27 + 3.17*m.x19*m.x28 + 8.41*m.x19*
                       m.x29 + 4.95*m.x19*m.x33 + 1.43*m.x19*m.x35 + 2.65*m.x19*m.x36 + 6.48*m.x19*m.x39 + 9.49*m.x20*
                       m.x20 + 2.86*m.x20*m.x21 - 0.64*m.x20*m.x31 + 0.53*m.x20*m.x33 - 6.82*m.x20*m.x34 + 5.12*m.x20*
                       m.x35 + 1.66*m.x20*m.x37 + 6.8*m.x21*m.x21 + 4.41*m.x21*m.x22 + 7.24*m.x21*m.x24 + 4.58*m.x21*
                       m.x25 + 3.5*m.x21*m.x26 + 9.97*m.x21*m.x28 + 3.14*m.x21*m.x31 + 4.76*m.x21*m.x34 + 9.44*m.x21*
                       m.x35 - 9.19*m.x21*m.x38 + 0.89*m.x21*m.x40 + 7.33*m.x22*m.x22 + 3.94*m.x22*m.x24 + 4.64*m.x22*
                       m.x25 + 3.18*m.x22*m.x26 + 1.74*m.x22*m.x27 + 7.91*m.x22*m.x28 + 6.01*m.x22*m.x30 + 9.15*m.x22*
                       m.x34 + 7.63*m.x22*m.x35 - 6.3*m.x22*m.x36 + 1.53*m.x22*m.x38 + 7.33*m.x23*m.x23 + 1.89*m.x23*
                       m.x26 + 1.68*m.x23*m.x31 + 0.68*m.x23*m.x32 + 9.91*m.x23*m.x33 + 6.93*m.x23*m.x34 + 9.13*m.x23*
                       m.x36 + 8.11*m.x23*m.x37 + 8.29*m.x23*m.x38 + 0.33*m.x23*m.x39 + 2.4*m.x23*m.x40 + 8.87*m.x24*
                       m.x24 + 9.79*m.x24*m.x25 + 5.59*m.x24*m.x26 + 1.29*m.x24*m.x28 + 4.82*m.x24*m.x29 + 5.68*m.x24*
                       m.x30 + 4.24*m.x24*m.x32 + 0.23*m.x24*m.x35 - 2.35*m.x24*m.x37 - 0.45*m.x24*m.x39 + 9.14*m.x25*
                       m.x26 + 8.23*m.x25*m.x29 + 1.34*m.x25*m.x30 + 2.27*m.x25*m.x31 + 9.07*m.x25*m.x32 + 9.98*m.x25*
                       m.x36 + 5.28*m.x25*m.x37 + 4.82*m.x25*m.x39 + 4.54*m.x25*m.x40 + 8.24*m.x26*m.x27 + 2.83*m.x26*
                       m.x28 + 0.21*m.x26*m.x31 + 4.86*m.x26*m.x33 + 7.45*m.x26*m.x34 + 0.41*m.x26*m.x36 + 3.34*m.x26*
                       m.x38 + 6.44*m.x27*m.x27 + 8.67*m.x27*m.x29 + 6.22*m.x27*m.x33 + 7.3*m.x27*m.x39 + 2.41*m.x27*
                       m.x40 + 5.65*m.x28*m.x34 + 5.37*m.x28*m.x36 + 0.23*m.x28*m.x37 + 3.39*m.x29*m.x33 + 2.24*m.x29*
                       m.x34 + 6.39*m.x29*m.x39 + 3.24*m.x29*m.x40 + 9.6*m.x30*m.x30 + 1.02*m.x30*m.x31 + 8.88*m.x30*
                       m.x33 + 9.72*m.x30*m.x35 + 4.14*m.x30*m.x38 + 3.21*m.x31*m.x31 + 2.47*m.x31*m.x32 + 5.85*m.x31*
                       m.x34 - 7.59*m.x31*m.x36 + 9.74*m.x31*m.x38 + 7.04*m.x31*m.x39 + 2.32*m.x31*m.x40 - 3.84*m.x32*
                       m.x34 + 3.69*m.x32*m.x36 + 4.1*m.x32*m.x37 + 7.38*m.x33*m.x33 + 7.12*m.x33*m.x35 - 3.91*m.x33*
                       m.x40 + 9.57*m.x34*m.x34 + 1.06*m.x34*m.x36 + 0.35*m.x34*m.x39 + 9.89*m.x34*m.x40 - 7.64*m.x35*
                       m.x35 + 0.7*m.x35*m.x40 + 4.7*m.x36*m.x37 + 7.88*m.x36*m.x38 + 6.03*m.x37*m.x37 + 7.72*m.x37*
                       m.x38 + 0.42*m.x37*m.x40 + 8.32*m.x38*m.x38 + 2.43*m.x38*m.x39, sense=minimize)

m.c1 = Constraint(expr=   1.34*m.x1 + 4.05*m.x2 + 9.98*m.x3 - 6.56*m.x4 + 5.22*m.x5 + 9.79*m.x6 - 5.78*m.x7 + 7.54*m.x8
                        + 7.05*m.x9 + 9.69*m.x10 - 1.5*m.x11 + 4.45*m.x12 + 9.08*m.x13 + 0.47*m.x14 + 8.71*m.x15
                        + 0.11*m.x16 + 0.87*m.x17 + 8.93*m.x18 + 6.72*m.x19 + 0.41*m.x20 + 1.38*m.x21 + 2.41*m.x22
                        + 1.11*m.x23 + 0.6*m.x24 + 4.02*m.x25 + 4.13*m.x26 + 1.03*m.x27 + 4.27*m.x28 + 1.23*m.x29
                        + 6.09*m.x30 + 2.83*m.x31 + 8.86*m.x32 + 2.58*m.x33 + 3.88*m.x34 + 1.69*m.x35 + 4.42*m.x36
                        + 6.01*m.x37 + 7.56*m.x38 + 3.92*m.x39 + 4.27*m.x40 == 220.468)

m.c2 = Constraint(expr=   0.65*m.x1 + 3.76*m.x2 + 5.35*m.x3 + 1.57*m.x4 + 6.41*m.x5 + 3.66*m.x6 + 9.54*m.x7 + 7.08*m.x8
                        + 1.03*m.x9 + 6.22*m.x10 + 8.54*m.x11 + 3.73*m.x12 + 3.59*m.x13 - 0.17*m.x14 + 2.93*m.x15
                        + 3.97*m.x16 + 5.34*m.x17 + 3.93*m.x18 + 5.48*m.x19 + 8.77*m.x20 + 1.12*m.x21 + 5.21*m.x22
                        + 9.49*m.x23 + 9.63*m.x24 + 4.89*m.x25 + 4.72*m.x26 + 7.57*m.x27 + 7.42*m.x28 + 4.38*m.x29
                        + 8.64*m.x30 + 2.64*m.x31 + 6.75*m.x32 + 1.01*m.x33 + 8.08*m.x34 + 4.75*m.x35 + 9.55*m.x36
                        + 8.74*m.x37 + 0.16*m.x38 + 5.16*m.x39 + 7.36*m.x40 == 313.161)

m.c3 = Constraint(expr=   0.44*m.x1 + 0.91*m.x2 + 0.41*m.x3 + 7.84*m.x4 + 0.85*m.x5 + 9.21*m.x6 + 4.3*m.x7 + 4.83*m.x8
                        - 0.45*m.x9 + 7.43*m.x10 + 8.96*m.x11 + 8.18*m.x12 + 6.77*m.x13 + 8.76*m.x14 - 2.8*m.x15
                        + 0.76*m.x16 + 1.07*m.x17 + 4.85*m.x18 + 3.9*m.x19 + 8.43*m.x20 + 0.03*m.x21 + 0.24*m.x22
                        + 4.81*m.x23 + 3.84*m.x24 + 3.56*m.x25 + 4.38*m.x26 + 5.89*m.x27 + 3.88*m.x28 + 4.51*m.x29
                        + 5.08*m.x30 + 4.46*m.x31 + 0.13*m.x32 + 3.29*m.x33 + 2.08*m.x34 + 1.84*m.x35 + 6.16*m.x36
                        - 7.09*m.x37 + 4.03*m.x38 + 8.6*m.x39 + 7.31*m.x40 == 224.989)

m.c4 = Constraint(expr=   9.49*m.x1 - 7.54*m.x2 + 3.15*m.x3 + 1.93*m.x4 + 9.37*m.x5 + 0.31*m.x6 + 8.33*m.x7 + 0.64*m.x8
                        - 2.65*m.x9 + 1.58*m.x10 + 5.59*m.x11 + 7.68*m.x12 + 1.29*m.x13 + 8.6*m.x14 - 1.91*m.x15
                        + 5.02*m.x16 + 6.85*m.x17 + 9.95*m.x18 + 0.76*m.x19 + 2.48*m.x20 - 8.53*m.x21 + 8.75*m.x22
                        + 9.42*m.x23 + 8.27*m.x24 + 3.83*m.x25 + 9.29*m.x26 + 3.11*m.x27 + 8.4*m.x28 - 8.94*m.x29
                        + 6.55*m.x30 + 10*m.x31 + 8.06*m.x32 + 4.51*m.x33 + 4.12*m.x34 + 9.13*m.x35 + 7.45*m.x36
                        + 6.1*m.x37 + 4.73*m.x38 + 9.57*m.x39 + 9.89*m.x40 == 276.813)

m.c5 = Constraint(expr=   9.01*m.x1 + 8.35*m.x2 + 7.73*m.x3 + 4.41*m.x4 + 4.03*m.x5 + 4.53*m.x6 + 0.97*m.x7 + 5.64*m.x8
                        + 9.97*m.x9 + 9.75*m.x10 + 7.9*m.x11 - 9.15*m.x12 + 1.68*m.x13 + 3.49*m.x14 + 2.62*m.x15
                        + 7.99*m.x16 + 9.17*m.x17 + 7.04*m.x18 + 0.39*m.x19 + 6.8*m.x20 - 9.67*m.x21 - 8.86*m.x22
                        + 4.15*m.x23 + 4.46*m.x24 + 8.43*m.x25 + 6.43*m.x26 + 7.69*m.x27 + 8.65*m.x28 + 5.38*m.x29
                        + 6.95*m.x30 + 8.85*m.x31 + 4.58*m.x32 + 6.29*m.x33 - 8.05*m.x34 + 8.92*m.x35 + 0.16*m.x36
                        + 7.47*m.x37 + 6.15*m.x38 + 5.12*m.x39 + 6.3*m.x40 == 262.06)

m.c6 = Constraint(expr= - 4.92*m.x1 + 7.74*m.x2 + 8.78*m.x3 + 8.48*m.x4 + 2.07*m.x5 + 6.92*m.x6 + 9.31*m.x7 + 4.49*m.x8
                        + 6.8*m.x9 + 8.72*m.x10 + 8.65*m.x11 + 8.04*m.x12 + 9.14*m.x13 + 7.56*m.x14 + 6.22*m.x15
                        + 3.42*m.x16 + 2.46*m.x17 + 3.29*m.x18 + 6.78*m.x19 + 5.22*m.x20 + 9.37*m.x21 + 1.03*m.x22
                        + 5.61*m.x23 + 7*m.x24 + 1.16*m.x25 + 4.41*m.x26 + 8.4*m.x27 - 9.52*m.x28 - 1.11*m.x29
                        + 5.42*m.x30 + 3.33*m.x31 + 8.48*m.x32 + 8.99*m.x33 + 9.73*m.x34 + 9.29*m.x35 + 2.87*m.x36
                        + 8.41*m.x37 + 9.2*m.x38 + 0.89*m.x39 + 0.03*m.x40 == 320.947)

m.c7 = Constraint(expr= - 7.71*m.x1 - 2.07*m.x2 + 3.25*m.x3 + 5.31*m.x4 + 1.26*m.x5 + 8.86*m.x6 + 9.62*m.x7 + 0.04*m.x8
                        + 5.93*m.x9 + 1.12*m.x10 + 6.77*m.x11 + 9.73*m.x12 + 6.37*m.x13 - 2.64*m.x14 + 8.38*m.x15
                        - 9.03*m.x16 + 3.15*m.x17 + 6.32*m.x18 + 5.86*m.x19 + 4.61*m.x20 + 7.48*m.x21 + 6.63*m.x22
                        + 4.17*m.x23 + 7.01*m.x24 + 7.47*m.x25 + 0.26*m.x26 - 6.85*m.x27 + 6.23*m.x28 + 1.56*m.x29
                        + 6.71*m.x30 + 4.96*m.x31 + 8.98*m.x32 + 7.6*m.x33 + 1.94*m.x34 + 9.37*m.x35 + 6.76*m.x36
                        + 9.42*m.x37 + 1.4*m.x38 + 8.6*m.x39 + 7.92*m.x40 == 262.482)

m.c8 = Constraint(expr=   2.7*m.x1 + 5.04*m.x2 + 5.33*m.x3 + 6.47*m.x4 + 7.91*m.x5 + 5.34*m.x6 + 1.21*m.x7 + 7.7*m.x8
                        + 8.37*m.x9 + 0.34*m.x10 + 7.14*m.x11 + 1.2*m.x12 + 6.61*m.x13 + 3.39*m.x14 + 1.29*m.x15
                        + 7.14*m.x16 + 6.01*m.x17 + 5.96*m.x18 + 6.24*m.x19 + 9.88*m.x20 + 9.82*m.x21 + 4.07*m.x22
                        + 3.27*m.x23 + 0.11*m.x24 + 6.83*m.x25 - 9*m.x26 + 8.53*m.x27 + 8.57*m.x28 + 3.91*m.x29
                        + 2.23*m.x30 + 1.05*m.x31 + 7.84*m.x32 + 6.75*m.x33 + 5.05*m.x34 - 3.28*m.x35 + 0.89*m.x36
                        + 1.98*m.x37 + 0.55*m.x38 + 4.67*m.x39 + 4.79*m.x40 == 252.032)

m.c9 = Constraint(expr=   9.27*m.x1 + 4.41*m.x2 + 2.92*m.x3 + 8.4*m.x4 + 5.48*m.x5 + 6.23*m.x6 + 4.29*m.x7 + 3.54*m.x8
                        + 1.98*m.x9 + 3.38*m.x10 + 8.82*m.x11 + 3.81*m.x12 - 5.41*m.x13 + 0.56*m.x14 + 8.64*m.x15
                        + 1.14*m.x16 + 9.77*m.x17 - 4.28*m.x18 + 3.49*m.x19 + 7.88*m.x20 + 8.03*m.x21 + 7.73*m.x22
                        + 4.56*m.x23 + 3.79*m.x24 + 1.59*m.x25 + 7.91*m.x26 + 2.65*m.x27 - 9.75*m.x28 - 1.83*m.x29
                        + 5.29*m.x30 + 0.66*m.x31 + 3.18*m.x32 + 3.85*m.x33 + 4.6*m.x34 + 2.33*m.x35 + 0.68*m.x36
                        + 5.67*m.x37 + 2.27*m.x38 + 8.91*m.x39 + 3.96*m.x40 == 229.254)

m.c10 = Constraint(expr=   0.47*m.x1 + 8*m.x2 + 6.3*m.x3 + 2.47*m.x4 + 2.61*m.x5 + 1.76*m.x6 + 5.83*m.x7 + 8.64*m.x8
                         + 6.51*m.x9 + 4.68*m.x10 + 1.94*m.x11 + 0.33*m.x12 + 8.71*m.x13 - 1.64*m.x14 + 8.86*m.x15
                         + 7.94*m.x16 + 6.29*m.x17 + 1.54*m.x18 + 3.53*m.x19 + 2.66*m.x20 + 0.62*m.x21 + 6.28*m.x22
                         + 6.73*m.x23 + 4.56*m.x24 + 6.56*m.x25 + 3.44*m.x26 + 1.19*m.x27 + 4.86*m.x28 + 7.62*m.x29
                         + 4.05*m.x30 + 0.63*m.x31 + 2.38*m.x32 + 1.57*m.x33 + 2.13*m.x34 - 2.64*m.x35 + 2.64*m.x36
                         - 4.17*m.x37 + 9.53*m.x38 + 3.36*m.x39 + 7.86*m.x40 == 224.563)

m.c11 = Constraint(expr=   9.96*m.x1 + 2.18*m.x2 + 1.63*m.x3 + 9.3*m.x4 + 3.46*m.x5 + 7.64*m.x6 + 5.7*m.x7 + 5.35*m.x8
                         + 5.08*m.x9 + 4.81*m.x10 + 8.78*m.x11 + 0.69*m.x12 + 8.7*m.x13 + 0.82*m.x14 + 2.63*m.x15
                         + 9.28*m.x16 + 3.83*m.x17 + 5.49*m.x18 + 5.76*m.x19 + 8.5*m.x20 + 3.22*m.x21 + 0.59*m.x22
                         + 6.78*m.x23 + 9.04*m.x24 + 1.84*m.x25 + 0.39*m.x26 + 8.97*m.x27 + 6.02*m.x28 + 7.1*m.x29
                         + 3.33*m.x30 + 6.07*m.x31 + 1.36*m.x32 + 0.22*m.x33 + 5.11*m.x34 + 9.38*m.x35 + 7.46*m.x36
                         + 9.03*m.x37 + 2.9*m.x38 + 6.07*m.x39 - 2.03*m.x40 >= 299.266)

m.c12 = Constraint(expr=6.71*m.x1*m.x1 + 1.81*m.x1 + 1.57*m.x1*m.x4 + 4.27*m.x4 + 4.83*m.x1*m.x9 - 7.45*m.x9 + 1.06*m.x1
                        *m.x10 + 0.86*m.x10 - 6.99*m.x1*m.x12 + 1.33*m.x12 + 4.02*m.x1*m.x14 - 3.22*m.x14 + 5.22*m.x1*
                        m.x15 + 6.35*m.x15 + 5.78*m.x1*m.x17 + 2.2*m.x17 + 2.17*m.x1*m.x18 + 6.29*m.x18 + 3.27*m.x1*
                        m.x20 + 3.26*m.x20 + 7.12*m.x1*m.x22 + 5.58*m.x22 + 1.33*m.x1*m.x26 + 2.87*m.x26 + 4.8*m.x1*
                        m.x27 + 1.34*m.x27 + 4.38*m.x1*m.x28 - 0.6*m.x28 + 3.53*m.x1*m.x29 - 2.68*m.x29 + 2.79*m.x1*
                        m.x30 + 0.5*m.x30 + 4.43*m.x1*m.x31 + 3.26*m.x31 + 7.74*m.x1*m.x35 + 8.84*m.x35 + 8.09*m.x1*
                        m.x39 + 6.57*m.x39 + 3.82*m.x1*m.x40 + 7.04*m.x40 + 0.3*m.x2*m.x3 + 0.89*m.x2 + 8.74*m.x3 + 3.35
                        *m.x2*m.x4 + 3.47*m.x2*m.x6 + 6.98*m.x6 + 1.53*m.x2*m.x7 + 6.27*m.x7 + 5.25*m.x2*m.x10 + 6.36*
                        m.x2*m.x11 + 5.86*m.x11 + 0.89*m.x2*m.x16 + 4.56*m.x16 + 2.62*m.x2*m.x18 + 0.96*m.x2*m.x19 - 
                        2.84*m.x19 + 3.75*m.x2*m.x20 - 0.96*m.x2*m.x21 + 0.56*m.x21 + 0.78*m.x2*m.x23 + 2.42*m.x23 + 
                        4.37*m.x2*m.x28 + 2.42*m.x2*m.x33 - 8.04*m.x33 + 5.74*m.x2*m.x39 + 5.29*m.x3*m.x5 + 2.57*m.x5 + 
                        5.37*m.x3*m.x6 + 8.4*m.x3*m.x10 + 2.08*m.x3*m.x11 + 0.92*m.x3*m.x12 + 5.76*m.x3*m.x13 + 2.4*
                        m.x13 + 7.36*m.x3*m.x14 + 6.15*m.x3*m.x15 + 9.08*m.x3*m.x17 + 9.45*m.x3*m.x18 + 6.4*m.x3*m.x20
                         + 9.33*m.x3*m.x21 + 0.16*m.x3*m.x22 + 3.89*m.x3*m.x24 - 9.68*m.x24 + 7*m.x3*m.x29 + 5.19*m.x3*
                        m.x30 + 7.21*m.x3*m.x31 + 2.77*m.x3*m.x32 + 2.18*m.x32 + 9.36*m.x3*m.x33 + 7.89*m.x3*m.x34 + 
                        6.89*m.x34 + 0.78*m.x3*m.x35 - 9.97*m.x3*m.x37 + 4.28*m.x37 + 7.82*m.x3*m.x38 + 3.24*m.x38 + 
                        1.72*m.x3*m.x39 + 5.09*m.x3*m.x40 + 4.74*m.x4*m.x5 + 7.68*m.x4*m.x6 + 1.89*m.x4*m.x7 + 5.4*m.x4*
                        m.x8 - 2.19*m.x8 + 8.18*m.x4*m.x19 + 3.18*m.x4*m.x21 + 6.66*m.x4*m.x22 + 6.62*m.x4*m.x25 + 1.63*
                        m.x25 + 0.9*m.x4*m.x26 + 6.76*m.x4*m.x27 + 0.61*m.x4*m.x31 + 3.22*m.x4*m.x32 + 1.97*m.x4*m.x33
                         + 9.59*m.x4*m.x36 + 6.13*m.x36 + 9.23*m.x4*m.x39 - 0.36*m.x5*m.x5 - 9.14*m.x5*m.x6 + 3.28*m.x5*
                        m.x7 + 4.76*m.x5*m.x9 + 6.27*m.x5*m.x10 + 0.25*m.x5*m.x13 + 2.95*m.x5*m.x14 + 3.2*m.x5*m.x15 + 
                        5.87*m.x5*m.x17 + 5.96*m.x5*m.x18 + 1.44*m.x5*m.x19 + 2.72*m.x5*m.x20 + 5.67*m.x5*m.x21 + 3.68*
                        m.x5*m.x23 + 4.82*m.x5*m.x24 + 3.14*m.x5*m.x28 + 9.89*m.x5*m.x29 + 2.75*m.x5*m.x30 + 9.19*m.x5*
                        m.x31 + 6.81*m.x5*m.x32 - 7.87*m.x5*m.x34 + 0.91*m.x5*m.x40 + 8.64*m.x6*m.x8 + 0.66*m.x6*m.x9 - 
                        2.64*m.x6*m.x12 + 1.98*m.x6*m.x13 + 4.53*m.x6*m.x17 + 9.52*m.x6*m.x19 + 0.88*m.x6*m.x20 + 4.81*
                        m.x6*m.x24 + 5.99*m.x6*m.x25 + 0.69*m.x6*m.x26 + 4.02*m.x6*m.x27 + 3.49*m.x6*m.x28 - 1.7*m.x6*
                        m.x29 + 9.76*m.x6*m.x30 + 0.59*m.x6*m.x33 + 8.77*m.x6*m.x34 + 2.87*m.x6*m.x35 + 7.7*m.x6*m.x37
                         + 9.9*m.x6*m.x38 + 0.76*m.x6*m.x39 + 7.49*m.x6*m.x40 + 9.13*m.x7*m.x7 + 6.92*m.x7*m.x8 + 2.9*
                        m.x7*m.x10 + 5.89*m.x7*m.x11 + 1.96*m.x7*m.x14 + 8.37*m.x7*m.x15 + 7.11*m.x7*m.x17 - 7.44*m.x7*
                        m.x18 - 8.14*m.x7*m.x24 + 0.15*m.x7*m.x25 + 0.29*m.x7*m.x26 + 8.58*m.x7*m.x27 + 5.79*m.x7*m.x28
                         + 5.96*m.x7*m.x30 + 1.97*m.x7*m.x31 + 2.1*m.x7*m.x32 + 2.49*m.x7*m.x33 + 7.15*m.x7*m.x36 + 3.28
                        *m.x7*m.x37 + 7.61*m.x7*m.x39 + 9.83*m.x7*m.x40 + 3.9*m.x8*m.x8 + 7.15*m.x8*m.x9 + 3.32*m.x8*
                        m.x11 + 9.28*m.x8*m.x13 + 7.59*m.x8*m.x14 + 9.71*m.x8*m.x15 + 9.03*m.x8*m.x16 + 9.24*m.x8*m.x17
                         + 4.4*m.x8*m.x19 + 3.05*m.x8*m.x20 + 0.44*m.x8*m.x21 + 3.33*m.x8*m.x22 + 0.25*m.x8*m.x24 + 9.12
                        *m.x8*m.x26 + 4.56*m.x8*m.x39 + 10*m.x9*m.x13 + 6.87*m.x9*m.x14 + 4.96*m.x9*m.x15 + 6.58*m.x9*
                        m.x16 + 3.34*m.x9*m.x18 + 9.23*m.x9*m.x19 + 9.09*m.x9*m.x20 - 7.79*m.x9*m.x22 + 5.13*m.x9*m.x24
                         + 4.16*m.x9*m.x29 + 9.26*m.x9*m.x31 + 4.89*m.x9*m.x33 + 8.21*m.x9*m.x35 + 0.22*m.x9*m.x37 + 
                        1.39*m.x9*m.x38 + 0.47*m.x10*m.x10 + 0.97*m.x10*m.x12 + 8.85*m.x10*m.x13 + 9.72*m.x10*m.x14 + 
                        4.78*m.x10*m.x17 + 3.26*m.x10*m.x18 - 6.74*m.x10*m.x19 - 8.31*m.x10*m.x23 + 8.74*m.x10*m.x24 + 
                        3.4*m.x10*m.x33 + 9.47*m.x10*m.x35 + 3.7*m.x10*m.x36 + 8.18*m.x10*m.x37 + 6.5*m.x11*m.x15 + 6.38
                        *m.x11*m.x16 + 8.86*m.x11*m.x17 - 9.37*m.x11*m.x19 + 4.08*m.x11*m.x20 + 6.74*m.x11*m.x21 + 8.42*
                        m.x11*m.x23 + 5.78*m.x11*m.x26 + 4.84*m.x11*m.x28 + 7.08*m.x11*m.x30 + 5.06*m.x11*m.x31 + 6.06*
                        m.x11*m.x33 + 6.75*m.x11*m.x36 + 9.86*m.x11*m.x38 - 7.24*m.x11*m.x39 + 3.31*m.x11*m.x40 + 0.38*
                        m.x12*m.x12 + 3.34*m.x12*m.x14 + 8.14*m.x12*m.x17 + 5.62*m.x12*m.x20 + 3.44*m.x12*m.x25 + 2.72*
                        m.x12*m.x28 + 5.85*m.x12*m.x29 + 7.76*m.x12*m.x30 + 6.64*m.x12*m.x31 + 2.52*m.x12*m.x32 + 4.83*
                        m.x12*m.x35 + 4.26*m.x12*m.x39 - 0.73*m.x12*m.x40 + 0.19*m.x13*m.x14 + 8.59*m.x13*m.x17 + 3.63*
                        m.x13*m.x19 + 4.84*m.x13*m.x20 + 1.04*m.x13*m.x23 + 3.62*m.x13*m.x24 + 3.86*m.x13*m.x27 + 6.01*
                        m.x13*m.x28 + 4.32*m.x13*m.x29 + 4.62*m.x13*m.x31 + 9.2*m.x13*m.x32 + 0.08*m.x13*m.x34 + 0.66*
                        m.x13*m.x37 + 0.95*m.x13*m.x40 + 8.17*m.x14*m.x14 + 3.7*m.x14*m.x15 + 0.64*m.x14*m.x16 + 4.26*
                        m.x14*m.x18 + 2.78*m.x14*m.x21 - 7.68*m.x14*m.x23 + 4.72*m.x14*m.x24 + 7.53*m.x14*m.x26 + 9.08*
                        m.x14*m.x27 + 1.54*m.x14*m.x29 + 4.36*m.x14*m.x32 + 5.16*m.x14*m.x33 + 8.91*m.x14*m.x34 - 9.36*
                        m.x14*m.x36 + 4.4*m.x14*m.x40 + 4.53*m.x15*m.x18 + 2.9*m.x15*m.x19 - 6.82*m.x15*m.x20 - 6.68*
                        m.x15*m.x21 + 8.6*m.x15*m.x26 + 4.7*m.x15*m.x28 + 9.53*m.x15*m.x29 + 4.95*m.x15*m.x30 + 9.89*
                        m.x15*m.x32 - 6.56*m.x15*m.x33 + 2.61*m.x15*m.x37 + 0.98*m.x15*m.x38 + 5.7*m.x15*m.x40 + 6*m.x16
                        *m.x17 + 1.51*m.x16*m.x18 + 1.95*m.x16*m.x21 + 4.52*m.x16*m.x22 - 3.9*m.x16*m.x24 + 4.06*m.x16*
                        m.x26 + 9.1*m.x16*m.x29 + 3.73*m.x16*m.x31 + 3.69*m.x16*m.x34 + 3.81*m.x16*m.x37 + 7.59*m.x16*
                        m.x40 + 8.56*m.x17*m.x18 + 1.9*m.x17*m.x19 + 4.6*m.x17*m.x20 + 7.62*m.x17*m.x21 + 2.29*m.x17*
                        m.x22 + 9.9*m.x17*m.x24 - 6.37*m.x17*m.x27 + 6.85*m.x17*m.x28 + 7.66*m.x17*m.x30 + 6.92*m.x17*
                        m.x31 + 2.22*m.x17*m.x32 + 4.02*m.x17*m.x34 + 9.61*m.x17*m.x35 + 4.31*m.x17*m.x36 + 6.77*m.x17*
                        m.x37 + 3.82*m.x17*m.x38 + 9.19*m.x18*m.x21 + m.x18*m.x25 + 5.7*m.x18*m.x28 + 3.04*m.x18*m.x30
                         + 8.78*m.x18*m.x31 + 0.34*m.x18*m.x32 + 6.57*m.x18*m.x33 + 7.93*m.x18*m.x36 + 8.52*m.x18*m.x39
                         + 8.04*m.x19*m.x19 + 0.89*m.x19*m.x23 + 2.85*m.x19*m.x24 + 4*m.x19*m.x25 + 1.46*m.x19*m.x26 + 
                        7.47*m.x19*m.x27 + 0.16*m.x19*m.x28 + 5.25*m.x19*m.x29 + 0.1*m.x19*m.x33 + 6.93*m.x19*m.x35 + 
                        1.33*m.x19*m.x36 + 6.85*m.x19*m.x39 + 7.38*m.x20*m.x20 + 7.59*m.x20*m.x21 + 9.34*m.x20*m.x31 + 
                        9.47*m.x20*m.x33 + 3.63*m.x20*m.x34 + 2.5*m.x20*m.x35 + 2.32*m.x20*m.x37 + 2.5*m.x21*m.x21 + 
                        0.35*m.x21*m.x22 + 7.76*m.x21*m.x24 + 8.4*m.x21*m.x25 + 8.01*m.x21*m.x26 + 5.72*m.x21*m.x28 + 
                        2.1*m.x21*m.x31 - 1.87*m.x21*m.x34 + 5.99*m.x21*m.x35 + 1.38*m.x21*m.x38 + 7.7*m.x21*m.x40 + 
                        0.56*m.x22*m.x22 + 0.7*m.x22*m.x24 + 0.38*m.x22*m.x25 + 2.27*m.x22*m.x26 + 4.48*m.x22*m.x27 + 
                        8.48*m.x22*m.x28 + 6.5*m.x22*m.x30 + 2.33*m.x22*m.x34 + 5.66*m.x22*m.x35 + 6.59*m.x22*m.x36 + 
                        4.72*m.x22*m.x38 + 7.84*m.x23*m.x23 + 9.35*m.x23*m.x26 + 3.48*m.x23*m.x31 + 3.01*m.x23*m.x32 + 
                        7.98*m.x23*m.x33 + 6.36*m.x23*m.x34 + 0.22*m.x23*m.x36 + 5.29*m.x23*m.x37 - 8.23*m.x23*m.x38 + 
                        6.67*m.x23*m.x39 + 3.14*m.x23*m.x40 + 5.74*m.x24*m.x24 + 8.68*m.x24*m.x25 + 4.39*m.x24*m.x26 + 
                        7.87*m.x24*m.x28 + 4.26*m.x24*m.x29 - 3.61*m.x24*m.x30 + 3.8*m.x24*m.x32 + 4.45*m.x24*m.x35 + 
                        3.27*m.x24*m.x37 + 2.34*m.x24*m.x39 + 6.82*m.x25*m.x26 + 3.83*m.x25*m.x29 + 5.69*m.x25*m.x30 + 
                        1.24*m.x25*m.x31 + 1.58*m.x25*m.x32 - 5.52*m.x25*m.x36 - 4.22*m.x25*m.x37 + 7.1*m.x25*m.x39 + 
                        2.32*m.x25*m.x40 + 6.59*m.x26*m.x27 + 1.81*m.x26*m.x28 - 1.66*m.x26*m.x31 + 0.54*m.x26*m.x33 + 
                        1.81*m.x26*m.x34 + 3.46*m.x26*m.x36 + 7.48*m.x26*m.x38 + 7.36*m.x27*m.x27 + 5.15*m.x27*m.x29 + 
                        9.21*m.x27*m.x33 + 4.97*m.x27*m.x39 - 7.17*m.x27*m.x40 + 2.43*m.x28*m.x34 + 8.39*m.x28*m.x36 - 
                        0.71*m.x28*m.x37 + 2.52*m.x29*m.x33 - 5.26*m.x29*m.x34 - 5.15*m.x29*m.x39 + 7.06*m.x29*m.x40 + 
                        0.19*m.x30*m.x30 + 6.3*m.x30*m.x31 + 5.19*m.x30*m.x33 + 2.93*m.x30*m.x35 + 8.68*m.x30*m.x38 + 
                        5.64*m.x31*m.x31 + 3.78*m.x31*m.x32 + 5.89*m.x31*m.x34 + 6.76*m.x31*m.x36 + 8.51*m.x31*m.x38 - 
                        5.03*m.x31*m.x39 + 5.46*m.x31*m.x40 + 3.35*m.x32*m.x34 + 4.25*m.x32*m.x36 + 2.38*m.x32*m.x37 + 
                        7.7*m.x33*m.x33 + 8.72*m.x33*m.x35 + 6.47*m.x33*m.x40 + 0.38*m.x34*m.x34 + 1.03*m.x34*m.x36 + 
                        6.83*m.x34*m.x39 + 4.54*m.x34*m.x40 + 7.66*m.x35*m.x35 + 3.29*m.x35*m.x40 + 8.93*m.x36*m.x37 + 
                        6.23*m.x36*m.x38 + 1.21*m.x37*m.x37 + 0.07*m.x37*m.x38 + 8.51*m.x37*m.x40 + 1.7*m.x38*m.x38 + 
                        1.92*m.x38*m.x39 >= 5316.884)

m.c13 = Constraint(expr=   4.27*m.x1 - 7.39*m.x2 + 8.67*m.x3 + 1.28*m.x4 - 6.92*m.x5 + 3.12*m.x6 + 8.9*m.x7 + 9.41*m.x8
                         + 9.27*m.x9 + 7.6*m.x10 + 5.83*m.x11 + 4.34*m.x12 + 6.1*m.x13 + 6.98*m.x14 + 3.58*m.x15
                         + 2.49*m.x16 + 0.27*m.x17 + 2.76*m.x18 + 7.09*m.x19 + 0.44*m.x20 + 8.56*m.x21 + 4.23*m.x22
                         + 3.62*m.x23 + 7.92*m.x24 + 8.76*m.x25 + 2.02*m.x26 + 5.42*m.x27 + 2.12*m.x28 - 7.93*m.x29
                         + 3.08*m.x30 - 3.67*m.x31 + 3.12*m.x32 + 2.04*m.x33 + 6.74*m.x34 + 3.69*m.x35 - 0.71*m.x36
                         + 6.74*m.x37 + 2.1*m.x38 + 1.37*m.x39 + 2.38*m.x40 >= 206.514)

m.c14 = Constraint(expr=7.29*m.x1*m.x1 + 9.46*m.x1 + 8.79*m.x1*m.x4 + 2.56*m.x4 + 9.7*m.x1*m.x9 + 8.7*m.x9 + 1.59*m.x1*
                        m.x10 + 6.5*m.x10 + 0.37*m.x1*m.x12 + 5.29*m.x12 + 5.72*m.x1*m.x14 + 4.03*m.x14 + 6.89*m.x1*
                        m.x15 - 2.65*m.x15 + 8.05*m.x1*m.x17 + 1.94*m.x17 + 8.39*m.x1*m.x18 + 1.56*m.x18 + 7.64*m.x1*
                        m.x20 + 4.01*m.x20 + 8.5*m.x1*m.x22 + 1.96*m.x22 + 4.81*m.x1*m.x26 + 4.58*m.x26 + 8.93*m.x1*
                        m.x27 + 8.48*m.x27 + 5.88*m.x1*m.x28 + 7.64*m.x28 + 5.27*m.x1*m.x29 - 9.84*m.x29 + 7.91*m.x1*
                        m.x30 + 2.61*m.x30 + 1.55*m.x1*m.x31 + 5.78*m.x31 + 2.27*m.x1*m.x35 + 1.99*m.x35 + 5.17*m.x1*
                        m.x39 - 8.25*m.x39 + 1.24*m.x1*m.x40 + 0.42*m.x40 + 8.65*m.x2*m.x3 + 6.72*m.x2 + 0.87*m.x3 + 6.6
                        *m.x2*m.x4 - 9.91*m.x2*m.x6 + 6.43*m.x6 + 4.47*m.x2*m.x7 + 3.57*m.x7 + 7.52*m.x2*m.x10 + 5.16*
                        m.x2*m.x11 + 8.28*m.x11 + 2.57*m.x2*m.x16 + 2.29*m.x16 + 2.38*m.x2*m.x18 + 3.66*m.x2*m.x19 + 
                        5.89*m.x19 + 0.69*m.x2*m.x20 + 6.6*m.x2*m.x21 + 0.48*m.x21 - 5.33*m.x2*m.x23 + 2.69*m.x23 + 5.37
                        *m.x2*m.x28 + 3.48*m.x2*m.x33 + 9.52*m.x33 + 5.95*m.x2*m.x39 + 1.01*m.x3*m.x5 + 2.72*m.x5 + 9.52
                        *m.x3*m.x6 - 3.77*m.x3*m.x10 + 6.59*m.x3*m.x11 + 7.48*m.x3*m.x12 + 8.7*m.x3*m.x13 + 5.03*m.x13
                         + 5.36*m.x3*m.x14 + 9.15*m.x3*m.x15 + 7.41*m.x3*m.x17 - 9.46*m.x3*m.x18 + 0.54*m.x3*m.x20 + 2.9
                        *m.x3*m.x21 + 3.58*m.x3*m.x22 + 1.93*m.x3*m.x24 + 2.27*m.x24 + 6.16*m.x3*m.x29 + 0.9*m.x3*m.x30
                         + 5.65*m.x3*m.x31 + 0.63*m.x3*m.x32 + 7.47*m.x32 + 1.06*m.x3*m.x33 + 6.5*m.x3*m.x34 + 1.71*
                        m.x34 + 8.16*m.x3*m.x35 + 6.52*m.x3*m.x37 + 4.01*m.x37 + 4.67*m.x3*m.x38 + 9.93*m.x38 - 1.01*
                        m.x3*m.x39 + 9.79*m.x3*m.x40 + 0.36*m.x4*m.x5 - 6.94*m.x4*m.x6 + 2.63*m.x4*m.x7 + 3.9*m.x4*m.x8
                         + 3.16*m.x8 + 7.25*m.x4*m.x19 + 9.41*m.x4*m.x21 + 6.68*m.x4*m.x22 + 0.2*m.x4*m.x25 + 2.19*m.x25
                         + 2.43*m.x4*m.x26 + 7.63*m.x4*m.x27 + 7.01*m.x4*m.x31 + 7.87*m.x4*m.x32 + 8.41*m.x4*m.x33 + 
                        4.82*m.x4*m.x36 + 5.11*m.x36 - 8.71*m.x4*m.x39 + 9.74*m.x5*m.x5 + 3.25*m.x5*m.x6 + 6.68*m.x5*
                        m.x7 + 2.08*m.x5*m.x9 + 7.81*m.x5*m.x10 + 0.14*m.x5*m.x13 + 7.59*m.x5*m.x14 + 7.78*m.x5*m.x15 - 
                        0.04*m.x5*m.x17 + 8.2*m.x5*m.x18 + 7.95*m.x5*m.x19 + 3.3*m.x5*m.x20 + 8.32*m.x5*m.x21 + 4.59*
                        m.x5*m.x23 + 2.85*m.x5*m.x24 + 0.66*m.x5*m.x28 + 7.76*m.x5*m.x29 + 7.81*m.x5*m.x30 + 1.9*m.x5*
                        m.x31 + 5.35*m.x5*m.x32 + 7.17*m.x5*m.x34 - 2.24*m.x5*m.x40 + 0.42*m.x6*m.x8 + 6.5*m.x6*m.x9 + 
                        0.83*m.x6*m.x12 + 4.03*m.x6*m.x13 + 1.8*m.x6*m.x17 + 8.39*m.x6*m.x19 + 1.51*m.x6*m.x20 + 8.11*
                        m.x6*m.x24 + 1.11*m.x6*m.x25 + 3.06*m.x6*m.x26 + 4.7*m.x6*m.x27 + 6.51*m.x6*m.x28 + 0.02*m.x6*
                        m.x29 + 4.33*m.x6*m.x30 - 4.14*m.x6*m.x33 + 8*m.x6*m.x34 + 2.91*m.x6*m.x35 - 2.96*m.x6*m.x37 + 
                        8.57*m.x6*m.x38 + 8.82*m.x6*m.x39 - 4.26*m.x6*m.x40 - 3.08*m.x7*m.x7 + 9.75*m.x7*m.x8 + 4.8*m.x7
                        *m.x10 + 7.28*m.x7*m.x11 + 9.92*m.x7*m.x14 + 1.69*m.x7*m.x15 + 4.68*m.x7*m.x17 - 3.8*m.x7*m.x18
                         + 8.76*m.x7*m.x24 + 1.18*m.x7*m.x25 + 4.67*m.x7*m.x26 + 5.38*m.x7*m.x27 + 5.06*m.x7*m.x28 + 
                        9.56*m.x7*m.x30 + 4.27*m.x7*m.x31 + 5.74*m.x7*m.x32 + 5.99*m.x7*m.x33 - 5.67*m.x7*m.x36 + 3.34*
                        m.x7*m.x37 + 4.33*m.x7*m.x39 - 3.08*m.x7*m.x40 + 0.2*m.x8*m.x8 + 0.43*m.x8*m.x9 + 1.28*m.x8*
                        m.x11 - 6.15*m.x8*m.x13 + 1.09*m.x8*m.x14 + 2.33*m.x8*m.x15 + 3.47*m.x8*m.x16 + 8.55*m.x8*m.x17
                         - 0.4*m.x8*m.x19 + 4.92*m.x8*m.x20 + 1.95*m.x8*m.x21 + 3.58*m.x8*m.x22 + 2.22*m.x8*m.x24 + 5.21
                        *m.x8*m.x26 + 0.57*m.x8*m.x39 + 2.17*m.x9*m.x13 + 1.99*m.x9*m.x14 + 4.68*m.x9*m.x15 - 5.85*m.x9*
                        m.x16 - 1.86*m.x9*m.x18 + 6.97*m.x9*m.x19 - 3.86*m.x9*m.x20 + 8.12*m.x9*m.x22 + 6.97*m.x9*m.x24
                         + 8.04*m.x9*m.x29 + 8.09*m.x9*m.x31 + 3.92*m.x9*m.x33 - 0.07*m.x9*m.x35 + 2.65*m.x9*m.x37 + 
                        4.69*m.x9*m.x38 + 9.59*m.x10*m.x10 + 4.64*m.x10*m.x12 + 9.15*m.x10*m.x13 + 1.19*m.x10*m.x14 + 
                        6.18*m.x10*m.x17 + 9.04*m.x10*m.x18 + 2.22*m.x10*m.x19 + 4.94*m.x10*m.x23 + 5.61*m.x10*m.x24 + 
                        1.69*m.x10*m.x33 + 9.69*m.x10*m.x35 + 3.94*m.x10*m.x36 - 7.99*m.x10*m.x37 + 7.55*m.x11*m.x15 + 
                        0.53*m.x11*m.x16 + 8.89*m.x11*m.x17 + 0.31*m.x11*m.x19 + 5.77*m.x11*m.x20 + 4.07*m.x11*m.x21 + 
                        6.5*m.x11*m.x23 + 6.28*m.x11*m.x26 + 8.66*m.x11*m.x28 + 0.57*m.x11*m.x30 + 4.1*m.x11*m.x31 + 7.5
                        *m.x11*m.x33 + 1.88*m.x11*m.x36 + 2.93*m.x11*m.x38 + 5.43*m.x11*m.x39 + 5.82*m.x11*m.x40 + 5.88*
                        m.x12*m.x12 + 9.73*m.x12*m.x14 + 7.72*m.x12*m.x17 + 6.97*m.x12*m.x20 + 8.63*m.x12*m.x25 + 9.46*
                        m.x12*m.x28 + 9.99*m.x12*m.x29 - 5.45*m.x12*m.x30 + 9.5*m.x12*m.x31 + 6.05*m.x12*m.x32 + 2.66*
                        m.x12*m.x35 + 0.69*m.x12*m.x39 + 4.51*m.x12*m.x40 + 5.61*m.x13*m.x14 + 8.34*m.x13*m.x17 + 4.36*
                        m.x13*m.x19 + 2.76*m.x13*m.x20 + 4.45*m.x13*m.x23 + 3.9*m.x13*m.x24 + 9.1*m.x13*m.x27 + 4.11*
                        m.x13*m.x28 + 8.34*m.x13*m.x29 + 3.83*m.x13*m.x31 + 8.32*m.x13*m.x32 + 8.16*m.x13*m.x34 + 3.01*
                        m.x13*m.x37 + 4.74*m.x13*m.x40 + 7.36*m.x14*m.x14 + 4.39*m.x14*m.x15 + 5.9*m.x14*m.x16 + 1.24*
                        m.x14*m.x18 + 5.91*m.x14*m.x21 + 3.68*m.x14*m.x23 - 9.19*m.x14*m.x24 + 2.99*m.x14*m.x26 + 1.57*
                        m.x14*m.x27 + 0.92*m.x14*m.x29 + 4.04*m.x14*m.x32 + 3.01*m.x14*m.x33 - 4.81*m.x14*m.x34 + 9.04*
                        m.x14*m.x36 + 6.11*m.x14*m.x40 + 7.29*m.x15*m.x18 - 5.04*m.x15*m.x19 + 4.13*m.x15*m.x20 + 2.3*
                        m.x15*m.x21 + 5.54*m.x15*m.x26 + 8.04*m.x15*m.x28 + 1.95*m.x15*m.x29 + 8.77*m.x15*m.x30 + 3.32*
                        m.x15*m.x32 + 4.54*m.x15*m.x33 - 5.58*m.x15*m.x37 - 0.21*m.x15*m.x38 + 5.35*m.x15*m.x40 + 0.18*
                        m.x16*m.x17 + 4.36*m.x16*m.x18 + 0.33*m.x16*m.x21 + 0.07*m.x16*m.x22 + 6.55*m.x16*m.x24 + 4.16*
                        m.x16*m.x26 + 3.61*m.x16*m.x29 + 5.44*m.x16*m.x31 + 3.65*m.x16*m.x34 + 8.71*m.x16*m.x37 + 8.32*
                        m.x16*m.x40 + 6.07*m.x17*m.x18 + 3.5*m.x17*m.x19 + 2.4*m.x17*m.x20 + 0.81*m.x17*m.x21 - 1.46*
                        m.x17*m.x22 - 4.98*m.x17*m.x24 + 4.16*m.x17*m.x27 + 0.95*m.x17*m.x28 + 5.65*m.x17*m.x30 + 0.02*
                        m.x17*m.x31 + 2.69*m.x17*m.x32 + 8.93*m.x17*m.x34 + 7.98*m.x17*m.x35 + 0.98*m.x17*m.x36 + 2.89*
                        m.x17*m.x37 + 3.29*m.x17*m.x38 - 5.2*m.x18*m.x21 + 9.23*m.x18*m.x25 - 3.54*m.x18*m.x28 + 0.1*
                        m.x18*m.x30 + 4.77*m.x18*m.x31 + 5.08*m.x18*m.x32 + 6.28*m.x18*m.x33 - 3.57*m.x18*m.x36 + 9.42*
                        m.x18*m.x39 + 8.91*m.x19*m.x19 - 5.79*m.x19*m.x23 + 7.71*m.x19*m.x24 + 2.99*m.x19*m.x25 + 3.54*
                        m.x19*m.x26 + 1.23*m.x19*m.x27 + 9.41*m.x19*m.x28 + 7.52*m.x19*m.x29 + 7.84*m.x19*m.x33 + 8.94*
                        m.x19*m.x35 + 2.67*m.x19*m.x36 + 1.52*m.x19*m.x39 + 1.68*m.x20*m.x20 - 6.37*m.x20*m.x21 + 4.09*
                        m.x20*m.x31 + 9.56*m.x20*m.x33 + 1.98*m.x20*m.x34 + 7.31*m.x20*m.x35 + 9.67*m.x20*m.x37 - 3.12*
                        m.x21*m.x21 - 0.17*m.x21*m.x22 + 8.31*m.x21*m.x24 + 2.77*m.x21*m.x25 + 2.62*m.x21*m.x26 + 0.76*
                        m.x21*m.x28 + 6.37*m.x21*m.x31 + 3.41*m.x21*m.x34 + 0.77*m.x21*m.x35 + 1.26*m.x21*m.x38 + 7.91*
                        m.x21*m.x40 - 8.75*m.x22*m.x22 + 7.1*m.x22*m.x24 + 3.3*m.x22*m.x25 + 8.93*m.x22*m.x26 + 4.87*
                        m.x22*m.x27 + 3.83*m.x22*m.x28 + 5.03*m.x22*m.x30 + 6.5*m.x22*m.x34 + 9.74*m.x22*m.x35 - 2.92*
                        m.x22*m.x36 + 4.71*m.x22*m.x38 - 1.42*m.x23*m.x23 + 7.53*m.x23*m.x26 + 4.38*m.x23*m.x31 + 5.64*
                        m.x23*m.x32 + 2.17*m.x23*m.x33 - 4.08*m.x23*m.x34 + 5.84*m.x23*m.x36 + 2.27*m.x23*m.x37 + 0.13*
                        m.x23*m.x38 + 3.67*m.x23*m.x39 + 3.39*m.x23*m.x40 - 7.58*m.x24*m.x24 - 5.99*m.x24*m.x25 + 7.01*
                        m.x24*m.x26 + 3.64*m.x24*m.x28 + 1.73*m.x24*m.x29 + 7.47*m.x24*m.x30 + 0.55*m.x24*m.x32 + 7.04*
                        m.x24*m.x35 + 1.93*m.x24*m.x37 + 8.25*m.x24*m.x39 + 6.92*m.x25*m.x26 + 2.43*m.x25*m.x29 + 3.57*
                        m.x25*m.x30 - 8.2*m.x25*m.x31 - 6.74*m.x25*m.x32 + 2.9*m.x25*m.x36 + 2.6*m.x25*m.x37 + 4.77*
                        m.x25*m.x39 + 1.59*m.x25*m.x40 + 2.83*m.x26*m.x27 + 9.19*m.x26*m.x28 + 5.72*m.x26*m.x31 + 8.31*
                        m.x26*m.x33 + 6.23*m.x26*m.x34 - 2.58*m.x26*m.x36 + 3.06*m.x26*m.x38 + 4.45*m.x27*m.x27 + 6.3*
                        m.x27*m.x29 + 7.22*m.x27*m.x33 + 8.26*m.x27*m.x39 + 5.08*m.x27*m.x40 + 6.24*m.x28*m.x34 + 0.18*
                        m.x28*m.x36 + 8.66*m.x28*m.x37 + 0.8*m.x29*m.x33 + 1.33*m.x29*m.x34 + 9.74*m.x29*m.x39 + 5.19*
                        m.x29*m.x40 + 6.94*m.x30*m.x30 + 2.27*m.x30*m.x31 - 5.32*m.x30*m.x33 + 1.32*m.x30*m.x35 + 4.12*
                        m.x30*m.x38 + 9.72*m.x31*m.x31 + 8.55*m.x31*m.x32 + 3.23*m.x31*m.x34 + 9.99*m.x31*m.x36 + 0.13*
                        m.x31*m.x38 + 5.72*m.x31*m.x39 + 1.29*m.x31*m.x40 + 2.26*m.x32*m.x34 + 2.81*m.x32*m.x36 + 1.38*
                        m.x32*m.x37 - 2.72*m.x33*m.x33 + 2.9*m.x33*m.x35 + 8.27*m.x33*m.x40 + 3.22*m.x34*m.x34 + 5.56*
                        m.x34*m.x36 + 3.72*m.x34*m.x39 + 7.76*m.x34*m.x40 + 8.19*m.x35*m.x35 + 3.85*m.x35*m.x40 + 3.08*
                        m.x36*m.x37 + 4.1*m.x36*m.x38 + 9.94*m.x37*m.x37 + 4.09*m.x37*m.x38 + 3.91*m.x37*m.x40 + 3.75*
                        m.x38*m.x38 + 7.39*m.x38*m.x39 >= 5192.782)

m.c15 = Constraint(expr=   2.93*m.x1 + 2.97*m.x2 + 0.17*m.x3 + 4.64*m.x4 + 6.11*m.x5 + 1.36*m.x6 + 8.3*m.x7 + 2.1*m.x8
                         + 8.65*m.x9 + 6.28*m.x10 + 0.47*m.x11 + 8.87*m.x12 + 6.32*m.x13 + 4.02*m.x14 + 3.44*m.x15
                         + 6.39*m.x16 + 8.3*m.x17 + 4.23*m.x18 + 6.69*m.x19 + 3.28*m.x20 - 1.15*m.x21 - 5.45*m.x22
                         + 2.03*m.x23 + 1.53*m.x24 - 4.01*m.x25 + 1.82*m.x26 + 4.41*m.x27 + 3.84*m.x28 + 5.03*m.x29
                         + 1.14*m.x30 + 3.98*m.x31 + 2.28*m.x32 + 9.07*m.x33 + 4.07*m.x34 + 9.41*m.x35 + 8.13*m.x36
                         + 6.63*m.x37 + 4.7*m.x38 + 2.47*m.x39 + 3.06*m.x40 >= 232.701)

m.c16 = Constraint(expr=3.7*m.x1*m.x1 + 4.09*m.x1 + 3.73*m.x1*m.x4 - 1.52*m.x4 + 2.42*m.x1*m.x9 + 3.33*m.x9 + 9.57*m.x1*
                        m.x10 + 0.2*m.x10 - 2.66*m.x1*m.x12 + 3.49*m.x12 + 5.39*m.x1*m.x14 + 8.16*m.x14 + 1.29*m.x1*
                        m.x15 + 5.94*m.x15 + 5.7*m.x1*m.x17 + 0.88*m.x17 + 1.59*m.x1*m.x18 + 0.47*m.x18 + 3.17*m.x1*
                        m.x20 + 3.85*m.x20 + 7.18*m.x1*m.x22 + 2.26*m.x22 - 6.95*m.x1*m.x26 + 0.65*m.x26 + 9.45*m.x1*
                        m.x27 + 3.69*m.x27 + 2.07*m.x1*m.x28 + 8.99*m.x28 + 5.09*m.x1*m.x29 + 1.89*m.x29 + 9.14*m.x1*
                        m.x30 + 5.17*m.x30 + 5.03*m.x1*m.x31 + 1.56*m.x31 + 8.1*m.x1*m.x35 + 5.26*m.x35 + 1.7*m.x1*m.x39
                         + 3.89*m.x39 + 5.47*m.x1*m.x40 + 0.22*m.x40 + 5.88*m.x2*m.x3 + 2.26*m.x2 + 3.87*m.x3 + 8.79*
                        m.x2*m.x4 + 9.88*m.x2*m.x6 + 4.16*m.x6 + 7.63*m.x2*m.x7 + 0.28*m.x7 - 8.54*m.x2*m.x10 + 4.96*
                        m.x2*m.x11 + 2.68*m.x11 + 4.58*m.x2*m.x16 - 8.58*m.x16 + 8.19*m.x2*m.x18 + 9.99*m.x2*m.x19 + 
                        9.62*m.x19 + 3.72*m.x2*m.x20 + 9.84*m.x2*m.x21 + 9.23*m.x21 + 4.24*m.x2*m.x23 + 0.07*m.x23 + 
                        0.28*m.x2*m.x28 + 2.72*m.x2*m.x33 + 4.18*m.x33 + 7.12*m.x2*m.x39 + 2.25*m.x3*m.x5 + 5.11*m.x5 + 
                        6.58*m.x3*m.x6 + 5.67*m.x3*m.x10 + 4.91*m.x3*m.x11 + 4.22*m.x3*m.x12 + 8.27*m.x3*m.x13 - 6.35*
                        m.x13 + 9.1*m.x3*m.x14 + 9.51*m.x3*m.x15 + 5.09*m.x3*m.x17 + 3.44*m.x3*m.x18 + 0.35*m.x3*m.x20
                         + 7.11*m.x3*m.x21 + 1.31*m.x3*m.x22 + 6.61*m.x3*m.x24 + 6.99*m.x24 + 6.85*m.x3*m.x29 + 7.13*
                        m.x3*m.x30 + 0.77*m.x3*m.x31 + 7.61*m.x3*m.x32 + 5.29*m.x32 - 6.62*m.x3*m.x33 + 6.75*m.x3*m.x34
                         + 9.61*m.x34 + 3.93*m.x3*m.x35 - 1.81*m.x3*m.x37 + 7.91*m.x37 + 10*m.x3*m.x38 - 4.96*m.x38 + 
                        6.78*m.x3*m.x39 + 6.17*m.x3*m.x40 + 1.58*m.x4*m.x5 + 2.72*m.x4*m.x6 + 8.7*m.x4*m.x7 + 1.46*m.x4*
                        m.x8 + 4.3*m.x8 + 8.96*m.x4*m.x19 + 0.08*m.x4*m.x21 + 2.96*m.x4*m.x22 + 7.23*m.x4*m.x25 + 6.97*
                        m.x25 + 9.62*m.x4*m.x26 + 2.54*m.x4*m.x27 + 8.61*m.x4*m.x31 + 0.5*m.x4*m.x32 + 8.03*m.x4*m.x33
                         + 2.41*m.x4*m.x36 + 8.13*m.x36 + 4.06*m.x4*m.x39 + 5.26*m.x5*m.x5 + 3.96*m.x5*m.x6 + 1.88*m.x5*
                        m.x7 + 9.2*m.x5*m.x9 + 1.11*m.x5*m.x10 - 0.1*m.x5*m.x13 + 2.31*m.x5*m.x14 + 8.67*m.x5*m.x15 + 
                        3.13*m.x5*m.x17 + 1.08*m.x5*m.x18 + 4.67*m.x5*m.x19 + 6.48*m.x5*m.x20 + 3.03*m.x5*m.x21 + 3.61*
                        m.x5*m.x23 + 1.37*m.x5*m.x24 + 1.8*m.x5*m.x28 + 1.53*m.x5*m.x29 + 7.95*m.x5*m.x30 + 9.23*m.x5*
                        m.x31 + 6.03*m.x5*m.x32 + 1.98*m.x5*m.x34 + 0.61*m.x5*m.x40 + 3.73*m.x6*m.x8 + 1.13*m.x6*m.x9 + 
                        5.26*m.x6*m.x12 + 8.28*m.x6*m.x13 + 4.54*m.x6*m.x17 + 9.2*m.x6*m.x19 + 5.89*m.x6*m.x20 - 3.03*
                        m.x6*m.x24 + 2.26*m.x6*m.x25 + 3.28*m.x6*m.x26 - 9.44*m.x6*m.x27 + 8.75*m.x6*m.x28 + 6.45*m.x6*
                        m.x29 - 9.42*m.x6*m.x30 + 1.13*m.x6*m.x33 + 8.88*m.x6*m.x34 + 4.87*m.x6*m.x35 + 0.02*m.x6*m.x37
                         + 5.76*m.x6*m.x38 + 5.31*m.x6*m.x39 + 3.99*m.x6*m.x40 + 8.4*m.x7*m.x7 + 8.79*m.x7*m.x8 + 8.58*
                        m.x7*m.x10 + 0.74*m.x7*m.x11 + 4.58*m.x7*m.x14 + 8.76*m.x7*m.x15 + 9.36*m.x7*m.x17 + 5.55*m.x7*
                        m.x18 + 2.4*m.x7*m.x24 + 0.9*m.x7*m.x25 - 1.12*m.x7*m.x26 + 6.57*m.x7*m.x27 + 7.83*m.x7*m.x28 + 
                        2.05*m.x7*m.x30 + 4.07*m.x7*m.x31 + 5.19*m.x7*m.x32 + 8.51*m.x7*m.x33 + 6.73*m.x7*m.x36 + 0.37*
                        m.x7*m.x37 + 2.81*m.x7*m.x39 + 4.6*m.x7*m.x40 + 4.58*m.x8*m.x8 + 0.58*m.x8*m.x9 + 8.85*m.x8*
                        m.x11 + 0.84*m.x8*m.x13 + 8.97*m.x8*m.x14 + 1.33*m.x8*m.x15 + 9.96*m.x8*m.x16 + 9.87*m.x8*m.x17
                         + 6.88*m.x8*m.x19 + 4.28*m.x8*m.x20 + 0.61*m.x8*m.x21 + 6.81*m.x8*m.x22 + 0.04*m.x8*m.x24 + 
                        6.33*m.x8*m.x26 + 4.77*m.x8*m.x39 + 5.05*m.x9*m.x13 + 7.31*m.x9*m.x14 - 1.05*m.x9*m.x15 + 8.97*
                        m.x9*m.x16 + 3.38*m.x9*m.x18 - 8.32*m.x9*m.x19 + 1.35*m.x9*m.x20 + 6.51*m.x9*m.x22 - 4.25*m.x9*
                        m.x24 - 8.32*m.x9*m.x29 + 3.48*m.x9*m.x31 + 3.04*m.x9*m.x33 + 3.35*m.x9*m.x35 + 4.37*m.x9*m.x37
                         + 2.2*m.x9*m.x38 + 3.23*m.x10*m.x10 + 0.47*m.x10*m.x12 + 2.67*m.x10*m.x13 + 7.19*m.x10*m.x14 + 
                        8.85*m.x10*m.x17 + 1.52*m.x10*m.x18 - 7.23*m.x10*m.x19 - 0.82*m.x10*m.x23 + 7.99*m.x10*m.x24 + 
                        1.9*m.x10*m.x33 + 9.73*m.x10*m.x35 + 7.01*m.x10*m.x36 - 5.57*m.x10*m.x37 + 1.03*m.x11*m.x15 + 
                        0.65*m.x11*m.x16 + 1.51*m.x11*m.x17 + 5.12*m.x11*m.x19 + 8.17*m.x11*m.x20 + 1.68*m.x11*m.x21 + 
                        3.27*m.x11*m.x23 + 1.76*m.x11*m.x26 + 9.54*m.x11*m.x28 + 9.32*m.x11*m.x30 + 7.19*m.x11*m.x31 + 
                        6.47*m.x11*m.x33 + 6.57*m.x11*m.x36 + 9.79*m.x11*m.x38 + 8.03*m.x11*m.x39 + 1.62*m.x11*m.x40 + 
                        5.53*m.x12*m.x12 + 5.15*m.x12*m.x14 + 5.63*m.x12*m.x17 + 7.67*m.x12*m.x20 + 8.32*m.x12*m.x25 + 
                        0.68*m.x12*m.x28 + 1.35*m.x12*m.x29 + 1.25*m.x12*m.x30 + 4.54*m.x12*m.x31 + 3.51*m.x12*m.x32 + 
                        5.73*m.x12*m.x35 + 4.36*m.x12*m.x39 + 4.81*m.x12*m.x40 + 2.52*m.x13*m.x14 - 7.51*m.x13*m.x17 + 
                        4.9*m.x13*m.x19 + 5.38*m.x13*m.x20 + 9.45*m.x13*m.x23 + 3.74*m.x13*m.x24 + 8.44*m.x13*m.x27 + 
                        3.87*m.x13*m.x28 + 1.32*m.x13*m.x29 + 1.29*m.x13*m.x31 + 1.21*m.x13*m.x32 + 6.43*m.x13*m.x34 + 
                        4.02*m.x13*m.x37 + 9.52*m.x13*m.x40 + 4.35*m.x14*m.x14 + 6*m.x14*m.x15 + 7.2*m.x14*m.x16 + 4.22*
                        m.x14*m.x18 + 9.46*m.x14*m.x21 + 1.88*m.x14*m.x23 - 0.43*m.x14*m.x24 + 2.81*m.x14*m.x26 + 5.29*
                        m.x14*m.x27 + 0.6*m.x14*m.x29 + 0.58*m.x14*m.x32 + 0.79*m.x14*m.x33 + 5.83*m.x14*m.x34 + 7.95*
                        m.x14*m.x36 + 0.4*m.x14*m.x40 + 9.45*m.x15*m.x18 + 9.48*m.x15*m.x19 + 2.3*m.x15*m.x20 + 8.47*
                        m.x15*m.x21 + 4.76*m.x15*m.x26 + 9.64*m.x15*m.x28 + 9.18*m.x15*m.x29 + 0.3*m.x15*m.x30 + 7.64*
                        m.x15*m.x32 + 6.4*m.x15*m.x33 + 7.1*m.x15*m.x37 + 0.72*m.x15*m.x38 + 5.35*m.x15*m.x40 + 9.61*
                        m.x16*m.x17 + 4.63*m.x16*m.x18 + 7.5*m.x16*m.x21 + 4.22*m.x16*m.x22 + 3.07*m.x16*m.x24 + 8.71*
                        m.x16*m.x26 + 6.25*m.x16*m.x29 + 3.54*m.x16*m.x31 + 0.1*m.x16*m.x34 + 4.21*m.x16*m.x37 - 6.56*
                        m.x16*m.x40 + 0.85*m.x17*m.x18 + 0.26*m.x17*m.x19 + 4.76*m.x17*m.x20 - 9.34*m.x17*m.x21 + 8.29*
                        m.x17*m.x22 + 7.37*m.x17*m.x24 + 4.83*m.x17*m.x27 + 5.5*m.x17*m.x28 + 0.34*m.x17*m.x30 + 8.77*
                        m.x17*m.x31 - 3.04*m.x17*m.x32 + 5.81*m.x17*m.x34 + 2.79*m.x17*m.x35 + 5.82*m.x17*m.x36 + 6.74*
                        m.x17*m.x37 + 2.04*m.x17*m.x38 + 2.86*m.x18*m.x21 + 5.66*m.x18*m.x25 + 7.79*m.x18*m.x28 + 9.34*
                        m.x18*m.x30 - 0.72*m.x18*m.x31 + 4.24*m.x18*m.x32 + 9.71*m.x18*m.x33 + 9.87*m.x18*m.x36 + 2.16*
                        m.x18*m.x39 + 0.53*m.x19*m.x19 - 5.91*m.x19*m.x23 + 7.68*m.x19*m.x24 - 2.52*m.x19*m.x25 + 2.08*
                        m.x19*m.x26 + 9.33*m.x19*m.x27 - 4.87*m.x19*m.x28 + 1.89*m.x19*m.x29 + 1.73*m.x19*m.x33 + 3.22*
                        m.x19*m.x35 + 8.93*m.x19*m.x36 + 1.59*m.x19*m.x39 + 5.66*m.x20*m.x20 - 3.24*m.x20*m.x21 + 1.4*
                        m.x20*m.x31 + 1.8*m.x20*m.x33 + 2.63*m.x20*m.x34 + 0.74*m.x20*m.x35 + 7.76*m.x20*m.x37 + 0.58*
                        m.x21*m.x21 + 4.48*m.x21*m.x22 + 7.37*m.x21*m.x24 - 8.52*m.x21*m.x25 + 4*m.x21*m.x26 - 7.88*
                        m.x21*m.x28 + 0.89*m.x21*m.x31 + 1.65*m.x21*m.x34 + 7.64*m.x21*m.x35 + 7.39*m.x21*m.x38 + 2.22*
                        m.x21*m.x40 + 6.22*m.x22*m.x22 + 9.23*m.x22*m.x24 + 9.65*m.x22*m.x25 + 3.78*m.x22*m.x26 + 7.21*
                        m.x22*m.x27 + 2.64*m.x22*m.x28 + 8.92*m.x22*m.x30 + 9.06*m.x22*m.x34 + 1.73*m.x22*m.x35 + 3.06*
                        m.x22*m.x36 - 3.86*m.x22*m.x38 + 3.44*m.x23*m.x23 + 6.34*m.x23*m.x26 + 3.44*m.x23*m.x31 + 5.49*
                        m.x23*m.x32 + 6.25*m.x23*m.x33 + 5.72*m.x23*m.x34 + 2.2*m.x23*m.x36 + 6.48*m.x23*m.x37 + 4.08*
                        m.x23*m.x38 - 2.54*m.x23*m.x39 + 2.15*m.x23*m.x40 + 1.65*m.x24*m.x24 - 5.41*m.x24*m.x25 + 8.58*
                        m.x24*m.x26 - 0.72*m.x24*m.x28 - 9.72*m.x24*m.x29 + 6.34*m.x24*m.x30 + 7.14*m.x24*m.x32 + 1.37*
                        m.x24*m.x35 + 6.34*m.x24*m.x37 + 7.74*m.x24*m.x39 + 6.65*m.x25*m.x26 + 6.3*m.x25*m.x29 + 8.33*
                        m.x25*m.x30 + 3.52*m.x25*m.x31 + 5.55*m.x25*m.x32 + 0.41*m.x25*m.x36 + 9.18*m.x25*m.x37 + 0.23*
                        m.x25*m.x39 + 8.47*m.x25*m.x40 + 6.48*m.x26*m.x27 + 5.82*m.x26*m.x28 + 7.85*m.x26*m.x31 + 3.52*
                        m.x26*m.x33 + 1.6*m.x26*m.x34 + 6.64*m.x26*m.x36 + 1.92*m.x26*m.x38 + 1.04*m.x27*m.x27 + 4.91*
                        m.x27*m.x29 + 0.72*m.x27*m.x33 + 6.76*m.x27*m.x39 + 3.38*m.x27*m.x40 + 6.5*m.x28*m.x34 + 8.36*
                        m.x28*m.x36 + 0.15*m.x28*m.x37 + 6.08*m.x29*m.x33 + 7.63*m.x29*m.x34 + 2.84*m.x29*m.x39 + 9.08*
                        m.x29*m.x40 + 0.27*m.x30*m.x30 - 2.15*m.x30*m.x31 + 3.38*m.x30*m.x33 + 6.83*m.x30*m.x35 + 6.26*
                        m.x30*m.x38 + 9.25*m.x31*m.x31 + 9.49*m.x31*m.x32 + 1.31*m.x31*m.x34 + 8.44*m.x31*m.x36 + 7.34*
                        m.x31*m.x38 + 6.37*m.x31*m.x39 + 4.63*m.x31*m.x40 + 1.44*m.x32*m.x34 + 9.28*m.x32*m.x36 + 1.76*
                        m.x32*m.x37 + 3.9*m.x33*m.x33 + 7.46*m.x33*m.x35 - 8.83*m.x33*m.x40 + 3.89*m.x34*m.x34 + 3.32*
                        m.x34*m.x36 + 4.96*m.x34*m.x39 + 8.33*m.x34*m.x40 + 0.77*m.x35*m.x35 + 7.47*m.x35*m.x40 + 8.49*
                        m.x36*m.x37 + 7.64*m.x36*m.x38 + 0.66*m.x37*m.x37 - 5.93*m.x37*m.x38 + 9.86*m.x37*m.x40 + 4.36*
                        m.x38*m.x38 + 3.89*m.x38*m.x39 >= 5463.943)

m.c17 = Constraint(expr=   9.05*m.x1 + 0.51*m.x2 + 5.26*m.x3 + 5.8*m.x4 + 5.05*m.x5 + 5.14*m.x6 + 8.97*m.x7 + 1.03*m.x8
                         + 8.35*m.x9 + 6.59*m.x10 + 9.93*m.x11 + 9.04*m.x12 + 9.1*m.x13 + 1.99*m.x14 + 3.6*m.x15
                         + 0.84*m.x16 + 4.03*m.x17 - 0.13*m.x18 - 2.88*m.x19 + 7.04*m.x20 + 8.51*m.x21 + 0.08*m.x22
                         - 5.81*m.x23 + 7.03*m.x24 + 9.89*m.x25 + 1.11*m.x26 + 4.56*m.x27 + 9.58*m.x28 + 2.04*m.x29
                         + 3.78*m.x30 + 5.54*m.x31 + 4.54*m.x32 + 1.19*m.x33 + 2.34*m.x34 + 0.93*m.x35 + 5.87*m.x36
                         + 2.99*m.x37 + 8.4*m.x38 + 1.32*m.x39 + 5.86*m.x40 >= 256.268)

m.c18 = Constraint(expr=(-1.28*m.x1*m.x1) - 0.83*m.x1 - 4.53*m.x1*m.x4 + 0.72*m.x4 + 7.43*m.x1*m.x9 - 5.67*m.x9 + 5.14*
                        m.x1*m.x10 - 8.49*m.x10 + 7.56*m.x1*m.x12 + 0.86*m.x12 - 9.31*m.x1*m.x14 + 4*m.x14 + 1.53*m.x1*
                        m.x15 + 5.76*m.x15 + 4.84*m.x1*m.x17 + 2.73*m.x17 + 9.67*m.x1*m.x18 + 9.45*m.x18 + 6.73*m.x1*
                        m.x20 + 1.16*m.x20 - 6.78*m.x1*m.x22 + 6.67*m.x22 + 6.42*m.x1*m.x26 + 5.23*m.x26 + 7.58*m.x1*
                        m.x27 + 4.43*m.x27 - 2.38*m.x1*m.x28 - 0.88*m.x28 + 4.78*m.x1*m.x29 + 6.19*m.x29 + 6.29*m.x1*
                        m.x30 + 6.12*m.x30 + 6.76*m.x1*m.x31 + 7.2*m.x31 - 3.66*m.x1*m.x35 + 3.11*m.x35 - 6.01*m.x1*
                        m.x39 + 0.28*m.x39 + 3.12*m.x1*m.x40 + 0.09*m.x40 - 5.23*m.x2*m.x3 + 5.73*m.x2 + 9.68*m.x3 + 
                        3.42*m.x2*m.x4 + 2.47*m.x2*m.x6 + 6.47*m.x6 + 2.06*m.x2*m.x7 + 6.56*m.x7 + 1.88*m.x2*m.x10 + 
                        4.86*m.x2*m.x11 + 6.49*m.x11 + 1.7*m.x2*m.x16 - 4.92*m.x16 - 0.25*m.x2*m.x18 + 6.04*m.x2*m.x19
                         + 1.27*m.x19 + 7.62*m.x2*m.x20 + 1.91*m.x2*m.x21 + 2.82*m.x21 - 3.56*m.x2*m.x23 + 0.81*m.x23 + 
                        8.28*m.x2*m.x28 + 5.21*m.x2*m.x33 + 9.95*m.x33 + 8.46*m.x2*m.x39 + 4.66*m.x3*m.x5 + 5.45*m.x5 + 
                        2.55*m.x3*m.x6 + 3.62*m.x3*m.x10 + 1.52*m.x3*m.x11 + 2.21*m.x3*m.x12 + 9.4*m.x3*m.x13 + 0.57*
                        m.x13 + 1.19*m.x3*m.x14 + 5.09*m.x3*m.x15 + 1.4*m.x3*m.x17 + 0.62*m.x3*m.x18 + 9.77*m.x3*m.x20
                         + 7.1*m.x3*m.x21 + 5.7*m.x3*m.x22 + 5.07*m.x3*m.x24 - 1.46*m.x24 + 7.09*m.x3*m.x29 + 0.91*m.x3*
                        m.x30 + 9.88*m.x3*m.x31 + 5.68*m.x3*m.x32 + 1.91*m.x32 + 0.38*m.x3*m.x33 + 8.02*m.x3*m.x34 + 
                        6.58*m.x34 + 4.25*m.x3*m.x35 + 7.83*m.x3*m.x37 + 0.49*m.x37 + 1.29*m.x3*m.x38 + 6.23*m.x38 + 
                        1.97*m.x3*m.x39 - 0.17*m.x3*m.x40 + 8.91*m.x4*m.x5 + 1.97*m.x4*m.x6 - 3.57*m.x4*m.x7 - 6.82*m.x4
                        *m.x8 - 7.23*m.x8 + 9.13*m.x4*m.x19 + 2.51*m.x4*m.x21 + 7.31*m.x4*m.x22 + 9.22*m.x4*m.x25 + 5.45
                        *m.x25 + 3.59*m.x4*m.x26 + 9.51*m.x4*m.x27 + 9.11*m.x4*m.x31 + 7.44*m.x4*m.x32 + 5.61*m.x4*m.x33
                         + 6.03*m.x4*m.x36 + 9.94*m.x36 - 5.2*m.x4*m.x39 + 7.14*m.x5*m.x5 + 1.28*m.x5*m.x6 + 2.68*m.x5*
                        m.x7 + 2.38*m.x5*m.x9 + 1.35*m.x5*m.x10 + 5.32*m.x5*m.x13 + 10*m.x5*m.x14 + 9.4*m.x5*m.x15 - 
                        3.44*m.x5*m.x17 + 8.09*m.x5*m.x18 + 2.11*m.x5*m.x19 + 9.73*m.x5*m.x20 + 1.37*m.x5*m.x21 - 3.98*
                        m.x5*m.x23 + 1.6*m.x5*m.x24 + 5.42*m.x5*m.x28 + 3.24*m.x5*m.x29 - 0.93*m.x5*m.x30 + 5.65*m.x5*
                        m.x31 + 2.38*m.x5*m.x32 + 4.03*m.x5*m.x34 - 1.27*m.x5*m.x40 + 3.39*m.x6*m.x8 + 6.75*m.x6*m.x9 + 
                        3.6*m.x6*m.x12 + 3.77*m.x6*m.x13 + 4.59*m.x6*m.x17 + 2.66*m.x6*m.x19 + 5.93*m.x6*m.x20 + 7*m.x6*
                        m.x24 + 9.49*m.x6*m.x25 + 1.12*m.x6*m.x26 + 9.68*m.x6*m.x27 + 3.87*m.x6*m.x28 + 9.96*m.x6*m.x29
                         + 0.25*m.x6*m.x30 + 9.91*m.x6*m.x33 + 7.44*m.x6*m.x34 + 1.85*m.x6*m.x35 + 6.73*m.x6*m.x37 + 
                        1.08*m.x6*m.x38 + 8.04*m.x6*m.x39 + 8.7*m.x6*m.x40 + 8.47*m.x7*m.x7 - 1.33*m.x7*m.x8 + 1.53*m.x7
                        *m.x10 + 6.52*m.x7*m.x11 + 8.56*m.x7*m.x14 + 8*m.x7*m.x15 + 8.91*m.x7*m.x17 + 9.99*m.x7*m.x18 - 
                        0.48*m.x7*m.x24 + 4.34*m.x7*m.x25 + 7.12*m.x7*m.x26 + 9.84*m.x7*m.x27 + 4.54*m.x7*m.x28 + 7.57*
                        m.x7*m.x30 + 1.14*m.x7*m.x31 + 1.46*m.x7*m.x32 + 5.56*m.x7*m.x33 + 8.1*m.x7*m.x36 + 7.26*m.x7*
                        m.x37 + 4.79*m.x7*m.x39 + 1.85*m.x7*m.x40 + 0.05*m.x8*m.x8 + 7.69*m.x8*m.x9 + 5.45*m.x8*m.x11 + 
                        5.36*m.x8*m.x13 + 3.02*m.x8*m.x14 + 6.39*m.x8*m.x15 + 7.14*m.x8*m.x16 + 3.16*m.x8*m.x17 + 5.08*
                        m.x8*m.x19 - 6.1*m.x8*m.x20 + 5.25*m.x8*m.x21 + 0.13*m.x8*m.x22 - 7.05*m.x8*m.x24 + 6.67*m.x8*
                        m.x26 + 1.75*m.x8*m.x39 + 2.88*m.x9*m.x13 + 7.98*m.x9*m.x14 + 4.67*m.x9*m.x15 - 1.35*m.x9*m.x16
                         + 4.99*m.x9*m.x18 + 1.92*m.x9*m.x19 + 4.15*m.x9*m.x20 + 8.83*m.x9*m.x22 + 3.41*m.x9*m.x24 + 
                        5.93*m.x9*m.x29 + 8.77*m.x9*m.x31 + 7.71*m.x9*m.x33 + 6.19*m.x9*m.x35 + 9.35*m.x9*m.x37 + 5.07*
                        m.x9*m.x38 + 0.15*m.x10*m.x10 + 1.39*m.x10*m.x12 + 4.28*m.x10*m.x13 + 7.08*m.x10*m.x14 + 8.01*
                        m.x10*m.x17 - 7.31*m.x10*m.x18 - 7.35*m.x10*m.x19 + 2.11*m.x10*m.x23 + 5.32*m.x10*m.x24 + 3.93*
                        m.x10*m.x33 + 2.75*m.x10*m.x35 + 7.82*m.x10*m.x36 + 1.85*m.x10*m.x37 + 5.58*m.x11*m.x15 + 6.44*
                        m.x11*m.x16 + 0.59*m.x11*m.x17 + 8.03*m.x11*m.x19 + 4.9*m.x11*m.x20 + 1.72*m.x11*m.x21 + 5.01*
                        m.x11*m.x23 + 1.07*m.x11*m.x26 + 8.05*m.x11*m.x28 - 5.92*m.x11*m.x30 + 4.78*m.x11*m.x31 + 2.32*
                        m.x11*m.x33 + 1.14*m.x11*m.x36 - 8.47*m.x11*m.x38 + 4.73*m.x11*m.x39 + 5.95*m.x11*m.x40 + 7.93*
                        m.x12*m.x12 + 0.1*m.x12*m.x14 - 4.14*m.x12*m.x17 + 8.78*m.x12*m.x20 + 8.75*m.x12*m.x25 + 3.41*
                        m.x12*m.x28 + 1.34*m.x12*m.x29 + 1.48*m.x12*m.x30 + 0.75*m.x12*m.x31 + 4.56*m.x12*m.x32 + 9.52*
                        m.x12*m.x35 - 0.86*m.x12*m.x39 + 9.3*m.x12*m.x40 + 6.35*m.x13*m.x14 + 3.78*m.x13*m.x17 + 3.61*
                        m.x13*m.x19 + 0.7*m.x13*m.x20 + 2.41*m.x13*m.x23 + 9.47*m.x13*m.x24 + 1.08*m.x13*m.x27 + 6.11*
                        m.x13*m.x28 + 2.75*m.x13*m.x29 + 1.77*m.x13*m.x31 + 5.5*m.x13*m.x32 - 6.78*m.x13*m.x34 + 0.51*
                        m.x13*m.x37 + 6.47*m.x13*m.x40 - 7.29*m.x14*m.x14 - 0.47*m.x14*m.x15 - 9.96*m.x14*m.x16 + 2.08*
                        m.x14*m.x18 + 3.76*m.x14*m.x21 + 9.15*m.x14*m.x23 - 5.76*m.x14*m.x24 + 3.15*m.x14*m.x26 - 8.92*
                        m.x14*m.x27 + 7.94*m.x14*m.x29 + 3.47*m.x14*m.x32 + 4.8*m.x14*m.x33 + 4.7*m.x14*m.x34 + 5.31*
                        m.x14*m.x36 + 1.32*m.x14*m.x40 + 8.58*m.x15*m.x18 + 3.25*m.x15*m.x19 - 4.53*m.x15*m.x20 + 3.18*
                        m.x15*m.x21 + 9.54*m.x15*m.x26 - 0.62*m.x15*m.x28 + 6.37*m.x15*m.x29 + 2.86*m.x15*m.x30 + 4.53*
                        m.x15*m.x32 + 1.62*m.x15*m.x33 + 3.02*m.x15*m.x37 + 9.61*m.x15*m.x38 + 1.75*m.x15*m.x40 - 5.98*
                        m.x16*m.x17 + 3.31*m.x16*m.x18 + 4.84*m.x16*m.x21 + 1.64*m.x16*m.x22 + 5.71*m.x16*m.x24 + 9.16*
                        m.x16*m.x26 + 0.19*m.x16*m.x29 + 8.9*m.x16*m.x31 + 3.74*m.x16*m.x34 + 3.24*m.x16*m.x37 + 6.73*
                        m.x16*m.x40 + 5.79*m.x17*m.x18 + 3.79*m.x17*m.x19 + 7.95*m.x17*m.x20 + 5.51*m.x17*m.x21 - 6.76*
                        m.x17*m.x22 + 1.54*m.x17*m.x24 + 5.6*m.x17*m.x27 + 9.27*m.x17*m.x28 + 4.23*m.x17*m.x30 + 6.96*
                        m.x17*m.x31 + 9.86*m.x17*m.x32 + 5.51*m.x17*m.x34 + 5.68*m.x17*m.x35 + 7.98*m.x17*m.x36 + 8.47*
                        m.x17*m.x37 + 0.71*m.x17*m.x38 + 1.93*m.x18*m.x21 + 5.38*m.x18*m.x25 + 7.13*m.x18*m.x28 + 5.83*
                        m.x18*m.x30 + 6.77*m.x18*m.x31 + 8.88*m.x18*m.x32 + 4.77*m.x18*m.x33 + 3.08*m.x18*m.x36 + 7.75*
                        m.x18*m.x39 + 4.56*m.x19*m.x19 + 9.96*m.x19*m.x23 + 3.95*m.x19*m.x24 - 8.24*m.x19*m.x25 + 3.5*
                        m.x19*m.x26 + 8.57*m.x19*m.x27 + 8.43*m.x19*m.x28 + 0.75*m.x19*m.x29 + 1.61*m.x19*m.x33 + 2.79*
                        m.x19*m.x35 - 5.54*m.x19*m.x36 + 1.55*m.x19*m.x39 + 0.83*m.x20*m.x20 + 1.26*m.x20*m.x21 + 5.08*
                        m.x20*m.x31 + 6.41*m.x20*m.x33 + 1.45*m.x20*m.x34 + 0.56*m.x20*m.x35 + 0.64*m.x20*m.x37 + 7.74*
                        m.x21*m.x21 + 5.79*m.x21*m.x22 + 7.88*m.x21*m.x24 + 3.87*m.x21*m.x25 - 2.88*m.x21*m.x26 - 3.07*
                        m.x21*m.x28 + 4.95*m.x21*m.x31 + 9.94*m.x21*m.x34 + 3.65*m.x21*m.x35 - 5.52*m.x21*m.x38 + 3.3*
                        m.x21*m.x40 + 4.39*m.x22*m.x22 + 7.23*m.x22*m.x24 + 5.81*m.x22*m.x25 + 0.62*m.x22*m.x26 + 1.03*
                        m.x22*m.x27 - 8.17*m.x22*m.x28 + 5.63*m.x22*m.x30 + 8.53*m.x22*m.x34 + 1.27*m.x22*m.x35 + 1.73*
                        m.x22*m.x36 + 5.61*m.x22*m.x38 + 1.46*m.x23*m.x23 + 4.62*m.x23*m.x26 + 8.48*m.x23*m.x31 + 6.42*
                        m.x23*m.x32 + 6.92*m.x23*m.x33 + 0.42*m.x23*m.x34 + 0.06*m.x23*m.x36 + 1.19*m.x23*m.x37 - 6.88*
                        m.x23*m.x38 + 0.86*m.x23*m.x39 + 6.31*m.x23*m.x40 + 9.14*m.x24*m.x24 + 0.47*m.x24*m.x25 + 5.24*
                        m.x24*m.x26 + 3.56*m.x24*m.x28 + 0.41*m.x24*m.x29 + 7.98*m.x24*m.x30 + 5.49*m.x24*m.x32 + 4.21*
                        m.x24*m.x35 + 2.27*m.x24*m.x37 + 6.01*m.x24*m.x39 + 2.92*m.x25*m.x26 + 7.53*m.x25*m.x29 + 6.43*
                        m.x25*m.x30 + 3.9*m.x25*m.x31 + 6.2*m.x25*m.x32 + 1.76*m.x25*m.x36 - 7.73*m.x25*m.x37 + 1.48*
                        m.x25*m.x39 + 0.66*m.x25*m.x40 + 7.42*m.x26*m.x27 + 3.99*m.x26*m.x28 + 7.98*m.x26*m.x31 + 8.78*
                        m.x26*m.x33 + 1.86*m.x26*m.x34 + 7.16*m.x26*m.x36 + 2.21*m.x26*m.x38 + 1.93*m.x27*m.x27 - 5.12*
                        m.x27*m.x29 + 5.68*m.x27*m.x33 + 4.06*m.x27*m.x39 + 3.43*m.x27*m.x40 + 6.95*m.x28*m.x34 + 8.14*
                        m.x28*m.x36 + 7.13*m.x28*m.x37 + 2.74*m.x29*m.x33 + 5.18*m.x29*m.x34 + 8.15*m.x29*m.x39 + 2.73*
                        m.x29*m.x40 + 1.01*m.x30*m.x30 - 5.26*m.x30*m.x31 + 0.47*m.x30*m.x33 + 5.03*m.x30*m.x35 - 7.83*
                        m.x30*m.x38 - 1.09*m.x31*m.x31 + 8.39*m.x31*m.x32 + 7.55*m.x31*m.x34 + 9.25*m.x31*m.x36 + 7.08*
                        m.x31*m.x38 + 2.4*m.x31*m.x39 + 0.82*m.x31*m.x40 - 7*m.x32*m.x34 + 1.51*m.x32*m.x36 + 10*m.x32*
                        m.x37 + 1.33*m.x33*m.x33 + 9.04*m.x33*m.x35 + 1.02*m.x33*m.x40 + 6.89*m.x34*m.x34 + 1.76*m.x34*
                        m.x36 + 1.29*m.x34*m.x39 - 6.53*m.x34*m.x40 + 9.36*m.x35*m.x35 + 2.37*m.x35*m.x40 + 0.66*m.x36*
                        m.x37 + 0.22*m.x36*m.x38 + 7.87*m.x37*m.x37 - 3.74*m.x37*m.x38 + 9.28*m.x37*m.x40 + 3.91*m.x38*
                        m.x38 + 1.98*m.x38*m.x39 >= 4876.779)

m.c19 = Constraint(expr=   0.7*m.x1 + 0.03*m.x2 + 8.61*m.x3 + 6.46*m.x4 + 7.51*m.x5 + 3.3*m.x6 + 5.34*m.x7 + 8.67*m.x8
                         + 4.33*m.x9 + 4.97*m.x10 + 7.2*m.x11 + 7.23*m.x12 + 4.92*m.x13 + 5.71*m.x14 - 2.68*m.x15
                         + 1.84*m.x16 + 5.54*m.x17 + 1.45*m.x18 - 0.27*m.x19 + 4.48*m.x20 + 5.19*m.x21 + 5.15*m.x22
                         + 4.23*m.x23 + 1.73*m.x24 + 7.06*m.x25 - 9.82*m.x26 + 1.69*m.x27 + 8.45*m.x28 + 1.17*m.x29
                         + 2.76*m.x30 + 0.95*m.x31 - 2.64*m.x32 + 8.39*m.x33 - 1.09*m.x34 + 1.09*m.x35 + 1.59*m.x36
                         + 5.56*m.x37 + 8.47*m.x38 - 2.73*m.x39 + 9.24*m.x40 >= 202.852)

m.c20 = Constraint(expr=7.49*m.x1*m.x1 + 1.99*m.x1 + 1.85*m.x1*m.x4 + 4.82*m.x4 + 1.31*m.x1*m.x9 + 9.59*m.x9 + 3.57*m.x1
                        *m.x10 - 7.04*m.x10 + 7.23*m.x1*m.x12 + 3.75*m.x12 + 8.01*m.x1*m.x14 + 5.17*m.x14 + 3.29*m.x1*
                        m.x15 + 3.17*m.x15 - 5.38*m.x1*m.x17 + 8.38*m.x17 + 1.58*m.x1*m.x18 + 3.2*m.x18 + 8.09*m.x1*
                        m.x20 + 4.96*m.x20 + 6.5*m.x1*m.x22 - 6.11*m.x22 + 7.5*m.x1*m.x26 + 7.72*m.x26 + 7.02*m.x1*m.x27
                         + 4.5*m.x27 + 7.22*m.x1*m.x28 + 2.22*m.x28 + 9.73*m.x1*m.x29 + 6.31*m.x29 - 2.34*m.x1*m.x30 + 
                        7.5*m.x30 + 3.95*m.x1*m.x31 + 0.71*m.x31 + 8.46*m.x1*m.x35 + 9.06*m.x35 + 5.68*m.x1*m.x39 + 6.07
                        *m.x39 + 9.68*m.x1*m.x40 + 0.95*m.x40 + 1.89*m.x2*m.x3 + 3.15*m.x2 + 0.17*m.x3 + 9.57*m.x2*m.x4
                         + 1.7*m.x2*m.x6 + 7.2*m.x6 + 4.13*m.x2*m.x7 + 4.64*m.x7 + 5.97*m.x2*m.x10 - m.x2*m.x11 + 8.93*
                        m.x11 - 1.95*m.x2*m.x16 + 7.24*m.x16 + 3.68*m.x2*m.x18 + 4.55*m.x2*m.x19 + 1.93*m.x19 + 5.15*
                        m.x2*m.x20 + 0.67*m.x2*m.x21 + 5.31*m.x21 + 9.65*m.x2*m.x23 + 2.5*m.x23 + 8.26*m.x2*m.x28 + 6.9*
                        m.x2*m.x33 + 3.28*m.x33 + 6.73*m.x2*m.x39 + 7.77*m.x3*m.x5 + 7.15*m.x5 + 0.09*m.x3*m.x6 + 5.34*
                        m.x3*m.x10 + 9.53*m.x3*m.x11 + 0.61*m.x3*m.x12 + 6.93*m.x3*m.x13 + 7.14*m.x13 + 6.77*m.x3*m.x14
                         + 5.97*m.x3*m.x15 - 1.18*m.x3*m.x17 + 2.2*m.x3*m.x18 + 9.01*m.x3*m.x20 + 8.86*m.x3*m.x21 + 7.81
                        *m.x3*m.x22 - 9.83*m.x3*m.x24 + 5.85*m.x24 + 6.84*m.x3*m.x29 + 6.42*m.x3*m.x30 + 0.34*m.x3*m.x31
                         + 9.44*m.x3*m.x32 + 7.07*m.x32 + 8.82*m.x3*m.x33 - 3.16*m.x3*m.x34 + 8.56*m.x34 + 7.4*m.x3*
                        m.x35 + 2.79*m.x3*m.x37 + 5.91*m.x37 + 5.24*m.x3*m.x38 + 6.88*m.x38 + 1.9*m.x3*m.x39 + 5.15*m.x3
                        *m.x40 + 1.48*m.x4*m.x5 + 7.44*m.x4*m.x6 + 7.12*m.x4*m.x7 + 7.08*m.x4*m.x8 - 2.75*m.x8 + 5.88*
                        m.x4*m.x19 + 8.25*m.x4*m.x21 + 9.51*m.x4*m.x22 + 5.21*m.x4*m.x25 + 7.3*m.x25 + 5.36*m.x4*m.x26
                         + 3.8*m.x4*m.x27 + 1.82*m.x4*m.x31 + 2.41*m.x4*m.x32 + 9.67*m.x4*m.x33 + 6.53*m.x4*m.x36 + 2.77
                        *m.x36 + 5.91*m.x4*m.x39 + 6.08*m.x5*m.x5 + 1.72*m.x5*m.x6 + 9.39*m.x5*m.x7 + 1.06*m.x5*m.x9 + 
                        3.01*m.x5*m.x10 + 1.45*m.x5*m.x13 + 1.4*m.x5*m.x14 + 3.56*m.x5*m.x15 + 5.52*m.x5*m.x17 + 1.08*
                        m.x5*m.x18 + 4.41*m.x5*m.x19 + 7.53*m.x5*m.x20 + 8.85*m.x5*m.x21 + 1.51*m.x5*m.x23 + 1.08*m.x5*
                        m.x24 + 6.97*m.x5*m.x28 + 9.76*m.x5*m.x29 + 0.06*m.x5*m.x30 + 4.14*m.x5*m.x31 + 9.11*m.x5*m.x32
                         + 6.47*m.x5*m.x34 + 9.37*m.x5*m.x40 + 6.91*m.x6*m.x8 + 8.96*m.x6*m.x9 + 9.73*m.x6*m.x12 + 7.65*
                        m.x6*m.x13 + 5.07*m.x6*m.x17 + 5.12*m.x6*m.x19 + 5.25*m.x6*m.x20 + 0.06*m.x6*m.x24 - 9.65*m.x6*
                        m.x25 + 6.88*m.x6*m.x26 + 7.31*m.x6*m.x27 + 1.45*m.x6*m.x28 + 1.26*m.x6*m.x29 + 2.52*m.x6*m.x30
                         + 3.65*m.x6*m.x33 + 0.31*m.x6*m.x34 + 5.68*m.x6*m.x35 + 8.9*m.x6*m.x37 + 1.59*m.x6*m.x38 - 3.93
                        *m.x6*m.x39 - 0.52*m.x6*m.x40 + 2.24*m.x7*m.x7 - 5.45*m.x7*m.x8 + 4.88*m.x7*m.x10 + 3.3*m.x7*
                        m.x11 + 0.23*m.x7*m.x14 + 5.13*m.x7*m.x15 + 8.67*m.x7*m.x17 + 0.67*m.x7*m.x18 + 5.35*m.x7*m.x24
                         + 6.03*m.x7*m.x25 + 2.73*m.x7*m.x26 + 8.93*m.x7*m.x27 + 9.39*m.x7*m.x28 + 0.18*m.x7*m.x30 + 6.6
                        *m.x7*m.x31 + 5.8*m.x7*m.x32 - 9.36*m.x7*m.x33 + 8.6*m.x7*m.x36 + 3.35*m.x7*m.x37 + 3.41*m.x7*
                        m.x39 + 4.45*m.x7*m.x40 + 4.96*m.x8*m.x8 + 2.29*m.x8*m.x9 - 2.55*m.x8*m.x11 + 4.45*m.x8*m.x13 + 
                        0.44*m.x8*m.x14 + 2.92*m.x8*m.x15 - 8.2*m.x8*m.x16 + 9.26*m.x8*m.x17 + 9.89*m.x8*m.x19 + 0.14*
                        m.x8*m.x20 + 6.29*m.x8*m.x21 - 9.74*m.x8*m.x22 + 9.18*m.x8*m.x24 + 0.65*m.x8*m.x26 + 1.68*m.x8*
                        m.x39 + 9.75*m.x9*m.x13 + 3.85*m.x9*m.x14 - 0.69*m.x9*m.x15 + 7.44*m.x9*m.x16 + 9.51*m.x9*m.x18
                         + 9*m.x9*m.x19 + 4.97*m.x9*m.x20 + 5.34*m.x9*m.x22 + 0.14*m.x9*m.x24 + 0.41*m.x9*m.x29 + 6.84*
                        m.x9*m.x31 + 7.66*m.x9*m.x33 + 9.48*m.x9*m.x35 + 6.94*m.x9*m.x37 + 9.79*m.x9*m.x38 + 0.11*m.x10*
                        m.x10 + 9.18*m.x10*m.x12 + 4.14*m.x10*m.x13 + 0.1*m.x10*m.x14 + 6.15*m.x10*m.x17 + 3.03*m.x10*
                        m.x18 + 9.13*m.x10*m.x19 + 0.78*m.x10*m.x23 + 2.51*m.x10*m.x24 + 6.46*m.x10*m.x33 - 6.77*m.x10*
                        m.x35 + 6.82*m.x10*m.x36 - 5.89*m.x10*m.x37 - 7.47*m.x11*m.x15 + 7*m.x11*m.x16 + 1.58*m.x11*
                        m.x17 + 1.01*m.x11*m.x19 + 8.6*m.x11*m.x20 + 3.51*m.x11*m.x21 + 4.51*m.x11*m.x23 + 9.85*m.x11*
                        m.x26 + 0.3*m.x11*m.x28 + 3.58*m.x11*m.x30 + 0.08*m.x11*m.x31 + 2.18*m.x11*m.x33 + 5.5*m.x11*
                        m.x36 + 9.27*m.x11*m.x38 + 8*m.x11*m.x39 + 7.29*m.x11*m.x40 + 5.43*m.x12*m.x12 + 9.74*m.x12*
                        m.x14 + 4.65*m.x12*m.x17 + 7.02*m.x12*m.x20 + 6.65*m.x12*m.x25 + 4.93*m.x12*m.x28 + 5.76*m.x12*
                        m.x29 + 9.99*m.x12*m.x30 + 9.44*m.x12*m.x31 + 0.42*m.x12*m.x32 + 0.39*m.x12*m.x35 - 7.14*m.x12*
                        m.x39 + 7.32*m.x12*m.x40 + 3.57*m.x13*m.x14 + 6.11*m.x13*m.x17 - 8.48*m.x13*m.x19 + 7.87*m.x13*
                        m.x20 + 0.89*m.x13*m.x23 - 5.42*m.x13*m.x24 + 1.07*m.x13*m.x27 + 4.83*m.x13*m.x28 + 6.71*m.x13*
                        m.x29 + 3.49*m.x13*m.x31 + 8.33*m.x13*m.x32 + 1.4*m.x13*m.x34 + 3.01*m.x13*m.x37 + 7.07*m.x13*
                        m.x40 + 0.48*m.x14*m.x14 + 4.8*m.x14*m.x15 + 0.6*m.x14*m.x16 - 4.7*m.x14*m.x18 + 6.37*m.x14*
                        m.x21 + 2.14*m.x14*m.x23 - 1.47*m.x14*m.x24 + 8.16*m.x14*m.x26 + 6.43*m.x14*m.x27 + 7.42*m.x14*
                        m.x29 + 2.44*m.x14*m.x32 + 5.16*m.x14*m.x33 + 6.96*m.x14*m.x34 + 9.9*m.x14*m.x36 + 0.04*m.x14*
                        m.x40 + 3.27*m.x15*m.x18 + 5.62*m.x15*m.x19 + 3.65*m.x15*m.x20 + 6.64*m.x15*m.x21 + 5.14*m.x15*
                        m.x26 + 8.21*m.x15*m.x28 + 8.38*m.x15*m.x29 + 7.83*m.x15*m.x30 + 4.93*m.x15*m.x32 + 6.66*m.x15*
                        m.x33 + 1.52*m.x15*m.x37 + 1.05*m.x15*m.x38 + 6.03*m.x15*m.x40 + 8.27*m.x16*m.x17 + 1.5*m.x16*
                        m.x18 + 5.51*m.x16*m.x21 + 9.95*m.x16*m.x22 + 6.28*m.x16*m.x24 + 2.36*m.x16*m.x26 + 3.26*m.x16*
                        m.x29 + 6.58*m.x16*m.x31 + 1.55*m.x16*m.x34 + 9.56*m.x16*m.x37 + 1.61*m.x16*m.x40 + 5.6*m.x17*
                        m.x18 + 5.63*m.x17*m.x19 + 7.05*m.x17*m.x20 + 6.77*m.x17*m.x21 + 9.17*m.x17*m.x22 + 4.98*m.x17*
                        m.x24 + 5.57*m.x17*m.x27 + 8.72*m.x17*m.x28 + 5.9*m.x17*m.x30 + 6.49*m.x17*m.x31 + 2.26*m.x17*
                        m.x32 + 7.33*m.x17*m.x34 + 6.02*m.x17*m.x35 + 4.26*m.x17*m.x36 + 1.45*m.x17*m.x37 + 9.78*m.x17*
                        m.x38 + 7.86*m.x18*m.x21 + 7.55*m.x18*m.x25 - 6.73*m.x18*m.x28 + 9.14*m.x18*m.x30 + 5.49*m.x18*
                        m.x31 + 0.1*m.x18*m.x32 + 4.3*m.x18*m.x33 + 4.3*m.x18*m.x36 - 7.71*m.x18*m.x39 + 0.61*m.x19*
                        m.x19 + 7.49*m.x19*m.x23 + 1.08*m.x19*m.x24 + 8.26*m.x19*m.x25 + 4.5*m.x19*m.x26 + 2.64*m.x19*
                        m.x27 + 4.62*m.x19*m.x28 + 7.21*m.x19*m.x29 - 6.91*m.x19*m.x33 - 6.11*m.x19*m.x35 + 3.01*m.x19*
                        m.x36 + 3.67*m.x19*m.x39 + 6.96*m.x20*m.x20 + 2.67*m.x20*m.x21 + 2.17*m.x20*m.x31 - 9.8*m.x20*
                        m.x33 + 3.29*m.x20*m.x34 + 4.98*m.x20*m.x35 - 2*m.x20*m.x37 + 5.91*m.x21*m.x21 + 0.77*m.x21*
                        m.x22 + 4.51*m.x21*m.x24 + 3.72*m.x21*m.x25 + 6.96*m.x21*m.x26 + 8.53*m.x21*m.x28 + 3.54*m.x21*
                        m.x31 + 8.56*m.x21*m.x34 + 0.25*m.x21*m.x35 + 9.21*m.x21*m.x38 + 8.48*m.x21*m.x40 + 7.6*m.x22*
                        m.x22 + 4.37*m.x22*m.x24 + 9.51*m.x22*m.x25 + 4.5*m.x22*m.x26 + 2.92*m.x22*m.x27 + 9.38*m.x22*
                        m.x28 + 1.87*m.x22*m.x30 + 1.3*m.x22*m.x34 + 9.98*m.x22*m.x35 - 8.24*m.x22*m.x36 + 7.54*m.x22*
                        m.x38 + 0.17*m.x23*m.x23 + 1.26*m.x23*m.x26 + 9.55*m.x23*m.x31 + 0.81*m.x23*m.x32 + 2.37*m.x23*
                        m.x33 + 1.12*m.x23*m.x34 + 1.47*m.x23*m.x36 + 4.55*m.x23*m.x37 + 8.62*m.x23*m.x38 + 1.97*m.x23*
                        m.x39 + 6.91*m.x23*m.x40 + 6.91*m.x24*m.x24 + 0.01*m.x24*m.x25 + 1.62*m.x24*m.x26 + 9.98*m.x24*
                        m.x28 - 9.38*m.x24*m.x29 + 10*m.x24*m.x30 + 1.91*m.x24*m.x32 + 3.71*m.x24*m.x35 + 6.03*m.x24*
                        m.x37 + 7.75*m.x24*m.x39 - 8.63*m.x25*m.x26 + 8.93*m.x25*m.x29 + 4.01*m.x25*m.x30 + 2.72*m.x25*
                        m.x31 + 2.62*m.x25*m.x32 + 4.55*m.x25*m.x36 + 5.32*m.x25*m.x37 + 0.49*m.x25*m.x39 + 2.16*m.x25*
                        m.x40 + 8.95*m.x26*m.x27 + 9.81*m.x26*m.x28 + 9.8*m.x26*m.x31 + 6.62*m.x26*m.x33 + 2.67*m.x26*
                        m.x34 + 9.44*m.x26*m.x36 + 0.86*m.x26*m.x38 + 1.3*m.x27*m.x27 + 2.41*m.x27*m.x29 + 3.8*m.x27*
                        m.x33 + 5*m.x27*m.x39 + 3.61*m.x27*m.x40 + 6.16*m.x28*m.x34 + 6.84*m.x28*m.x36 - 5.39*m.x28*
                        m.x37 + 0.45*m.x29*m.x33 + 9.69*m.x29*m.x34 - 4.89*m.x29*m.x39 + 9.18*m.x29*m.x40 + 6.79*m.x30*
                        m.x30 + 4.22*m.x30*m.x31 + 5.95*m.x30*m.x33 + 0.78*m.x30*m.x35 + 5.62*m.x30*m.x38 + 5.39*m.x31*
                        m.x31 + 0.15*m.x31*m.x32 + 6.46*m.x31*m.x34 + 9.03*m.x31*m.x36 + 3.42*m.x31*m.x38 + 1.51*m.x31*
                        m.x39 - 0.16*m.x31*m.x40 + 0.64*m.x32*m.x34 + 4.59*m.x32*m.x36 - 1.01*m.x32*m.x37 + 0.55*m.x33*
                        m.x33 + 9.18*m.x33*m.x35 + 3.93*m.x33*m.x40 + 0.76*m.x34*m.x34 + 9.35*m.x34*m.x36 + 3.41*m.x34*
                        m.x39 + 9.13*m.x34*m.x40 + 9.58*m.x35*m.x35 - 0.93*m.x35*m.x40 + 8.27*m.x36*m.x37 + 5.8*m.x36*
                        m.x38 - 9.71*m.x37*m.x37 - 3.09*m.x37*m.x38 + 2.19*m.x37*m.x40 + 3.83*m.x38*m.x38 + 4.85*m.x38*
                        m.x39 >= 5517.903)
