#  QCP written by GAMS Convert at 05/24/17 14:05:47
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#        119        8       93       18        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        677        5      672        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x2 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x3 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x4 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x5 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x6 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x7 = Var(within=Reals,bounds=(1.99991861979167,10.0000813802083),initialize=1.99991861979167)
m.x8 = Var(within=Reals,bounds=(1.49999999999999,10.5),initialize=1.49999999999999)
m.x9 = Var(within=Reals,bounds=(1.99991861979167,10.0000813802083),initialize=1.99991861979167)
m.x10 = Var(within=Reals,bounds=(1.99991861979167,8.00008138020833),initialize=1.99991861979167)
m.x11 = Var(within=Reals,bounds=(1.49999999999999,8.50000000000001),initialize=1.49999999999999)
m.x12 = Var(within=Reals,bounds=(1.99991861979167,8.00008138020833),initialize=1.99991861979167)

m.obj = Objective(expr=0.333333333333333*(m.x7*m.x7 + m.x8*m.x8 + m.x9*m.x9) - (0.333333333333333*m.x7 + 
                       0.333333333333333*m.x8 + 0.333333333333333*m.x9)**2 + 0.333333333333333*(m.x10*m.x10 + m.x11*
                       m.x11 + m.x12*m.x12) - (0.333333333333333*m.x10 + 0.333333333333333*m.x11 + 0.333333333333333*
                       m.x12)**2, sense=minimize)

m.c1 = Constraint(expr=m.x1*m.x1 + m.x4*m.x4 == 1)

m.c2 = Constraint(expr=m.x2*m.x2 + m.x5*m.x5 == 1)

m.c3 = Constraint(expr=m.x3*m.x3 + m.x6*m.x6 == 1)

m.c4 = Constraint(expr=m.x1*m.x1 + m.x4*m.x4 >= -1)

m.c5 = Constraint(expr=m.x1*m.x2 + m.x4*m.x5 >= -1)

m.c6 = Constraint(expr=m.x1*m.x3 + m.x4*m.x6 >= -1)

m.c7 = Constraint(expr=m.x2*m.x1 + m.x5*m.x4 >= -1)

m.c8 = Constraint(expr=m.x2*m.x2 + m.x5*m.x5 >= -1)

m.c9 = Constraint(expr=m.x2*m.x3 + m.x5*m.x6 >= -1)

m.c10 = Constraint(expr=m.x3*m.x1 + m.x6*m.x4 >= -1)

m.c11 = Constraint(expr=m.x3*m.x2 + m.x6*m.x5 >= -1)

m.c12 = Constraint(expr=m.x3*m.x3 + m.x6*m.x6 >= -1)

m.c13 = Constraint(expr=m.x1*m.x1 + m.x4*m.x4 <= 1)

m.c14 = Constraint(expr=m.x1*m.x2 + m.x4*m.x5 <= 1)

m.c15 = Constraint(expr=m.x1*m.x3 + m.x4*m.x6 <= 1)

m.c16 = Constraint(expr=m.x2*m.x1 + m.x5*m.x4 <= 1)

m.c17 = Constraint(expr=m.x2*m.x2 + m.x5*m.x5 <= 1)

m.c18 = Constraint(expr=m.x2*m.x3 + m.x5*m.x6 <= 1)

m.c19 = Constraint(expr=m.x3*m.x1 + m.x6*m.x4 <= 1)

m.c20 = Constraint(expr=m.x3*m.x2 + m.x6*m.x5 <= 1)

m.c21 = Constraint(expr=m.x3*m.x3 + m.x6*m.x6 <= 1)

m.c22 = Constraint(expr=m.x4*m.x1 - m.x4*m.x1 >= -1)

m.c23 = Constraint(expr=m.x4*m.x2 - m.x5*m.x1 >= -1)

m.c24 = Constraint(expr=m.x4*m.x3 - m.x6*m.x1 >= -1)

m.c25 = Constraint(expr=m.x5*m.x1 - m.x4*m.x2 >= -1)

m.c26 = Constraint(expr=m.x5*m.x2 - m.x5*m.x2 >= -1)

m.c27 = Constraint(expr=m.x5*m.x3 - m.x6*m.x2 >= -1)

m.c28 = Constraint(expr=m.x6*m.x1 - m.x4*m.x3 >= -1)

m.c29 = Constraint(expr=m.x6*m.x2 - m.x5*m.x3 >= -1)

m.c30 = Constraint(expr=m.x6*m.x3 - m.x6*m.x3 >= -1)

m.c31 = Constraint(expr=m.x4*m.x1 - m.x4*m.x1 <= 1)

m.c32 = Constraint(expr=m.x4*m.x2 - m.x5*m.x1 <= 1)

m.c33 = Constraint(expr=m.x4*m.x3 - m.x6*m.x1 <= 1)

m.c34 = Constraint(expr=m.x5*m.x1 - m.x4*m.x2 <= 1)

m.c35 = Constraint(expr=m.x5*m.x2 - m.x5*m.x2 <= 1)

m.c36 = Constraint(expr=m.x5*m.x3 - m.x6*m.x2 <= 1)

m.c37 = Constraint(expr=m.x6*m.x1 - m.x4*m.x3 <= 1)

m.c38 = Constraint(expr=m.x6*m.x2 - m.x5*m.x3 <= 1)

m.c39 = Constraint(expr=m.x6*m.x3 - m.x6*m.x3 <= 1)

m.c41 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 >= 12.2494303451644)

m.c42 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 >= 15.9986979431577)

m.c43 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 >= 12.2494303451644)

m.c44 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 + 
                        2.47216796875*m.x1*m.x8 + 4.944091796875*m.x4*m.x8 - 2.47216796875*m.x4*m.x10 + 4.944091796875*
                        m.x1*m.x10 + 2.47216796875*m.x4*m.x11 - 4.944091796875*m.x1*m.x11 >= -2.51337772667411)

m.c45 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 + 
                        2.47216796875*m.x1*m.x9 + 4.944091796875*m.x4*m.x9 - 2.47216796875*m.x4*m.x10 + 4.944091796875*
                        m.x1*m.x10 + 2.47216796875*m.x4*m.x12 - 4.944091796875*m.x1*m.x12 >= 0.000137259629079622)

m.c46 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 + 
                        4.42911783854166*m.x2*m.x9 + 1.365234375*m.x5*m.x9 - 4.42911783854166*m.x5*m.x11 + 1.365234375*
                        m.x2*m.x11 + 4.42911783854166*m.x5*m.x12 - 1.365234375*m.x2*m.x12 >= 2.56681236584979)

m.c47 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7 + 
                        3.31380208333332*m.x1*m.x8 - 3.3134765625*m.x4*m.x8 - 3.31380208333332*m.x4*m.x10 - 3.3134765625
                        *m.x1*m.x10 + 3.31380208333332*m.x4*m.x11 + 3.3134765625*m.x1*m.x11 >= -2.09278903404873)

m.c48 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7 + 
                        3.31380208333332*m.x1*m.x9 - 3.3134765625*m.x4*m.x9 - 3.31380208333332*m.x4*m.x10 - 3.3134765625
                        *m.x1*m.x10 + 3.31380208333332*m.x4*m.x12 + 3.3134765625*m.x1*m.x12 >= 9.93410749750012E-6)

m.c49 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*m.x8
                         - 3.59164428710938*m.x2*m.x9 + 1.92501831054687*m.x5*m.x9 + 3.59164428710938*m.x5*m.x11 + 
                        1.92501831054687*m.x2*m.x11 - 3.59164428710938*m.x5*m.x12 - 1.92501831054687*m.x2*m.x12
                         >= 2.28704574536021)

m.c50 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 - 
                        3.3134765625*m.x1*m.x8 - 3.313720703125*m.x4*m.x8 + 3.3134765625*m.x4*m.x10 - 3.313720703125*
                        m.x1*m.x10 - 3.3134765625*m.x4*m.x11 + 3.313720703125*m.x1*m.x11 >= -2.09280419349674)

m.c51 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 - 
                        3.3134765625*m.x1*m.x9 - 3.313720703125*m.x4*m.x9 + 3.3134765625*m.x4*m.x10 - 3.313720703125*
                        m.x1*m.x10 - 3.3134765625*m.x4*m.x12 + 3.313720703125*m.x1*m.x12 >= -4.5908821937779E-5)

m.c52 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*m.x8
                         - 3.59164428710938*m.x2*m.x9 - 1.92495727539062*m.x5*m.x9 + 3.59164428710938*m.x5*m.x11 - 
                        1.92495727539062*m.x2*m.x11 - 3.59164428710938*m.x5*m.x12 + 1.92495727539062*m.x2*m.x12
                         >= 2.28720773919491)

m.c53 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7 + 
                        3.41650390625*m.x1*m.x8 + 6.832763671875*m.x4*m.x8 - 3.41650390625*m.x4*m.x10 + 6.832763671875*
                        m.x1*m.x10 + 3.41650390625*m.x4*m.x11 - 6.832763671875*m.x1*m.x11 >= -11.3792535430193)

m.c54 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7 + 
                        3.41650390625*m.x1*m.x9 + 6.832763671875*m.x4*m.x9 - 3.41650390625*m.x4*m.x10 + 6.832763671875*
                        m.x1*m.x10 + 3.41650390625*m.x4*m.x12 - 6.832763671875*m.x1*m.x12 >= -9.33782967521081)

m.c55 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*m.x8
                         + 6.78566487630208*m.x2*m.x9 + 2.15081787109374*m.x5*m.x9 - 6.78566487630208*m.x5*m.x11 + 
                        2.15081787109374*m.x2*m.x11 + 6.78566487630208*m.x5*m.x12 - 2.15081787109374*m.x2*m.x12
                         >= -6.78956912302713)

m.c56 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 4.42911783854166*m.x2*m.x7 + 1.365234375*m.x5*m.x7 - 
                        4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 + 4.42911783854166*m.x5*m.x10 - 1.365234375*
                        m.x2*m.x10 - 4.42911783854166*m.x5*m.x11 + 1.365234375*m.x2*m.x11 >= 2.56681236584979)

m.c57 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 4.944091796875*m.x3*m.x7 - 2.47216796875*m.x6*m.x7 - 
                        4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 + 4.944091796875*m.x6*m.x10 + 2.47216796875*
                        m.x3*m.x10 - 4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12 >= 0.000137259629040543)

m.c58 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 3.59164428710938*m.x2*m.x7 + 1.92501831054687*m.x5*m.x7
                         + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*m.x8 - 3.59164428710938*m.x5*m.x10 - 
                        1.92501831054687*m.x2*m.x10 + 3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11
                         >= 2.28704574536021)

m.c59 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 3.3134765625*m.x3*m.x7 - 3.31380208333332*m.x6*m.x7 + 
                        3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 - 3.3134765625*m.x6*m.x10 + 3.31380208333332
                        *m.x3*m.x10 + 3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12 >= 9.93410748328927E-6)

m.c60 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 3.59164428710938*m.x2*m.x7 - 1.92495727539062*m.x5*m.x7
                         + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*m.x8 - 3.59164428710938*m.x5*m.x10 + 
                        1.92495727539062*m.x2*m.x10 + 3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11
                         >= 2.28720773919491)

m.c61 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 3.313720703125*m.x3*m.x7 + 3.3134765625*m.x6*m.x7 + 
                        3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 3.313720703125*m.x6*m.x10 - 3.3134765625*
                        m.x3*m.x10 + 3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12 >= -4.59088218853765E-5)

m.c62 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 6.78566487630208*m.x2*m.x7 + 2.15081787109374*m.x5*m.x7
                         - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*m.x8 + 6.78566487630208*m.x5*m.x10 - 
                        2.15081787109374*m.x2*m.x10 - 6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11
                         >= -6.78956912302713)

m.c63 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 6.832763671875*m.x3*m.x7 - 3.41650390625*m.x6*m.x7 - 
                        6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 + 6.832763671875*m.x6*m.x10 + 3.41650390625*
                        m.x3*m.x10 - 6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12 >= -9.33782967521084)

m.c64 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 4.944091796875*m.x3*m.x8 - 2.47216796875*m.x6*m.x8 - 
                        4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 + 4.944091796875*m.x6*m.x11 + 2.47216796875*
                        m.x3*m.x11 - 4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12 >= -2.51337772667414)

m.c65 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 3.3134765625*m.x3*m.x8 - 3.31380208333332*m.x6*m.x8 + 
                        3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 - 3.3134765625*m.x6*m.x11 + 3.31380208333332
                        *m.x3*m.x11 + 3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12 >= -2.09278903404874)

m.c66 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 3.313720703125*m.x3*m.x8 + 3.3134765625*m.x6*m.x8 + 
                        3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 3.313720703125*m.x6*m.x11 - 3.3134765625*
                        m.x3*m.x11 + 3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12 >= -2.0928041934967)

m.c67 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 6.832763671875*m.x3*m.x8 - 3.41650390625*m.x6*m.x8 - 
                        6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 + 6.832763671875*m.x6*m.x11 + 3.41650390625*
                        m.x3*m.x11 - 6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12 >= -11.3792535430193)

m.c68 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 8.8496836622556*(m.x1*m.x2 + m.x4*m.x5) - 
                        9.26143824060756*(m.x4*m.x2 - m.x5*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 + 
                        4.42911783854166*m.x2*m.x7 + 1.365234375*m.x5*m.x7 + 2.47216796875*m.x1*m.x8 + 4.944091796875*
                        m.x4*m.x8 - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 - 2.47216796875*m.x4*m.x10 + 
                        4.944091796875*m.x1*m.x10 + 4.42911783854166*m.x5*m.x10 - 1.365234375*m.x2*m.x10 + 2.47216796875
                        *m.x4*m.x11 - 4.944091796875*m.x1*m.x11 - 4.42911783854166*m.x5*m.x11 + 1.365234375*m.x2*m.x11
                         >= -10.5085687757201)

m.c69 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 15.2778290808201*(m.x4*m.x3 - m.x6*m.x1) - 2.47216796875
                        *m.x1*m.x7 - 4.944091796875*m.x4*m.x7 + 4.944091796875*m.x3*m.x7 - 2.47216796875*m.x6*m.x7 + 
                        2.47216796875*m.x1*m.x9 + 4.944091796875*m.x4*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*
                        m.x6*m.x9 - 2.47216796875*m.x4*m.x10 + 4.944091796875*m.x1*m.x10 + 4.944091796875*m.x6*m.x10 + 
                        2.47216796875*m.x3*m.x10 + 2.47216796875*m.x4*m.x12 - 4.944091796875*m.x1*m.x12 - 4.944091796875
                        *m.x6*m.x12 - 2.47216796875*m.x3*m.x12 >= -12.9432599508762)

m.c70 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 0.319159638136611*(m.x1*m.x2 + m.x4*m.x5) + 
                        11.2581938318908*(m.x4*m.x2 - m.x5*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 - 
                        3.59164428710938*m.x2*m.x7 + 1.92501831054687*m.x5*m.x7 + 2.47216796875*m.x1*m.x8 + 
                        4.944091796875*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*m.x8 - 
                        2.47216796875*m.x4*m.x10 + 4.944091796875*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 - 
                        1.92501831054687*m.x2*m.x10 + 2.47216796875*m.x4*m.x11 - 4.944091796875*m.x1*m.x11 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 >= -10.0965286766085)

m.c71 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 12.287606159846*(m.x1*m.x3 + m.x4*m.x6) + 
                        4.09492846330009*(m.x4*m.x3 - m.x6*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 - 
                        3.3134765625*m.x3*m.x7 - 3.31380208333332*m.x6*m.x7 + 2.47216796875*m.x1*m.x9 + 4.944091796875*
                        m.x4*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 - 2.47216796875*m.x4*m.x10 + 
                        4.944091796875*m.x1*m.x10 - 3.3134765625*m.x6*m.x10 + 3.31380208333332*m.x3*m.x10 + 
                        2.47216796875*m.x4*m.x12 - 4.944091796875*m.x1*m.x12 + 3.3134765625*m.x6*m.x12 - 
                        3.31380208333332*m.x3*m.x12 >= -11.9032468801737)

m.c72 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 9.19815671816469*(m.x1*m.x2 + m.x4*m.x5) + 
                        6.49930066987874*(m.x4*m.x2 - m.x5*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 - 
                        3.59164428710938*m.x2*m.x7 - 1.92495727539062*m.x5*m.x7 + 2.47216796875*m.x1*m.x8 + 
                        4.944091796875*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*m.x8 - 
                        2.47216796875*m.x4*m.x10 + 4.944091796875*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 + 
                        1.92495727539062*m.x2*m.x10 + 2.47216796875*m.x4*m.x11 - 4.944091796875*m.x1*m.x11 + 
                        3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 >= -10.0964169738617)

m.c73 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 4.09502905607224*(m.x1*m.x3 + m.x4*m.x6) + 
                        12.2874049842358*(m.x4*m.x3 - m.x6*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 - 
                        3.313720703125*m.x3*m.x7 + 3.3134765625*m.x6*m.x7 + 2.47216796875*m.x1*m.x9 + 4.944091796875*
                        m.x4*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 2.47216796875*m.x4*m.x10 + 
                        4.944091796875*m.x1*m.x10 - 3.313720703125*m.x6*m.x10 - 3.3134765625*m.x3*m.x10 + 2.47216796875*
                        m.x4*m.x12 - 4.944091796875*m.x1*m.x12 + 3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12
                         >= -11.9032021409273)

m.c74 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 13.7045721734563*(m.x1*m.x2 + m.x4*m.x5) - 
                        14.1158835018675*(m.x4*m.x2 - m.x5*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 + 
                        6.78566487630208*m.x2*m.x7 + 2.15081787109374*m.x5*m.x7 + 2.47216796875*m.x1*m.x8 + 
                        4.944091796875*m.x4*m.x8 - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*m.x8 - 
                        2.47216796875*m.x4*m.x10 + 4.944091796875*m.x1*m.x10 + 6.78566487630208*m.x5*m.x10 - 
                        2.15081787109374*m.x2*m.x10 + 2.47216796875*m.x4*m.x11 - 4.944091796875*m.x1*m.x11 - 
                        6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 >= -18.8940657255094)

m.c75 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 0.000115275382995605*(m.x1*m.x3 + m.x4*m.x6) - 
                        21.1139911711216*(m.x4*m.x3 - m.x6*m.x1) - 2.47216796875*m.x1*m.x7 - 4.944091796875*m.x4*m.x7 + 
                        6.832763671875*m.x3*m.x7 - 3.41650390625*m.x6*m.x7 + 2.47216796875*m.x1*m.x9 + 4.944091796875*
                        m.x4*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 - 2.47216796875*m.x4*m.x10 + 
                        4.944091796875*m.x1*m.x10 + 6.832763671875*m.x6*m.x10 + 3.41650390625*m.x3*m.x10 + 2.47216796875
                        *m.x4*m.x12 - 4.944091796875*m.x1*m.x12 - 6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12
                         >= -21.1140713179111)

m.c76 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 9.26143824060756*(m.x2*m.x3 + m.x5*m.x6) - 
                        8.8496836622556*(m.x5*m.x3 - m.x6*m.x2) - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 + 
                        4.944091796875*m.x3*m.x8 - 2.47216796875*m.x6*m.x8 + 4.42911783854166*m.x2*m.x9 + 1.365234375*
                        m.x5*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 - 4.42911783854166*m.x5*m.x11 + 
                        1.365234375*m.x2*m.x11 + 4.944091796875*m.x6*m.x11 + 2.47216796875*m.x3*m.x11 + 4.42911783854166
                        *m.x5*m.x12 - 1.365234375*m.x2*m.x12 - 4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12
                         >= -10.5085687757201)

m.c77 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 9.59994733333586*(m.x2*m.x3 + m.x5*m.x6) - 
                        5.07677390840314*(m.x5*m.x3 - m.x6*m.x2) - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 - 
                        3.3134765625*m.x3*m.x8 - 3.31380208333332*m.x6*m.x8 + 4.42911783854166*m.x2*m.x9 + 1.365234375*
                        m.x5*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 - 4.42911783854166*m.x5*m.x11 + 
                        1.365234375*m.x2*m.x11 - 3.3134765625*m.x6*m.x11 + 3.31380208333332*m.x3*m.x11 + 
                        4.42911783854166*m.x5*m.x12 - 1.365234375*m.x2*m.x12 + 3.3134765625*m.x6*m.x12 - 
                        3.31380208333332*m.x3*m.x12 >= -9.51349006599849)

m.c78 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 5.07659368713696*(m.x2*m.x3 + m.x5*m.x6) + 
                        9.59989178180694*(m.x5*m.x3 - m.x6*m.x2) - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 - 
                        3.313720703125*m.x3*m.x8 + 3.3134765625*m.x6*m.x8 + 4.42911783854166*m.x2*m.x9 + 1.365234375*
                        m.x5*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 4.42911783854166*m.x5*m.x11 + 
                        1.365234375*m.x2*m.x11 - 3.313720703125*m.x6*m.x11 - 3.3134765625*m.x3*m.x11 + 4.42911783854166*
                        m.x5*m.x12 - 1.365234375*m.x2*m.x12 + 3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12
                         >= -9.51344967193072)

m.c79 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 12.7993934452533*(m.x2*m.x3 + m.x5*m.x6) - 
                        12.2302111188571*(m.x5*m.x3 - m.x6*m.x2) - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 + 
                        6.832763671875*m.x3*m.x8 - 3.41650390625*m.x6*m.x8 + 4.42911783854166*m.x2*m.x9 + 1.365234375*
                        m.x5*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 - 4.42911783854166*m.x5*m.x11 + 
                        1.365234375*m.x2*m.x11 + 6.832763671875*m.x6*m.x11 + 3.41650390625*m.x3*m.x11 + 4.42911783854166
                        *m.x5*m.x12 - 1.365234375*m.x2*m.x12 - 6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12
                         >= -18.7298015952773)

m.c80 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 5.07677390840314*(m.x1*m.x2 + m.x4*m.x5) + 
                        9.59994733333586*(m.x4*m.x2 - m.x5*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7
                         + 4.42911783854166*m.x2*m.x7 + 1.365234375*m.x5*m.x7 + 3.31380208333332*m.x1*m.x8 - 
                        3.3134765625*m.x4*m.x8 - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 - 3.31380208333332*
                        m.x4*m.x10 - 3.3134765625*m.x1*m.x10 + 4.42911783854166*m.x5*m.x10 - 1.365234375*m.x2*m.x10 + 
                        3.31380208333332*m.x4*m.x11 + 3.3134765625*m.x1*m.x11 - 4.42911783854166*m.x5*m.x11 + 
                        1.365234375*m.x2*m.x11 >= -9.51349006599849)

m.c81 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 12.287606159846*(m.x1*m.x3 + m.x4*m.x6) + 
                        4.09492846330009*(m.x4*m.x3 - m.x6*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7
                         + 4.944091796875*m.x3*m.x7 - 2.47216796875*m.x6*m.x7 + 3.31380208333332*m.x1*m.x9 - 
                        3.3134765625*m.x4*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 - 3.31380208333332*
                        m.x4*m.x10 - 3.3134765625*m.x1*m.x10 + 4.944091796875*m.x6*m.x10 + 2.47216796875*m.x3*m.x10 + 
                        3.31380208333332*m.x4*m.x12 + 3.3134765625*m.x1*m.x12 - 4.944091796875*m.x6*m.x12 - 
                        2.47216796875*m.x3*m.x12 >= -11.9032468801737)

m.c82 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 9.14025068779784*(m.x1*m.x2 + m.x4*m.x5) - 
                        2.76084973911447*(m.x4*m.x2 - m.x5*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7
                         - 3.59164428710938*m.x2*m.x7 + 1.92501831054687*m.x5*m.x7 + 3.31380208333332*m.x1*m.x8 - 
                        3.3134765625*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*m.x8 - 
                        3.31380208333332*m.x4*m.x10 - 3.3134765625*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 - 
                        1.92501831054687*m.x2*m.x10 + 3.31380208333332*m.x4*m.x11 + 3.3134765625*m.x1*m.x11 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 >= -8.86592210666273)

m.c83 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 10.9802055888705*(m.x4*m.x3 - m.x6*m.x1) - 
                        3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7 - 3.3134765625*m.x3*m.x7 - 3.31380208333332*
                        m.x6*m.x7 + 3.31380208333332*m.x1*m.x9 - 3.3134765625*m.x4*m.x9 + 3.3134765625*m.x3*m.x9 + 
                        3.31380208333332*m.x6*m.x9 - 3.31380208333332*m.x4*m.x10 - 3.3134765625*m.x1*m.x10 - 
                        3.3134765625*m.x6*m.x10 + 3.31380208333332*m.x3*m.x10 + 3.31380208333332*m.x4*m.x12 + 
                        3.3134765625*m.x1*m.x12 + 3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12
                         >= -10.5091146098242)

m.c84 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 2.7618487526973*(m.x1*m.x2 + m.x4*m.x5) - 
                        9.13987829784552*(m.x4*m.x2 - m.x5*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7
                         - 3.59164428710938*m.x2*m.x7 - 1.92495727539062*m.x5*m.x7 + 3.31380208333332*m.x1*m.x8 - 
                        3.3134765625*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*m.x8 - 
                        3.31380208333332*m.x4*m.x10 - 3.3134765625*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 + 
                        1.92495727539062*m.x2*m.x10 + 3.31380208333332*m.x4*m.x11 + 3.3134765625*m.x1*m.x11 + 
                        3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 >= -8.86582752568127)

m.c85 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 10.9800707499186*(m.x1*m.x3 + m.x4*m.x6) + 
                        0.000134825706459729*(m.x4*m.x3 - m.x6*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*
                        m.x7 - 3.313720703125*m.x3*m.x7 + 3.3134765625*m.x6*m.x7 + 3.31380208333332*m.x1*m.x9 - 
                        3.3134765625*m.x4*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 3.31380208333332*
                        m.x4*m.x10 - 3.3134765625*m.x1*m.x10 - 3.313720703125*m.x6*m.x10 - 3.3134765625*m.x3*m.x10 + 
                        3.31380208333332*m.x4*m.x12 + 3.3134765625*m.x1*m.x12 + 3.313720703125*m.x6*m.x12 + 3.3134765625
                        *m.x3*m.x12 >= -10.5090356270472)

m.c86 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 7.67983289890816*(m.x1*m.x2 + m.x4*m.x5) + 
                        14.8057631353537*(m.x4*m.x2 - m.x5*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7
                         + 6.78566487630208*m.x2*m.x7 + 2.15081787109374*m.x5*m.x7 + 3.31380208333332*m.x1*m.x8 - 
                        3.3134765625*m.x4*m.x8 - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*m.x8 - 
                        3.31380208333332*m.x4*m.x10 - 3.3134765625*m.x1*m.x10 + 6.78566487630208*m.x5*m.x10 - 
                        2.15081787109374*m.x2*m.x10 + 3.31380208333332*m.x4*m.x11 + 3.3134765625*m.x1*m.x11 - 
                        6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 >= -17.5684461992026)

m.c87 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 16.9814660549163*(m.x1*m.x3 + m.x4*m.x6) + 
                        5.65929226080579*(m.x4*m.x3 - m.x6*m.x1) - 3.31380208333332*m.x1*m.x7 + 3.3134765625*m.x4*m.x7
                         + 6.832763671875*m.x3*m.x7 - 3.41650390625*m.x6*m.x7 + 3.31380208333332*m.x1*m.x9 - 
                        3.3134765625*m.x4*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 - 3.31380208333332*
                        m.x4*m.x10 - 3.3134765625*m.x1*m.x10 + 6.832763671875*m.x6*m.x10 + 3.41650390625*m.x3*m.x10 + 
                        3.31380208333332*m.x4*m.x12 + 3.3134765625*m.x1*m.x12 - 6.832763671875*m.x6*m.x12 - 
                        3.41650390625*m.x3*m.x12 >= -19.6766963169972)

m.c88 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 11.2581938318908*(m.x2*m.x3 + m.x5*m.x6) - 
                        0.319159638136611*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*
                        m.x8 + 4.944091796875*m.x3*m.x8 - 2.47216796875*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 + 
                        1.92501831054687*m.x5*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 + 4.944091796875*m.x6*m.x11 + 
                        2.47216796875*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 - 1.92501831054687*m.x2*m.x12 - 
                        4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12 >= -10.0965286766086)

m.c89 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 2.76084973911447*(m.x2*m.x3 + m.x5*m.x6) + 
                        9.14025068779784*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*
                        m.x8 - 3.3134765625*m.x3*m.x8 - 3.31380208333332*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 + 
                        1.92501831054687*m.x5*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 - 3.3134765625*m.x6*m.x11 + 
                        3.31380208333332*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 - 1.92501831054687*m.x2*m.x12 + 
                        3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12 >= -8.86592210666274)

m.c90 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 9.1401045434177*(m.x2*m.x3 + m.x5*m.x6) - 
                        2.76092806831004*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*
                        m.x8 - 3.313720703125*m.x3*m.x8 + 3.3134765625*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 + 
                        1.92501831054687*m.x5*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 - 3.313720703125*m.x6*m.x11 - 
                        3.3134765625*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 - 1.92501831054687*m.x2*m.x12 + 
                        3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12 >= -8.86585893691514)

m.c91 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 15.5588445924223*(m.x2*m.x3 + m.x5*m.x6) - 
                        0.441164221614581*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*
                        m.x8 + 6.832763671875*m.x3*m.x8 - 3.41650390625*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 + 
                        1.92501831054687*m.x5*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 + 6.832763671875*m.x6*m.x11 + 
                        3.41650390625*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 - 1.92501831054687*m.x2*m.x12 - 
                        6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12 >= -18.0534725074563)

m.c92 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 9.59989178180694*(m.x1*m.x2 + m.x4*m.x5) + 
                        5.07659368713696*(m.x4*m.x2 - m.x5*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 + 
                        4.42911783854166*m.x2*m.x7 + 1.365234375*m.x5*m.x7 - 3.3134765625*m.x1*m.x8 - 3.313720703125*
                        m.x4*m.x8 - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 + 3.3134765625*m.x4*m.x10 - 
                        3.313720703125*m.x1*m.x10 + 4.42911783854166*m.x5*m.x10 - 1.365234375*m.x2*m.x10 - 3.3134765625*
                        m.x4*m.x11 + 3.313720703125*m.x1*m.x11 - 4.42911783854166*m.x5*m.x11 + 1.365234375*m.x2*m.x11
                         >= -9.51344967193075)

m.c93 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 4.09502905607224*(m.x1*m.x3 + m.x4*m.x6) + 
                        12.2874049842358*(m.x4*m.x3 - m.x6*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 + 
                        4.944091796875*m.x3*m.x7 - 2.47216796875*m.x6*m.x7 - 3.3134765625*m.x1*m.x9 - 3.313720703125*
                        m.x4*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 + 3.3134765625*m.x4*m.x10 - 
                        3.313720703125*m.x1*m.x10 + 4.944091796875*m.x6*m.x10 + 2.47216796875*m.x3*m.x10 - 3.3134765625*
                        m.x4*m.x12 + 3.313720703125*m.x1*m.x12 - 4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12
                         >= -11.9032021409273)

m.c94 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 2.76092806831004*(m.x1*m.x2 + m.x4*m.x5) - 
                        9.1401045434177*(m.x4*m.x2 - m.x5*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 - 
                        3.59164428710938*m.x2*m.x7 + 1.92501831054687*m.x5*m.x7 - 3.3134765625*m.x1*m.x8 - 
                        3.313720703125*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*m.x8 + 
                        3.3134765625*m.x4*m.x10 - 3.313720703125*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 - 
                        1.92501831054687*m.x2*m.x10 - 3.3134765625*m.x4*m.x11 + 3.313720703125*m.x1*m.x11 + 
                        3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 >= -8.86585893691516)

m.c95 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 10.9800707499186*(m.x1*m.x3 + m.x4*m.x6) + 
                        0.000134825706459729*(m.x4*m.x3 - m.x6*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7
                         - 3.3134765625*m.x3*m.x7 - 3.31380208333332*m.x6*m.x7 - 3.3134765625*m.x1*m.x9 - 3.313720703125
                        *m.x4*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 + 3.3134765625*m.x4*m.x10 - 
                        3.313720703125*m.x1*m.x10 - 3.3134765625*m.x6*m.x10 + 3.31380208333332*m.x3*m.x10 - 3.3134765625
                        *m.x4*m.x12 + 3.313720703125*m.x1*m.x12 + 3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12
                         >= -10.5090356270472)

m.c96 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 9.13979997113348*(m.x1*m.x2 + m.x4*m.x5) - 
                        2.76170260831715*(m.x4*m.x2 - m.x5*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 - 
                        3.59164428710938*m.x2*m.x7 - 1.92495727539062*m.x5*m.x7 - 3.3134765625*m.x1*m.x8 - 
                        3.313720703125*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*m.x8 + 
                        3.3134765625*m.x4*m.x10 - 3.313720703125*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 + 
                        1.92495727539062*m.x2*m.x10 - 3.3134765625*m.x4*m.x11 + 3.313720703125*m.x1*m.x11 + 
                        3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 >= -8.86576435758938)

m.c97 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 10.979935914278*(m.x4*m.x3 - m.x6*m.x1) + 3.3134765625*
                        m.x1*m.x7 + 3.313720703125*m.x4*m.x7 - 3.313720703125*m.x3*m.x7 + 3.3134765625*m.x6*m.x7 - 
                        3.3134765625*m.x1*m.x9 - 3.313720703125*m.x4*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6
                        *m.x9 + 3.3134765625*m.x4*m.x10 - 3.313720703125*m.x1*m.x10 - 3.313720703125*m.x6*m.x10 - 
                        3.3134765625*m.x3*m.x10 - 3.3134765625*m.x4*m.x12 + 3.313720703125*m.x1*m.x12 + 3.313720703125*
                        m.x6*m.x12 + 3.3134765625*m.x3*m.x12 >= -10.5089566409588)

m.c98 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 14.8056756183505*(m.x1*m.x2 + m.x4*m.x5) + 
                        7.67955678949755*(m.x4*m.x2 - m.x5*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 + 
                        6.78566487630208*m.x2*m.x7 + 2.15081787109374*m.x5*m.x7 - 3.3134765625*m.x1*m.x8 - 
                        3.313720703125*m.x4*m.x8 - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*m.x8 + 
                        3.3134765625*m.x4*m.x10 - 3.313720703125*m.x1*m.x10 + 6.78566487630208*m.x5*m.x10 - 
                        2.15081787109374*m.x2*m.x10 - 3.3134765625*m.x4*m.x11 + 3.313720703125*m.x1*m.x11 - 
                        6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 >= -17.5683738416474)

m.c99 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 5.6594312787056*(m.x1*m.x3 + m.x4*m.x6) + 
                        16.9811880290508*(m.x4*m.x3 - m.x6*m.x1) + 3.3134765625*m.x1*m.x7 + 3.313720703125*m.x4*m.x7 + 
                        6.832763671875*m.x3*m.x7 - 3.41650390625*m.x6*m.x7 - 3.3134765625*m.x1*m.x9 - 3.313720703125*
                        m.x4*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 + 3.3134765625*m.x4*m.x10 - 
                        3.313720703125*m.x1*m.x10 + 6.832763671875*m.x6*m.x10 + 3.41650390625*m.x3*m.x10 - 3.3134765625*
                        m.x4*m.x12 + 3.313720703125*m.x1*m.x12 - 6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12
                         >= -19.6766131526232)

m.c100 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 6.49930066987874*(m.x2*m.x3 + m.x5*m.x6) + 
                         9.19815671816469*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*
                         m.x8 + 4.944091796875*m.x3*m.x8 - 2.47216796875*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 - 
                         1.92495727539062*m.x5*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 + 
                         3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 + 4.944091796875*m.x6*m.x11 + 
                         2.47216796875*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 + 1.92495727539062*m.x2*m.x12 - 
                         4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12 >= -10.0964169738618)

m.c101 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 9.13987829784552*(m.x2*m.x3 + m.x5*m.x6) + 
                         2.7618487526973*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*
                         m.x8 - 3.3134765625*m.x3*m.x8 - 3.31380208333332*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 - 
                         1.92495727539062*m.x5*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 + 
                         3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 - 3.3134765625*m.x6*m.x11 + 
                         3.31380208333332*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 + 1.92495727539062*m.x2*m.x12 + 
                         3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12 >= -8.86582752568128)

m.c102 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 2.76170260831715*(m.x2*m.x3 + m.x5*m.x6) - 
                         9.13979997113348*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*
                         m.x8 - 3.313720703125*m.x3*m.x8 + 3.3134765625*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 - 
                         1.92495727539062*m.x5*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 + 
                         3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 - 3.313720703125*m.x6*m.x11 - 
                         3.3134765625*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 + 1.92495727539062*m.x2*m.x12 + 
                         3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12 >= -8.86576435758936)

m.c103 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 8.98211627826096*(m.x2*m.x3 + m.x5*m.x6) + 
                         12.7118224389851*(m.x5*m.x3 - m.x6*m.x2) + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*
                         m.x8 + 6.832763671875*m.x3*m.x8 - 3.41650390625*m.x6*m.x8 - 3.59164428710938*m.x2*m.x9 - 
                         1.92495727539062*m.x5*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 + 
                         3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 + 6.832763671875*m.x6*m.x11 + 
                         3.41650390625*m.x3*m.x11 - 3.59164428710938*m.x5*m.x12 + 1.92495727539062*m.x2*m.x12 - 
                         6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12 >= -18.0533800172733)

m.c104 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 12.2302111188571*(m.x1*m.x2 + m.x4*m.x5) - 
                         12.7993934452533*(m.x4*m.x2 - m.x5*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          + 4.42911783854166*m.x2*m.x7 + 1.365234375*m.x5*m.x7 + 3.41650390625*m.x1*m.x8 + 
                         6.832763671875*m.x4*m.x8 - 4.42911783854166*m.x2*m.x8 - 1.365234375*m.x5*m.x8 - 3.41650390625*
                         m.x4*m.x10 + 6.832763671875*m.x1*m.x10 + 4.42911783854166*m.x5*m.x10 - 1.365234375*m.x2*m.x10
                          + 3.41650390625*m.x4*m.x11 - 6.832763671875*m.x1*m.x11 - 4.42911783854166*m.x5*m.x11 + 
                         1.365234375*m.x2*m.x11 >= -18.7298015952773)

m.c105 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 0.000115275382995605*(m.x1*m.x3 + m.x4*m.x6) - 
                         21.1139911711216*(m.x4*m.x3 - m.x6*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          + 4.944091796875*m.x3*m.x7 - 2.47216796875*m.x6*m.x7 + 3.41650390625*m.x1*m.x9 + 
                         6.832763671875*m.x4*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 - 3.41650390625*
                         m.x4*m.x10 + 6.832763671875*m.x1*m.x10 + 4.944091796875*m.x6*m.x10 + 2.47216796875*m.x3*m.x10
                          + 3.41650390625*m.x4*m.x12 - 6.832763671875*m.x1*m.x12 - 4.944091796875*m.x6*m.x12 - 
                         2.47216796875*m.x3*m.x12 >= -21.1140713179111)

m.c106 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 0.441164221614581*(m.x1*m.x2 + m.x4*m.x5) + 
                         15.5588445924223*(m.x4*m.x2 - m.x5*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          - 3.59164428710938*m.x2*m.x7 + 1.92501831054687*m.x5*m.x7 + 3.41650390625*m.x1*m.x8 + 
                         6.832763671875*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 - 1.92501831054687*m.x5*m.x8 - 
                         3.41650390625*m.x4*m.x10 + 6.832763671875*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 - 
                         1.92501831054687*m.x2*m.x10 + 3.41650390625*m.x4*m.x11 - 6.832763671875*m.x1*m.x11 + 
                         3.59164428710938*m.x5*m.x11 + 1.92501831054687*m.x2*m.x11 >= -18.0534725074563)

m.c107 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 + 16.9814660549163*(m.x1*m.x3 + m.x4*m.x6) + 
                         5.65929226080579*(m.x4*m.x3 - m.x6*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          - 3.3134765625*m.x3*m.x7 - 3.31380208333332*m.x6*m.x7 + 3.41650390625*m.x1*m.x9 + 
                         6.832763671875*m.x4*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 - 3.41650390625*
                         m.x4*m.x10 + 6.832763671875*m.x1*m.x10 - 3.3134765625*m.x6*m.x10 + 3.31380208333332*m.x3*m.x10
                          + 3.41650390625*m.x4*m.x12 - 6.832763671875*m.x1*m.x12 + 3.3134765625*m.x6*m.x12 - 
                         3.31380208333332*m.x3*m.x12 >= -19.6766963169972)

m.c108 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 + 12.7118224389851*(m.x1*m.x2 + m.x4*m.x5) + 
                         8.98211627826096*(m.x4*m.x2 - m.x5*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          - 3.59164428710938*m.x2*m.x7 - 1.92495727539062*m.x5*m.x7 + 3.41650390625*m.x1*m.x8 + 
                         6.832763671875*m.x4*m.x8 + 3.59164428710938*m.x2*m.x8 + 1.92495727539062*m.x5*m.x8 - 
                         3.41650390625*m.x4*m.x10 + 6.832763671875*m.x1*m.x10 - 3.59164428710938*m.x5*m.x10 + 
                         1.92495727539062*m.x2*m.x10 + 3.41650390625*m.x4*m.x11 - 6.832763671875*m.x1*m.x11 + 
                         3.59164428710938*m.x5*m.x11 - 1.92495727539062*m.x2*m.x11 >= -18.0533800172733)

m.c109 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 5.6594312787056*(m.x1*m.x3 + m.x4*m.x6) + 
                         16.9811880290508*(m.x4*m.x3 - m.x6*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          - 3.313720703125*m.x3*m.x7 + 3.3134765625*m.x6*m.x7 + 3.41650390625*m.x1*m.x9 + 6.832763671875
                         *m.x4*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 3.41650390625*m.x4*m.x10 + 
                         6.832763671875*m.x1*m.x10 - 3.313720703125*m.x6*m.x10 - 3.3134765625*m.x3*m.x10 + 3.41650390625
                         *m.x4*m.x12 - 6.832763671875*m.x1*m.x12 + 3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12
                          >= -19.6766131526232)

m.c110 = Constraint(expr=(m.x7 - m.x8)**2 + (m.x10 - m.x11)**2 - 18.9396403854092*(m.x1*m.x2 + m.x4*m.x5) - 
                         19.5082833990455*(m.x4*m.x2 - m.x5*m.x1) - 3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7
                          + 6.78566487630208*m.x2*m.x7 + 2.15081787109374*m.x5*m.x7 + 3.41650390625*m.x1*m.x8 + 
                         6.832763671875*m.x4*m.x8 - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*m.x8 - 
                         3.41650390625*m.x4*m.x10 + 6.832763671875*m.x1*m.x10 + 6.78566487630208*m.x5*m.x10 - 
                         2.15081787109374*m.x2*m.x10 + 3.41650390625*m.x4*m.x11 - 6.832763671875*m.x1*m.x11 - 
                         6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 >= -26.7443942365091)

m.c111 = Constraint(expr=(m.x7 - m.x9)**2 + (m.x10 - m.x12)**2 - 29.1795791685581*(m.x4*m.x3 - m.x6*m.x1) - 
                         3.41650390625*m.x1*m.x7 - 6.832763671875*m.x4*m.x7 + 6.832763671875*m.x3*m.x7 - 3.41650390625*
                         m.x6*m.x7 + 3.41650390625*m.x1*m.x9 + 6.832763671875*m.x4*m.x9 - 6.832763671875*m.x3*m.x9 + 
                         3.41650390625*m.x6*m.x9 - 3.41650390625*m.x4*m.x10 + 6.832763671875*m.x1*m.x10 + 6.832763671875
                         *m.x6*m.x10 + 3.41650390625*m.x3*m.x10 + 3.41650390625*m.x4*m.x12 - 6.832763671875*m.x1*m.x12
                          - 6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12 >= -28.8389975035191)

m.c112 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 14.1158835018675*(m.x2*m.x3 + m.x5*m.x6) - 
                         13.7045721734563*(m.x5*m.x3 - m.x6*m.x2) - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*
                         m.x8 + 4.944091796875*m.x3*m.x8 - 2.47216796875*m.x6*m.x8 + 6.78566487630208*m.x2*m.x9 + 
                         2.15081787109374*m.x5*m.x9 - 4.944091796875*m.x3*m.x9 + 2.47216796875*m.x6*m.x9 - 
                         6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 + 4.944091796875*m.x6*m.x11 + 
                         2.47216796875*m.x3*m.x11 + 6.78566487630208*m.x5*m.x12 - 2.15081787109374*m.x2*m.x12 - 
                         4.944091796875*m.x6*m.x12 - 2.47216796875*m.x3*m.x12 >= -18.8940657255094)

m.c113 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 14.8057631353537*(m.x2*m.x3 + m.x5*m.x6) - 
                         7.67983289890816*(m.x5*m.x3 - m.x6*m.x2) - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*
                         m.x8 - 3.3134765625*m.x3*m.x8 - 3.31380208333332*m.x6*m.x8 + 6.78566487630208*m.x2*m.x9 + 
                         2.15081787109374*m.x5*m.x9 + 3.3134765625*m.x3*m.x9 + 3.31380208333332*m.x6*m.x9 - 
                         6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 - 3.3134765625*m.x6*m.x11 + 
                         3.31380208333332*m.x3*m.x11 + 6.78566487630208*m.x5*m.x12 - 2.15081787109374*m.x2*m.x12 + 
                         3.3134765625*m.x6*m.x12 - 3.31380208333332*m.x3*m.x12 >= -17.5684461992027)

m.c114 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 + 7.67955678949755*(m.x2*m.x3 + m.x5*m.x6) + 
                         14.8056756183505*(m.x5*m.x3 - m.x6*m.x2) - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*
                         m.x8 - 3.313720703125*m.x3*m.x8 + 3.3134765625*m.x6*m.x8 + 6.78566487630208*m.x2*m.x9 + 
                         2.15081787109374*m.x5*m.x9 + 3.313720703125*m.x3*m.x9 - 3.3134765625*m.x6*m.x9 - 
                         6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 - 3.313720703125*m.x6*m.x11 - 
                         3.3134765625*m.x3*m.x11 + 6.78566487630208*m.x5*m.x12 - 2.15081787109374*m.x2*m.x12 + 
                         3.313720703125*m.x6*m.x12 + 3.3134765625*m.x3*m.x12 >= -17.5683738416474)

m.c115 = Constraint(expr=(m.x8 - m.x9)**2 + (m.x11 - m.x12)**2 - 19.5082833990455*(m.x2*m.x3 + m.x5*m.x6) - 
                         18.9396403854092*(m.x5*m.x3 - m.x6*m.x2) - 6.78566487630208*m.x2*m.x8 - 2.15081787109374*m.x5*
                         m.x8 + 6.832763671875*m.x3*m.x8 - 3.41650390625*m.x6*m.x8 + 6.78566487630208*m.x2*m.x9 + 
                         2.15081787109374*m.x5*m.x9 - 6.832763671875*m.x3*m.x9 + 3.41650390625*m.x6*m.x9 - 
                         6.78566487630208*m.x5*m.x11 + 2.15081787109374*m.x2*m.x11 + 6.832763671875*m.x6*m.x11 + 
                         3.41650390625*m.x3*m.x11 + 6.78566487630208*m.x5*m.x12 - 2.15081787109374*m.x2*m.x12 - 
                         6.832763671875*m.x6*m.x12 - 3.41650390625*m.x3*m.x12 >= -26.7443942365091)

m.c116 = Constraint(expr=   m.x7 == 0)

m.c117 = Constraint(expr=   m.x10 == 0)

m.c118 = Constraint(expr=   m.x1 == 1)

m.c119 = Constraint(expr=   m.x4 == 0)
